"""
<description not available>
"""

# this file was auto-generated!

from openminds.base import IRI

from openminds.base import LinkedMetadata
from openminds.properties import Property


class ParcellationEntityVersion(LinkedMetadata):
    """
    <description not available>
    """

    type_ = "https://openminds.ebrains.eu/sands/ParcellationEntityVersion"
    context = {"@vocab": "https://openminds.ebrains.eu/vocab/"}
    schema_version = "latest"

    properties = [
        Property(
            "abbreviation",
            str,
            "abbreviation",
            formatting="text/plain",
            description="no description available",
            instructions="Enter the official abbreviation of this parcellation entity version.",
        ),
        Property(
            "additional_remarks",
            str,
            "additionalRemarks",
            formatting="text/markdown",
            multiline=True,
            description="Mention of what deserves additional attention or notice.",
            instructions="Enter any additional remarks concerning this parcellation entity version.",
        ),
        Property(
            "alternate_names",
            str,
            "alternateName",
            multiple=True,
            unique_items=True,
            min_items=1,
            formatting="text/plain",
            description="no description available",
            instructions="Enter any alternate names, including any alternative abbreviations, for this parcellation entity version.",
        ),
        Property(
            "corrected_name",
            str,
            "correctedName",
            formatting="text/plain",
            description="no description available",
            instructions="Enter the refined or corrected name of this parcellation entity version.",
        ),
        Property(
            "has_annotations",
            "openminds.latest.sands.AtlasAnnotation",
            "hasAnnotation",
            multiple=True,
            unique_items=True,
            min_items=1,
            description="no description available",
            instructions="Add all atlas annotations which define this parcellation entity version.",
        ),
        Property(
            "has_parents",
            ["openminds.latest.sands.ParcellationEntity", "openminds.latest.sands.ParcellationEntityVersion"],
            "hasParent",
            multiple=True,
            unique_items=True,
            min_items=1,
            description="Reference to a parent object or legal person.",
            instructions="Add all anatomical parent structures (or version of the structures) for this parcellation entity as defined within corresponding brain atlas version.",
        ),
        Property(
            "lookup_label",
            str,
            "lookupLabel",
            formatting="text/plain",
            description="no description available",
            instructions="Enter a lookup label for this parcellation entity version that may help you to find this instance more easily.",
        ),
        Property(
            "name",
            str,
            "name",
            formatting="text/plain",
            required=True,
            description="Word or phrase that constitutes the distinctive designation of the parcellation entity version.",
            instructions="Enter the name of this parcellation entity version.",
        ),
        Property(
            "ontology_identifiers",
            str,
            "ontologyIdentifier",
            multiple=True,
            unique_items=True,
            min_items=1,
            formatting="text/plain",
            description="Term or code used to identify the parcellation entity version registered within a particular ontology.",
            instructions="Enter the internationalized resource identifiers (IRIs) to the related ontological terms matching this parcellation entity version.",
        ),
        Property(
            "relation_assessments",
            [
                "openminds.latest.sands.QualitativeRelationAssessment",
                "openminds.latest.sands.QuantitativeRelationAssessment",
            ],
            "relationAssessment",
            multiple=True,
            unique_items=True,
            min_items=1,
            description="no description available",
            instructions="Add all relations (qualitative or quantitative) of this parcellation entity version to other anatomical entities.",
        ),
        Property(
            "version_identifier",
            str,
            "versionIdentifier",
            formatting="text/plain",
            required=True,
            description="Term or code used to identify the version of something.",
            instructions="Enter the version identifier of this parcellation entity version.",
        ),
        Property(
            "version_innovation",
            str,
            "versionInnovation",
            formatting="text/markdown",
            multiline=True,
            description="Documentation on what changed in comparison to a previously published form of something.",
            instructions="Enter a short description (or summary) of the novelties/peculiarities of this parcellation entity version in comparison to its preceding versions. If this parcellation entity version is the first version, leave blank.",
        ),
    ]

    def __init__(
        self,
        id=None,
        abbreviation=None,
        additional_remarks=None,
        alternate_names=None,
        corrected_name=None,
        has_annotations=None,
        has_parents=None,
        lookup_label=None,
        name=None,
        ontology_identifiers=None,
        relation_assessments=None,
        version_identifier=None,
        version_innovation=None,
    ):
        return super().__init__(
            id=id,
            abbreviation=abbreviation,
            additional_remarks=additional_remarks,
            alternate_names=alternate_names,
            corrected_name=corrected_name,
            has_annotations=has_annotations,
            has_parents=has_parents,
            lookup_label=lookup_label,
            name=name,
            ontology_identifiers=ontology_identifiers,
            relation_assessments=relation_assessments,
            version_identifier=version_identifier,
            version_innovation=version_innovation,
        )

    @classmethod
    def instances(cls):
        return [value for value in cls.__dict__.values() if isinstance(value, cls)]

    @classmethod
    def by_name(cls, name):
        if cls._instance_lookup is None:
            cls._instance_lookup = {}
            for instance in cls.instances():
                cls._instance_lookup[instance.name] = instance
                if instance.synonyms:
                    for synonym in instance.synonyms:
                        cls._instance_lookup[synonym] = instance
        return cls._instance_lookup[name]


ParcellationEntityVersion.aal1_spm12_v4_acin = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_ACIN",
    abbreviation="ACIN",
    alternate_names=["CIA", "Cingulum_Ant"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "4001",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "4002",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_limbicLobe"}],
    lookup_label="AAL1_SPM12-v4_ACIN",
    name="anterior cingulate and paracingulate gyri",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_ag = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_AG",
    abbreviation="AG",
    alternate_names=["GA", "Angular"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6221",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6222",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_parietalLobe"}],
    lookup_label="AAL1_SPM12-v4_AG",
    name="angular gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_amyg = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_AMYG",
    abbreviation="AMYG",
    alternate_names=["AMYGD", "Amygdala"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "4201",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "4202",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_subcorticalGrayNuclei"}],
    lookup_label="AAL1_SPM12-v4_AMYG",
    name="amygdala",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_cau = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_CAU",
    abbreviation="CAU",
    alternate_names=["NC", "Caudate"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "7001",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "7002",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_subcorticalGrayNuclei"}],
    lookup_label="AAL1_SPM12-v4_CAU",
    name="caudate nucleus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_f1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_F1",
    abbreviation="F1",
    alternate_names=["F1", "Frontal_Sup"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2101",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2102",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    lookup_label="AAL1_SPM12-v4_F1",
    name="superior frontal gyrus, dorsolateral",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_f1_m = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_F1M",
    abbreviation="F1M",
    alternate_names=["FM", "Frontal_Sup_Medial"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2601",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2602",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    lookup_label="AAL1_SPM12-v4_F1M",
    name="superior frontal gyrus, medial",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_f1_mo = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_F1MO",
    abbreviation="F1MO",
    alternate_names=["FMO", "Frontal_Med_Orb"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2611",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2612",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    lookup_label="AAL1_SPM12-v4_F1MO",
    name="superior frontal gyrus, medial orbital",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_f1_o = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_F1O",
    abbreviation="F1O",
    alternate_names=["F1O", "Frontal_Sup_Orb"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2111",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2112",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    lookup_label="AAL1_SPM12-v4_F1O",
    name="superior frontal gyrus, orbital part",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_f2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_F2",
    abbreviation="F2",
    alternate_names=["F2", "Frontal_Mid"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2201",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2202",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    lookup_label="AAL1_SPM12-v4_F2",
    name="middle frontal gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_f2_o = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_F2O",
    abbreviation="F2O",
    alternate_names=["F2O", "Frontal_Mid_Orb"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2211",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2212",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    lookup_label="AAL1_SPM12-v4_F2O",
    name="middle frontal gyrus, orbital part",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_f3_o = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_F3O",
    abbreviation="F3O",
    alternate_names=["F3O", "Frontal_Inf_Orb"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2321",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2322",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    lookup_label="AAL1_SPM12-v4_F3O",
    name="inferior frontal gyrus, orbital part",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_f3_op = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_F3OP",
    abbreviation="F3OP",
    alternate_names=["F3OP", "Frontal_Inf_Oper"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2301",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2302",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    lookup_label="AAL1_SPM12-v4_F3OP",
    name="inferior frontal gyrus, opercular part",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_f3_t = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_F3T",
    abbreviation="F3T",
    alternate_names=["F3T", "Frontal_Inf_Tri"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2311",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2312",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    lookup_label="AAL1_SPM12-v4_F3T",
    name="inferior frontal gyrus, triangular part",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_fusi = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_FUSI",
    abbreviation="FUSI",
    alternate_names=["FUSI", "Fusiform"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5401",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5402",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_occipitalLobe"}],
    lookup_label="AAL1_SPM12-v4_FUSI",
    name="fusiform gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_gr = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_GR",
    abbreviation="GR",
    alternate_names=["GR", "Rectus"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2701",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2702",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    lookup_label="AAL1_SPM12-v4_GR",
    name="gyrus rectus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_hes = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_HES",
    abbreviation="HES",
    alternate_names=["HESCHL", "Heschl"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "8101",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "8102",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_temporalLobe"}],
    lookup_label="AAL1_SPM12-v4_HES",
    name="Heschl gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_hip = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_HIP",
    abbreviation="HIP",
    alternate_names=["HIPPO", "Hippocampus"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "4101",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "4102",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_limbicLobe"}],
    lookup_label="AAL1_SPM12-v4_HIP",
    name="hippocampus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_in = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_IN",
    abbreviation="IN",
    alternate_names=["IN", "Insula"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "3001",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "3002",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_brain"}],
    lookup_label="AAL1_SPM12-v4_IN",
    name="insula",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_ling = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_LING",
    abbreviation="LING",
    alternate_names=["LING", "Lingual"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5021",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5022",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_occipitalLobe"}],
    lookup_label="AAL1_SPM12-v4_LING",
    name="lingual gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_mcin = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_MCIN",
    abbreviation="MCIN",
    alternate_names=["CINM", "Cingulum_Mid"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "4011",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "4012",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_limbicLobe"}],
    lookup_label="AAL1_SPM12-v4_MCIN",
    name="median cingulate and paracingulate gyri",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_o1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_O1",
    abbreviation="O1",
    alternate_names=["O1", "Occipital_Sup"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5101",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5102",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_occipitalLobe"}],
    lookup_label="AAL1_SPM12-v4_O1",
    name="superior occipital gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_o2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_O2",
    abbreviation="O2",
    alternate_names=["O2", "Occipital_Mid"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5201",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5202",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_occipitalLobe"}],
    lookup_label="AAL1_SPM12-v4_O2",
    name="middle occipital gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_o3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_O3",
    abbreviation="O3",
    alternate_names=["O3", "Occipital_Inf"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5301",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5302",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_occipitalLobe"}],
    lookup_label="AAL1_SPM12-v4_O3",
    name="inferior occipital gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_oc = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_OC",
    abbreviation="OC",
    alternate_names=["COB", "Olfactory"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2501",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2502",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    lookup_label="AAL1_SPM12-v4_OC",
    name="olfactory cortex",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_p1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_P1",
    abbreviation="P1",
    alternate_names=["P1", "Parietal_Sup"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6101",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6102",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_parietalLobe"}],
    lookup_label="AAL1_SPM12-v4_P1",
    name="superior parietal gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_p2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_P2",
    abbreviation="P2",
    alternate_names=["P2", "Parietal_Inf"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6201",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6202",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_parietalLobe"}],
    lookup_label="AAL1_SPM12-v4_P2",
    name="inferior parietal, but supramarginal and angular gyri",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_pal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_PAL",
    abbreviation="PAL",
    alternate_names=["PALL", "Pallidum"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "7021",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "7022",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_subcorticalGrayNuclei"}],
    lookup_label="AAL1_SPM12-v4_PAL",
    name="lenticular nucleus, pallidum",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_pcin = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_PCIN",
    abbreviation="PCIN",
    alternate_names=["CIP", "Cingulum_Post"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "4021",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "4022",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_limbicLobe"}],
    lookup_label="AAL1_SPM12-v4_PCIN",
    name="posterior cingulate gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_pcl = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_PCL",
    abbreviation="PCL",
    alternate_names=["LPC", "Paracentralobule"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6401",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6402",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    lookup_label="AAL1_SPM12-v4_PCL",
    name="paracentral lobule",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_phip = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_PHIP",
    abbreviation="PHIP",
    alternate_names=["PARA_HIPPO", "ParaHippocampal"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "4111",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "4112",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_limbicLobe"}],
    lookup_label="AAL1_SPM12-v4_PHIP",
    name="parahippocampal gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_post = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_POST",
    abbreviation="POST",
    alternate_names=["PA", "Postcentral"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6001",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6002",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_centralRegion"}],
    lookup_label="AAL1_SPM12-v4_POST",
    name="postcentral gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_pq = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_PQ",
    abbreviation="PQ",
    alternate_names=["PQ", "Precuneus"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6301",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6302",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_parietalLobe"}],
    lookup_label="AAL1_SPM12-v4_PQ",
    name="precuneus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_pre = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_PRE",
    abbreviation="PRE",
    alternate_names=["FA", "Precentral"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2001",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2002",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_centralRegion"}],
    lookup_label="AAL1_SPM12-v4_PRE",
    name="precentral gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_put = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_PUT",
    abbreviation="PUT",
    alternate_names=["NL", "Putamen"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "7011",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "7012",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_subcorticalGrayNuclei"}],
    lookup_label="AAL1_SPM12-v4_PUT",
    name="lenticular nucleus, putamen",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_q = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_Q",
    abbreviation="Q",
    alternate_names=["Q", "Cuneus"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5011",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5012",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_occipitalLobe"}],
    lookup_label="AAL1_SPM12-v4_Q",
    name="cuneus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_ro = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_RO",
    abbreviation="RO",
    alternate_names=["OR", "Rolandic_Oper"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2331",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2332",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_centralRegion"}],
    lookup_label="AAL1_SPM12-v4_RO",
    name="rolandic operculum",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_sma = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_SMA",
    abbreviation="SMA",
    alternate_names=["SMA", "Supp_Motor_Area"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2401",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2402",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    lookup_label="AAL1_SPM12-v4_SMA",
    name="supplementary motor area",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_smg = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_SMG",
    abbreviation="SMG",
    alternate_names=["GSM", "SupraMarginal"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6211",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6212",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_parietalLobe"}],
    lookup_label="AAL1_SPM12-v4_SMG",
    name="supramarginal gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_t1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_T1",
    abbreviation="T1",
    alternate_names=["T1", "Temporal_Sup"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "8111",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "8112",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_temporalLobe"}],
    lookup_label="AAL1_SPM12-v4_T1",
    name="superior temporal gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_t1_p = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_T1P",
    abbreviation="T1P",
    alternate_names=["T1A", "Temporal_Pole_Sup"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "8121",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "8122",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_limbicLobe"}],
    lookup_label="AAL1_SPM12-v4_T1P",
    name="temporal pole: superior temporal gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_t2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_T2",
    abbreviation="T2",
    alternate_names=["T2", "Temporal_Mid"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "8201",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "8202",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_temporalLobe"}],
    lookup_label="AAL1_SPM12-v4_T2",
    name="middle temporal gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_t2_p = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_T2P",
    abbreviation="T2P",
    alternate_names=["T2A", "Temporal_Pole_Mid"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "8211",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "8212",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_limbicLobe"}],
    lookup_label="AAL1_SPM12-v4_T2P",
    name="temporal pole: middle temporal gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_t3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_T3",
    abbreviation="T3",
    alternate_names=["T3", "Temporal_Inf"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "8301",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "8302",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_temporalLobe"}],
    lookup_label="AAL1_SPM12-v4_T3",
    name="inferior temporal gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_tha = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_THA",
    abbreviation="THA",
    alternate_names=["THA", "Thalamus"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "7101",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "7102",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_subcorticalGrayNuclei"}],
    lookup_label="AAL1_SPM12-v4_THA",
    name="thalamus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_v1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_V1",
    abbreviation="V1",
    alternate_names=["V1", "Calcarine"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5001",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5002",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_occipitalLobe"}],
    lookup_label="AAL1_SPM12-v4_V1",
    name="calcarine fissure and surrounding cortex",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.amba_cc_fv3_2015_abducens_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_abducensNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "710",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_abducensNerve",
    name="abducens nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_abducens_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_abducensNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "653",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_abducensNucleus",
    name="abducens nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_accessory_abducens_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessoryAbducensNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "568",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_accessoryAbducensNucleus",
    name="accessory abducens nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_accessory_facial_motor_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessoryFacialMotorNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "576",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_accessoryFacialMotorNucleus",
    name="accessory facial motor nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_accessory_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessoryOlfactoryBulb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "151",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DF0D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_accessoryOlfactoryBulb",
    name="accessory olfactory bulb",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_accessory_olfactory_bulb_glomerular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessoryOlfactoryBulbGlomerularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "188",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DF0D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_accessoryOlfactoryBulbGlomerularLayer",
    name="accessory olfactory bulb, glomerular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_accessory_olfactory_bulb_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessoryOlfactoryBulbGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "196",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#95E4C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_accessoryOlfactoryBulbGranularLayer",
    name="accessory olfactory bulb, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_accessory_olfactory_bulb_mitral_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessoryOlfactoryBulbMitralLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "204",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DF0D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_accessoryOlfactoryBulbMitralLayer",
    name="accessory olfactory bulb, mitral layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_accessory_olfactory_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessoryOlfactoryTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "459",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_accessoryOlfactoryTract",
    name="accessory olfactory tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_accessory_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessoryOpticTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "876",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_accessoryOpticTract",
    name="accessory optic tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_accessory_spinal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessorySpinalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "717",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_accessorySpinalNerve",
    name="accessory spinal nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_accessory_supraoptic_group = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessorySupraopticGroup",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "332",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_accessorySupraopticGroup",
    name="accessory supraoptic group",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "95",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularArea",
    name="agranular insular area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "104",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaDorsalPart",
    name="agranular insular area, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_dorsal_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaDorsalPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "996",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaDorsalPartLayer1",
    name="agranular insular area, dorsal part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_dorsal_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaDorsalPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "328",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaDorsalPartLayer2-3",
    name="agranular insular area, dorsal part, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_dorsal_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaDorsalPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1101",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaDorsalPartLayer5",
    name="agranular insular area, dorsal part, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_dorsal_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaDorsalPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "783",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaDorsalPartLayer6a",
    name="agranular insular area, dorsal part, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_dorsal_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaDorsalPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "831",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaDorsalPartLayer6b",
    name="agranular insular area, dorsal part, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "111",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaPosteriorPart",
    name="agranular insular area, posterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_posterior_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaPosteriorPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "120",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaPosteriorPartLayer1",
    name="agranular insular area, posterior part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_posterior_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaPosteriorPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "163",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaPosteriorPartLayer2-3",
    name="agranular insular area, posterior part, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_posterior_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaPosteriorPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "344",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaPosteriorPartLayer5",
    name="agranular insular area, posterior part, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_posterior_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaPosteriorPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "314",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaPosteriorPartLayer6a",
    name="agranular insular area, posterior part, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_posterior_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaPosteriorPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "355",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaPosteriorPartLayer6b",
    name="agranular insular area, posterior part, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "119",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaVentralPart",
    name="agranular insular area, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_ventral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaVentralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "704",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaVentralPartLayer1",
    name="agranular insular area, ventral part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_ventral_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaVentralPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "694",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaVentralPartLayer2-3",
    name="agranular insular area, ventral part, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_ventral_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaVentralPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "800",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaVentralPartLayer5",
    name="agranular insular area, ventral part, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_ventral_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaVentralPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "675",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaVentralPartLayer6a",
    name="agranular insular area, ventral part, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_ventral_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaVentralPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "699",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaVentralPartLayer6b",
    name="agranular insular area, ventral part, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_alveus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_alveus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "466",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_alveus",
    name="alveus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ammons_horn = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ammonsHorn",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "375",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ammonsHorn",
    name="Ammon's horn",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_amygdalar_capsule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_amygdalarCapsule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "884",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_amygdalarCapsule",
    name="amygdalar capsule",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_angular_path = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_angularPath",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "474",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_angularPath",
    name="angular path",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ansa_peduncularis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ansaPeduncularis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "892",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ansaPeduncularis",
    name="ansa peduncularis",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ansiform_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ansiformLobule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1017",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ansiformLobule",
    name="ansiform lobule",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ansoparamedian_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ansoparamedianFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "43",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ansoparamedianFissure",
    name="ansoparamedian fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_amygdalar_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorAmygdalarArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "23",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorAmygdalarArea",
    name="anterior amygdalar area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782546",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorArea",
    name="anterior area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782550",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorAreaLayer1",
    name="anterior area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782554",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorAreaLayer2-3",
    name="anterior area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782558",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorAreaLayer4",
    name="anterior area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782562",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorAreaLayer5",
    name="anterior area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782566",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorAreaLayer6a",
    name="anterior area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782570",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorAreaLayer6b",
    name="anterior area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "31",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateArea",
    name="anterior cingulate area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "39",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPart",
    name="anterior cingulate area, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_dorsal_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "935",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPartLayer1",
    name="anterior cingulate area, dorsal part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_dorsal_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "211",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPartLayer2-3",
    name="anterior cingulate area, dorsal part, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_dorsal_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1015",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPartLayer5",
    name="anterior cingulate area, dorsal part, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_dorsal_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "919",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPartLayer6a",
    name="anterior cingulate area, dorsal part, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_dorsal_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "927",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPartLayer6b",
    name="anterior cingulate area, dorsal part, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "572",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaLayer1",
    name="anterior cingulate area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1053",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaLayer2-3",
    name="anterior cingulate area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "739",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaLayer5",
    name="anterior cingulate area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "179",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaLayer6a",
    name="anterior cingulate area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "227",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaLayer6b",
    name="anterior cingulate area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "48",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaVentralPart",
    name="anterior cingulate area, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_ventral_part6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaVentralPart6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "810",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaVentralPart6a",
    name="anterior cingulate area, ventral part, 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_ventral_part6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaVentralPart6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "819",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaVentralPart6b",
    name="anterior cingulate area, ventral part, 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_ventral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaVentralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "588",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaVentralPartLayer1",
    name="anterior cingulate area, ventral part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_ventral_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaVentralPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "296",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaVentralPartLayer2-3",
    name="anterior cingulate area, ventral part, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_ventral_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaVentralPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "772",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaVentralPartLayer5",
    name="anterior cingulate area, ventral part, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_commissure_olfactory_limb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCommissureOlfactoryLimb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "900",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCommissureOlfactoryLimb",
    name="anterior commissure, olfactory limb",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_commissure_temporal_limb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCommissureTemporalLimb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "908",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCommissureTemporalLimb",
    name="anterior commissure, temporal limb",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_group_of_the_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorGroupOfTheDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "239",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorGroupOfTheDorsalThalamus",
    name="anterior group of the dorsal thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_hypothalamic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorHypothalamicArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "80",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorHypothalamicArea",
    name="anterior hypothalamic area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorHypothalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "88",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorHypothalamicNucleus",
    name="anterior hypothalamic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_hypothalamic_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorHypothalamicNucleusAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "700",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorHypothalamicNucleusAnteriorPart",
    name="anterior hypothalamic nucleus, anterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_hypothalamic_nucleus_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorHypothalamicNucleusCentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "708",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorHypothalamicNucleusCentralPart",
    name="anterior hypothalamic nucleus, central part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_hypothalamic_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorHypothalamicNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "716",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorHypothalamicNucleusDorsalPart",
    name="anterior hypothalamic nucleus, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_hypothalamic_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorHypothalamicNucleusPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "724",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorHypothalamicNucleusPosteriorPart",
    name="anterior hypothalamic nucleus, posterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_olfactory_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorOlfactoryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "159",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorOlfactoryNucleus",
    name="anterior olfactory nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_olfactory_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorOlfactoryNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "167",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorOlfactoryNucleusDorsalPart",
    name="anterior olfactory nucleus, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_olfactory_nucleus_external_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorOlfactoryNucleusExternalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "175",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorOlfactoryNucleusExternalPart",
    name="anterior olfactory nucleus, external part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_olfactory_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorOlfactoryNucleusLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "183",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorOlfactoryNucleusLateralPart",
    name="anterior olfactory nucleus, lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_olfactory_nucleus_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorOlfactoryNucleusLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "160",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorOlfactoryNucleusLayer1",
    name="anterior olfactory nucleus, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_olfactory_nucleus_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorOlfactoryNucleusLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "168",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorOlfactoryNucleusLayer2",
    name="anterior olfactory nucleus, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_olfactory_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorOlfactoryNucleusMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "191",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorOlfactoryNucleusMedialPart",
    name="anterior olfactory nucleus, medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_olfactory_nucleus_posteroventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorOlfactoryNucleusPosteroventralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "199",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorOlfactoryNucleusPosteroventralPart",
    name="anterior olfactory nucleus, posteroventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_pretectal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorPretectalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "215",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorPretectalNucleus",
    name="anterior pretectal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorTegmentalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "231",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorTegmentalNucleus",
    name="anterior tegmental nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterodorsal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anterodorsalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "64",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anterodorsalNucleus",
    name="anterodorsal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterodorsal_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anterodorsalPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "72",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anterodorsalPreopticNucleus",
    name="anterodorsal preoptic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterolateral_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anterolateralVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "402",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anterolateralVisualArea",
    name="anterolateral visual area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterolateral_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anterolateralVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1074",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anterolateralVisualAreaLayer1",
    name="anterolateral visual area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterolateral_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anterolateralVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "905",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anterolateralVisualAreaLayer2-3",
    name="anterolateral visual area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterolateral_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anterolateralVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1114",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anterolateralVisualAreaLayer4",
    name="anterolateral visual area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterolateral_visual_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anterolateralVisualAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "233",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anterolateralVisualAreaLayer5",
    name="anterolateral visual area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterolateral_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anterolateralVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "601",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anterolateralVisualAreaLayer6a",
    name="anterolateral visual area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterolateral_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anterolateralVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "649",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anterolateralVisualAreaLayer6b",
    name="anterolateral visual area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anteromedial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "127",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteromedialNucleus",
    name="anteromedial nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anteromedial_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1096",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteromedialNucleusDorsalPart",
    name="anteromedial nucleus, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anteromedial_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1104",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteromedialNucleusVentralPart",
    name="anteromedial nucleus, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anteromedial_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "394",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteromedialVisualArea",
    name="anteromedial visual area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anteromedial_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "281",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteromedialVisualAreaLayer1",
    name="anteromedial visual area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anteromedial_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1066",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteromedialVisualAreaLayer2-3",
    name="anteromedial visual area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anteromedial_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "401",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteromedialVisualAreaLayer4",
    name="anteromedial visual area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anteromedial_visual_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialVisualAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "433",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteromedialVisualAreaLayer5",
    name="anteromedial visual area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anteromedial_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1046",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteromedialVisualAreaLayer6a",
    name="anteromedial visual area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anteromedial_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "441",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteromedialVisualAreaLayer6b",
    name="anteromedial visual area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anteroventral_nucleus_of_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteroventralNucleusOfThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "255",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteroventralNucleusOfThalamus",
    name="anteroventral nucleus of thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anteroventral_periventricular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteroventralPeriventricularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "272",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteroventralPeriventricularNucleus",
    name="anteroventral periventricular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anteroventral_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteroventralPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "263",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteroventralPreopticNucleus",
    name="anteroventral preoptic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_arbor_vitae = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_arborVitae",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "728",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_arborVitae",
    name="arbor vitae",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_arcuate_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_arcuateHypothalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "223",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_arcuateHypothalamicNucleus",
    name="arcuate hypothalamic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_area_postrema = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_areaPostrema",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "207",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_areaPostrema",
    name="area postrema",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_area_prostriata = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_areaProstriata",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682508",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#33B932"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_areaProstriata",
    name="area prostriata",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_auditory_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_auditoryAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "247",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_auditoryAreas",
    name="auditory areas",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_auditory_radiation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_auditoryRadiation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682524",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_auditoryRadiation",
    name="auditory radiation",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_barringtons_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_barringtonsNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "280",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_barringtonsNucleus",
    name="Barrington's nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_basic_cell_groups_and_regions = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_basicCellGroupsAndRegions",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "8",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#BFDAE3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_basicCellGroupsAndRegions",
    name="basic cell groups and regions",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_basolateral_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_basolateralAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "295",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DE79C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_basolateralAmygdalarNucleus",
    name="basolateral amygdalar nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_basolateral_amygdalar_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_basolateralAmygdalarNucleusAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "303",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DE79C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_basolateralAmygdalarNucleusAnteriorPart",
    name="basolateral amygdalar nucleus, anterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_basolateral_amygdalar_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_basolateralAmygdalarNucleusPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "311",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DE79C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_basolateralAmygdalarNucleusPosteriorPart",
    name="basolateral amygdalar nucleus, posterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_basolateral_amygdalar_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_basolateralAmygdalarNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "451",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DE79C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_basolateralAmygdalarNucleusVentralPart",
    name="basolateral amygdalar nucleus, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_basomedial_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_basomedialAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "319",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#84EA81"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_basomedialAmygdalarNucleus",
    name="basomedial amygdalar nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_basomedial_amygdalar_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_basomedialAmygdalarNucleusAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "327",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#84EA81"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_basomedialAmygdalarNucleusAnteriorPart",
    name="basomedial amygdalar nucleus, anterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_basomedial_amygdalar_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_basomedialAmygdalarNucleusPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "334",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#84EA81"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_basomedialAmygdalarNucleusPosteriorPart",
    name="basomedial amygdalar nucleus, posterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "351",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalis",
    name="bed nuclei of the stria terminalis",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_anterior_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "359",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivision",
    name="bed nuclei of the stria terminalis, anterior division",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_anterior_division_anterolateral_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionAnterolateralArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "537",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionAnterolateralArea",
    name="bed nuclei of the stria terminalis, anterior division, anterolateral area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_anterior_division_anteromedial_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionAnteromedialArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "498",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionAnteromedialArea",
    name="bed nuclei of the stria terminalis, anterior division, anteromedial area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_anterior_division_dorsomedial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionDorsomedialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "505",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionDorsomedialNucleus",
    name="bed nuclei of the stria terminalis, anterior division, dorsomedial nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_anterior_division_fusiform_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionFusiformNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "513",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionFusiformNucleus",
    name="bed nuclei of the stria terminalis, anterior division, fusiform nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_anterior_division_juxtacapsular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionJuxtacapsularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "546",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionJuxtacapsularNucleus",
    name="bed nuclei of the stria terminalis, anterior division, juxtacapsular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_anterior_division_magnocellular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionMagnocellularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "521",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionMagnocellularNucleus",
    name="bed nuclei of the stria terminalis, anterior division, magnocellular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_anterior_division_oval_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionOvalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "554",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionOvalNucleus",
    name="bed nuclei of the stria terminalis, anterior division, oval nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_anterior_division_rhomboid_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionRhomboidNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "562",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionRhomboidNucleus",
    name="bed nuclei of the stria terminalis, anterior division, rhomboid nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_anterior_division_ventral_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionVentralNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "529",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionVentralNucleus",
    name="bed nuclei of the stria terminalis, anterior division, ventral nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_posterior_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "367",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivision",
    name="bed nuclei of the stria terminalis, posterior division",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_posterior_division_dorsal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivisionDorsalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "569",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivisionDorsalNucleus",
    name="bed nuclei of the stria terminalis, posterior division, dorsal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_posterior_division_interfascicular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivisionInterfascicularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "585",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivisionInterfascicularNucleus",
    name="bed nuclei of the stria terminalis, posterior division, interfascicular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_posterior_division_principal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivisionPrincipalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "578",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivisionPrincipalNucleus",
    name="bed nuclei of the stria terminalis, posterior division, principal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_posterior_division_strial_extension = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivisionStrialExtension",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "602",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivisionStrialExtension",
    name="bed nuclei of the stria terminalis, posterior division, strial extension",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_posterior_division_transverse_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivisionTransverseNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "594",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivisionTransverseNucleus",
    name="bed nuclei of the stria terminalis, posterior division, transverse nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nucleus_of_the_accessory_olfactory_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleusOfTheAccessoryOlfactoryTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "292",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleusOfTheAccessoryOlfactoryTract",
    name="bed nucleus of the accessory olfactory tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nucleus_of_the_anterior_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleusOfTheAnteriorCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "287",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleusOfTheAnteriorCommissure",
    name="bed nucleus of the anterior commissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_brachium_of_the_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_brachiumOfTheInferiorColliculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "482",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_brachiumOfTheInferiorColliculus",
    name="brachium of the inferior colliculus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_brachium_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_brachiumOfTheSuperiorColliculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "916",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_brachiumOfTheSuperiorColliculus",
    name="brachium of the superior colliculus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_brain_stem = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_brainStem",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "343",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7080"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_brainStem",
    name="brain stem",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bulbocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bulbocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "490",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bulbocerebellarTract",
    name="bulbocerebellar tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_caudoputamen = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_caudoputamen",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "672",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#98D6F9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_caudoputamen",
    name="caudoputamen",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_central_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "536",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_centralAmygdalarNucleus",
    name="central amygdalar nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_central_amygdalar_nucleus_capsular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralAmygdalarNucleusCapsularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "544",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_centralAmygdalarNucleusCapsularPart",
    name="central amygdalar nucleus, capsular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_central_amygdalar_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralAmygdalarNucleusLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "551",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_centralAmygdalarNucleusLateralPart",
    name="central amygdalar nucleus, lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_central_amygdalar_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralAmygdalarNucleusMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "559",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_centralAmygdalarNucleusMedialPart",
    name="central amygdalar nucleus, medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_central_canal_spinal_cordmedulla = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralCanalSpinalCordmedulla",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "164",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_centralCanalSpinalCordmedulla",
    name="central canal, spinal cord/medulla",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_central_lateral_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralLateralNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "575",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_centralLateralNucleusOfTheThalamus",
    name="central lateral nucleus of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_central_linear_nucleus_raphe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralLinearNucleusRaphe",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "591",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_centralLinearNucleusRaphe",
    name="central linear nucleus raphe",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_central_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralLobule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "920",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_centralLobule",
    name="central lobule",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_central_medial_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralMedialNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "599",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_centralMedialNucleusOfTheThalamus",
    name="central medial nucleus of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_central_tegmental_bundle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralTegmentalBundle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "736",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_centralTegmentalBundle",
    name="central tegmental bundle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebal_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebalPeduncle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "924",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebalPeduncle",
    name="cerebal peduncle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebellar_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebellarCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "744",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebellarCommissure",
    name="cerebellar commissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebellar_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebellarCortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "528",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F0F080"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebellarCortex",
    name="cerebellar cortex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebellar_cortex_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebellarCortexGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1143",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebellarCortexGranularLayer",
    name="cerebellar cortex, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebellar_cortex_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebellarCortexMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1144",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebellarCortexMolecularLayer",
    name="cerebellar cortex, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebellar_cortex_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebellarCortexPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1145",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebellarCortexPurkinjeLayer",
    name="cerebellar cortex, Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebellar_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebellarNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "519",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F0F080"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebellarNuclei",
    name="cerebellar nuclei",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebellar_peduncles = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebellarPeduncles",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "752",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebellarPeduncles",
    name="cerebellar peduncles",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebellum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebellum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "512",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F0F080"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebellum",
    name="cerebellum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebellum_related_fiber_tracts = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebellumRelatedFiberTracts",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "960",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebellumRelatedFiberTracts",
    name="cerebellum related fiber tracts",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebral_aqueduct = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebralAqueduct",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "140",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebralAqueduct",
    name="cerebral aqueduct",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebral_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebralCortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "688",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B0FFB8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebralCortex",
    name="cerebral cortex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebral_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebralNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "623",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#98D6F9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebralNuclei",
    name="cerebral nuclei",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebral_nuclei_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebralNucleiRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "760",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebralNucleiRelated",
    name="cerebral nuclei related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebrum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebrum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "567",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B0F0FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebrum",
    name="cerebrum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebrum_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebrumRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "768",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebrumRelated",
    name="cerebrum related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cervicothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cervicothalamicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "932",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cervicothalamicTract",
    name="cervicothalamic tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_choroid_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_choroidFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "116",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_choroidFissure",
    name="choroid fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_choroid_plexus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_choroidPlexus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "108",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_choroidPlexus",
    name="choroid plexus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cingulum_bundle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cingulumBundle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "940",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cingulumBundle",
    name="cingulum bundle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_claustrum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_claustrum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "583",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8ADA87"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_claustrum",
    name="claustrum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cochlear_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cochlearNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "948",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cochlearNerve",
    name="cochlear nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cochlear_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cochlearNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "607",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cochlearNuclei",
    name="cochlear nuclei",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cochlear_nucleus_subpedunclular_granular_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cochlearNucleusSubpedunclularGranularRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "560",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cochlearNucleusSubpedunclularGranularRegion",
    name="cochlear nucleus, subpedunclular granular region",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_columns_of_the_fornix = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_columnsOfTheFornix",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "436",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_columnsOfTheFornix",
    name="columns of the fornix",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_commissural_branch_of_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_commissuralBranchOfStriaTerminalis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682528",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_commissuralBranchOfStriaTerminalis",
    name="commissural branch of stria terminalis",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_copula_pyramidis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_copulaPyramidis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1033",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_copulaPyramidis",
    name="copula pyramidis",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_copula_pyramidis_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_copulaPyramidisGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10684",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_copulaPyramidisGranularLayer",
    name="copula pyramidis, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_copula_pyramidis_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_copulaPyramidisMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10686",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_copulaPyramidisMolecularLayer",
    name="copula pyramidis, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_copula_pyramidis_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_copulaPyramidisPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10685",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_copulaPyramidisPurkinjeLayer",
    name="copula pyramidis, Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corpus_callosum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corpusCallosum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "776",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corpusCallosum",
    name="corpus callosum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corpus_callosum_anterior_forceps = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corpusCallosumAnteriorForceps",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "956",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corpusCallosumAnteriorForceps",
    name="corpus callosum, anterior forceps",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corpus_callosum_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corpusCallosumBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682516",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corpusCallosumBody",
    name="corpus callosum, body",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corpus_callosum_extreme_capsule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corpusCallosumExtremeCapsule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "964",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corpusCallosumExtremeCapsule",
    name="corpus callosum, extreme capsule",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corpus_callosum_posterior_forceps = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corpusCallosumPosteriorForceps",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "971",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corpusCallosumPosteriorForceps",
    name="corpus callosum, posterior forceps",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corpus_callosum_rostrum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corpusCallosumRostrum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "979",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corpusCallosumRostrum",
    name="corpus callosum, rostrum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corpus_callosum_splenium = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corpusCallosumSplenium",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "986",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corpusCallosumSplenium",
    name="corpus callosum, splenium",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "631",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarArea",
    name="cortical amygdalar area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "639",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaAnteriorPart",
    name="cortical amygdalar area, anterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_anterior_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaAnteriorPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "192",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaAnteriorPartLayer1",
    name="cortical amygdalar area, anterior part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_anterior_part_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaAnteriorPartLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "200",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaAnteriorPartLayer2",
    name="cortical amygdalar area, anterior part, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_anterior_part_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaAnteriorPartLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "208",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaAnteriorPartLayer3",
    name="cortical amygdalar area, anterior part, layer 3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "647",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPart",
    name="cortical amygdalar area, posterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_posterior_part_lateral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "655",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZone",
    name="cortical amygdalar area, posterior part, lateral zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_posterior_part_lateral_zone_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZoneLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "216",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZoneLayer1",
    name="cortical amygdalar area, posterior part, lateral zone, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_posterior_part_lateral_zone_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZoneLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "224",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZoneLayer2",
    name="cortical amygdalar area, posterior part, lateral zone, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_posterior_part_lateral_zone_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZoneLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "232",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZoneLayer3",
    name="cortical amygdalar area, posterior part, lateral zone, layer 3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_posterior_part_lateral_zone_layers12 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZoneLayers12",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "584",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZoneLayers12",
    name="cortical amygdalar area, posterior part, lateral zone, layers 1-2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_posterior_part_lateral_zone_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZoneLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "376",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZoneLayers13",
    name="cortical amygdalar area, posterior part, lateral zone, layers 1-3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_posterior_part_medial_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "663",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZone",
    name="cortical amygdalar area, posterior part, medial zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_posterior_part_medial_zone_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZoneLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "240",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZoneLayer1",
    name="cortical amygdalar area, posterior part, medial zone, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_posterior_part_medial_zone_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZoneLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "248",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZoneLayer2",
    name="cortical amygdalar area, posterior part, medial zone, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_posterior_part_medial_zone_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZoneLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "256",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZoneLayer3",
    name="cortical amygdalar area, posterior part, medial zone, layer 3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_posterior_part_medial_zone_layers12 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZoneLayers12",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "592",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZoneLayers12",
    name="cortical amygdalar area, posterior part, medial zone, layers 1-2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_posterior_part_medial_zone_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZoneLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "383",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZoneLayers13",
    name="cortical amygdalar area, posterior part, medial zone, layers 1-3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_plate = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalPlate",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "695",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#70FF70"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalPlate",
    name="cortical plate",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_subplate = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalSubplate",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "703",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8ADA87"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalSubplate",
    name="cortical subplate",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corticobulbar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticobulbarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "994",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticobulbarTract",
    name="corticobulbar tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corticopontine_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticopontineTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1003",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticopontineTract",
    name="corticopontine tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corticorubral_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticorubralTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1012",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticorubralTract",
    name="corticorubral tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corticospinal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticospinalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "784",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticospinalTract",
    name="corticospinal tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corticospinal_tract_crossed = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticospinalTractCrossed",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1019",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticospinalTractCrossed",
    name="corticospinal tract, crossed",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corticospinal_tract_uncrossed = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticospinalTractUncrossed",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1028",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticospinalTractUncrossed",
    name="corticospinal tract, uncrossed",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corticotectal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticotectalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1036",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticotectalTract",
    name="corticotectal tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cranial_nerves = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cranialNerves",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "967",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cranialNerves",
    name="cranial nerves",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_crossed_tectospinal_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_crossedTectospinalPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1043",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_crossedTectospinalPathway",
    name="crossed tectospinal pathway",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_crus1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_crus1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1056",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_crus1",
    name="crus 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_crus1_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_crus1GranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10675",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_crus1GranularLayer",
    name="crus 1, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_crus1_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_crus1MolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10677",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_crus1MolecularLayer",
    name="crus 1, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_crus1_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_crus1PurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10676",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_crus1PurkinjeLayer",
    name="crus 1, Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_crus2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_crus2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1064",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_crus2",
    name="crus 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_crus2_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_crus2GranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10678",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_crus2GranularLayer",
    name="crus 2, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_crus2_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_crus2MolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10680",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_crus2MolecularLayer",
    name="crus 2, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_crus2_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_crus2PurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10679",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_crus2PurkinjeLayer",
    name="crus 2, Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_culmen = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_culmen",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "928",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_culmen",
    name="culmen",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cuneate_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cuneateFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "380",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cuneateFascicle",
    name="cuneate fascicle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cuneate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cuneateNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "711",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cuneateNucleus",
    name="cuneate nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cuneiform_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cuneiformNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "616",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cuneiformNucleus",
    name="cuneiform nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cuneocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cuneocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "499",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cuneocerebellarTract",
    name="cuneocerebellar tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_declive_vi = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_decliveVI",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "936",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_decliveVI",
    name="declive (VI)",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_declive_vi_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_decliveVIGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10723",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_decliveVIGranularLayer",
    name="declive (VI), granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_declive_vi_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_decliveVIMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10725",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_decliveVIMolecularLayer",
    name="declive (VI), molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_declive_vi_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_decliveVIPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10724",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_decliveVIPurkinjeLayer",
    name="declive (VI), Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "726",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrus",
    name="dentate gyrus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_crest = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusCrest",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "734",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusCrest",
    name="dentate gyrus crest",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_crest_granule_cell_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusCrestGranuleCellLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "758",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusCrestGranuleCellLayer",
    name="dentate gyrus crest, granule cell layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_crest_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusCrestMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "742",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusCrestMolecularLayer",
    name="dentate gyrus crest, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_crest_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusCrestPolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "751",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusCrestPolymorphLayer",
    name="dentate gyrus crest, polymorph layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_granule_cell_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusGranuleCellLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "632",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#66A83D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusGranuleCellLayer",
    name="dentate gyrus, granule cell layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_lateral_blade = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusLateralBlade",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "766",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusLateralBlade",
    name="dentate gyrus lateral blade",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_lateral_blade_granule_cell_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusLateralBladeGranuleCellLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "790",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusLateralBladeGranuleCellLayer",
    name="dentate gyrus lateral blade, granule cell layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_lateral_blade_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusLateralBladeMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "775",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusLateralBladeMolecularLayer",
    name="dentate gyrus lateral blade, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_lateral_blade_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusLateralBladePolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "782",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusLateralBladePolymorphLayer",
    name="dentate gyrus lateral blade, polymorph layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_medial_blade = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusMedialBlade",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "799",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusMedialBlade",
    name="dentate gyrus medial blade",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_medial_blade_granule_cell_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusMedialBladeGranuleCellLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "823",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusMedialBladeGranuleCellLayer",
    name="dentate gyrus medial blade, granule cell layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_medial_blade_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusMedialBladeMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "807",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusMedialBladeMolecularLayer",
    name="dentate gyrus medial blade, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_medial_blade_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusMedialBladePolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "815",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusMedialBladePolymorphLayer",
    name="dentate gyrus medial blade, polymorph layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10703",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusMolecularLayer",
    name="dentate gyrus, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusPolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10704",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusPolymorphLayer",
    name="dentate gyrus, polymorph layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_subgranular_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusSubgranularZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10702",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusSubgranularZone",
    name="dentate gyrus, subgranular zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "846",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFDBC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateNucleus",
    name="dentate nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_diagonal_band_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_diagonalBandNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "596",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#96A7D3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_diagonalBandNucleus",
    name="diagonal band nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_direct_tectospinal_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_directTectospinalPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1051",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_directTectospinalPathway",
    name="direct tectospinal pathway",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dopaminergic_a13_group = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dopaminergicA13Group",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "796",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dopaminergicA13Group",
    name="dopaminergic A13 group",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_doral_tegmental_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_doralTegmentalDecussation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1060",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_doralTegmentalDecussation",
    name="doral tegmental decussation",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_acoustic_stria = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalAcousticStria",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "506",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalAcousticStria",
    name="dorsal acoustic stria",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_auditory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalAuditoryArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1011",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalAuditoryArea",
    name="dorsal auditory area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_auditory_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalAuditoryAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "527",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalAuditoryAreaLayer1",
    name="dorsal auditory area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_auditory_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalAuditoryAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "600",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalAuditoryAreaLayer2-3",
    name="dorsal auditory area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_auditory_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalAuditoryAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "678",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalAuditoryAreaLayer4",
    name="dorsal auditory area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_auditory_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalAuditoryAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "252",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalAuditoryAreaLayer5",
    name="dorsal auditory area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_auditory_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalAuditoryAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "156",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalAuditoryAreaLayer6a",
    name="dorsal auditory area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_auditory_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalAuditoryAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "243",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalAuditoryAreaLayer6b",
    name="dorsal auditory area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_cochlear_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalCochlearNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "96",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalCochlearNucleus",
    name="dorsal cochlear nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_column = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalColumn",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "514",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalColumn",
    name="dorsal column",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_column_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalColumnNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "720",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalColumnNuclei",
    name="dorsal column nuclei",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_commissure_of_the_spinal_cord = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalCommissureOfTheSpinalCord",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "522",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalCommissureOfTheSpinalCord",
    name="dorsal commissure of the spinal cord",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_fornix = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalFornix",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "530",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalFornix",
    name="dorsal fornix",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_hippocampal_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalHippocampalCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "443",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalHippocampalCommissure",
    name="dorsal hippocampal commissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_limb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalLimb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "538",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalLimb",
    name="dorsal limb",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_longitudinal_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalLongitudinalFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "547",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalLongitudinalFascicle",
    name="dorsal longitudinal fascicle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_motor_nucleus_of_the_vagus_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalMotorNucleusOfTheVagusNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "839",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalMotorNucleusOfTheVagusNerve",
    name="dorsal motor nucleus of the vagus nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_nucleus_raphe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalNucleusRaphe",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "872",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalNucleusRaphe",
    name="dorsal nucleus raphe",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_part_of_the_lateral_geniculate_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPartOfTheLateralGeniculateComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "170",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalPartOfTheLateralGeniculateComplex",
    name="dorsal part of the lateral geniculate complex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_part_of_the_lateral_geniculate_complex_core = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPartOfTheLateralGeniculateComplexCore",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "496345668",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalPartOfTheLateralGeniculateComplexCore",
    name="dorsal part of the lateral geniculate complex, core",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_part_of_the_lateral_geniculate_complex_ipsilateral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPartOfTheLateralGeniculateComplexIpsilateralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "496345672",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalPartOfTheLateralGeniculateComplexIpsilateralZone",
    name="dorsal part of the lateral geniculate complex, ipsilateral zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_part_of_the_lateral_geniculate_complex_shell = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPartOfTheLateralGeniculateComplexShell",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "496345664",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalPartOfTheLateralGeniculateComplexShell",
    name="dorsal part of the lateral geniculate complex, shell",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_peduncular_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPeduncularArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "814",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A4DAA4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalPeduncularArea",
    name="dorsal peduncular area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_peduncular_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPeduncularAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "496",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A4DAA4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalPeduncularAreaLayer1",
    name="dorsal peduncular area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_peduncular_area_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPeduncularAreaLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "535",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A4DAA4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalPeduncularAreaLayer2",
    name="dorsal peduncular area, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_peduncular_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPeduncularAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "360",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A4DAA4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalPeduncularAreaLayer2-3",
    name="dorsal peduncular area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_peduncular_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPeduncularAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "646",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A4DAA4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalPeduncularAreaLayer5",
    name="dorsal peduncular area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_peduncular_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPeduncularAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "267",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A4DAA4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalPeduncularAreaLayer6a",
    name="dorsal peduncular area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_premammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPremammillaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "980",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalPremammillaryNucleus",
    name="dorsal premammillary nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_roots = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalRoots",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "792",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalRoots",
    name="dorsal roots",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_spinocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalSpinocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "553",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalSpinocerebellarTract",
    name="dorsal spinocerebellar tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalTegmentalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "880",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalTegmentalNucleus",
    name="dorsal tegmental nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_tegmental_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalTegmentalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "563",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalTegmentalTract",
    name="dorsal tegmental tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_terminal_nucleus_of_the_accessory_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalTerminalNucleusOfTheAccessoryOpticTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "75",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalTerminalNucleusOfTheAccessoryOpticTract",
    name="dorsal terminal nucleus of the accessory optic tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_thalamus_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalThalamusRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1068",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalThalamusRelated",
    name="dorsal thalamus related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsolateral_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsolateralFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "570",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsolateralFascicle",
    name="dorsolateral fascicle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsomedial_nucleus_of_the_hypothalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsomedialNucleusOfTheHypothalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "830",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsomedialNucleusOfTheHypothalamus",
    name="dorsomedial nucleus of the hypothalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsomedial_nucleus_of_the_hypothalamus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsomedialNucleusOfTheHypothalamusAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "668",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsomedialNucleusOfTheHypothalamusAnteriorPart",
    name="dorsomedial nucleus of the hypothalamus, anterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsomedial_nucleus_of_the_hypothalamus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsomedialNucleusOfTheHypothalamusPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "676",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsomedialNucleusOfTheHypothalamusPosteriorPart",
    name="dorsomedial nucleus of the hypothalamus, posterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsomedial_nucleus_of_the_hypothalamus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsomedialNucleusOfTheHypothalamusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "684",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsomedialNucleusOfTheHypothalamusVentralPart",
    name="dorsomedial nucleus of the hypothalamus, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ectorhinal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ectorhinalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "895",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0D9F91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ectorhinalArea",
    name="ectorhinal area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ectorhinal_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ectorhinalAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "836",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0D9F91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ectorhinalAreaLayer1",
    name="ectorhinal area/layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ectorhinal_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ectorhinalAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "427",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0D9F91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ectorhinalAreaLayer2-3",
    name="ectorhinal area/layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ectorhinal_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ectorhinalAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "988",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0D9F91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ectorhinalAreaLayer5",
    name="ectorhinal area/layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ectorhinal_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ectorhinalAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "977",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0D9F91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ectorhinalAreaLayer6a",
    name="ectorhinal area/layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ectorhinal_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ectorhinalAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1045",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0D9F91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ectorhinalAreaLayer6b",
    name="ectorhinal area/layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_edinger_westphal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_edingerWestphalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "975",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_edingerWestphalNucleus",
    name="edinger-Westphal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_efferent_cochlear_group = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_efferentCochlearGroup",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "887",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_efferentCochlearGroup",
    name="efferent cochlear group",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_efferent_cochleovestibular_bundle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_efferentCochleovestibularBundle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1076",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_efferentCochleovestibularBundle",
    name="efferent cochleovestibular bundle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_efferent_vestibular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_efferentVestibularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "640",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_efferentVestibularNucleus",
    name="efferent vestibular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_endopiriform_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_endopiriformNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "942",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A0EE9D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_endopiriformNucleus",
    name="endopiriform nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_endopiriform_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_endopiriformNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "952",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A0EE9D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_endopiriformNucleusDorsalPart",
    name="endopiriform nucleus, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_endopiriform_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_endopiriformNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "966",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A0EE9D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_endopiriformNucleusVentralPart",
    name="endopiriform nucleus, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_endorhinal_groove = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_endorhinalGroove",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1055",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_endorhinalGroove",
    name="endorhinal groove",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "909",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalArea",
    name="entorhinal area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "918",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaLateralPart",
    name="entorhinal area, lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_lateral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1121",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer1",
    name="entorhinal area, lateral part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_lateral_part_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "20",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer2",
    name="entorhinal area, lateral part, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_lateral_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "999",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer2-3",
    name="entorhinal area, lateral part, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_lateral_part_layer2a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer2a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "715",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer2a",
    name="entorhinal area, lateral part, layer 2a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_lateral_part_layer2b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer2b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "764",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer2b",
    name="entorhinal area, lateral part, layer 2b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_lateral_part_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "52",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer3",
    name="entorhinal area, lateral part, layer 3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_lateral_part_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "92",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer4",
    name="entorhinal area, lateral part, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_lateral_part_layer4_5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer4-5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer4-5",
    name="entorhinal area, lateral part, layer 4/5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_lateral_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "139",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer5",
    name="entorhinal area, lateral part, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_lateral_part_layer5_6 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer5-6",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "387",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer5-6",
    name="entorhinal area, lateral part, layer 5/6",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_lateral_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "28",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer6a",
    name="entorhinal area, lateral part, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_lateral_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "60",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer6b",
    name="entorhinal area, lateral part, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_dorsal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "926",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZone",
    name="entorhinal area, medial part, dorsal zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_dorsal_zone_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "526",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer1",
    name="entorhinal area, medial part, dorsal zone, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_dorsal_zone_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "543",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer2",
    name="entorhinal area, medial part, dorsal zone, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_dorsal_zone_layer2a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer2a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "468",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer2a",
    name="entorhinal area, medial part, dorsal zone, layer 2a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_dorsal_zone_layer2b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer2b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "508",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer2b",
    name="entorhinal area, medial part, dorsal zone, layer 2b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_dorsal_zone_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "664",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer3",
    name="entorhinal area, medial part, dorsal zone, layer 3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_dorsal_zone_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "712",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer4",
    name="entorhinal area, medial part, dorsal zone, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_dorsal_zone_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "727",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer5",
    name="entorhinal area, medial part, dorsal zone, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_dorsal_zone_layer5_6 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer5-6",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "550",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer5-6",
    name="entorhinal area, medial part, dorsal zone, layer 5/6",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_dorsal_zone_layer6 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer6",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "743",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer6",
    name="entorhinal area, medial part, dorsal zone, layer 6",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_ventral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "934",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZone",
    name="entorhinal area, medial part, ventral zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_ventral_zone_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZoneLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "259",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZoneLayer1",
    name="entorhinal area, medial part, ventral zone, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_ventral_zone_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZoneLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "324",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZoneLayer2",
    name="entorhinal area, medial part, ventral zone, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_ventral_zone_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZoneLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "371",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZoneLayer3",
    name="entorhinal area, medial part, ventral zone, layer 3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_ventral_zone_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZoneLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "419",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZoneLayer4",
    name="entorhinal area, medial part, ventral zone, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_ventral_zone_layer5_6 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZoneLayer5-6",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1133",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZoneLayer5-6",
    name="entorhinal area, medial part, ventral zone, layer 5/6",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_epithalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_epithalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "958",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_epithalamus",
    name="epithalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_epithalamus_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_epithalamusRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1083",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_epithalamusRelated",
    name="epithalamus related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_external_capsule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_externalCapsule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "579",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_externalCapsule",
    name="external capsule",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_external_cuneate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_externalCuneateNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "903",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_externalCuneateNucleus",
    name="external cuneate nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_external_medullary_lamina_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_externalMedullaryLaminaOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1092",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_externalMedullaryLaminaOfTheThalamus",
    name="external medullary lamina of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_extrapyramidal_fiber_systems = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_extrapyramidalFiberSystems",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1000",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_extrapyramidalFiberSystems",
    name="extrapyramidal fiber systems",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_facial_motor_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_facialMotorNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "661",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_facialMotorNucleus",
    name="facial motor nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_facialNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "798",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_facialNerve",
    name="facial nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_fasciculus_proprius = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fasciculusProprius",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "586",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fasciculusProprius",
    name="fasciculus proprius",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_fasciculus_retroflexus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fasciculusRetroflexus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "595",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fasciculusRetroflexus",
    name="fasciculus retroflexus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_fasciola_cinerea = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fasciolaCinerea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "982",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fasciolaCinerea",
    name="fasciola cinerea",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_fastigial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fastigialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "989",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFDBC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fastigialNucleus",
    name="fastigial nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_fiber_tracts = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fiberTracts",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1009",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fiberTracts",
    name="fiber tracts",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "382",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA1",
    name="field CA1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca1_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA1PyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "407",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#66A83D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA1PyramidalLayer",
    name="field CA1, pyramidal layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca1_stratum_lacunosummoleculare = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA1StratumLacunosummoleculare",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "391",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA1StratumLacunosummoleculare",
    name="field CA1, stratum lacunosum-moleculare",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca1_stratum_oriens = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA1StratumOriens",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "399",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA1StratumOriens",
    name="field CA1, stratum oriens",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca1_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA1StratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "415",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA1StratumRadiatum",
    name="field CA1, stratum radiatum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "423",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA2",
    name="field CA2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca2_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA2PyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "446",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#66A83D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA2PyramidalLayer",
    name="field CA2, pyramidal layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca2_stratum_lacunosummoleculare = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA2StratumLacunosummoleculare",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "431",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA2StratumLacunosummoleculare",
    name="field CA2, stratum lacunosum-moleculare",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca2_stratum_oriens = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA2StratumOriens",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "438",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA2StratumOriens",
    name="field CA2, stratum oriens",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca2_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA2StratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "454",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA2StratumRadiatum",
    name="field CA2, stratum radiatum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "463",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA3",
    name="field CA3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca3_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA3PyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "495",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#66A83D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA3PyramidalLayer",
    name="field CA3, pyramidal layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca3_stratum_lacunosummoleculare = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA3StratumLacunosummoleculare",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "471",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA3StratumLacunosummoleculare",
    name="field CA3, stratum lacunosum-moleculare",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca3_stratum_lucidum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA3StratumLucidum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "479",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA3StratumLucidum",
    name="field CA3, stratum lucidum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca3_stratum_oriens = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA3StratumOriens",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "486",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA3StratumOriens",
    name="field CA3, stratum oriens",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca3_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA3StratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "504",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA3StratumRadiatum",
    name="field CA3, stratum radiatum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_fields_of_forel = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldsOfForel",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "804",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldsOfForel",
    name="fields of Forel",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_fimbria = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fimbria",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "603",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fimbria",
    name="fimbria",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_flocculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_flocculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1049",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_flocculus",
    name="flocculus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_flocculus_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_flocculusGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10690",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_flocculusGranularLayer",
    name="flocculus, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_flocculus_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_flocculusMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10692",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_flocculusMolecularLayer",
    name="flocculus, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_flocculus_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_flocculusPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10691",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_flocculusPurkinjeLayer",
    name="flocculus, Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_foliumtuber_vermis_vii = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_foliumtuberVermisVII",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "944",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_foliumtuberVermisVII",
    name="folium-tuber vermis (VII)",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_foliumtuber_vermis_vii_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_foliumtuberVermisVIIGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10726",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_foliumtuberVermisVIIGranularLayer",
    name="folium-tuber vermis (VII), granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_foliumtuber_vermis_vii_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_foliumtuberVermisVIIMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10728",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_foliumtuberVermisVIIMolecularLayer",
    name="folium-tuber vermis (VII), molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_foliumtuber_vermis_vii_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_foliumtuberVermisVIIPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10727",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_foliumtuberVermisVIIPurkinjeLayer",
    name="folium-tuber vermis (VII), Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_fornix_system = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fornixSystem",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1099",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fornixSystem",
    name="fornix system",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_fourth_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fourthVentricle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "145",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fourthVentricle",
    name="fourth ventricle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_frontal_pole_cerebral_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_frontalPoleCerebralCortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "184",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#268F45"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_frontalPoleCerebralCortex",
    name="frontal pole, cerebral cortex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_frontal_pole_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_frontalPoleLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "68",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#268F45"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_frontalPoleLayer1",
    name="frontal pole, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_frontal_pole_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_frontalPoleLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "667",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#268F45"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_frontalPoleLayer2-3",
    name="frontal pole, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_fundus_of_striatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fundusOfStriatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "998",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fundusOfStriatum",
    name="fundus of striatum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_geniculate_group_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_geniculateGroupDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1008",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_geniculateGroupDorsalThalamus",
    name="geniculate group, dorsal thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_geniculate_group_ventral_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_geniculateGroupVentralThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1014",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_geniculateGroupVentralThalamus",
    name="geniculate group, ventral thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_genu_of_corpus_callosum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_genuOfCorpusCallosum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1108",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_genuOfCorpusCallosum",
    name="genu of corpus callosum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_genu_of_the_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_genuOfTheFacialNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1116",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_genuOfTheFacialNerve",
    name="genu of the facial nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_gigantocellular_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gigantocellularReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1048",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_gigantocellularReticularNucleus",
    name="gigantocellular reticular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_globus_pallidus_external_segment = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_globusPallidusExternalSegment",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1022",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8599CC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_globusPallidusExternalSegment",
    name="globus pallidus, external segment",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_globus_pallidus_internal_segment = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_globusPallidusInternalSegment",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1031",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8599CC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_globusPallidusInternalSegment",
    name="globus pallidus, internal segment",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_glossopharyngeal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_glossopharyngealNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "808",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_glossopharyngealNerve",
    name="glossopharyngeal nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_gracile_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gracileFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "388",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_gracileFascicle",
    name="gracile fascicle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_gracile_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gracileNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1039",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_gracileNucleus",
    name="gracile nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_granular_lamina_of_the_cochlear_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_granularLaminaOfTheCochlearNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "112",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_granularLaminaOfTheCochlearNuclei",
    name="granular lamina of the cochlear nuclei",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_grooves = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_grooves",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1024",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_grooves",
    name="grooves",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_grooves_of_the_cerebellar_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_groovesOfTheCerebellarCortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1040",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_groovesOfTheCerebellarCortex",
    name="grooves of the cerebellar cortex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_grooves_of_the_cerebral_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_groovesOfTheCerebralCortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1032",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_groovesOfTheCerebralCortex",
    name="grooves of the cerebral cortex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_gustatory_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gustatoryAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1057",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_gustatoryAreas",
    name="gustatory areas",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_gustatory_areas_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gustatoryAreasLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "36",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_gustatoryAreasLayer1",
    name="gustatory areas, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_gustatory_areas_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gustatoryAreasLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "180",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_gustatoryAreasLayer2-3",
    name="gustatory areas, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_gustatory_areas_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gustatoryAreasLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "148",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_gustatoryAreasLayer4",
    name="gustatory areas, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_gustatory_areas_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gustatoryAreasLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "187",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_gustatoryAreasLayer5",
    name="gustatory areas, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_gustatory_areas_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gustatoryAreasLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "638",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_gustatoryAreasLayer6a",
    name="gustatory areas, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_gustatory_areas_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gustatoryAreasLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "662",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_gustatoryAreasLayer6b",
    name="gustatory areas, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_habenular_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_habenularCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "611",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_habenularCommissure",
    name="habenular commissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_hemispheric_regions = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hemisphericRegions",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1073",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_hemisphericRegions",
    name="hemispheric regions",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_hindbrain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hindbrain",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1065",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF9B88"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_hindbrain",
    name="hindbrain",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_hippocampal_commissures = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hippocampalCommissures",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "618",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_hippocampalCommissures",
    name="hippocampal commissures",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_hippocampal_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hippocampalFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1063",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_hippocampalFissure",
    name="hippocampal fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_hippocampal_formation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hippocampalFormation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1089",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_hippocampalFormation",
    name="hippocampal formation",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_hippocampal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hippocampalRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1080",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_hippocampalRegion",
    name="hippocampal region",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_hypoglossal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hypoglossalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "813",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_hypoglossalNerve",
    name="hypoglossal nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_hypoglossal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hypoglossalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "773",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_hypoglossalNucleus",
    name="hypoglossal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_hypothalamic_lateral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hypothalamicLateralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "290",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_hypothalamicLateralZone",
    name="hypothalamic lateral zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_hypothalamic_medial_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hypothalamicMedialZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "467",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_hypothalamicMedialZone",
    name="hypothalamic medial zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_hypothalamohypophysial_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hypothalamohypophysialTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "627",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_hypothalamohypophysialTract",
    name="hypothalamohypophysial tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_hypothalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hypothalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1097",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#E64438"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_hypothalamus",
    name="hypothalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_hypothalamus_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hypothalamusRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "824",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_hypothalamusRelated",
    name="hypothalamus related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_induseum_griseum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_induseumGriseum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "19",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_induseumGriseum",
    name="induseum griseum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_inferior_cerebellar_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_inferiorCerebellarPeduncle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1123",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_inferiorCerebellarPeduncle",
    name="inferior cerebellar peduncle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_inferiorColliculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "4",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_inferiorColliculus",
    name="inferior colliculus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_inferior_colliculus_central_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_inferiorColliculusCentralNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "811",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_inferiorColliculusCentralNucleus",
    name="inferior colliculus, central nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_inferior_colliculus_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_inferiorColliculusCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "633",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_inferiorColliculusCommissure",
    name="inferior colliculus commissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_inferior_colliculus_dorsal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_inferiorColliculusDorsalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "820",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_inferiorColliculusDorsalNucleus",
    name="inferior colliculus, dorsal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_inferior_colliculus_external_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_inferiorColliculusExternalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "828",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_inferiorColliculusExternalNucleus",
    name="inferior colliculus, external nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_inferior_olivary_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_inferiorOlivaryComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "83",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_inferiorOlivaryComplex",
    name="inferior olivary complex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_inferior_salivatory_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_inferiorSalivatoryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "106",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_inferiorSalivatoryNucleus",
    name="inferior salivatory nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_infracerebellar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_infracerebellarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "372",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_infracerebellarNucleus",
    name="infracerebellar nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_infralimbic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_infralimbicArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "44",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_infralimbicArea",
    name="infralimbic area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_infralimbic_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_infralimbicAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "707",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_infralimbicAreaLayer1",
    name="infralimbic area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_infralimbic_area_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_infralimbicAreaLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "747",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_infralimbicAreaLayer2",
    name="infralimbic area, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_infralimbic_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_infralimbicAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "556",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_infralimbicAreaLayer2-3",
    name="infralimbic area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_infralimbic_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_infralimbicAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "827",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_infralimbicAreaLayer5",
    name="infralimbic area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_infralimbic_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_infralimbicAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1054",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_infralimbicAreaLayer6a",
    name="infralimbic area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_infralimbic_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_infralimbicAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1081",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_infralimbicAreaLayer6b",
    name="infralimbic area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_interanterodorsal_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interanterodorsalNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1113",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_interanterodorsalNucleusOfTheThalamus",
    name="interanterodorsal nucleus of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_interanteromedial_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interanteromedialNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1120",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_interanteromedialNucleusOfTheThalamus",
    name="interanteromedial nucleus of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_interbrain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interbrain",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1129",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7080"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_interbrain",
    name="interbrain",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_intercalated_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_intercalatedAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1105",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_intercalatedAmygdalarNucleus",
    name="intercalated amygdalar nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_intercrural_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_intercruralFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "34",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_intercruralFissure",
    name="intercrural fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_interfascicular_nucleus_raphe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interfascicularNucleusRaphe",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_interfascicularNucleusRaphe",
    name="interfascicular nucleus raphe",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_intergeniculate_leaflet_of_the_lateral_geniculate_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_intergeniculateLeafletOfTheLateralGeniculateComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "27",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_intergeniculateLeafletOfTheLateralGeniculateComplex",
    name="intergeniculate leaflet of the lateral geniculate complex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_intermediate_acoustic_stria = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_intermediateAcousticStria",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "641",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_intermediateAcousticStria",
    name="intermediate acoustic stria",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_intermediate_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_intermediateNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1131",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_intermediateNerve",
    name="intermediate nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_intermediate_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_intermediateReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "136",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_intermediateReticularNucleus",
    name="intermediate reticular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_intermediodorsal_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_intermediodorsalNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "59",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_intermediodorsalNucleusOfTheThalamus",
    name="intermediodorsal nucleus of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_internal_arcuate_fibers = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_internalArcuateFibers",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "396",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_internalArcuateFibers",
    name="internal arcuate fibers",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_internal_capsule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_internalCapsule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "6",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_internalCapsule",
    name="internal capsule",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_internal_medullary_lamina_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_internalMedullaryLaminaOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "14",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_internalMedullaryLaminaOfTheThalamus",
    name="internal medullary lamina of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_interpeduncular_fossa = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interpeduncularFossa",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "624",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_interpeduncularFossa",
    name="interpeduncular fossa",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_interpeduncular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interpeduncularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "100",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_interpeduncularNucleus",
    name="interpeduncular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_interposed_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interposedNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "91",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFDBC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_interposedNucleus",
    name="interposed nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_interstitial_nucleus_of_cajal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interstitialNucleusOfCajal",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "67",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_interstitialNucleusOfCajal",
    name="interstitial nucleus of Cajal",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_interstitial_nucleus_of_the_vestibular_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interstitialNucleusOfTheVestibularNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "76",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_interstitialNucleusOfTheVestibularNerve",
    name="interstitial nucleus of the vestibular nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_interventricular_foramen = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interventricularForamen",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "124",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_interventricularForamen",
    name="interventricular foramen",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_intralaminar_nuclei_of_the_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_intralaminarNucleiOfTheDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "51",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_intralaminarNucleiOfTheDorsalThalamus",
    name="intralaminar nuclei of the dorsal thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_intraparafloccular_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_intraparafloccularFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "49",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_intraparafloccularFissure",
    name="intraparafloccular fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_islands_of_calleja = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_islandsOfCalleja",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "481",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_islandsOfCalleja",
    name="islands of Calleja",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_isocortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_isocortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "315",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#70FF71"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_isocortex",
    name="isocortex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_juxtarestiform_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_juxtarestiformBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "650",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_juxtarestiformBody",
    name="juxtarestiform body",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_koelliker_fuse_subnucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_koellikerFuseSubnucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "123",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_koellikerFuseSubnucleus",
    name="Koelliker-Fuse subnucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "131",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90EB8D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralAmygdalarNucleus",
    name="lateral amygdalar nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_dorsal_nucleus_of_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralDorsalNucleusOfThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "155",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralDorsalNucleusOfThalamus",
    name="lateral dorsal nucleus of thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_forebrain_bundle_system = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralForebrainBundleSystem",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "983",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralForebrainBundleSystem",
    name="lateral forebrain bundle system",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_group_of_the_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralGroupOfTheDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "138",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralGroupOfTheDorsalThalamus",
    name="lateral group of the dorsal thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_habenula = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralHabenula",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "186",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralHabenula",
    name="lateral habenula",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_hypothalamic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralHypothalamicArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "194",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralHypothalamicArea",
    name="lateral hypothalamic area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_lemniscus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralLemniscus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "658",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralLemniscus",
    name="lateral lemniscus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_mammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralMammillaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "210",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralMammillaryNucleus",
    name="lateral mammillary nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_olfactory_tract_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralOlfactoryTractBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "665",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralOlfactoryTractBody",
    name="lateral olfactory tract, body",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_olfactory_tract_general = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralOlfactoryTractGeneral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "21",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralOlfactoryTractGeneral",
    name="lateral olfactory tract, general",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_posterior_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralPosteriorNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "218",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralPosteriorNucleusOfTheThalamus",
    name="lateral posterior nucleus of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_preoptic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralPreopticArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "226",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralPreopticArea",
    name="lateral preoptic area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_recess = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralRecess",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "153",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralRecess",
    name="lateral recess",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "235",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralReticularNucleus",
    name="lateral reticular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_reticular_nucleus_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralReticularNucleusMagnocellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "955",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralReticularNucleusMagnocellularPart",
    name="lateral reticular nucleus, magnocellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_reticular_nucleus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralReticularNucleusParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "963",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralReticularNucleusParvicellularPart",
    name="lateral reticular nucleus, parvicellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_septal_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralSeptalComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "275",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralSeptalComplex",
    name="lateral septal complex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_septal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralSeptalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "242",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralSeptalNucleus",
    name="lateral septal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_septal_nucleus_caudal_caudodorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralSeptalNucleusCaudalCaudodorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "250",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralSeptalNucleusCaudalCaudodorsalPart",
    name="lateral septal nucleus, caudal (caudodorsal) part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_septal_nucleus_rostral_rostroventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralSeptalNucleusRostralRostroventralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "258",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralSeptalNucleusRostralRostroventralPart",
    name="lateral septal nucleus, rostral (rostroventral) part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_septal_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralSeptalNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "266",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralSeptalNucleusVentralPart",
    name="lateral septal nucleus, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_spinothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralSpinothalamicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "29",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralSpinothalamicTract",
    name="lateral spinothalamic tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralTegmentalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "283",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralTegmentalNucleus",
    name="lateral tegmental nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_terminal_nucleus_of_the_accessory_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralTerminalNucleusOfTheAccessoryOpticTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "66",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralTerminalNucleusOfTheAccessoryOpticTract",
    name="lateral terminal nucleus of the accessory optic tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralVentricle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "81",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralVentricle",
    name="lateral ventricle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_vestibular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralVestibularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "209",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralVestibularNucleus",
    name="lateral vestibular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "409",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralVisualArea",
    name="lateral visual area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "421",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralVisualAreaLayer1",
    name="lateral visual area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "973",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralVisualAreaLayer2-3",
    name="lateral visual area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "573",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralVisualAreaLayer4",
    name="lateral visual area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_visual_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralVisualAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "613",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralVisualAreaLayer5",
    name="lateral visual area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "74",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralVisualAreaLayer6a",
    name="lateral visual area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "121",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralVisualAreaLayer6b",
    name="lateral visual area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterodorsal_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterodorsalTegmentalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "162",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterodorsalTegmentalNucleus",
    name="laterodorsal tegmental nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterointermediate_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterointermediateArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782574",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterointermediateArea",
    name="laterointermediate area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterointermediate_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterointermediateAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782578",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterointermediateAreaLayer1",
    name="laterointermediate area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterointermediate_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterointermediateAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782582",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterointermediateAreaLayer2-3",
    name="laterointermediate area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterointermediate_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterointermediateAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782586",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterointermediateAreaLayer4",
    name="laterointermediate area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterointermediate_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterointermediateAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782590",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterointermediateAreaLayer5",
    name="laterointermediate area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterointermediate_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterointermediateAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782594",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterointermediateAreaLayer6a",
    name="laterointermediate area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterointermediate_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterointermediateAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782598",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterointermediateAreaLayer6b",
    name="laterointermediate area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterolateral_anterior_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterolateralAnteriorVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149230",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterolateralAnteriorVisualArea",
    name="laterolateral anterior visual area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterolateral_anterior_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterolateralAnteriorVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149234",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterolateralAnteriorVisualAreaLayer1",
    name="laterolateral anterior visual area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterolateral_anterior_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterolateralAnteriorVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149238",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterolateralAnteriorVisualAreaLayer2-3",
    name="laterolateral anterior visual area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterolateral_anterior_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterolateralAnteriorVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149242",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterolateralAnteriorVisualAreaLayer4",
    name="laterolateral anterior visual area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterolateral_anterior_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterolateralAnteriorVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149250",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterolateralAnteriorVisualAreaLayer6a",
    name="laterolateral anterior visual area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterolateral_anterior_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterolateralAnteriorVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149254",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterolateralAnteriorVisualAreaLayer6b",
    name="laterolateral anterior visual area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterolateral_anterior_visual_arealayer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterolateralAnteriorVisualArealayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149246",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterolateralAnteriorVisualArealayer5",
    name="laterolateral anterior visual area,layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_layer6b_isocortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_layer6bIsocortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "16",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8ADA87"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_layer6bIsocortex",
    name="layer 6b, isocortex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_linear_nucleus_of_the_medulla = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_linearNucleusOfTheMedulla",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "203",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_linearNucleusOfTheMedulla",
    name="linear nucleus of the medulla",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lingula_i = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lingulaI",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "912",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lingulaI",
    name="lingula (I)",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lingula_i_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lingulaIGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10705",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lingulaIGranularLayer",
    name="lingula (I), granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lingula_i_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lingulaIMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10707",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lingulaIMolecularLayer",
    name="lingula (I), molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lingula_i_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lingulaIPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10706",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lingulaIPurkinjeLayer",
    name="lingula (I), Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_ii = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleII",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "976",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleII",
    name="lobule II",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_ii_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIIGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10708",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleIIGranularLayer",
    name="lobule II, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_ii_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIIMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10710",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleIIMolecularLayer",
    name="lobule II, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_ii_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIIPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10709",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleIIPurkinjeLayer",
    name="lobule II, Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_iii = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIII",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "984",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleIII",
    name="lobule III",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_iii_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIIIGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10711",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleIIIGranularLayer",
    name="lobule III, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_iii_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIIIMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10713",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleIIIMolecularLayer",
    name="lobule III, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_iii_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIIIPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10712",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleIIIPurkinjeLayer",
    name="lobule III, Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_iv = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIV",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "992",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleIV",
    name="lobule IV",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_iv_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIVGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10714",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleIVGranularLayer",
    name="lobule IV, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_iv_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIVMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10716",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleIVMolecularLayer",
    name="lobule IV, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_iv_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIVPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10715",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleIVPurkinjeLayer",
    name="lobule IV, Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_v = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleV",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1001",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleV",
    name="lobule V",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_v_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleVGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10717",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleVGranularLayer",
    name="lobule V, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_v_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleVMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10719",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleVMolecularLayer",
    name="lobule V, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_v_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleVPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10718",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleVPurkinjeLayer",
    name="lobule V, Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobules_iv_v = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobulesIV-V",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1091",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobulesIV-V",
    name="lobules IV-V",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobules_iv_v_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobulesIV-VGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10720",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobulesIV-VGranularLayer",
    name="lobules IV-V, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobules_iv_v_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobulesIV-VMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10722",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobulesIV-VMolecularLayer",
    name="lobules IV-V, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobules_iv_v_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobulesIV-VPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10721",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobulesIV-VPurkinjeLayer",
    name="lobules IV-V, Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_locus_ceruleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_locusCeruleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "147",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_locusCeruleus",
    name="locus ceruleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_longitudinal_association_bundle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_longitudinalAssociationBundle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "37",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_longitudinalAssociationBundle",
    name="longitudinal association bundle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_magnocellular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_magnocellularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "298",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A2B1D8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_magnocellularNucleus",
    name="magnocellular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_magnocellular_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_magnocellularReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "307",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_magnocellularReticularNucleus",
    name="magnocellular reticular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_main_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mainOlfactoryBulb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "507",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9AD2BD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mainOlfactoryBulb",
    name="main olfactory bulb",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_main_olfactory_bulb_glomerular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mainOlfactoryBulbGlomerularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "212",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#82C7AE"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mainOlfactoryBulbGlomerularLayer",
    name="main olfactory bulb, glomerular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_main_olfactory_bulb_granule_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mainOlfactoryBulbGranuleLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "220",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#82C7AE"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mainOlfactoryBulbGranuleLayer",
    name="main olfactory bulb, granule layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_main_olfactory_bulb_inner_plexiform_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mainOlfactoryBulbInnerPlexiformLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "228",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9AD2BD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mainOlfactoryBulbInnerPlexiformLayer",
    name="main olfactory bulb, inner plexiform layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_main_olfactory_bulb_mitral_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mainOlfactoryBulbMitralLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "236",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#82C7AE"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mainOlfactoryBulbMitralLayer",
    name="main olfactory bulb, mitral layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_main_olfactory_bulb_outer_plexiform_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mainOlfactoryBulbOuterPlexiformLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "244",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9AD2BD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mainOlfactoryBulbOuterPlexiformLayer",
    name="main olfactory bulb, outer plexiform layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_major_island_of_calleja = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_majorIslandOfCalleja",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "489",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_majorIslandOfCalleja",
    name="major island of Calleja",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mammillary_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mammillaryBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "331",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mammillaryBody",
    name="mammillary body",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mammillary_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mammillaryPeduncle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "673",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mammillaryPeduncle",
    name="mammillary peduncle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mammillary_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mammillaryRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "46",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mammillaryRelated",
    name="mammillary related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mammillotegmental_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mammillotegmentalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "681",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mammillotegmentalTract",
    name="mammillotegmental tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mammilothalmic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mammilothalmicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "690",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mammilothalmicTract",
    name="mammilothalmic tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "403",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialAmygdalarNucleus",
    name="medial amygdalar nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_amygdalar_nucleus_anterodorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialAmygdalarNucleusAnterodorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "411",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialAmygdalarNucleusAnterodorsalPart",
    name="medial amygdalar nucleus, anterodorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_amygdalar_nucleus_anteroventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialAmygdalarNucleusAnteroventralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "418",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialAmygdalarNucleusAnteroventralPart",
    name="medial amygdalar nucleus, anteroventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_amygdalar_nucleus_posterodorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialAmygdalarNucleusPosterodorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "426",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialAmygdalarNucleusPosterodorsalPart",
    name="medial amygdalar nucleus, posterodorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_amygdalar_nucleus_posterodorsal_part_sublayer_a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialAmygdalarNucleusPosterodorsalPartSublayerA",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "472",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialAmygdalarNucleusPosterodorsalPartSublayerA",
    name="medial amygdalar nucleus, posterodorsal part, sublayer a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_amygdalar_nucleus_posterodorsal_part_sublayer_b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialAmygdalarNucleusPosterodorsalPartSublayerB",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialAmygdalarNucleusPosterodorsalPartSublayerB",
    name="medial amygdalar nucleus, posterodorsal part, sublayer b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_amygdalar_nucleus_posterodorsal_part_sublayer_c = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialAmygdalarNucleusPosterodorsalPartSublayerC",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "487",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialAmygdalarNucleusPosterodorsalPartSublayerC",
    name="medial amygdalar nucleus, posterodorsal part, sublayer c",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_amygdalar_nucleus_posteroventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialAmygdalarNucleusPosteroventralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "435",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialAmygdalarNucleusPosteroventralPart",
    name="medial amygdalar nucleus, posteroventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_corticohypothalmic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialCorticohypothalmicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "428",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialCorticohypothalmicTract",
    name="medial corticohypothalmic tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_forebrain_bundle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialForebrainBundle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "54",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialForebrainBundle",
    name="medial forebrain bundle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_forebrain_bundle_system = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialForebrainBundleSystem",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "991",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialForebrainBundleSystem",
    name="medial forebrain bundle system",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_geniculate_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialGeniculateComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "475",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialGeniculateComplex",
    name="medial geniculate complex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_geniculate_complex_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialGeniculateComplexDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1072",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialGeniculateComplexDorsalPart",
    name="medial geniculate complex, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_geniculate_complex_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialGeniculateComplexMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1088",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialGeniculateComplexMedialPart",
    name="medial geniculate complex, medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_geniculate_complex_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialGeniculateComplexVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1079",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialGeniculateComplexVentralPart",
    name="medial geniculate complex, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_group_of_the_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialGroupOfTheDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "444",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialGroupOfTheDorsalThalamus",
    name="medial group of the dorsal thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_habenula = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialHabenula",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "483",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialHabenula",
    name="medial habenula",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_lemniscus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialLemniscus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "697",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialLemniscus",
    name="medial lemniscus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_longitudinal_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialLongitudinalFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "62",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialLongitudinalFascicle",
    name="medial longitudinal fascicle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_mammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialMammillaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "491",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialMammillaryNucleus",
    name="medial mammillary nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_mammillary_nucleus_median_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialMammillaryNucleusMedianPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "732",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialMammillaryNucleusMedianPart",
    name="medial mammillary nucleus, median part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_preoptic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialPreopticArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "523",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialPreopticArea",
    name="medial preoptic area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "515",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialPreopticNucleus",
    name="medial preoptic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_preoptic_nucleus_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialPreopticNucleusCentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "740",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialPreopticNucleusCentralPart",
    name="medial preoptic nucleus, central part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_preoptic_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialPreopticNucleusLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "748",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialPreopticNucleusLateralPart",
    name="medial preoptic nucleus, lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_preoptic_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialPreopticNucleusMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "756",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialPreopticNucleusMedialPart",
    name="medial preoptic nucleus, medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_pretectal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialPretectalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "531",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialPretectalArea",
    name="medial pretectal area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_septal_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialSeptalComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "904",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#96A7D3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialSeptalComplex",
    name="medial septal complex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_septal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialSeptalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "564",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#96A7D3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialSeptalNucleus",
    name="medial septal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_terminal_nucleus_of_the_accessory_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialTerminalNucleusOfTheAccessoryOpticTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "58",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialTerminalNucleusOfTheAccessoryOpticTract",
    name="medial terminal nucleus of the accessory optic tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_vestibular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialVestibularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "202",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialVestibularNucleus",
    name="medial vestibular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149314",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialVisualArea",
    name="medial visual area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149318",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialVisualAreaLayer1",
    name="medial visual area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149322",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialVisualAreaLayer2-3",
    name="medial visual area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149326",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialVisualAreaLayer4",
    name="medial visual area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149334",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialVisualAreaLayer6a",
    name="medial visual area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149338",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialVisualAreaLayer6b",
    name="medial visual area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_visual_arealayer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialVisualArealayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149330",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialVisualArealayer5",
    name="medial visual area,layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_median_eminence = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medianEminence",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10671",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medianEminence",
    name="median eminence",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_median_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medianPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "452",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medianPreopticNucleus",
    name="median preoptic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediodorsal_nucleus_of_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediodorsalNucleusOfThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "362",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediodorsalNucleusOfThalamus",
    name="mediodorsal nucleus of thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediodorsal_nucleus_of_the_thalamus_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediodorsalNucleusOfTheThalamusCentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "617",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediodorsalNucleusOfTheThalamusCentralPart",
    name="mediodorsal nucleus of the thalamus, central part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediodorsal_nucleus_of_the_thalamus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediodorsalNucleusOfTheThalamusLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "626",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediodorsalNucleusOfTheThalamusLateralPart",
    name="mediodorsal nucleus of the thalamus, lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediodorsal_nucleus_of_the_thalamus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediodorsalNucleusOfTheThalamusMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "636",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediodorsalNucleusOfTheThalamusMedialPart",
    name="mediodorsal nucleus of the thalamus, medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_anterior_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialAnteriorVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149258",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialAnteriorVisualArea",
    name="mediomedial anterior visual area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_anterior_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialAnteriorVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149262",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialAnteriorVisualAreaLayer1",
    name="mediomedial anterior visual area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_anterior_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialAnteriorVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149266",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialAnteriorVisualAreaLayer2-3",
    name="mediomedial anterior visual area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_anterior_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialAnteriorVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149270",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialAnteriorVisualAreaLayer4",
    name="mediomedial anterior visual area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_anterior_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialAnteriorVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149278",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialAnteriorVisualAreaLayer6a",
    name="mediomedial anterior visual area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_anterior_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialAnteriorVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149282",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialAnteriorVisualAreaLayer6b",
    name="mediomedial anterior visual area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_anterior_visual_arealayer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialAnteriorVisualArealayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149274",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialAnteriorVisualArealayer5",
    name="mediomedial anterior visual area,layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_posterior_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialPosteriorVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149286",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialPosteriorVisualArea",
    name="mediomedial posterior visual area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_posterior_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialPosteriorVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149290",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialPosteriorVisualAreaLayer1",
    name="mediomedial posterior visual area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_posterior_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialPosteriorVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149294",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialPosteriorVisualAreaLayer2-3",
    name="mediomedial posterior visual area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_posterior_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialPosteriorVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149298",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialPosteriorVisualAreaLayer4",
    name="mediomedial posterior visual area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_posterior_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialPosteriorVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149306",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialPosteriorVisualAreaLayer6a",
    name="mediomedial posterior visual area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_posterior_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialPosteriorVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149310",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialPosteriorVisualAreaLayer6b",
    name="mediomedial posterior visual area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_posterior_visual_arealayer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialPosteriorVisualArealayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149302",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialPosteriorVisualArealayer5",
    name="mediomedial posterior visual area,layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medulla = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medulla",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "354",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF9BCD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medulla",
    name="medulla",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medulla_behavioral_state_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medullaBehavioralStateRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "379",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC6E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medullaBehavioralStateRelated",
    name="medulla, behavioral state related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medulla_motor_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medullaMotorRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "370",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medullaMotorRelated",
    name="medulla, motor related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medulla_sensory_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medullaSensoryRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "386",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medullaSensoryRelated",
    name="medulla, sensory related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medullary_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medullaryReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "395",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medullaryReticularNucleus",
    name="medullary reticular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medullary_reticular_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medullaryReticularNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1098",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medullaryReticularNucleusDorsalPart",
    name="medullary reticular nucleus, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medullary_reticular_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medullaryReticularNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1107",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medullaryReticularNucleusVentralPart",
    name="medullary reticular nucleus, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midbrain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrain",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "313",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF64FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midbrain",
    name="midbrain",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midbrain_behavioral_state_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainBehavioralStateRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "348",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midbrainBehavioralStateRelated",
    name="midbrain, behavioral state related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midbrain_motor_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainMotorRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "323",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midbrainMotorRelated",
    name="midbrain, motor related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midbrain_raphe_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainRapheNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "165",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midbrainRapheNuclei",
    name="midbrain raphe nuclei",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midbrain_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "70",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midbrainRelated",
    name="midbrain related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midbrain_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "128",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midbrainReticularNucleus",
    name="midbrain reticular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midbrain_reticular_nucleus_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainReticularNucleusMagnocellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "539",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midbrainReticularNucleusMagnocellularPart",
    name="midbrain reticular nucleus, magnocellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midbrain_reticular_nucleus_magnocellular_part_general = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainReticularNucleusMagnocellularPartGeneral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "548",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midbrainReticularNucleusMagnocellularPartGeneral",
    name="midbrain reticular nucleus, magnocellular part, general",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midbrain_reticular_nucleus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainReticularNucleusParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "555",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midbrainReticularNucleusParvicellularPart",
    name="midbrain reticular nucleus, parvicellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midbrain_reticular_nucleus_retrorubral_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainReticularNucleusRetrorubralArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "246",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midbrainReticularNucleusRetrorubralArea",
    name="midbrain reticular nucleus, retrorubral area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midbrain_sensory_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainSensoryRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "339",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midbrainSensoryRelated",
    name="midbrain, sensory related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midbrain_tract_of_the_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainTractOfTheTrigeminalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "705",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midbrainTractOfTheTrigeminalNerve",
    name="midbrain tract of the trigeminal nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midbrain_trigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainTrigeminalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "460",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midbrainTrigeminalNucleus",
    name="midbrain trigeminal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_middle_cerebellar_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_middleCerebellarPeduncle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "78",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_middleCerebellarPeduncle",
    name="middle cerebellar peduncle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_middle_thalamic_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_middleThalamicCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "86",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_middleThalamicCommissure",
    name="middle thalamic commissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midline_group_of_the_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midlineGroupOfTheDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "571",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midlineGroupOfTheDorsalThalamus",
    name="midline group of the dorsal thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_motor_nucleus_of_trigeminal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_motorNucleusOfTrigeminal",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "621",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_motorNucleusOfTrigeminal",
    name="motor nucleus of trigeminal",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_motor_root_of_the_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_motorRootOfTheTrigeminalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "93",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_motorRootOfTheTrigeminalNerve",
    name="motor root of the trigeminal nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nigrostriatal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nigrostriatalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "102",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nigrostriatalTract",
    name="nigrostriatal tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nigrothalamic_fibers = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nigrothalamicFibers",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "109",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nigrothalamicFibers",
    name="nigrothalamic fibers",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nodular_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nodularFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "18",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nodularFissure",
    name="nodular fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nodulus_x = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nodulusX",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "968",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nodulusX",
    name="nodulus (X)",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nodulus_x_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nodulusXGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10735",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nodulusXGranularLayer",
    name="nodulus (X), granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nodulus_x_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nodulusXMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10737",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nodulusXMolecularLayer",
    name="nodulus (X), molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nodulus_x_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nodulusXPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10736",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nodulusXPurkinjeLayer",
    name="nodulus (X), Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_accumbens = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusAccumbens",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "56",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusAccumbens",
    name="nucleus accumbens",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_ambiguus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusAmbiguus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "135",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusAmbiguus",
    name="nucleus ambiguus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_ambiguus_dorsal_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusAmbiguusDorsalDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "939",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusAmbiguusDorsalDivision",
    name="nucleus ambiguus, dorsal division",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_ambiguus_ventral_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusAmbiguusVentralDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "143",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusAmbiguusVentralDivision",
    name="nucleus ambiguus, ventral division",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_circularis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusCircularis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "432",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusCircularis",
    name="nucleus circularis",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_incertus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusIncertus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "604",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusIncertus",
    name="nucleus incertus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_intercalatus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusIntercalatus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "161",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusIntercalatus",
    name="nucleus intercalatus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_darkschewitsch = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfDarkschewitsch",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "587",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfDarkschewitsch",
    name="nucleus of Darkschewitsch",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_reunions = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfReunions",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "181",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfReunions",
    name="nucleus of reunions",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_roller = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfRoller",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "177",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfRoller",
    name="nucleus of Roller",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_brachium_of_the_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheBrachiumOfTheInferiorColliculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "580",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheBrachiumOfTheInferiorColliculus",
    name="nucleus of the brachium of the inferior colliculus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_lateral_lemniscus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheLateralLemniscus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "612",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheLateralLemniscus",
    name="nucleus of the lateral lemniscus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_lateral_lemniscus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheLateralLemniscusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "82",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheLateralLemniscusDorsalPart",
    name="nucleus of the lateral lemniscus, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_lateral_lemniscus_horizontal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheLateralLemniscusHorizontalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "90",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheLateralLemniscusHorizontalPart",
    name="nucleus of the lateral lemniscus, horizontal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_lateral_lemniscus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheLateralLemniscusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "99",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheLateralLemniscusVentralPart",
    name="nucleus of the lateral lemniscus, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_lateral_olfactory_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheLateralOlfactoryTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "619",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#95E4C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheLateralOlfactoryTract",
    name="nucleus of the lateral olfactory tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_lateral_olfactory_tract_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheLateralOlfactoryTractLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1139",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#95E4C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheLateralOlfactoryTractLayer3",
    name="nucleus of the lateral olfactory tract, layer 3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_lateral_olfactory_tract_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheLateralOlfactoryTractLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "392",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#95E4C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheLateralOlfactoryTractLayers13",
    name="nucleus of the lateral olfactory tract, layers 1-3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_lateral_olfactory_tract_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheLateralOlfactoryTractMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "260",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#95E4C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheLateralOlfactoryTractMolecularLayer",
    name="nucleus of the lateral olfactory tract, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_lateral_olfactory_tract_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheLateralOlfactoryTractPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "268",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#95E4C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheLateralOlfactoryTractPyramidalLayer",
    name="nucleus of the lateral olfactory tract, pyramidal layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheOpticTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "628",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheOpticTract",
    name="nucleus of the optic tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_posterior_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfThePosteriorCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "634",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfThePosteriorCommissure",
    name="nucleus of the posterior commissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_solitary_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheSolitaryTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "651",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheSolitaryTract",
    name="nucleus of the solitary tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_solitary_tract_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheSolitaryTractCentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "659",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheSolitaryTractCentralPart",
    name="nucleus of the solitary tract, central part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_solitary_tract_commissural_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheSolitaryTractCommissuralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "666",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheSolitaryTractCommissuralPart",
    name="nucleus of the solitary tract, commissural part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_solitary_tract_gelatinous_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheSolitaryTractGelatinousPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "674",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheSolitaryTractGelatinousPart",
    name="nucleus of the solitary tract, gelatinous part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_solitary_tract_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheSolitaryTractLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "682",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheSolitaryTractLateralPart",
    name="nucleus of the solitary tract, lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_solitary_tract_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheSolitaryTractMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "691",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheSolitaryTractMedialPart",
    name="nucleus of the solitary tract, medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_trapezoid_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheTrapezoidBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "642",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheTrapezoidBody",
    name="nucleus of the trapezoid body",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_prepositus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusPrepositus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "169",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusPrepositus",
    name="nucleus prepositus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_raphe_magnus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusRapheMagnus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "206",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC6E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusRapheMagnus",
    name="nucleus raphe magnus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_raphe_obscurus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusRapheObscurus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "222",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC6E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusRapheObscurus",
    name="nucleus raphe obscurus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_raphe_pallidus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusRaphePallidus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "230",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC6E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusRaphePallidus",
    name="nucleus raphe pallidus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_raphe_pontis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusRaphePontis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "238",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusRaphePontis",
    name="nucleus raphe pontis",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_sagulum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusSagulum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "271",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusSagulum",
    name="nucleus sagulum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_x = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusX",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "765",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusX",
    name="nucleus x",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_y = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusY",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "781",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusY",
    name="nucleus y",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_z = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusZ",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "789",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusZ",
    name="nucleus z",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_oculomotor_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_oculomotorNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "832",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_oculomotorNerve",
    name="oculomotor nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_oculomotor_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_oculomotorNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "35",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_oculomotorNucleus",
    name="oculomotor nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_olfactory_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olfactoryAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "698",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9AD2BD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_olfactoryAreas",
    name="olfactory areas",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_olfactory_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olfactoryNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "840",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_olfactoryNerve",
    name="olfactory nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_olfactory_nerve_layer_of_main_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olfactoryNerveLayerOfMainOlfactoryBulb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1016",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_olfactoryNerveLayerOfMainOlfactoryBulb",
    name="olfactory nerve layer of main olfactory bulb",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_olfactory_tubercle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olfactoryTubercle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "754",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_olfactoryTubercle",
    name="olfactory tubercle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_olfactory_tubercle_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olfactoryTubercleLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "144",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_olfactoryTubercleLayers13",
    name="olfactory tubercle, layers 1-3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_olfactory_tubercle_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olfactoryTubercleMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "458",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_olfactoryTubercleMolecularLayer",
    name="olfactory tubercle, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_olfactory_tubercle_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olfactoryTuberclePolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "473",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_olfactoryTuberclePolymorphLayer",
    name="olfactory tubercle, polymorph layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_olfactory_tubercle_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olfactoryTuberclePyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "465",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_olfactoryTuberclePyramidalLayer",
    name="olfactory tubercle, pyramidal layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_olivary_pretectal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olivaryPretectalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "706",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_olivaryPretectalNucleus",
    name="olivary pretectal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_olivocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olivocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "404",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_olivocerebellarTract",
    name="olivocerebellar tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_optic_chiasm = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_opticChiasm",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "117",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_opticChiasm",
    name="optic chiasm",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_optic_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_opticNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "848",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_opticNerve",
    name="optic nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_optic_radiation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_opticRadiation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682520",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_opticRadiation",
    name="optic radiation",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_opticTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "125",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_opticTract",
    name="optic tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "714",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalArea",
    name="orbital area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "723",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaLateralPart",
    name="orbital area, lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_lateral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLateralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "448",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaLateralPartLayer1",
    name="orbital area, lateral part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_lateral_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLateralPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "412",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaLateralPartLayer2-3",
    name="orbital area, lateral part, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_lateral_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLateralPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "630",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaLateralPartLayer5",
    name="orbital area, lateral part, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_lateral_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLateralPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "440",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaLateralPartLayer6a",
    name="orbital area, lateral part, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_lateral_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLateralPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "488",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaLateralPartLayer6b",
    name="orbital area, lateral part, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "264",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaLayer1",
    name="orbital area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "492",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaLayer2-3",
    name="orbital area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "352",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaLayer5",
    name="orbital area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "476",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaLayer6a",
    name="orbital area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "516",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaLayer6b",
    name="orbital area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "731",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaMedialPart",
    name="orbital area, medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_medial_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaMedialPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaMedialPartLayer1",
    name="orbital area, medial part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_medial_part_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaMedialPartLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "524",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaMedialPartLayer2",
    name="orbital area, medial part, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_medial_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaMedialPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "582",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaMedialPartLayer2-3",
    name="orbital area, medial part, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_medial_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaMedialPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "620",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaMedialPartLayer5",
    name="orbital area, medial part, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_medial_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaMedialPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "910",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaMedialPartLayer6a",
    name="orbital area, medial part, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "738",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaVentralPart",
    name="orbital area, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_ventrolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaVentrolateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "746",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaVentrolateralPart",
    name="orbital area, ventrolateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_ventrolateral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaVentrolateralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "969",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaVentrolateralPartLayer1",
    name="orbital area, ventrolateral part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_ventrolateral_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaVentrolateralPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "288",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaVentrolateralPartLayer2-3",
    name="orbital area, ventrolateral part, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_ventrolateral_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaVentrolateralPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1125",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaVentrolateralPartLayer5",
    name="orbital area, ventrolateral part, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_ventrolateral_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaVentrolateralPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "608",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaVentrolateralPartLayer6a",
    name="orbital area, ventrolateral part, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_ventrolateral_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaVentrolateralPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "680",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaVentrolateralPartLayer6b",
    name="orbital area, ventrolateral part, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pallidotegmental_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pallidotegmentalFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "134",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pallidotegmentalFascicle",
    name="pallidotegmental fascicle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pallidothalmic_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pallidothalmicPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "142",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pallidothalmicPathway",
    name="pallidothalmic pathway",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pallidum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pallidum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "803",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8599CC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pallidum",
    name="pallidum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pallidum_caudal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pallidumCaudalRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "809",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pallidumCaudalRegion",
    name="pallidum, caudal region",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pallidum_dorsal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pallidumDorsalRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "818",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8599CC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pallidumDorsalRegion",
    name="pallidum, dorsal region",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pallidum_medial_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pallidumMedialRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "826",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#96A7D3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pallidumMedialRegion",
    name="pallidum, medial region",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pallidum_ventral_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pallidumVentralRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "835",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A2B1D8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pallidumVentralRegion",
    name="pallidum, ventral region",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parabigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabigeminalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "874",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parabigeminalNucleus",
    name="parabigeminal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parabrachial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "867",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parabrachialNucleus",
    name="parabrachial nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parabrachial_nucleus_lateral_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusLateralDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "881",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parabrachialNucleusLateralDivision",
    name="parabrachial nucleus, lateral division",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parabrachial_nucleus_lateral_division_central_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusLateralDivisionCentralLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "860",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parabrachialNucleusLateralDivisionCentralLateralPart",
    name="parabrachial nucleus, lateral division, central lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parabrachial_nucleus_lateral_division_dorsal_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusLateralDivisionDorsalLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "868",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parabrachialNucleusLateralDivisionDorsalLateralPart",
    name="parabrachial nucleus, lateral division, dorsal lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parabrachial_nucleus_lateral_division_external_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusLateralDivisionExternalLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "875",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parabrachialNucleusLateralDivisionExternalLateralPart",
    name="parabrachial nucleus, lateral division, external lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parabrachial_nucleus_lateral_division_superior_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusLateralDivisionSuperiorLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "883",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parabrachialNucleusLateralDivisionSuperiorLateralPart",
    name="parabrachial nucleus, lateral division, superior lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parabrachial_nucleus_lateral_division_ventral_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusLateralDivisionVentralLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "891",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parabrachialNucleusLateralDivisionVentralLateralPart",
    name="parabrachial nucleus, lateral division, ventral lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parabrachial_nucleus_medial_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusMedialDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "890",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parabrachialNucleusMedialDivision",
    name="parabrachial nucleus, medial division",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parabrachial_nucleus_medial_division_external_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusMedialDivisionExternalMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "899",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parabrachialNucleusMedialDivisionExternalMedialPart",
    name="parabrachial nucleus, medial division, external medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parabrachial_nucleus_medial_division_medial_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusMedialDivisionMedialMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "915",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parabrachialNucleusMedialDivisionMedialMedialPart",
    name="parabrachial nucleus, medial division, medial medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parabrachial_nucleus_medial_division_ventral_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusMedialDivisionVentralMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "923",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parabrachialNucleusMedialDivisionVentralMedialPart",
    name="parabrachial nucleus, medial division, ventral medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paracentral_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paracentralNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "907",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paracentralNucleus",
    name="paracentral nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parafascicular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parafascicularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "930",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parafascicularNucleus",
    name="parafascicular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parafloccular_sulcus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parafloccularSulcus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "65",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parafloccularSulcus",
    name="parafloccular sulcus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraflocculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraflocculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1041",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraflocculus",
    name="paraflocculus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraflocculus_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraflocculusGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10687",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraflocculusGranularLayer",
    name="paraflocculus, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraflocculus_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraflocculusMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10689",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraflocculusMolecularLayer",
    name="paraflocculus, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraflocculus_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraflocculusPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10688",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraflocculusPurkinjeLayer",
    name="paraflocculus, Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paragigantocellular_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paragigantocellularReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "938",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paragigantocellularReticularNucleus",
    name="paragigantocellular reticular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paragigantocellular_reticular_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paragigantocellularReticularNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "970",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paragigantocellularReticularNucleusDorsalPart",
    name="paragigantocellular reticular nucleus, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paragigantocellular_reticular_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paragigantocellularReticularNucleusLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "978",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paragigantocellularReticularNucleusLateralPart",
    name="paragigantocellular reticular nucleus, lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paramedian_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paramedianLobule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1025",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paramedianLobule",
    name="paramedian lobule",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paramedian_lobule_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paramedianLobuleGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10681",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paramedianLobuleGranularLayer",
    name="paramedian lobule, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paramedian_lobule_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paramedianLobuleMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10683",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paramedianLobuleMolecularLayer",
    name="paramedian lobule, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paramedian_lobule_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paramedianLobulePurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10682",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paramedianLobulePurkinjeLayer",
    name="paramedian lobule, Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paramedian_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paramedianReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "995",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paramedianReticularNucleus",
    name="paramedian reticular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paramedian_sulcus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paramedianSulcus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "57",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paramedianSulcus",
    name="paramedian sulcus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parapyramidal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parapyramidalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1069",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parapyramidalNucleus",
    name="parapyramidal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parapyramidal_nucleus_deep_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parapyramidalNucleusDeepPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "185",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parapyramidalNucleusDeepPart",
    name="parapyramidal nucleus, deep part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parapyramidal_nucleus_superficial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parapyramidalNucleusSuperficialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "193",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parapyramidalNucleusSuperficialPart",
    name="parapyramidal nucleus, superficial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parasolitary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parasolitaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "859",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parasolitaryNucleus",
    name="parasolitary nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parastrial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parastrialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1109",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parastrialNucleus",
    name="parastrial nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parasubiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parasubiculum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "843",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#72D569"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parasubiculum",
    name="parasubiculum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parasubiculum_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parasubiculumLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10693",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#72D569"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parasubiculumLayer1",
    name="parasubiculum, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parasubiculum_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parasubiculumLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10694",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#72D569"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parasubiculumLayer2",
    name="parasubiculum, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parasubiculum_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parasubiculumLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10695",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#72D569"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parasubiculumLayer3",
    name="parasubiculum, layer 3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parasubthalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parasubthalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "364",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parasubthalamicNucleus",
    name="parasubthalamic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parataenial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parataenialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "15",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parataenialNucleus",
    name="parataenial nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "38",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleus",
    name="paraventricular hypothalamic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_descending_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusDescendingDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "63",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusDescendingDivision",
    name="paraventricular hypothalamic nucleus, descending division",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_descending_division_dorsal_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusDescendingDivisionDorsalParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "439",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusDescendingDivisionDorsalParvicellularPart",
    name="paraventricular hypothalamic nucleus, descending division, dorsal parvicellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_descending_division_forniceal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusDescendingDivisionFornicealPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "447",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusDescendingDivisionFornicealPart",
    name="paraventricular hypothalamic nucleus, descending division, forniceal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_descending_division_lateral_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusDescendingDivisionLateralParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "455",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusDescendingDivisionLateralParvicellularPart",
    name="paraventricular hypothalamic nucleus, descending division, lateral parvicellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_descending_division_medial_parvicellular_part_ventral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusDescendingDivisionMedialParvicellularPartVentralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "464",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusDescendingDivisionMedialParvicellularPartVentralZone",
    name="paraventricular hypothalamic nucleus, descending division, medial parvicellular part, ventral zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_magnocellular_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "71",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivision",
    name="paraventricular hypothalamic nucleus, magnocellular division",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_magnocellular_division_anterior_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivisionAnteriorMagnocellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "47",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivisionAnteriorMagnocellularPart",
    name="paraventricular hypothalamic nucleus, magnocellular division, anterior magnocellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_magnocellular_division_medial_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivisionMedialMagnocellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "79",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivisionMedialMagnocellularPart",
    name="paraventricular hypothalamic nucleus, magnocellular division, medial magnocellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_magnocellular_division_posterior_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "103",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPart",
    name="paraventricular hypothalamic nucleus, magnocellular division, posterior magnocellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_magnocellular_division_posterior_magnocellular_part_lateral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPartLateralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "652",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPartLateralZone",
    name="paraventricular hypothalamic nucleus, magnocellular division, posterior magnocellular part, lateral zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_magnocellular_division_posterior_magnocellular_part_medial_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPartMedialZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "660",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPartMedialZone",
    name="paraventricular hypothalamic nucleus, magnocellular division, posterior magnocellular part, medial zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_parvicellular_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusParvicellularDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "94",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusParvicellularDivision",
    name="paraventricular hypothalamic nucleus, parvicellular division",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_parvicellular_division_anterior_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusParvicellularDivisionAnteriorParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "55",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusParvicellularDivisionAnteriorParvicellularPart",
    name="paraventricular hypothalamic nucleus, parvicellular division, anterior parvicellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_parvicellular_division_medial_parvicellular_part_dorsal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusParvicellularDivisionMedialParvicellularPartDorsalZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "87",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusParvicellularDivisionMedialParvicellularPartDorsalZone",
    name="paraventricular hypothalamic nucleus, parvicellular division, medial parvicellular part, dorsal zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_parvicellular_division_periventricular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusParvicellularDivisionPeriventricularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "110",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusParvicellularDivisionPeriventricularPart",
    name="paraventricular hypothalamic nucleus, parvicellular division, periventricular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "149",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularNucleusOfTheThalamus",
    name="paraventricular nucleus of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parvicellular_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parvicellularReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "852",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parvicellularReticularNucleus",
    name="parvicellular reticular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pedunculopontine_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pedunculopontineNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1052",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pedunculopontineNucleus",
    name="pedunculopontine nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_perforant_path = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_perforantPath",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "713",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_perforantPath",
    name="perforant path",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_periaqueductal_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_periaqueductalGray",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "795",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_periaqueductalGray",
    name="periaqueductal gray",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_perihypoglossal_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_perihypoglossalNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "154",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_perihypoglossalNuclei",
    name="perihypoglossal nuclei",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_peripeduncular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_peripeduncularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1044",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_peripeduncularNucleus",
    name="peripeduncular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_perireunensis_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_perireunensisNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1077",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_perireunensisNucleus",
    name="perireunensis nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_perirhinal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_perirhinalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "922",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0E9684"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_perirhinalArea",
    name="perirhinal area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_perirhinal_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_perirhinalAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "540",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0E9684"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_perirhinalAreaLayer1",
    name="perirhinal area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_perirhinal_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_perirhinalAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "888",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0E9684"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_perirhinalAreaLayer2-3",
    name="perirhinal area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_perirhinal_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_perirhinalAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "692",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0E9684"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_perirhinalAreaLayer5",
    name="perirhinal area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_perirhinal_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_perirhinalAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "335",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0E9684"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_perirhinalAreaLayer6a",
    name="perirhinal area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_perirhinal_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_perirhinalAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "368",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0E9684"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_perirhinalAreaLayer6b",
    name="perirhinal area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_periventricular_bundle_of_the_hypothalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_periventricularBundleOfTheHypothalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "150",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_periventricularBundleOfTheHypothalamus",
    name="periventricular bundle of the hypothalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_periventricular_bundle_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_periventricularBundleOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "722",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_periventricularBundleOfTheThalamus",
    name="periventricular bundle of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_periventricular_hypothalamic_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_periventricularHypothalamicNucleusAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "30",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_periventricularHypothalamicNucleusAnteriorPart",
    name="periventricular hypothalamic nucleus, anterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_periventricular_hypothalamic_nucleus_intermediate_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_periventricularHypothalamicNucleusIntermediatePart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "118",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_periventricularHypothalamicNucleusIntermediatePart",
    name="periventricular hypothalamic nucleus, intermediate part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_periventricular_hypothalamic_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_periventricularHypothalamicNucleusPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "126",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_periventricularHypothalamicNucleusPosteriorPart",
    name="periventricular hypothalamic nucleus, posterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_periventricular_hypothalamic_nucleus_preoptic_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_periventricularHypothalamicNucleusPreopticPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "133",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_periventricularHypothalamicNucleusPreopticPart",
    name="periventricular hypothalamic nucleus, preoptic part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_periventricular_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_periventricularRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "141",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_periventricularRegion",
    name="periventricular region",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_periventricular_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_periventricularZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "157",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_periventricularZone",
    name="periventricular zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pineal_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pinealBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "953",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pinealBody",
    name="pineal body",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pineal_stalk = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pinealStalk",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "730",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pinealStalk",
    name="pineal stalk",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_piriform_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "961",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#6ACBBA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_piriformArea",
    name="piriform area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_piriform_area_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformAreaLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "152",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#6ACBBA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_piriformAreaLayers13",
    name="piriform area, layers 1-3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_piriform_area_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformAreaMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "276",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#6ACBBA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_piriformAreaMolecularLayer",
    name="piriform area, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_piriform_area_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformAreaPolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "291",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#6ACBBA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_piriformAreaPolymorphLayer",
    name="piriform area, polymorph layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_piriform_area_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformAreaPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "284",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#6ACBBA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_piriformAreaPyramidalLayer",
    name="piriform area, pyramidal layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_piriformamygdalar_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformamygdalarArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "788",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59DAAB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_piriformamygdalarArea",
    name="piriform-amygdalar area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_piriformamygdalar_area_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformamygdalarAreaLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "400",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59DAAB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_piriformamygdalarAreaLayers13",
    name="piriform-amygdalar area, layers 1-3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_piriformamygdalar_area_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformamygdalarAreaMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "408",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59DAAB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_piriformamygdalarAreaMolecularLayer",
    name="piriform-amygdalar area, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_piriformamygdalar_area_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformamygdalarAreaPolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "424",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59DAAB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_piriformamygdalarAreaPolymorphLayer",
    name="piriform-amygdalar area, polymorph layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_piriformamygdalar_area_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformamygdalarAreaPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "416",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59DAAB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_piriformamygdalarAreaPyramidalLayer",
    name="piriform-amygdalar area, pyramidal layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pons = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pons",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "771",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF9B88"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pons",
    name="pons",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pons_behavioral_state_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ponsBehavioralStateRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1117",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ponsBehavioralStateRelated",
    name="pons, behavioral state related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pons_motor_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ponsMotorRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "987",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ponsMotorRelated",
    name="pons, motor related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pons_sensory_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ponsSensoryRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1132",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ponsSensoryRelated",
    name="pons, sensory related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pontine_central_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pontineCentralGray",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "898",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pontineCentralGray",
    name="pontine central gray",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pontine_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pontineGray",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "931",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pontineGray",
    name="pontine gray",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pontine_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pontineReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "146",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pontineReticularNucleus",
    name="pontine reticular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pontine_reticular_nucleus_caudal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pontineReticularNucleusCaudalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1093",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pontineReticularNucleusCaudalPart",
    name="pontine reticular nucleus, caudal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pontine_reticular_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pontineReticularNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "552",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pontineReticularNucleusVentralPart",
    name="pontine reticular nucleus, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postcommissural_fornix = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postcommissuralFornix",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "737",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postcommissuralFornix",
    name="postcommissural fornix",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "780",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#97EC93"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorAmygdalarNucleus",
    name="posterior amygdalar nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_auditory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorAuditoryArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1027",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorAuditoryArea",
    name="posterior auditory area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_auditory_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorAuditoryAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "696",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorAuditoryAreaLayer1",
    name="posterior auditory area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_auditory_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorAuditoryAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "643",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorAuditoryAreaLayer2-3",
    name="posterior auditory area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_auditory_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorAuditoryAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "759",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorAuditoryAreaLayer4",
    name="posterior auditory area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_auditory_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorAuditoryAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "791",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorAuditoryAreaLayer5",
    name="posterior auditory area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_auditory_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorAuditoryAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "249",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorAuditoryAreaLayer6a",
    name="posterior auditory area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_auditory_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorAuditoryAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "456",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorAuditoryAreaLayer6b",
    name="posterior auditory area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "158",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorCommissure",
    name="posterior commissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_complex_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorComplexOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1020",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorComplexOfTheThalamus",
    name="posterior complex of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorHypothalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "946",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorHypothalamicNucleus",
    name="posterior hypothalamic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_limiting_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorLimitingNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1029",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorLimitingNucleusOfTheThalamus",
    name="posterior limiting nucleus of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_parietal_association_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorParietalAssociationAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "22",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorParietalAssociationAreas",
    name="posterior parietal association areas",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_parietal_association_areas_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "532",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer1",
    name="posterior parietal association areas, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_parietal_association_areas_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "241",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer2-3",
    name="posterior parietal association areas, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_parietal_association_areas_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "635",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer4",
    name="posterior parietal association areas, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_parietal_association_areas_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "683",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer5",
    name="posterior parietal association areas, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_parietal_association_areas_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "308",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer6a",
    name="posterior parietal association areas, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_parietal_association_areas_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "340",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer6b",
    name="posterior parietal association areas, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_pretectal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorPretectalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1061",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorPretectalNucleus",
    name="posterior pretectal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_superior_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorSuperiorFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1112",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorSuperiorFissure",
    name="posterior superior fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterodorsal_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posterodorsalPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "914",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posterodorsalPreopticNucleus",
    name="posterodorsal preoptic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterolateral_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posterolateralFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "11",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posterolateralFissure",
    name="posterolateral fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterolateral_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posterolateralVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "425",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posterolateralVisualArea",
    name="posterolateral visual area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterolateral_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posterolateralVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "750",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posterolateralVisualAreaLayer1",
    name="posterolateral visual area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterolateral_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posterolateralVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "269",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posterolateralVisualAreaLayer2-3",
    name="posterolateral visual area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterolateral_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posterolateralVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "869",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posterolateralVisualAreaLayer4",
    name="posterolateral visual area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterolateral_visual_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posterolateralVisualAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "902",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posterolateralVisualAreaLayer5",
    name="posterolateral visual area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterolateral_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posterolateralVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "377",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posterolateralVisualAreaLayer6a",
    name="posterolateral visual area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterolateral_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posterolateralVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "393",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posterolateralVisualAreaLayer6b",
    name="posterolateral visual area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posteromedial_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteromedialVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "533",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteromedialVisualArea",
    name="posteromedial visual area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posteromedial_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteromedialVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "805",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteromedialVisualAreaLayer1",
    name="posteromedial visual area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posteromedial_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteromedialVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "41",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteromedialVisualAreaLayer2-3",
    name="posteromedial visual area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posteromedial_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteromedialVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "501",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteromedialVisualAreaLayer4",
    name="posteromedial visual area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posteromedial_visual_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteromedialVisualAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "565",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteromedialVisualAreaLayer5",
    name="posteromedial visual area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posteromedial_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteromedialVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "257",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteromedialVisualAreaLayer6a",
    name="posteromedial visual area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posteromedial_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteromedialVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "469",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteromedialVisualAreaLayer6b",
    name="posteromedial visual area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postpiriform_transition_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postpiriformTransitionArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "566",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A8ECD3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postpiriformTransitionArea",
    name="postpiriform transition area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postpiriform_transition_area_layers1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postpiriformTransitionAreaLayers1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1140",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A8ECD3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postpiriformTransitionAreaLayers1",
    name="postpiriform transition area, layers 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postpiriform_transition_area_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postpiriformTransitionAreaLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "517",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A8ECD3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postpiriformTransitionAreaLayers13",
    name="postpiriform transition area, layers 1-3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postpiriform_transition_area_layers2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postpiriformTransitionAreaLayers2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1141",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A8ECD3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postpiriformTransitionAreaLayers2",
    name="postpiriform transition area, layers 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postpiriform_transition_area_layers3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postpiriformTransitionAreaLayers3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1142",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A8ECD3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postpiriformTransitionAreaLayers3",
    name="postpiriform transition area, layers 3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postrhinal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postrhinalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782628",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postrhinalArea",
    name="postrhinal area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postrhinal_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postrhinalAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782632",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postrhinalAreaLayer1",
    name="postrhinal area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postrhinal_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postrhinalAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782636",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postrhinalAreaLayer2-3",
    name="postrhinal area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postrhinal_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postrhinalAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782640",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postrhinalAreaLayer4",
    name="postrhinal area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postrhinal_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postrhinalAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782644",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postrhinalAreaLayer5",
    name="postrhinal area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postrhinal_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postrhinalAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782648",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postrhinalAreaLayer6a",
    name="postrhinal area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postrhinal_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postrhinalAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782652",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postrhinalAreaLayer6b",
    name="postrhinal area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postsubiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postsubiculum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1037",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#48C83C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postsubiculum",
    name="postsubiculum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postsubiculum_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postsubiculumLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10696",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#48C83C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postsubiculumLayer1",
    name="postsubiculum, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postsubiculum_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postsubiculumLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10697",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#48C83C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postsubiculumLayer2",
    name="postsubiculum, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postsubiculum_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postsubiculumLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10698",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#48C83C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postsubiculumLayer3",
    name="postsubiculum, layer 3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_precentral_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_precentralFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1087",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_precentralFissure",
    name="precentral fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_precommissural_fornix_diagonal_band = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_precommissuralFornixDiagonalBand",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "420",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_precommissuralFornixDiagonalBand",
    name="precommissural fornix diagonal band",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_precommissural_fornix_general = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_precommissuralFornixGeneral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "745",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_precommissuralFornixGeneral",
    name="precommissural fornix, general",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_precommissural_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_precommissuralNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "50",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_precommissuralNucleus",
    name="precommissural nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_preculminate_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_preculminateFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1095",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_preculminateFissure",
    name="preculminate fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prelimbic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prelimbicArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "972",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prelimbicArea",
    name="prelimbic area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prelimbic_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prelimbicAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "171",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prelimbicAreaLayer1",
    name="prelimbic area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prelimbic_area_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prelimbicAreaLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "195",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prelimbicAreaLayer2",
    name="prelimbic area, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prelimbic_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prelimbicAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "304",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prelimbicAreaLayer2-3",
    name="prelimbic area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prelimbic_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prelimbicAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "363",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prelimbicAreaLayer5",
    name="prelimbic area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prelimbic_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prelimbicAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "84",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prelimbicAreaLayer6a",
    name="prelimbic area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prelimbic_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prelimbicAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "132",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prelimbicAreaLayer6b",
    name="prelimbic area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_premammillary_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_premammillaryCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "166",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_premammillaryCommissure",
    name="premammillary commissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_preoptic_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_preopticCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "174",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_preopticCommissure",
    name="preoptic commissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_preparasubthalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_preparasubthalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "356",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_preparasubthalamicNucleus",
    name="preparasubthalamic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prepyramidal_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prepyramidalFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1119",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prepyramidalFissure",
    name="prepyramidal fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_presubiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_presubiculum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1084",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B947"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_presubiculum",
    name="presubiculum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_presubiculum_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_presubiculumLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10699",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B947"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_presubiculumLayer1",
    name="presubiculum, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_presubiculum_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_presubiculumLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10700",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B947"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_presubiculumLayer2",
    name="presubiculum, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_presubiculum_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_presubiculumLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10701",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B947"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_presubiculumLayer3",
    name="presubiculum, layer 3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pretectal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pretectalRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1100",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pretectalRegion",
    name="pretectal region",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_auditory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryAuditoryArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1002",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryAuditoryArea",
    name="primary auditory area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_auditory_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryAuditoryAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "735",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryAuditoryAreaLayer1",
    name="primary auditory area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_auditory_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryAuditoryAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "251",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryAuditoryAreaLayer2-3",
    name="primary auditory area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_auditory_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryAuditoryAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "816",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryAuditoryAreaLayer4",
    name="primary auditory area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_auditory_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryAuditoryAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "847",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryAuditoryAreaLayer5",
    name="primary auditory area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_auditory_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryAuditoryAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "954",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryAuditoryAreaLayer6a",
    name="primary auditory area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_auditory_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryAuditoryAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1005",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryAuditoryAreaLayer6b",
    name="primary auditory area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1103",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryFissure",
    name="primary fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_motor_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryMotorArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "985",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryMotorArea",
    name="primary motor area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_motor_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryMotorAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "320",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryMotorAreaLayer1",
    name="primary motor area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_motor_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryMotorAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "943",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryMotorAreaLayer2-3",
    name="primary motor area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_motor_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryMotorAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "648",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryMotorAreaLayer5",
    name="primary motor area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_motor_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryMotorAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "844",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryMotorAreaLayer6a",
    name="primary motor area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_motor_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryMotorAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "882",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryMotorAreaLayer6b",
    name="primary motor area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "322",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryArea",
    name="primary somatosensory area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_barrel_field = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelField",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "329",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelField",
    name="primary somatosensory area, barrel field",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_barrel_field_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "981",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer1",
    name="primary somatosensory area, barrel field, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_barrel_field_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "201",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer2-3",
    name="primary somatosensory area, barrel field, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_barrel_field_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1047",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer4",
    name="primary somatosensory area, barrel field, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_barrel_field_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1070",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer5",
    name="primary somatosensory area, barrel field, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_barrel_field_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1038",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer6a",
    name="primary somatosensory area, barrel field, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_barrel_field_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1062",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer6b",
    name="primary somatosensory area, barrel field, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "793",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaLayer1",
    name="primary somatosensory area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "346",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaLayer2-3",
    name="primary somatosensory area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "865",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaLayer4",
    name="primary somatosensory area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "921",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaLayer5",
    name="primary somatosensory area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "686",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaLayer6a",
    name="primary somatosensory area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "719",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaLayer6b",
    name="primary somatosensory area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_lower_limb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "337",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimb",
    name="primary somatosensory area, lower limb",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_lower_limb_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1030",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer1",
    name="primary somatosensory area, lower limb, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_lower_limb_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "113",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer2-3",
    name="primary somatosensory area, lower limb, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_lower_limb_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1094",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer4",
    name="primary somatosensory area, lower limb, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_lower_limb_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1128",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer5",
    name="primary somatosensory area, lower limb, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_lower_limb_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "478",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer6a",
    name="primary somatosensory area, lower limb, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_lower_limb_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "510",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer6b",
    name="primary somatosensory area, lower limb, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_mouth = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaMouth",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "345",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaMouth",
    name="primary somatosensory area, mouth",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_mouth_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "878",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer1",
    name="primary somatosensory area, mouth, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_mouth_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "657",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer2-3",
    name="primary somatosensory area, mouth, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_mouth_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "950",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer4",
    name="primary somatosensory area, mouth, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_mouth_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "974",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer5",
    name="primary somatosensory area, mouth, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_mouth_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1102",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer6a",
    name="primary somatosensory area, mouth, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_mouth_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "2",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer6b",
    name="primary somatosensory area, mouth, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_nose = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaNose",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "353",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaNose",
    name="primary somatosensory area, nose",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_nose_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "558",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer1",
    name="primary somatosensory area, nose, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_nose_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "838",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer2-3",
    name="primary somatosensory area, nose, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_nose_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "654",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer4",
    name="primary somatosensory area, nose, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_nose_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "702",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer5",
    name="primary somatosensory area, nose, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_nose_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "889",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer6a",
    name="primary somatosensory area, nose, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_nose_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "929",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer6b",
    name="primary somatosensory area, nose, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_trunk = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaTrunk",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "361",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaTrunk",
    name="primary somatosensory area, trunk",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_trunk_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1006",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer1",
    name="primary somatosensory area, trunk, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_trunk_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "670",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer2-3",
    name="primary somatosensory area, trunk, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_trunk_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1086",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer4",
    name="primary somatosensory area, trunk, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_trunk_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1111",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer5",
    name="primary somatosensory area, trunk, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_trunk_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "9",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer6a",
    name="primary somatosensory area, trunk, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_trunk_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "461",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer6b",
    name="primary somatosensory area, trunk, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_unassigned = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUnassigned",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305689",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUnassigned",
    name="primary somatosensory area, unassigned",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_unassigned_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305693",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer1",
    name="primary somatosensory area, unassigned, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_unassigned_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305697",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer2-3",
    name="primary somatosensory area, unassigned, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_unassigned_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305701",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer4",
    name="primary somatosensory area, unassigned, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_unassigned_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305705",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer5",
    name="primary somatosensory area, unassigned, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_unassigned_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305709",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer6a",
    name="primary somatosensory area, unassigned, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_unassigned_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305713",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer6b",
    name="primary somatosensory area, unassigned, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_upper_limb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "369",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimb",
    name="primary somatosensory area, upper limb",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_upper_limb_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "450",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer1",
    name="primary somatosensory area, upper limb, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_upper_limb_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "854",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer2-3",
    name="primary somatosensory area, upper limb, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_upper_limb_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "577",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer4",
    name="primary somatosensory area, upper limb, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_upper_limb_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "625",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer5",
    name="primary somatosensory area, upper limb, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_upper_limb_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "945",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer6a",
    name="primary somatosensory area, upper limb, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_upper_limb_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1026",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer6b",
    name="primary somatosensory area, upper limb, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "385",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryVisualArea",
    name="primary visual area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "593",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryVisualAreaLayer1",
    name="primary visual area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "821",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryVisualAreaLayer2-3",
    name="primary visual area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "721",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryVisualAreaLayer4",
    name="primary visual area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_visual_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryVisualAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "778",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryVisualAreaLayer5",
    name="primary visual area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "33",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryVisualAreaLayer6a",
    name="primary visual area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "305",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryVisualAreaLayer6b",
    name="primary visual area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_principal_mammillary_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_principalMammillaryTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "753",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_principalMammillaryTract",
    name="principal mammillary tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_principal_sensory_nucleus_of_the_trigeminal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_principalSensoryNucleusOfTheTrigeminal",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "7",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_principalSensoryNucleusOfTheTrigeminal",
    name="principal sensory nucleus of the trigeminal",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_propriohypothalamic_pathways = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_propriohypothalamicPathways",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_propriohypothalamicPathways",
    name="propriohypothalamic pathways",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_propriohypothalamic_pathways_dorsal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_propriohypothalamicPathwaysDorsal",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "762",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_propriohypothalamicPathwaysDorsal",
    name="propriohypothalamic pathways, dorsal",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_propriohypothalamic_pathways_lateral = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_propriohypothalamicPathwaysLateral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "770",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_propriohypothalamicPathwaysLateral",
    name="propriohypothalamic pathways, lateral",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_propriohypothalamic_pathways_medial = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_propriohypothalamicPathwaysMedial",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "779",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_propriohypothalamicPathwaysMedial",
    name="propriohypothalamic pathways, medial",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_propriohypothalamic_pathways_ventral = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_propriohypothalamicPathwaysVentral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "787",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_propriohypothalamicPathwaysVentral",
    name="propriohypothalamic pathways, ventral",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prosubiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prosubiculum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682470",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prosubiculum",
    name="prosubiculum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prosubiculum_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prosubiculumDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682475",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prosubiculumDorsalPart",
    name="prosubiculum, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prosubiculum_dorsal_part_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prosubiculumDorsalPartMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682479",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prosubiculumDorsalPartMolecularLayer",
    name="prosubiculum, dorsal part, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prosubiculum_dorsal_part_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prosubiculumDorsalPartPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682483",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#56B84B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prosubiculumDorsalPartPyramidalLayer",
    name="prosubiculum, dorsal part, pyramidal layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prosubiculum_dorsal_part_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prosubiculumDorsalPartStratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682487",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prosubiculumDorsalPartStratumRadiatum",
    name="prosubiculum, dorsal part, stratum radiatum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prosubiculum_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prosubiculumVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682492",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prosubiculumVentralPart",
    name="prosubiculum, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prosubiculum_ventral_part_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prosubiculumVentralPartMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682496",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prosubiculumVentralPartMolecularLayer",
    name="prosubiculum, ventral part, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prosubiculum_ventral_part_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prosubiculumVentralPartPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682500",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#56B84B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prosubiculumVentralPartPyramidalLayer",
    name="prosubiculum, ventral part, pyramidal layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prosubiculum_ventral_part_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prosubiculumVentralPartStratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682504",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prosubiculumVentralPartStratumRadiatum",
    name="prosubiculum, ventral part, stratum radiatum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pyramid = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pyramid",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "190",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pyramid",
    name="pyramid",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pyramidal_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pyramidalDecussation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "198",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pyramidalDecussation",
    name="pyramidal decussation",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pyramus_viii = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pyramusVIII",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "951",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pyramusVIII",
    name="pyramus (VIII)",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pyramus_viii_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pyramusVIIIGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10729",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pyramusVIIIGranularLayer",
    name="pyramus (VIII), granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pyramus_viii_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pyramusVIIIMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10731",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pyramusVIIIMolecularLayer",
    name="pyramus (VIII), molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pyramus_viii_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pyramusVIIIPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10730",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pyramusVIIIPurkinjeLayer",
    name="pyramus (VIII), Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_red_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_redNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "214",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_redNucleus",
    name="red nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_reticular_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_reticularNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "262",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_reticularNucleusOfTheThalamus",
    name="reticular nucleus of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_reticulocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_reticulocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "410",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_reticulocerebellarTract",
    name="reticulocerebellar tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retina = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retina",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "304325711",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7F2E7E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retina",
    name="retina",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retriculospinal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retriculospinalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "855",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retriculospinalTract",
    name="retriculospinal tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retriculospinal_tract_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retriculospinalTractLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "205",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retriculospinalTractLateralPart",
    name="retriculospinal tract, lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retriculospinal_tract_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retriculospinalTractMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "213",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retriculospinalTractMedialPart",
    name="retriculospinal tract, medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrochiasmatic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrochiasmaticArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "173",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrochiasmaticArea",
    name="retrochiasmatic area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrohippocampal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrohippocampalRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "822",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrohippocampalRegion",
    name="retrohippocampal region",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "254",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialArea",
    name="retrosplenial area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "879",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaDorsalPart",
    name="retrosplenial area, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_dorsal_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "442",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer1",
    name="retrosplenial area, dorsal part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_dorsal_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "434",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer2-3",
    name="retrosplenial area, dorsal part, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_dorsal_part_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "545",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer4",
    name="retrosplenial area, dorsal part, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_dorsal_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "610",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer5",
    name="retrosplenial area, dorsal part, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_dorsal_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "274",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer6a",
    name="retrosplenial area, dorsal part, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_dorsal_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "330",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer6b",
    name="retrosplenial area, dorsal part, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_lateral_agranular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "894",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPart",
    name="retrosplenial area, lateral agranular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_lateral_agranular_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "671",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPartLayer1",
    name="retrosplenial area, lateral agranular part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_lateral_agranular_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "965",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPartLayer2-3",
    name="retrosplenial area, lateral agranular part, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_lateral_agranular_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "774",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPartLayer5",
    name="retrosplenial area, lateral agranular part, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_lateral_agranular_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "906",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPartLayer6a",
    name="retrosplenial area, lateral agranular part, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_lateral_agranular_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "279",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPartLayer6b",
    name="retrosplenial area, lateral agranular part, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "886",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaVentralPart",
    name="retrosplenial area, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_ventral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "542",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer1",
    name="retrosplenial area, ventral part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_ventral_part_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "606",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer2",
    name="retrosplenial area, ventral part, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_ventral_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "430",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer2-3",
    name="retrosplenial area, ventral part, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_ventral_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "687",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer5",
    name="retrosplenial area, ventral part, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_ventral_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "590",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer6a",
    name="retrosplenial area, ventral part, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_ventral_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "622",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer6b",
    name="retrosplenial area, ventral part, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rhinal_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rhinalFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1071",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rhinalFissure",
    name="rhinal fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rhinal_incisure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rhinalIncisure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1078",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rhinalIncisure",
    name="rhinal incisure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rhinocele = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rhinocele",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "89",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rhinocele",
    name="rhinocele",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rhomboid_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rhomboidNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "189",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rhomboidNucleus",
    name="rhomboid nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_root = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_root",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "997",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFFFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_root",
    name="root",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostral_linear_nucleus_raphe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostralLinearNucleusRaphe",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "197",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostralLinearNucleusRaphe",
    name="rostral linear nucleus raphe",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782604",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralAreaLayer1",
    name="rostrolateral area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782608",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralAreaLayer2-3",
    name="rostrolateral area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782612",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralAreaLayer4",
    name="rostrolateral area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782616",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralAreaLayer5",
    name="rostrolateral area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782620",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralAreaLayer6a",
    name="rostrolateral area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782624",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralAreaLayer6b",
    name="rostrolateral area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_lateral_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralLateralVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149202",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralLateralVisualArea",
    name="rostrolateral lateral visual area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_lateral_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralLateralVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149206",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralLateralVisualAreaLayer1",
    name="rostrolateral lateral visual area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_lateral_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralLateralVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149210",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralLateralVisualAreaLayer2-3",
    name="rostrolateral lateral visual area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_lateral_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralLateralVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149214",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralLateralVisualAreaLayer4",
    name="rostrolateral lateral visual area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_lateral_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralLateralVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149222",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralLateralVisualAreaLayer6a",
    name="rostrolateral lateral visual area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_lateral_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralLateralVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149226",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralLateralVisualAreaLayer6b",
    name="rostrolateral lateral visual area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_lateral_visual_arealayer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralLateralVisualArealayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149218",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralLateralVisualArealayer5",
    name="rostrolateral lateral visual area,layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "417",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralVisualArea",
    name="rostrolateral visual area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rubroreticular_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rubroreticularTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "221",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rubroreticularTract",
    name="rubroreticular tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rubrospinal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rubrospinalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "863",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rubrospinalTract",
    name="rubrospinal tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_secondary_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_secondaryFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "3",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_secondaryFissure",
    name="secondary fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_secondary_motor_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_secondaryMotorArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "993",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_secondaryMotorArea",
    name="secondary motor area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_secondary_motor_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_secondaryMotorAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "656",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_secondaryMotorAreaLayer1",
    name="secondary motor area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_secondary_motor_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_secondaryMotorAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "962",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_secondaryMotorAreaLayer2-3",
    name="secondary motor area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_secondary_motor_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_secondaryMotorAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "767",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_secondaryMotorAreaLayer5",
    name="secondary motor area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_secondary_motor_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_secondaryMotorAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1021",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_secondaryMotorAreaLayer6a",
    name="secondary motor area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_secondary_motor_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_secondaryMotorAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1085",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_secondaryMotorAreaLayer6b",
    name="secondary motor area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_sensory_root_of_the_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_sensoryRootOfTheTrigeminalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "229",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_sensoryRootOfTheTrigeminalNerve",
    name="sensory root of the trigeminal nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_septofimbrial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_septofimbrialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "310",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_septofimbrialNucleus",
    name="septofimbrial nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_septohippocampal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_septohippocampalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "333",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_septohippocampalNucleus",
    name="septohippocampal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_simple_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_simpleFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "25",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_simpleFissure",
    name="simple fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_simple_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_simpleLobule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1007",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_simpleLobule",
    name="simple lobule",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_simple_lobule_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_simpleLobuleGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10672",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_simpleLobuleGranularLayer",
    name="simple lobule, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_simple_lobule_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_simpleLobuleMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10674",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_simpleLobuleMolecularLayer",
    name="simple lobule, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_simple_lobule_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_simpleLobulePurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10673",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_simpleLobulePurkinjeLayer",
    name="simple lobule, Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_solitary_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_solitaryTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "237",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_solitaryTract",
    name="solitary tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_somatomotor_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatomotorAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "500",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_somatomotorAreas",
    name="somatomotor areas",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_somatomotor_areas_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatomotorAreasLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "107",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_somatomotorAreasLayer1",
    name="somatomotor areas, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_somatomotor_areas_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatomotorAreasLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "219",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_somatomotorAreasLayer2-3",
    name="somatomotor areas, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_somatomotor_areas_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatomotorAreasLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "299",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_somatomotorAreasLayer5",
    name="somatomotor areas, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_somatomotor_areas_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatomotorAreasLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "644",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_somatomotorAreasLayer6a",
    name="somatomotor areas, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_somatomotor_areas_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatomotorAreasLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "947",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_somatomotorAreasLayer6b",
    name="somatomotor areas, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_somatosensory_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatosensoryAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "453",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_somatosensoryAreas",
    name="somatosensory areas",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_somatosensory_areas_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatosensoryAreasLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12993",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_somatosensoryAreasLayer1",
    name="somatosensory areas, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_somatosensory_areas_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatosensoryAreasLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12994",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_somatosensoryAreasLayer2-3",
    name="somatosensory areas, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_somatosensory_areas_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatosensoryAreasLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12995",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_somatosensoryAreasLayer4",
    name="somatosensory areas, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_somatosensory_areas_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatosensoryAreasLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12996",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_somatosensoryAreasLayer5",
    name="somatosensory areas, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_somatosensory_areas_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatosensoryAreasLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12997",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_somatosensoryAreasLayer6a",
    name="somatosensory areas, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_somatosensory_areas_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatosensoryAreasLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12998",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_somatosensoryAreasLayer6b",
    name="somatosensory areas, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinal_nucleus_of_the_trigeminal_caudal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalCaudalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "429",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalCaudalPart",
    name="spinal nucleus of the trigeminal, caudal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinal_nucleus_of_the_trigeminal_interpolar_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalInterpolarPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "437",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalInterpolarPart",
    name="spinal nucleus of the trigeminal, interpolar part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinal_nucleus_of_the_trigeminal_oral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "445",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPart",
    name="spinal nucleus of the trigeminal, oral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinal_nucleus_of_the_trigeminal_oral_part_caudal_dorsomedial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPartCaudalDorsomedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "77",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPartCaudalDorsomedialPart",
    name="spinal nucleus of the trigeminal, oral part, caudal dorsomedial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinal_nucleus_of_the_trigeminal_oral_part_middle_dorsomedial_part_dorsal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialPartDorsalZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "53",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialPartDorsalZone",
    name="spinal nucleus of the trigeminal, oral part, middle dorsomedial part, dorsal zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinal_nucleus_of_the_trigeminal_oral_part_middle_dorsomedial_part_ventral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialPartVentralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "61",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialPartVentralZone",
    name="spinal nucleus of the trigeminal, oral part, middle dorsomedial part, ventral zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinal_nucleus_of_the_trigeminal_oral_part_rostral_dorsomedial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPartRostralDorsomedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "45",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPartRostralDorsomedialPart",
    name="spinal nucleus of the trigeminal, oral part, rostral dorsomedial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinal_nucleus_of_the_trigeminal_oral_part_ventrolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPartVentrolateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "69",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPartVentrolateralPart",
    name="spinal nucleus of the trigeminal, oral part, ventrolateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinal_tract_of_the_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalTractOfTheTrigeminalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "794",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinalTractOfTheTrigeminalNerve",
    name="spinal tract of the trigeminal nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinal_vestibular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalVestibularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "225",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinalVestibularNucleus",
    name="spinal vestibular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "85",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinocerebellarTract",
    name="spinocerebellar tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinocervical_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinocervicalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "245",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinocervicalTract",
    name="spinocervical tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinohypothalamic_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinohypothalamicPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "253",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinohypothalamicPathway",
    name="spinohypothalamic pathway",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinoolivary_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinoolivaryPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "261",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinoolivaryPathway",
    name="spino-olivary pathway",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinoreticular_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinoreticularPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "270",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinoreticularPathway",
    name="spinoreticular pathway",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinotectal_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinotectalPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "277",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinotectalPathway",
    name="spinotectal pathway",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinotelenchephalic_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinotelenchephalicPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "285",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinotelenchephalicPathway",
    name="spinotelenchephalic pathway",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinothalamicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "871",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinothalamicTract",
    name="spinothalamic tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinovestibular_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinovestibularPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "293",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinovestibularPathway",
    name="spinovestibular pathway",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_stria_medullaris = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_striaMedullaris",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "802",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_striaMedullaris",
    name="stria medullaris",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_striaTerminalis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "301",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_striaTerminalis",
    name="stria terminalis",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_striatonigral_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_striatonigralPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "309",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_striatonigralPathway",
    name="striatonigral pathway",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_striatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_striatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "477",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#98D6F9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_striatum",
    name="striatum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_striatum_dorsal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_striatumDorsalRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "485",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#98D6F9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_striatumDorsalRegion",
    name="striatum dorsal region",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_striatum_ventral_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_striatumVentralRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "493",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_striatumVentralRegion",
    name="striatum ventral region",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_striatumlike_amygdalar_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_striatumlikeAmygdalarNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "278",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_striatumlikeAmygdalarNuclei",
    name="striatum-like amygdalar nuclei",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subceruleus_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subceruleusNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "350",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subceruleusNucleus",
    name="subceruleus nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subependymal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subependymalZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "98",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subependymalZone",
    name="subependymal zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subfornical_organ = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subfornicalOrgan",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "338",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subfornicalOrgan",
    name="subfornical organ",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subgeniculate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subgeniculateNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "321",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subgeniculateNucleus",
    name="subgeniculate nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subiculum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "502",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subiculum",
    name="subiculum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subiculum_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subiculumDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "509",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subiculumDorsalPart",
    name="subiculum, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subiculum_dorsal_part_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subiculumDorsalPartMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "829",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subiculumDorsalPartMolecularLayer",
    name="subiculum, dorsal part, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subiculum_dorsal_part_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subiculumDorsalPartPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "845",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4BB547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subiculumDorsalPartPyramidalLayer",
    name="subiculum, dorsal part, pyramidal layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subiculum_dorsal_part_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subiculumDorsalPartStratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "837",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subiculumDorsalPartStratumRadiatum",
    name="subiculum, dorsal part, stratum radiatum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subiculum_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subiculumVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "518",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subiculumVentralPart",
    name="subiculum, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subiculum_ventral_part_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subiculumVentralPartMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "853",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subiculumVentralPartMolecularLayer",
    name="subiculum, ventral part, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subiculum_ventral_part_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subiculumVentralPartPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "870",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4BB547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subiculumVentralPartPyramidalLayer",
    name="subiculum, ventral part, pyramidal layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subiculum_ventral_part_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subiculumVentralPartStratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "861",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subiculumVentralPartStratumRadiatum",
    name="subiculum, ventral part, stratum radiatum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_sublaterodorsal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_sublaterodorsalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "358",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_sublaterodorsalNucleus",
    name="sublaterodorsal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_submedial_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_submedialNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "366",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_submedialNucleusOfTheThalamus",
    name="submedial nucleus of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subparafascicular_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subparafascicularArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "609",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subparafascicularArea",
    name="subparafascicular area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subparafascicular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subparafascicularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "406",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subparafascicularNucleus",
    name="subparafascicular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subparafascicular_nucleus_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subparafascicularNucleusMagnocellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "414",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subparafascicularNucleusMagnocellularPart",
    name="subparafascicular nucleus, magnocellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subparafascicular_nucleus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subparafascicularNucleusParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "422",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subparafascicularNucleusParvicellularPart",
    name="subparafascicular nucleus, parvicellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subparaventricular_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subparaventricularZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "347",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subparaventricularZone",
    name="subparaventricular zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_substantia_innominata = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_substantiaInnominata",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "342",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A2B1D8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_substantiaInnominata",
    name="substantia innominata",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_substantia_nigra_compact_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_substantiaNigraCompactPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "374",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_substantiaNigraCompactPart",
    name="substantia nigra, compact part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_substantia_nigra_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_substantiaNigraLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "615",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_substantiaNigraLateralPart",
    name="substantia nigra, lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_substantia_nigra_reticular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_substantiaNigraReticularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "381",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_substantiaNigraReticularPart",
    name="substantia nigra, reticular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subthalamic_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subthalamicFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "317",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subthalamicFascicle",
    name="subthalamic fascicle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subthalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subthalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "470",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subthalamicNucleus",
    name="subthalamic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_central_nucleus_raphe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorCentralNucleusRaphe",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "679",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorCentralNucleusRaphe",
    name="superior central nucleus raphe",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_central_nucleus_raphe_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorCentralNucleusRapheLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "137",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorCentralNucleusRapheLateralPart",
    name="superior central nucleus raphe, lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_central_nucleus_raphe_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorCentralNucleusRapheMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "130",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorCentralNucleusRapheMedialPart",
    name="superior central nucleus raphe, medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_cerebelar_peduncles = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorCerebelarPeduncles",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "326",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorCerebelarPeduncles",
    name="superior cerebelar peduncles",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_cerebellar_peduncle_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorCerebellarPeduncleDecussation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "812",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorCerebellarPeduncleDecussation",
    name="superior cerebellar peduncle decussation",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_colliculus_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "336",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorColliculusCommissure",
    name="superior colliculus commissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_colliculus_motor_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusMotorRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "294",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorColliculusMotorRelated",
    name="superior colliculus, motor related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_colliculus_motor_related_deep_gray_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusMotorRelatedDeepGrayLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "26",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorColliculusMotorRelatedDeepGrayLayer",
    name="superior colliculus, motor related, deep gray layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_colliculus_motor_related_deep_white_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusMotorRelatedDeepWhiteLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "42",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorColliculusMotorRelatedDeepWhiteLayer",
    name="superior colliculus, motor related, deep white layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_colliculus_motor_related_intermediate_gray_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusMotorRelatedIntermediateGrayLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorColliculusMotorRelatedIntermediateGrayLayer",
    name="superior colliculus, motor related, intermediate gray layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_colliculus_motor_related_intermediate_gray_layer_sublayer_a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerA",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "494",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerA",
    name="superior colliculus, motor related, intermediate gray layer, sublayer a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_colliculus_motor_related_intermediate_gray_layer_sublayer_b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerB",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "503",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerB",
    name="superior colliculus, motor related, intermediate gray layer, sublayer b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_colliculus_motor_related_intermediate_gray_layer_sublayer_c = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerC",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "511",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerC",
    name="superior colliculus, motor related, intermediate gray layer, sublayer c",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_colliculus_motor_related_intermediate_white_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusMotorRelatedIntermediateWhiteLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "17",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorColliculusMotorRelatedIntermediateWhiteLayer",
    name="superior colliculus, motor related, intermediate white layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_colliculus_optic_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusOpticLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "851",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorColliculusOpticLayer",
    name="superior colliculus, optic layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_colliculus_sensory_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusSensoryRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "302",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorColliculusSensoryRelated",
    name="superior colliculus, sensory related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_colliculus_superficial_gray_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusSuperficialGrayLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "842",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorColliculusSuperficialGrayLayer",
    name="superior colliculus, superficial gray layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_colliculus_zonal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusZonalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "834",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorColliculusZonalLayer",
    name="superior colliculus, zonal layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_olivary_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorOlivaryComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "398",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorOlivaryComplex",
    name="superior olivary complex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_olivary_complex_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorOlivaryComplexLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "114",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorOlivaryComplexLateralPart",
    name="superior olivary complex, lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_olivary_complex_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorOlivaryComplexMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "105",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorOlivaryComplexMedialPart",
    name="superior olivary complex, medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_olivary_complex_periolivary_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorOlivaryComplexPeriolivaryRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "122",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorOlivaryComplexPeriolivaryRegion",
    name="superior olivary complex, periolivary region",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_salivatory_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorSalivatoryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "462",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorSalivatoryNucleus",
    name="superior salivatory nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_vestibular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorVestibularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "217",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorVestibularNucleus",
    name="superior vestibular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supplemental_somatosensory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supplementalSomatosensoryArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "378",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supplementalSomatosensoryArea",
    name="supplemental somatosensory area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supplemental_somatosensory_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "873",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer1",
    name="supplemental somatosensory area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supplemental_somatosensory_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "806",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer2-3",
    name="supplemental somatosensory area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supplemental_somatosensory_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1035",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer4",
    name="supplemental somatosensory area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supplemental_somatosensory_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1090",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer5",
    name="supplemental somatosensory area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supplemental_somatosensory_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "862",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer6a",
    name="supplemental somatosensory area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supplemental_somatosensory_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "893",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer6b",
    name="supplemental somatosensory area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supracallosal_cerebral_white_matter = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supracallosalCerebralWhiteMatter",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682512",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supracallosalCerebralWhiteMatter",
    name="supra-callosal cerebral white matter",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_suprachiasmatic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_suprachiasmaticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "286",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_suprachiasmaticNucleus",
    name="suprachiasmatic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_suprachiasmatic_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_suprachiasmaticPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1124",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_suprachiasmaticPreopticNucleus",
    name="suprachiasmatic preoptic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_suprageniculate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_suprageniculateNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "325",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_suprageniculateNucleus",
    name="suprageniculate nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supragenual_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supragenualNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "318",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supragenualNucleus",
    name="supragenual nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supramammillary_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supramammillaryDecussation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "341",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supramammillaryDecussation",
    name="supramammillary decussation",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supramammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supramammillaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "525",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supramammillaryNucleus",
    name="supramammillary nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supramammillary_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supramammillaryNucleusLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1110",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supramammillaryNucleusLateralPart",
    name="supramammillary nucleus, lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supramammillary_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supramammillaryNucleusMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1118",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supramammillaryNucleusMedialPart",
    name="supramammillary nucleus, medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supraoptic_commissures = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supraopticCommissures",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "349",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supraopticCommissures",
    name="supraoptic commissures",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supraoptic_commissures_anterior = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supraopticCommissuresAnterior",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "817",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supraopticCommissuresAnterior",
    name="supraoptic commissures, anterior",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supraoptic_commissures_dorsal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supraopticCommissuresDorsal",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "825",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supraopticCommissuresDorsal",
    name="supraoptic commissures, dorsal",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supraoptic_commissures_ventral = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supraopticCommissuresVentral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "833",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supraopticCommissuresVentral",
    name="supraoptic commissures, ventral",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supraoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supraopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "390",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supraopticNucleus",
    name="supraoptic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supratrigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supratrigeminalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "534",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supratrigeminalNucleus",
    name="supratrigeminal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_taenia_tecta = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTecta",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "589",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_taeniaTecta",
    name="taenia tecta",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_taenia_tecta_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "597",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_taeniaTectaDorsalPart",
    name="taenia tecta, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_taenia_tecta_dorsal_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaDorsalPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1034",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_taeniaTectaDorsalPartLayer1",
    name="taenia tecta, dorsal part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_taenia_tecta_dorsal_part_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaDorsalPartLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1042",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_taeniaTectaDorsalPartLayer2",
    name="taenia tecta, dorsal part, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_taenia_tecta_dorsal_part_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaDorsalPartLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1050",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_taeniaTectaDorsalPartLayer3",
    name="taenia tecta, dorsal part, layer 3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_taenia_tecta_dorsal_part_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaDorsalPartLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1059",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_taeniaTectaDorsalPartLayer4",
    name="taenia tecta, dorsal part, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_taenia_tecta_dorsal_part_layers14 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaDorsalPartLayers14",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "297",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_taeniaTectaDorsalPartLayers14",
    name="taenia tecta, dorsal part, layers 1-4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_taenia_tecta_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "605",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_taeniaTectaVentralPart",
    name="taenia tecta, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_taenia_tecta_ventral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaVentralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1067",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_taeniaTectaVentralPartLayer1",
    name="taenia tecta, ventral part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_taenia_tecta_ventral_part_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaVentralPartLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1075",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_taeniaTectaVentralPartLayer2",
    name="taenia tecta, ventral part, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_taenia_tecta_ventral_part_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaVentralPartLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1082",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_taeniaTectaVentralPartLayer3",
    name="taenia tecta, ventral part, layer 3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_taenia_tecta_ventral_part_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaVentralPartLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "306",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_taeniaTectaVentralPartLayers13",
    name="taenia tecta, ventral part, layers 1-3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_tectospinal_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_tectospinalPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "877",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_tectospinalPathway",
    name="tectospinal pathway",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_tectothalamic_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_tectothalamicPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "357",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_tectothalamicPathway",
    name="tectothalamic pathway",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_tegmental_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_tegmentalReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "574",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_tegmentalReticularNucleus",
    name="tegmental reticular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_temporal_association_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_temporalAssociationAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "541",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_temporalAssociationAreas",
    name="temporal association areas",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_temporal_association_areas_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_temporalAssociationAreasLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "97",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_temporalAssociationAreasLayer1",
    name="temporal association areas, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_temporal_association_areas_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_temporalAssociationAreasLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1127",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_temporalAssociationAreasLayer2-3",
    name="temporal association areas, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_temporal_association_areas_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_temporalAssociationAreasLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "234",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_temporalAssociationAreasLayer4",
    name="temporal association areas, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_temporal_association_areas_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_temporalAssociationAreasLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "289",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_temporalAssociationAreasLayer5",
    name="temporal association areas, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_temporal_association_areas_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_temporalAssociationAreasLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "729",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_temporalAssociationAreasLayer6a",
    name="temporal association areas, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_temporal_association_areas_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_temporalAssociationAreasLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "786",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_temporalAssociationAreasLayer6b",
    name="temporal association areas, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_terminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_terminalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "885",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_terminalNerve",
    name="terminal nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_thalamic_peduncles = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_thalamicPeduncles",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "365",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_thalamicPeduncles",
    name="thalamic peduncles",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_thalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "549",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7080"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_thalamus",
    name="thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_thalamus_polymodal_association_cortex_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_thalamusPolymodalAssociationCortexRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "856",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_thalamusPolymodalAssociationCortexRelated",
    name="thalamus, polymodal association cortex related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_thalamus_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_thalamusRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "896",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_thalamusRelated",
    name="thalamus related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_thalamus_sensorymotor_cortex_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_thalamusSensorymotorCortexRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "864",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_thalamusSensorymotorCortexRelated",
    name="thalamus, sensory-motor cortex related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_third_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_thirdVentricle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "129",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_thirdVentricle",
    name="third ventricle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_trapezoid_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_trapezoidBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "841",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_trapezoidBody",
    name="trapezoid body",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_triangular_nucleus_of_septum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_triangularNucleusOfSeptum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "581",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#96A7D3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_triangularNucleusOfSeptum",
    name="triangular nucleus of septum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_trigeminalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "901",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_trigeminalNerve",
    name="trigeminal nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_trigeminocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_trigeminocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "373",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_trigeminocerebellarTract",
    name="trigeminocerebellar tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_trochlear_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_trochlearNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "911",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_trochlearNerve",
    name="trochlear nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_trochlear_nerve_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_trochlearNerveDecussation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "384",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_trochlearNerveDecussation",
    name="trochlear nerve decussation",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_trochlear_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_trochlearNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "115",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_trochlearNucleus",
    name="trochlear nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_tuberal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_tuberalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "614",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_tuberalNucleus",
    name="tuberal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_tuberomammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_tuberomammillaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "557",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_tuberomammillaryNucleus",
    name="tuberomammillary nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_tuberomammillary_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_tuberomammillaryNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1126",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_tuberomammillaryNucleusDorsalPart",
    name="tuberomammillary nucleus, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_tuberomammillary_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_tuberomammillaryNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_tuberomammillaryNucleusVentralPart",
    name="tuberomammillary nucleus, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_uncinate_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_uncinateFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "850",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_uncinateFascicle",
    name="uncinate fascicle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_uvula_ix = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_uvulaIX",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "957",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_uvulaIX",
    name="uvula (IX)",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_uvula_ix_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_uvulaIXGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10732",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_uvulaIXGranularLayer",
    name="uvula (IX), granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_uvula_ix_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_uvulaIXMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10734",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_uvulaIXMolecularLayer",
    name="uvula (IX), molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_uvula_ix_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_uvulaIXPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10733",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_uvulaIXPurkinjeLayer",
    name="uvula (IX), Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_vagus_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_vagusNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "917",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_vagusNerve",
    name="vagus nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_vascular_organ_of_the_lamina_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_vascularOrganOfTheLaminaTerminalis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "763",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_vascularOrganOfTheLaminaTerminalis",
    name="vascular organ of the lamina terminalis",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_anteriorlateral_complex_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralAnteriorlateralComplexOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "629",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralAnteriorlateralComplexOfTheThalamus",
    name="ventral anterior-lateral complex of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_auditory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralAuditoryArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1018",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralAuditoryArea",
    name="ventral auditory area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_auditory_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralAuditoryAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "959",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralAuditoryAreaLayer1",
    name="ventral auditory area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_auditory_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralAuditoryAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "755",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralAuditoryAreaLayer2-3",
    name="ventral auditory area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_auditory_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralAuditoryAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "990",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralAuditoryAreaLayer4",
    name="ventral auditory area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_auditory_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralAuditoryAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1023",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralAuditoryAreaLayer5",
    name="ventral auditory area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_auditory_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralAuditoryAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "520",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralAuditoryAreaLayer6a",
    name="ventral auditory area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_auditory_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralAuditoryAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "598",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralAuditoryAreaLayer6b",
    name="ventral auditory area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_cochlear_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralCochlearNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "101",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralCochlearNucleus",
    name="ventral cochlear nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_commissure_of_the_spinal_cord = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralCommissureOfTheSpinalCord",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "858",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralCommissureOfTheSpinalCord",
    name="ventral commissure of the spinal cord",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_group_of_the_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralGroupOfTheDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "637",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralGroupOfTheDorsalThalamus",
    name="ventral group of the dorsal thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_hippocampal_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralHippocampalCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "449",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralHippocampalCommissure",
    name="ventral hippocampal commissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_medial_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralMedialNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "685",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralMedialNucleusOfTheThalamus",
    name="ventral medial nucleus of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_part_of_the_lateral_geniculate_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralPartOfTheLateralGeniculateComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "178",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralPartOfTheLateralGeniculateComplex",
    name="ventral part of the lateral geniculate complex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_part_of_the_lateral_geniculate_complex_lateral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralPartOfTheLateralGeniculateComplexLateralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "300",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralPartOfTheLateralGeniculateComplexLateralZone",
    name="ventral part of the lateral geniculate complex, lateral zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_part_of_the_lateral_geniculate_complex_medial_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralPartOfTheLateralGeniculateComplexMedialZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "316",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralPartOfTheLateralGeniculateComplexMedialZone",
    name="ventral part of the lateral geniculate complex, medial zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_posterior_complex_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralPosteriorComplexOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "709",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralPosteriorComplexOfTheThalamus",
    name="ventral posterior complex of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_posterolateral_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralPosterolateralNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "718",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralPosterolateralNucleusOfTheThalamus",
    name="ventral posterolateral nucleus of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_posterolateral_nucleus_of_the_thalamus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralPosterolateralNucleusOfTheThalamusParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "725",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralPosterolateralNucleusOfTheThalamusParvicellularPart",
    name="ventral posterolateral nucleus of the thalamus, parvicellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_posteromedial_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralPosteromedialNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "733",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralPosteromedialNucleusOfTheThalamus",
    name="ventral posteromedial nucleus of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_posteromedial_nucleus_of_the_thalamus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralPosteromedialNucleusOfTheThalamusParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "741",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralPosteromedialNucleusOfTheThalamusParvicellularPart",
    name="ventral posteromedial nucleus of the thalamus, parvicellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_premammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralPremammillaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1004",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralPremammillaryNucleus",
    name="ventral premammillary nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_roots = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralRoots",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "925",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralRoots",
    name="ventral roots",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_spinocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralSpinocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "866",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralSpinocerebellarTract",
    name="ventral spinocerebellar tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_spinothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralSpinothalamicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "389",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralSpinothalamicTract",
    name="ventral spinothalamic tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_tegmental_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralTegmentalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "749",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralTegmentalArea",
    name="ventral tegmental area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_tegmental_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralTegmentalDecussation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "397",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralTegmentalDecussation",
    name="ventral tegmental decussation",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralTegmentalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "757",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralTegmentalNucleus",
    name="ventral tegmental nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventricular_systems = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventricularSystems",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "73",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventricularSystems",
    name="ventricular systems",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventrolateral_hypothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventrolateralHypothalamicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "405",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventrolateralHypothalamicTract",
    name="ventrolateral hypothalamic tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventrolateral_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventrolateralPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "689",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventrolateralPreopticNucleus",
    name="ventrolateral preoptic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventromedial_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventromedialHypothalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "693",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventromedialHypothalamicNucleus",
    name="ventromedial hypothalamic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventromedial_hypothalamic_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventromedialHypothalamicNucleusAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "761",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventromedialHypothalamicNucleusAnteriorPart",
    name="ventromedial hypothalamic nucleus, anterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventromedial_hypothalamic_nucleus_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventromedialHypothalamicNucleusCentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "769",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventromedialHypothalamicNucleusCentralPart",
    name="ventromedial hypothalamic nucleus, central part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventromedial_hypothalamic_nucleus_dorsomedial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventromedialHypothalamicNucleusDorsomedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "777",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventromedialHypothalamicNucleusDorsomedialPart",
    name="ventromedial hypothalamic nucleus, dorsomedial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventromedial_hypothalamic_nucleus_ventrolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventromedialHypothalamicNucleusVentrolateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "785",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventromedialHypothalamicNucleusVentrolateralPart",
    name="ventromedial hypothalamic nucleus, ventrolateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_vermal_regions = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_vermalRegions",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "645",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_vermalRegions",
    name="vermal regions",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_vestibular_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_vestibularNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "413",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_vestibularNerve",
    name="vestibular nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_vestibular_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_vestibularNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "701",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_vestibularNuclei",
    name="vestibular nuclei",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_vestibulocochlear_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_vestibulocochlearNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "933",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_vestibulocochlearNerve",
    name="vestibulocochlear nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_vestibulospinal_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_vestibulospinalPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "941",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_vestibulospinalPathway",
    name="vestibulospinal pathway",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visceral_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visceralArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "677",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visceralArea",
    name="visceral area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visceral_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visceralAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "897",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visceralAreaLayer1",
    name="visceral area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visceral_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visceralAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1106",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visceralAreaLayer2-3",
    name="visceral area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visceral_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visceralAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1010",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visceralAreaLayer4",
    name="visceral area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visceral_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visceralAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1058",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visceralAreaLayer5",
    name="visceral area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visceral_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visceralAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "857",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visceralAreaLayer6a",
    name="visceral area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visceral_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visceralAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "849",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visceralAreaLayer6b",
    name="visceral area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visual_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visualAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "669",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visualAreas",
    name="visual areas",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visual_areas_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visualAreasLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "801",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visualAreasLayer1",
    name="visual areas, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visual_areas_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visualAreasLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "561",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visualAreasLayer2-3",
    name="visual areas, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visual_areas_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visualAreasLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "913",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visualAreasLayer4",
    name="visual areas, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visual_areas_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visualAreasLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "937",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visualAreasLayer5",
    name="visual areas, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visual_areas_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visualAreasLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "457",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visualAreasLayer6a",
    name="visual areas, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visual_areas_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visualAreasLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "497",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visualAreasLayer6b",
    name="visual areas, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_vomeronasal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_vomeronasalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "949",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_vomeronasalNerve",
    name="vomeronasal nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_zona_incerta = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_zonaIncerta",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "797",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_zonaIncerta",
    name="zona incerta",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2017_abducens_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_abducensNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "710",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_abducensNerve",
    name="abducens nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_abducens_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_abducensNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "653",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_abducensNucleus",
    name="abducens nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_accessory_abducens_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessoryAbducensNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "568",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_accessoryAbducensNucleus",
    name="accessory abducens nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_accessory_facial_motor_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessoryFacialMotorNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "576",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_accessoryFacialMotorNucleus",
    name="accessory facial motor nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_accessory_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessoryOlfactoryBulb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "151",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DF0D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_accessoryOlfactoryBulb",
    name="accessory olfactory bulb",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_accessory_olfactory_bulb_glomerular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessoryOlfactoryBulbGlomerularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "188",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DF0D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_accessoryOlfactoryBulbGlomerularLayer",
    name="accessory olfactory bulb, glomerular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_accessory_olfactory_bulb_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessoryOlfactoryBulbGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "196",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#95E4C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_accessoryOlfactoryBulbGranularLayer",
    name="accessory olfactory bulb, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_accessory_olfactory_bulb_mitral_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessoryOlfactoryBulbMitralLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "204",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DF0D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_accessoryOlfactoryBulbMitralLayer",
    name="accessory olfactory bulb, mitral layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_accessory_olfactory_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessoryOlfactoryTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "459",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_accessoryOlfactoryTract",
    name="accessory olfactory tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_accessory_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessoryOpticTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "876",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_accessoryOpticTract",
    name="accessory optic tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_accessory_spinal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessorySpinalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "717",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_accessorySpinalNerve",
    name="accessory spinal nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_accessory_supraoptic_group = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessorySupraopticGroup",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "332",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_accessorySupraopticGroup",
    name="accessory supraoptic group",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_accessory_trigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessoryTrigeminalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "549009219",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_accessoryTrigeminalNucleus",
    name="accessory trigeminal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "95",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularArea",
    name="agranular insular area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "104",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaDorsalPart",
    name="agranular insular area, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_dorsal_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaDorsalPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "996",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaDorsalPartLayer1",
    name="agranular insular area, dorsal part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_dorsal_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaDorsalPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "328",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaDorsalPartLayer2-3",
    name="agranular insular area, dorsal part, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_dorsal_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaDorsalPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1101",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaDorsalPartLayer5",
    name="agranular insular area, dorsal part, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_dorsal_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaDorsalPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "783",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaDorsalPartLayer6a",
    name="agranular insular area, dorsal part, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_dorsal_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaDorsalPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "831",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaDorsalPartLayer6b",
    name="agranular insular area, dorsal part, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "111",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaPosteriorPart",
    name="agranular insular area, posterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_posterior_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaPosteriorPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "120",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaPosteriorPartLayer1",
    name="agranular insular area, posterior part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_posterior_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaPosteriorPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "163",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaPosteriorPartLayer2-3",
    name="agranular insular area, posterior part, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_posterior_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaPosteriorPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "344",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaPosteriorPartLayer5",
    name="agranular insular area, posterior part, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_posterior_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaPosteriorPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "314",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaPosteriorPartLayer6a",
    name="agranular insular area, posterior part, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_posterior_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaPosteriorPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "355",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaPosteriorPartLayer6b",
    name="agranular insular area, posterior part, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "119",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaVentralPart",
    name="agranular insular area, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_ventral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaVentralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "704",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaVentralPartLayer1",
    name="agranular insular area, ventral part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_ventral_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaVentralPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "694",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaVentralPartLayer2-3",
    name="agranular insular area, ventral part, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_ventral_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaVentralPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "800",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaVentralPartLayer5",
    name="agranular insular area, ventral part, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_ventral_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaVentralPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "675",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaVentralPartLayer6a",
    name="agranular insular area, ventral part, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_ventral_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaVentralPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "699",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaVentralPartLayer6b",
    name="agranular insular area, ventral part, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_alveus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_alveus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "466",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_alveus",
    name="alveus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ammons_horn = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ammonsHorn",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "375",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ammonsHorn",
    name="Ammon's horn",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_amygdalar_capsule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_amygdalarCapsule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "884",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_amygdalarCapsule",
    name="amygdalar capsule",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_angular_path = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_angularPath",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "474",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_angularPath",
    name="angular path",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ansa_peduncularis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ansaPeduncularis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "892",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ansaPeduncularis",
    name="ansa peduncularis",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ansiform_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ansiformLobule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1017",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ansiformLobule",
    name="ansiform lobule",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ansoparamedian_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ansoparamedianFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "43",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ansoparamedianFissure",
    name="ansoparamedian fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_amygdalar_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorAmygdalarArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "23",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorAmygdalarArea",
    name="anterior amygdalar area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782546",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorArea",
    name="anterior area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782550",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorAreaLayer1",
    name="anterior area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782554",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorAreaLayer2-3",
    name="anterior area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782558",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorAreaLayer4",
    name="anterior area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782562",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorAreaLayer5",
    name="anterior area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782566",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorAreaLayer6a",
    name="anterior area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782570",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorAreaLayer6b",
    name="anterior area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "31",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateArea",
    name="anterior cingulate area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "39",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPart",
    name="anterior cingulate area, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_dorsal_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "935",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPartLayer1",
    name="anterior cingulate area, dorsal part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_dorsal_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "211",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPartLayer2-3",
    name="anterior cingulate area, dorsal part, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_dorsal_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1015",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPartLayer5",
    name="anterior cingulate area, dorsal part, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_dorsal_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "919",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPartLayer6a",
    name="anterior cingulate area, dorsal part, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_dorsal_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "927",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPartLayer6b",
    name="anterior cingulate area, dorsal part, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "572",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaLayer1",
    name="anterior cingulate area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1053",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaLayer2-3",
    name="anterior cingulate area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "739",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaLayer5",
    name="anterior cingulate area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "179",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaLayer6a",
    name="anterior cingulate area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "227",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaLayer6b",
    name="anterior cingulate area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "48",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaVentralPart",
    name="anterior cingulate area, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_ventral_part6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaVentralPart6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "810",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaVentralPart6a",
    name="anterior cingulate area, ventral part, 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_ventral_part6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaVentralPart6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "819",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaVentralPart6b",
    name="anterior cingulate area, ventral part, 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_ventral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaVentralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "588",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaVentralPartLayer1",
    name="anterior cingulate area, ventral part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_ventral_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaVentralPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "296",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaVentralPartLayer2-3",
    name="anterior cingulate area, ventral part, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_ventral_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaVentralPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "772",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaVentralPartLayer5",
    name="anterior cingulate area, ventral part, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_commissure_olfactory_limb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCommissureOlfactoryLimb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "900",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCommissureOlfactoryLimb",
    name="anterior commissure, olfactory limb",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_commissure_temporal_limb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCommissureTemporalLimb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "908",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCommissureTemporalLimb",
    name="anterior commissure, temporal limb",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_group_of_the_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorGroupOfTheDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "239",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorGroupOfTheDorsalThalamus",
    name="anterior group of the dorsal thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_hypothalamic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorHypothalamicArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "80",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorHypothalamicArea",
    name="anterior hypothalamic area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorHypothalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "88",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorHypothalamicNucleus",
    name="anterior hypothalamic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_hypothalamic_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorHypothalamicNucleusAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "700",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorHypothalamicNucleusAnteriorPart",
    name="anterior hypothalamic nucleus, anterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_hypothalamic_nucleus_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorHypothalamicNucleusCentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "708",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorHypothalamicNucleusCentralPart",
    name="anterior hypothalamic nucleus, central part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_hypothalamic_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorHypothalamicNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "716",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorHypothalamicNucleusDorsalPart",
    name="anterior hypothalamic nucleus, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_hypothalamic_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorHypothalamicNucleusPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "724",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorHypothalamicNucleusPosteriorPart",
    name="anterior hypothalamic nucleus, posterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_olfactory_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorOlfactoryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "159",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorOlfactoryNucleus",
    name="anterior olfactory nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_olfactory_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorOlfactoryNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "167",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorOlfactoryNucleusDorsalPart",
    name="anterior olfactory nucleus, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_olfactory_nucleus_external_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorOlfactoryNucleusExternalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "175",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorOlfactoryNucleusExternalPart",
    name="anterior olfactory nucleus, external part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_olfactory_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorOlfactoryNucleusLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "183",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorOlfactoryNucleusLateralPart",
    name="anterior olfactory nucleus, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_olfactory_nucleus_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorOlfactoryNucleusLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "160",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorOlfactoryNucleusLayer1",
    name="anterior olfactory nucleus, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_olfactory_nucleus_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorOlfactoryNucleusLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "168",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorOlfactoryNucleusLayer2",
    name="anterior olfactory nucleus, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_olfactory_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorOlfactoryNucleusMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "191",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorOlfactoryNucleusMedialPart",
    name="anterior olfactory nucleus, medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_olfactory_nucleus_posteroventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorOlfactoryNucleusPosteroventralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "199",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorOlfactoryNucleusPosteroventralPart",
    name="anterior olfactory nucleus, posteroventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_pretectal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorPretectalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "215",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorPretectalNucleus",
    name="anterior pretectal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorTegmentalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "231",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorTegmentalNucleus",
    name="anterior tegmental nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterodorsal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anterodorsalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "64",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anterodorsalNucleus",
    name="anterodorsal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterodorsal_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anterodorsalPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "72",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anterodorsalPreopticNucleus",
    name="anterodorsal preoptic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterolateral_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anterolateralVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "402",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anterolateralVisualArea",
    name="anterolateral visual area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterolateral_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anterolateralVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1074",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anterolateralVisualAreaLayer1",
    name="anterolateral visual area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterolateral_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anterolateralVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "905",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anterolateralVisualAreaLayer2-3",
    name="anterolateral visual area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterolateral_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anterolateralVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1114",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anterolateralVisualAreaLayer4",
    name="anterolateral visual area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterolateral_visual_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anterolateralVisualAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "233",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anterolateralVisualAreaLayer5",
    name="anterolateral visual area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterolateral_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anterolateralVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "601",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anterolateralVisualAreaLayer6a",
    name="anterolateral visual area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterolateral_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anterolateralVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "649",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anterolateralVisualAreaLayer6b",
    name="anterolateral visual area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anteromedial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "127",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteromedialNucleus",
    name="anteromedial nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anteromedial_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1096",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteromedialNucleusDorsalPart",
    name="anteromedial nucleus, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anteromedial_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1104",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteromedialNucleusVentralPart",
    name="anteromedial nucleus, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anteromedial_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "394",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteromedialVisualArea",
    name="anteromedial visual area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anteromedial_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "281",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteromedialVisualAreaLayer1",
    name="anteromedial visual area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anteromedial_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1066",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteromedialVisualAreaLayer2-3",
    name="anteromedial visual area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anteromedial_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "401",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteromedialVisualAreaLayer4",
    name="anteromedial visual area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anteromedial_visual_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialVisualAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "433",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteromedialVisualAreaLayer5",
    name="anteromedial visual area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anteromedial_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1046",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteromedialVisualAreaLayer6a",
    name="anteromedial visual area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anteromedial_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "441",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteromedialVisualAreaLayer6b",
    name="anteromedial visual area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anteroventral_nucleus_of_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteroventralNucleusOfThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "255",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteroventralNucleusOfThalamus",
    name="anteroventral nucleus of thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anteroventral_periventricular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteroventralPeriventricularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "272",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteroventralPeriventricularNucleus",
    name="anteroventral periventricular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anteroventral_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteroventralPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "263",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteroventralPreopticNucleus",
    name="anteroventral preoptic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_arbor_vitae = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_arborVitae",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "728",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_arborVitae",
    name="arbor vitae",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_arcuate_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_arcuateHypothalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "223",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_arcuateHypothalamicNucleus",
    name="arcuate hypothalamic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_area_postrema = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_areaPostrema",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "207",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_areaPostrema",
    name="area postrema",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_area_prostriata = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_areaProstriata",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682508",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#33B932"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_areaProstriata",
    name="area prostriata",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_auditory_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_auditoryAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "247",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_auditoryAreas",
    name="auditory areas",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_auditory_radiation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_auditoryRadiation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682524",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_auditoryRadiation",
    name="auditory radiation",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_barringtons_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_barringtonsNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "280",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_barringtonsNucleus",
    name="Barrington's nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_basic_cell_groups_and_regions = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_basicCellGroupsAndRegions",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "8",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#BFDAE3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_basicCellGroupsAndRegions",
    name="basic cell groups and regions",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_basolateral_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_basolateralAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "295",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DE79C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_basolateralAmygdalarNucleus",
    name="basolateral amygdalar nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_basolateral_amygdalar_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_basolateralAmygdalarNucleusAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "303",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DE79C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_basolateralAmygdalarNucleusAnteriorPart",
    name="basolateral amygdalar nucleus, anterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_basolateral_amygdalar_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_basolateralAmygdalarNucleusPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "311",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DE79C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_basolateralAmygdalarNucleusPosteriorPart",
    name="basolateral amygdalar nucleus, posterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_basolateral_amygdalar_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_basolateralAmygdalarNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "451",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DE79C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_basolateralAmygdalarNucleusVentralPart",
    name="basolateral amygdalar nucleus, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_basomedial_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_basomedialAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "319",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#84EA81"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_basomedialAmygdalarNucleus",
    name="basomedial amygdalar nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_basomedial_amygdalar_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_basomedialAmygdalarNucleusAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "327",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#84EA81"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_basomedialAmygdalarNucleusAnteriorPart",
    name="basomedial amygdalar nucleus, anterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_basomedial_amygdalar_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_basomedialAmygdalarNucleusPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "334",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#84EA81"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_basomedialAmygdalarNucleusPosteriorPart",
    name="basomedial amygdalar nucleus, posterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "351",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalis",
    name="bed nuclei of the stria terminalis",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_anterior_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "359",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivision",
    name="bed nuclei of the stria terminalis, anterior division",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_anterior_division_anterolateral_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionAnterolateralArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "537",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionAnterolateralArea",
    name="bed nuclei of the stria terminalis, anterior division, anterolateral area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_anterior_division_anteromedial_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionAnteromedialArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "498",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionAnteromedialArea",
    name="bed nuclei of the stria terminalis, anterior division, anteromedial area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_anterior_division_dorsomedial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionDorsomedialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "505",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionDorsomedialNucleus",
    name="bed nuclei of the stria terminalis, anterior division, dorsomedial nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_anterior_division_fusiform_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionFusiformNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "513",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionFusiformNucleus",
    name="bed nuclei of the stria terminalis, anterior division, fusiform nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_anterior_division_juxtacapsular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionJuxtacapsularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "546",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionJuxtacapsularNucleus",
    name="bed nuclei of the stria terminalis, anterior division, juxtacapsular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_anterior_division_magnocellular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionMagnocellularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "521",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionMagnocellularNucleus",
    name="bed nuclei of the stria terminalis, anterior division, magnocellular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_anterior_division_oval_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionOvalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "554",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionOvalNucleus",
    name="bed nuclei of the stria terminalis, anterior division, oval nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_anterior_division_rhomboid_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionRhomboidNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "562",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionRhomboidNucleus",
    name="bed nuclei of the stria terminalis, anterior division, rhomboid nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_anterior_division_ventral_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionVentralNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "529",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionVentralNucleus",
    name="bed nuclei of the stria terminalis, anterior division, ventral nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_posterior_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "367",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivision",
    name="bed nuclei of the stria terminalis, posterior division",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_posterior_division_dorsal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivisionDorsalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "569",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivisionDorsalNucleus",
    name="bed nuclei of the stria terminalis, posterior division, dorsal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_posterior_division_interfascicular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivisionInterfascicularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "585",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivisionInterfascicularNucleus",
    name="bed nuclei of the stria terminalis, posterior division, interfascicular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_posterior_division_principal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivisionPrincipalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "578",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivisionPrincipalNucleus",
    name="bed nuclei of the stria terminalis, posterior division, principal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_posterior_division_strial_extension = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivisionStrialExtension",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "602",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivisionStrialExtension",
    name="bed nuclei of the stria terminalis, posterior division, strial extension",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_posterior_division_transverse_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivisionTransverseNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "594",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivisionTransverseNucleus",
    name="bed nuclei of the stria terminalis, posterior division, transverse nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nucleus_of_the_accessory_olfactory_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleusOfTheAccessoryOlfactoryTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "292",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleusOfTheAccessoryOlfactoryTract",
    name="bed nucleus of the accessory olfactory tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nucleus_of_the_anterior_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleusOfTheAnteriorCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "287",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleusOfTheAnteriorCommissure",
    name="bed nucleus of the anterior commissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_brachium_of_the_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_brachiumOfTheInferiorColliculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "482",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_brachiumOfTheInferiorColliculus",
    name="brachium of the inferior colliculus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_brachium_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_brachiumOfTheSuperiorColliculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "916",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_brachiumOfTheSuperiorColliculus",
    name="brachium of the superior colliculus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_brain_stem = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_brainStem",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "343",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7080"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_brainStem",
    name="brain stem",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bulbocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bulbocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "490",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bulbocerebellarTract",
    name="bulbocerebellar tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_caudoputamen = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_caudoputamen",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "672",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#98D6F9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_caudoputamen",
    name="caudoputamen",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_central_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "536",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_centralAmygdalarNucleus",
    name="central amygdalar nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_central_amygdalar_nucleus_capsular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralAmygdalarNucleusCapsularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "544",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_centralAmygdalarNucleusCapsularPart",
    name="central amygdalar nucleus, capsular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_central_amygdalar_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralAmygdalarNucleusLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "551",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_centralAmygdalarNucleusLateralPart",
    name="central amygdalar nucleus, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_central_amygdalar_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralAmygdalarNucleusMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "559",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_centralAmygdalarNucleusMedialPart",
    name="central amygdalar nucleus, medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_central_canal_spinal_cordmedulla = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralCanalSpinalCordmedulla",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "164",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_centralCanalSpinalCordmedulla",
    name="central canal, spinal cord/medulla",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_central_lateral_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralLateralNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "575",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_centralLateralNucleusOfTheThalamus",
    name="central lateral nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_central_linear_nucleus_raphe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralLinearNucleusRaphe",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "591",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_centralLinearNucleusRaphe",
    name="central linear nucleus raphe",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_central_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralLobule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "920",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_centralLobule",
    name="central lobule",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_central_medial_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralMedialNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "599",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_centralMedialNucleusOfTheThalamus",
    name="central medial nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_central_tegmental_bundle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralTegmentalBundle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "736",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_centralTegmentalBundle",
    name="central tegmental bundle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebal_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebalPeduncle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "924",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebalPeduncle",
    name="cerebal peduncle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebellar_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebellarCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "744",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebellarCommissure",
    name="cerebellar commissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebellar_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebellarCortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "528",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F0F080"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebellarCortex",
    name="cerebellar cortex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebellar_cortex_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebellarCortexGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1143",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebellarCortexGranularLayer",
    name="cerebellar cortex, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebellar_cortex_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebellarCortexMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1144",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebellarCortexMolecularLayer",
    name="cerebellar cortex, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebellar_cortex_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebellarCortexPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1145",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebellarCortexPurkinjeLayer",
    name="cerebellar cortex, Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebellar_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebellarNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "519",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F0F080"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebellarNuclei",
    name="cerebellar nuclei",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebellar_peduncles = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebellarPeduncles",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "752",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebellarPeduncles",
    name="cerebellar peduncles",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebellum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebellum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "512",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F0F080"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebellum",
    name="cerebellum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebellum_related_fiber_tracts = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebellumRelatedFiberTracts",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "960",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebellumRelatedFiberTracts",
    name="cerebellum related fiber tracts",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebral_aqueduct = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebralAqueduct",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "140",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebralAqueduct",
    name="cerebral aqueduct",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebral_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebralCortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "688",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B0FFB8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebralCortex",
    name="cerebral cortex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebral_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebralNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "623",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#98D6F9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebralNuclei",
    name="cerebral nuclei",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebral_nuclei_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebralNucleiRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "760",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebralNucleiRelated",
    name="cerebral nuclei related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebrum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebrum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "567",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B0F0FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebrum",
    name="cerebrum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebrum_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebrumRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "768",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebrumRelated",
    name="cerebrum related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cervicothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cervicothalamicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "932",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cervicothalamicTract",
    name="cervicothalamic tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_choroid_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_choroidFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "116",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_choroidFissure",
    name="choroid fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_choroid_plexus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_choroidPlexus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "108",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_choroidPlexus",
    name="choroid plexus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cingulum_bundle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cingulumBundle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "940",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cingulumBundle",
    name="cingulum bundle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_claustrum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_claustrum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "583",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8ADA87"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_claustrum",
    name="claustrum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cochlear_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cochlearNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "948",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cochlearNerve",
    name="cochlear nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cochlear_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cochlearNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "607",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cochlearNuclei",
    name="cochlear nuclei",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cochlear_nucleus_subpedunclular_granular_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cochlearNucleusSubpedunclularGranularRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "560",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cochlearNucleusSubpedunclularGranularRegion",
    name="cochlear nucleus, subpedunclular granular region",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_columns_of_the_fornix = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_columnsOfTheFornix",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "436",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_columnsOfTheFornix",
    name="columns of the fornix",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_commissural_branch_of_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_commissuralBranchOfStriaTerminalis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682528",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_commissuralBranchOfStriaTerminalis",
    name="commissural branch of stria terminalis",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_copula_pyramidis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_copulaPyramidis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1033",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_copulaPyramidis",
    name="copula pyramidis",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_copula_pyramidis_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_copulaPyramidisGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10684",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_copulaPyramidisGranularLayer",
    name="copula pyramidis, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_copula_pyramidis_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_copulaPyramidisMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10686",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_copulaPyramidisMolecularLayer",
    name="copula pyramidis, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_copula_pyramidis_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_copulaPyramidisPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10685",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_copulaPyramidisPurkinjeLayer",
    name="copula pyramidis, Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corpus_callosum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corpusCallosum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "776",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corpusCallosum",
    name="corpus callosum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corpus_callosum_anterior_forceps = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corpusCallosumAnteriorForceps",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "956",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corpusCallosumAnteriorForceps",
    name="corpus callosum, anterior forceps",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corpus_callosum_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corpusCallosumBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682516",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corpusCallosumBody",
    name="corpus callosum, body",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corpus_callosum_extreme_capsule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corpusCallosumExtremeCapsule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "964",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corpusCallosumExtremeCapsule",
    name="corpus callosum, extreme capsule",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corpus_callosum_posterior_forceps = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corpusCallosumPosteriorForceps",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "971",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corpusCallosumPosteriorForceps",
    name="corpus callosum, posterior forceps",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corpus_callosum_rostrum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corpusCallosumRostrum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "979",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corpusCallosumRostrum",
    name="corpus callosum, rostrum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corpus_callosum_splenium = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corpusCallosumSplenium",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "986",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corpusCallosumSplenium",
    name="corpus callosum, splenium",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "631",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarArea",
    name="cortical amygdalar area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "639",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaAnteriorPart",
    name="cortical amygdalar area, anterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_anterior_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaAnteriorPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "192",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaAnteriorPartLayer1",
    name="cortical amygdalar area, anterior part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_anterior_part_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaAnteriorPartLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "200",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaAnteriorPartLayer2",
    name="cortical amygdalar area, anterior part, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_anterior_part_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaAnteriorPartLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "208",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaAnteriorPartLayer3",
    name="cortical amygdalar area, anterior part, layer 3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "647",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPart",
    name="cortical amygdalar area, posterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_posterior_part_lateral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "655",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZone",
    name="cortical amygdalar area, posterior part, lateral zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_posterior_part_lateral_zone_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZoneLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "216",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZoneLayer1",
    name="cortical amygdalar area, posterior part, lateral zone, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_posterior_part_lateral_zone_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZoneLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "224",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZoneLayer2",
    name="cortical amygdalar area, posterior part, lateral zone, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_posterior_part_lateral_zone_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZoneLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "232",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZoneLayer3",
    name="cortical amygdalar area, posterior part, lateral zone, layer 3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_posterior_part_lateral_zone_layers12 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZoneLayers12",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "584",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZoneLayers12",
    name="cortical amygdalar area, posterior part, lateral zone, layers 1-2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_posterior_part_lateral_zone_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZoneLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "376",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZoneLayers13",
    name="cortical amygdalar area, posterior part, lateral zone, layers 1-3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_posterior_part_medial_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "663",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZone",
    name="cortical amygdalar area, posterior part, medial zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_posterior_part_medial_zone_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZoneLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "240",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZoneLayer1",
    name="cortical amygdalar area, posterior part, medial zone, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_posterior_part_medial_zone_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZoneLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "248",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZoneLayer2",
    name="cortical amygdalar area, posterior part, medial zone, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_posterior_part_medial_zone_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZoneLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "256",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZoneLayer3",
    name="cortical amygdalar area, posterior part, medial zone, layer 3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_posterior_part_medial_zone_layers12 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZoneLayers12",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "592",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZoneLayers12",
    name="cortical amygdalar area, posterior part, medial zone, layers 1-2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_posterior_part_medial_zone_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZoneLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "383",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZoneLayers13",
    name="cortical amygdalar area, posterior part, medial zone, layers 1-3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_plate = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalPlate",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "695",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#70FF70"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalPlate",
    name="cortical plate",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_subplate = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalSubplate",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "703",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8ADA87"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalSubplate",
    name="cortical subplate",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corticobulbar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticobulbarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "994",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticobulbarTract",
    name="corticobulbar tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corticopontine_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticopontineTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1003",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticopontineTract",
    name="corticopontine tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corticorubral_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticorubralTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1012",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticorubralTract",
    name="corticorubral tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corticospinal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticospinalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "784",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticospinalTract",
    name="corticospinal tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corticospinal_tract_crossed = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticospinalTractCrossed",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1019",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticospinalTractCrossed",
    name="corticospinal tract, crossed",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corticospinal_tract_uncrossed = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticospinalTractUncrossed",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1028",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticospinalTractUncrossed",
    name="corticospinal tract, uncrossed",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corticotectal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticotectalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1036",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticotectalTract",
    name="corticotectal tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cranial_nerves = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cranialNerves",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "967",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cranialNerves",
    name="cranial nerves",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_crossed_tectospinal_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_crossedTectospinalPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1043",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_crossedTectospinalPathway",
    name="crossed tectospinal pathway",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_crus1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_crus1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1056",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_crus1",
    name="crus 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_crus1_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_crus1GranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10675",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_crus1GranularLayer",
    name="crus 1, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_crus1_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_crus1MolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10677",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_crus1MolecularLayer",
    name="crus 1, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_crus1_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_crus1PurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10676",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_crus1PurkinjeLayer",
    name="crus 1, Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_crus2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_crus2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1064",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_crus2",
    name="crus 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_crus2_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_crus2GranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10678",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_crus2GranularLayer",
    name="crus 2, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_crus2_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_crus2MolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10680",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_crus2MolecularLayer",
    name="crus 2, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_crus2_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_crus2PurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10679",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_crus2PurkinjeLayer",
    name="crus 2, Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_culmen = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_culmen",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "928",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_culmen",
    name="culmen",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cuneate_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cuneateFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "380",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cuneateFascicle",
    name="cuneate fascicle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cuneate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cuneateNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "711",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cuneateNucleus",
    name="cuneate nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cuneiform_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cuneiformNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "616",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cuneiformNucleus",
    name="cuneiform nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cuneocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cuneocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "499",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cuneocerebellarTract",
    name="cuneocerebellar tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_declive_vi = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_decliveVI",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "936",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_decliveVI",
    name="declive (VI)",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_declive_vi_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_decliveVIGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10723",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_decliveVIGranularLayer",
    name="declive (VI), granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_declive_vi_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_decliveVIMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10725",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_decliveVIMolecularLayer",
    name="declive (VI), molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_declive_vi_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_decliveVIPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10724",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_decliveVIPurkinjeLayer",
    name="declive (VI), Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "726",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrus",
    name="dentate gyrus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_crest = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusCrest",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "734",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusCrest",
    name="dentate gyrus crest",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_crest_granule_cell_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusCrestGranuleCellLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "758",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusCrestGranuleCellLayer",
    name="dentate gyrus crest, granule cell layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_crest_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusCrestMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "742",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusCrestMolecularLayer",
    name="dentate gyrus crest, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_crest_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusCrestPolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "751",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusCrestPolymorphLayer",
    name="dentate gyrus crest, polymorph layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_granule_cell_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusGranuleCellLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "632",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#66A83D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusGranuleCellLayer",
    name="dentate gyrus, granule cell layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_lateral_blade = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusLateralBlade",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "766",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusLateralBlade",
    name="dentate gyrus lateral blade",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_lateral_blade_granule_cell_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusLateralBladeGranuleCellLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "790",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusLateralBladeGranuleCellLayer",
    name="dentate gyrus lateral blade, granule cell layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_lateral_blade_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusLateralBladeMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "775",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusLateralBladeMolecularLayer",
    name="dentate gyrus lateral blade, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_lateral_blade_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusLateralBladePolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "782",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusLateralBladePolymorphLayer",
    name="dentate gyrus lateral blade, polymorph layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_medial_blade = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusMedialBlade",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "799",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusMedialBlade",
    name="dentate gyrus medial blade",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_medial_blade_granule_cell_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusMedialBladeGranuleCellLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "823",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusMedialBladeGranuleCellLayer",
    name="dentate gyrus medial blade, granule cell layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_medial_blade_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusMedialBladeMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "807",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusMedialBladeMolecularLayer",
    name="dentate gyrus medial blade, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_medial_blade_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusMedialBladePolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "815",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusMedialBladePolymorphLayer",
    name="dentate gyrus medial blade, polymorph layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10703",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusMolecularLayer",
    name="dentate gyrus, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusPolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10704",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusPolymorphLayer",
    name="dentate gyrus, polymorph layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_subgranular_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusSubgranularZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10702",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusSubgranularZone",
    name="dentate gyrus, subgranular zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "846",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFDBC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateNucleus",
    name="dentate nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_diagonal_band_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_diagonalBandNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "596",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#96A7D3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_diagonalBandNucleus",
    name="diagonal band nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_direct_tectospinal_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_directTectospinalPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1051",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_directTectospinalPathway",
    name="direct tectospinal pathway",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dopaminergic_a13_group = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dopaminergicA13Group",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "796",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dopaminergicA13Group",
    name="dopaminergic A13 group",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_doral_tegmental_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_doralTegmentalDecussation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1060",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_doralTegmentalDecussation",
    name="doral tegmental decussation",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_acoustic_stria = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalAcousticStria",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "506",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalAcousticStria",
    name="dorsal acoustic stria",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_auditory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalAuditoryArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1011",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalAuditoryArea",
    name="dorsal auditory area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_auditory_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalAuditoryAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "527",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalAuditoryAreaLayer1",
    name="dorsal auditory area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_auditory_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalAuditoryAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "600",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalAuditoryAreaLayer2-3",
    name="dorsal auditory area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_auditory_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalAuditoryAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "678",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalAuditoryAreaLayer4",
    name="dorsal auditory area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_auditory_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalAuditoryAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "252",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalAuditoryAreaLayer5",
    name="dorsal auditory area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_auditory_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalAuditoryAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "156",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalAuditoryAreaLayer6a",
    name="dorsal auditory area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_auditory_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalAuditoryAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "243",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalAuditoryAreaLayer6b",
    name="dorsal auditory area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_cochlear_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalCochlearNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "96",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalCochlearNucleus",
    name="dorsal cochlear nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_column = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalColumn",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "514",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalColumn",
    name="dorsal column",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_column_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalColumnNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "720",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalColumnNuclei",
    name="dorsal column nuclei",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_commissure_of_the_spinal_cord = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalCommissureOfTheSpinalCord",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "522",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalCommissureOfTheSpinalCord",
    name="dorsal commissure of the spinal cord",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_fornix = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalFornix",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "530",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalFornix",
    name="dorsal fornix",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_hippocampal_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalHippocampalCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "443",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalHippocampalCommissure",
    name="dorsal hippocampal commissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_limb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalLimb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "538",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalLimb",
    name="dorsal limb",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_longitudinal_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalLongitudinalFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "547",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalLongitudinalFascicle",
    name="dorsal longitudinal fascicle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_motor_nucleus_of_the_vagus_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalMotorNucleusOfTheVagusNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "839",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalMotorNucleusOfTheVagusNerve",
    name="dorsal motor nucleus of the vagus nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_nucleus_raphe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalNucleusRaphe",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "872",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalNucleusRaphe",
    name="dorsal nucleus raphe",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_part_of_the_lateral_geniculate_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPartOfTheLateralGeniculateComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "170",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalPartOfTheLateralGeniculateComplex",
    name="dorsal part of the lateral geniculate complex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_part_of_the_lateral_geniculate_complex_core = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPartOfTheLateralGeniculateComplexCore",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "496345668",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalPartOfTheLateralGeniculateComplexCore",
    name="dorsal part of the lateral geniculate complex, core",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_part_of_the_lateral_geniculate_complex_ipsilateral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPartOfTheLateralGeniculateComplexIpsilateralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "496345672",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalPartOfTheLateralGeniculateComplexIpsilateralZone",
    name="dorsal part of the lateral geniculate complex, ipsilateral zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_part_of_the_lateral_geniculate_complex_shell = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPartOfTheLateralGeniculateComplexShell",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "496345664",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalPartOfTheLateralGeniculateComplexShell",
    name="dorsal part of the lateral geniculate complex, shell",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_peduncular_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPeduncularArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "814",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A4DAA4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalPeduncularArea",
    name="dorsal peduncular area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_peduncular_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPeduncularAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "496",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A4DAA4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalPeduncularAreaLayer1",
    name="dorsal peduncular area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_peduncular_area_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPeduncularAreaLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "535",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A4DAA4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalPeduncularAreaLayer2",
    name="dorsal peduncular area, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_peduncular_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPeduncularAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "360",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A4DAA4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalPeduncularAreaLayer2-3",
    name="dorsal peduncular area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_peduncular_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPeduncularAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "646",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A4DAA4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalPeduncularAreaLayer5",
    name="dorsal peduncular area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_peduncular_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPeduncularAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "267",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A4DAA4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalPeduncularAreaLayer6a",
    name="dorsal peduncular area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_premammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPremammillaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "980",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalPremammillaryNucleus",
    name="dorsal premammillary nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_roots = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalRoots",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "792",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalRoots",
    name="dorsal roots",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_spinocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalSpinocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "553",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalSpinocerebellarTract",
    name="dorsal spinocerebellar tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalTegmentalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "880",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalTegmentalNucleus",
    name="dorsal tegmental nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_tegmental_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalTegmentalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "563",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalTegmentalTract",
    name="dorsal tegmental tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_terminal_nucleus_of_the_accessory_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalTerminalNucleusOfTheAccessoryOpticTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "75",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalTerminalNucleusOfTheAccessoryOpticTract",
    name="dorsal terminal nucleus of the accessory optic tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_thalamus_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalThalamusRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1068",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalThalamusRelated",
    name="dorsal thalamus related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsolateral_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsolateralFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "570",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsolateralFascicle",
    name="dorsolateral fascicle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsomedial_nucleus_of_the_hypothalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsomedialNucleusOfTheHypothalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "830",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsomedialNucleusOfTheHypothalamus",
    name="dorsomedial nucleus of the hypothalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsomedial_nucleus_of_the_hypothalamus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsomedialNucleusOfTheHypothalamusAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "668",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsomedialNucleusOfTheHypothalamusAnteriorPart",
    name="dorsomedial nucleus of the hypothalamus, anterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsomedial_nucleus_of_the_hypothalamus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsomedialNucleusOfTheHypothalamusPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "676",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsomedialNucleusOfTheHypothalamusPosteriorPart",
    name="dorsomedial nucleus of the hypothalamus, posterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsomedial_nucleus_of_the_hypothalamus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsomedialNucleusOfTheHypothalamusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "684",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsomedialNucleusOfTheHypothalamusVentralPart",
    name="dorsomedial nucleus of the hypothalamus, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ectorhinal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ectorhinalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "895",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0D9F91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ectorhinalArea",
    name="ectorhinal area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ectorhinal_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ectorhinalAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "836",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0D9F91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ectorhinalAreaLayer1",
    name="ectorhinal area/layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ectorhinal_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ectorhinalAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "427",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0D9F91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ectorhinalAreaLayer2-3",
    name="ectorhinal area/layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ectorhinal_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ectorhinalAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "988",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0D9F91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ectorhinalAreaLayer5",
    name="ectorhinal area/layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ectorhinal_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ectorhinalAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "977",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0D9F91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ectorhinalAreaLayer6a",
    name="ectorhinal area/layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ectorhinal_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ectorhinalAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1045",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0D9F91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ectorhinalAreaLayer6b",
    name="ectorhinal area/layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_edinger_westphal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_edingerWestphalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "975",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_edingerWestphalNucleus",
    name="edinger-Westphal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_efferent_cochlear_group = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_efferentCochlearGroup",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "887",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_efferentCochlearGroup",
    name="efferent cochlear group",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_efferent_cochleovestibular_bundle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_efferentCochleovestibularBundle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1076",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_efferentCochleovestibularBundle",
    name="efferent cochleovestibular bundle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_efferent_vestibular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_efferentVestibularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "640",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_efferentVestibularNucleus",
    name="efferent vestibular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_endopiriform_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_endopiriformNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "942",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A0EE9D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_endopiriformNucleus",
    name="endopiriform nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_endopiriform_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_endopiriformNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "952",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A0EE9D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_endopiriformNucleusDorsalPart",
    name="endopiriform nucleus, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_endopiriform_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_endopiriformNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "966",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A0EE9D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_endopiriformNucleusVentralPart",
    name="endopiriform nucleus, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_endorhinal_groove = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_endorhinalGroove",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1055",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_endorhinalGroove",
    name="endorhinal groove",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "909",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalArea",
    name="entorhinal area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "918",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaLateralPart",
    name="entorhinal area, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_lateral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1121",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer1",
    name="entorhinal area, lateral part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_lateral_part_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "20",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer2",
    name="entorhinal area, lateral part, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_lateral_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "999",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer2-3",
    name="entorhinal area, lateral part, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_lateral_part_layer2a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer2a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "715",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer2a",
    name="entorhinal area, lateral part, layer 2a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_lateral_part_layer2b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer2b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "764",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer2b",
    name="entorhinal area, lateral part, layer 2b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_lateral_part_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "52",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer3",
    name="entorhinal area, lateral part, layer 3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_lateral_part_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "92",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer4",
    name="entorhinal area, lateral part, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_lateral_part_layer4_5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer4-5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer4-5",
    name="entorhinal area, lateral part, layer 4/5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_lateral_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "139",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer5",
    name="entorhinal area, lateral part, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_lateral_part_layer5_6 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer5-6",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "387",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer5-6",
    name="entorhinal area, lateral part, layer 5/6",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_lateral_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "28",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer6a",
    name="entorhinal area, lateral part, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_lateral_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "60",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer6b",
    name="entorhinal area, lateral part, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_dorsal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "926",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZone",
    name="entorhinal area, medial part, dorsal zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_dorsal_zone_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "526",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer1",
    name="entorhinal area, medial part, dorsal zone, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_dorsal_zone_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "543",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer2",
    name="entorhinal area, medial part, dorsal zone, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_dorsal_zone_layer2a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer2a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "468",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer2a",
    name="entorhinal area, medial part, dorsal zone, layer 2a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_dorsal_zone_layer2b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer2b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "508",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer2b",
    name="entorhinal area, medial part, dorsal zone, layer 2b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_dorsal_zone_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "664",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer3",
    name="entorhinal area, medial part, dorsal zone, layer 3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_dorsal_zone_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "712",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer4",
    name="entorhinal area, medial part, dorsal zone, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_dorsal_zone_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "727",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer5",
    name="entorhinal area, medial part, dorsal zone, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_dorsal_zone_layer5_6 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer5-6",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "550",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer5-6",
    name="entorhinal area, medial part, dorsal zone, layer 5/6",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_dorsal_zone_layer6 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer6",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "743",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer6",
    name="entorhinal area, medial part, dorsal zone, layer 6",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_ventral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "934",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZone",
    name="entorhinal area, medial part, ventral zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_ventral_zone_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZoneLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "259",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZoneLayer1",
    name="entorhinal area, medial part, ventral zone, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_ventral_zone_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZoneLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "324",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZoneLayer2",
    name="entorhinal area, medial part, ventral zone, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_ventral_zone_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZoneLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "371",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZoneLayer3",
    name="entorhinal area, medial part, ventral zone, layer 3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_ventral_zone_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZoneLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "419",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZoneLayer4",
    name="entorhinal area, medial part, ventral zone, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_ventral_zone_layer5_6 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZoneLayer5-6",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1133",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZoneLayer5-6",
    name="entorhinal area, medial part, ventral zone, layer 5/6",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_epithalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_epithalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "958",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_epithalamus",
    name="epithalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_epithalamus_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_epithalamusRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1083",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_epithalamusRelated",
    name="epithalamus related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ethmoid_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ethmoidNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "560581551",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ethmoidNucleusOfTheThalamus",
    name="ethmoid nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_external_capsule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_externalCapsule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "579",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_externalCapsule",
    name="external capsule",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_external_cuneate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_externalCuneateNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "903",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_externalCuneateNucleus",
    name="external cuneate nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_external_medullary_lamina_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_externalMedullaryLaminaOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1092",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_externalMedullaryLaminaOfTheThalamus",
    name="external medullary lamina of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_extrapyramidal_fiber_systems = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_extrapyramidalFiberSystems",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1000",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_extrapyramidalFiberSystems",
    name="extrapyramidal fiber systems",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_facial_motor_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_facialMotorNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "661",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_facialMotorNucleus",
    name="facial motor nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_facialNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "798",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_facialNerve",
    name="facial nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_fasciculus_proprius = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fasciculusProprius",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "586",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fasciculusProprius",
    name="fasciculus proprius",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_fasciculus_retroflexus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fasciculusRetroflexus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "595",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fasciculusRetroflexus",
    name="fasciculus retroflexus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_fasciola_cinerea = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fasciolaCinerea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "982",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fasciolaCinerea",
    name="fasciola cinerea",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_fastigial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fastigialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "989",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFDBC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fastigialNucleus",
    name="fastigial nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_fiber_tracts = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fiberTracts",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1009",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fiberTracts",
    name="fiber tracts",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "382",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA1",
    name="field CA1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca1_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA1PyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "407",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#66A83D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA1PyramidalLayer",
    name="field CA1, pyramidal layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca1_stratum_lacunosummoleculare = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA1StratumLacunosummoleculare",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "391",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA1StratumLacunosummoleculare",
    name="field CA1, stratum lacunosum-moleculare",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca1_stratum_oriens = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA1StratumOriens",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "399",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA1StratumOriens",
    name="field CA1, stratum oriens",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca1_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA1StratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "415",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA1StratumRadiatum",
    name="field CA1, stratum radiatum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "423",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA2",
    name="field CA2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca2_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA2PyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "446",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#66A83D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA2PyramidalLayer",
    name="field CA2, pyramidal layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca2_stratum_lacunosummoleculare = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA2StratumLacunosummoleculare",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "431",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA2StratumLacunosummoleculare",
    name="field CA2, stratum lacunosum-moleculare",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca2_stratum_oriens = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA2StratumOriens",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "438",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA2StratumOriens",
    name="field CA2, stratum oriens",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca2_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA2StratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "454",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA2StratumRadiatum",
    name="field CA2, stratum radiatum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "463",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA3",
    name="field CA3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca3_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA3PyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "495",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#66A83D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA3PyramidalLayer",
    name="field CA3, pyramidal layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca3_stratum_lacunosummoleculare = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA3StratumLacunosummoleculare",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "471",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA3StratumLacunosummoleculare",
    name="field CA3, stratum lacunosum-moleculare",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca3_stratum_lucidum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA3StratumLucidum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "479",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA3StratumLucidum",
    name="field CA3, stratum lucidum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca3_stratum_oriens = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA3StratumOriens",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "486",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA3StratumOriens",
    name="field CA3, stratum oriens",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca3_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA3StratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "504",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA3StratumRadiatum",
    name="field CA3, stratum radiatum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_fields_of_forel = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldsOfForel",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "804",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldsOfForel",
    name="fields of Forel",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_fimbria = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fimbria",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "603",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fimbria",
    name="fimbria",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_flocculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_flocculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1049",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_flocculus",
    name="flocculus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_flocculus_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_flocculusGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10690",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_flocculusGranularLayer",
    name="flocculus, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_flocculus_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_flocculusMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10692",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_flocculusMolecularLayer",
    name="flocculus, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_flocculus_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_flocculusPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10691",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_flocculusPurkinjeLayer",
    name="flocculus, Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_foliumtuber_vermis_vii = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_foliumtuberVermisVII",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "944",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_foliumtuberVermisVII",
    name="folium-tuber vermis (VII)",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_foliumtuber_vermis_vii_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_foliumtuberVermisVIIGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10726",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_foliumtuberVermisVIIGranularLayer",
    name="folium-tuber vermis (VII), granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_foliumtuber_vermis_vii_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_foliumtuberVermisVIIMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10728",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_foliumtuberVermisVIIMolecularLayer",
    name="folium-tuber vermis (VII), molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_foliumtuber_vermis_vii_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_foliumtuberVermisVIIPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10727",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_foliumtuberVermisVIIPurkinjeLayer",
    name="folium-tuber vermis (VII), Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_fornix_system = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fornixSystem",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1099",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fornixSystem",
    name="fornix system",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_fourth_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fourthVentricle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "145",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fourthVentricle",
    name="fourth ventricle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_frontal_pole_cerebral_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_frontalPoleCerebralCortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "184",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#268F45"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_frontalPoleCerebralCortex",
    name="frontal pole, cerebral cortex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_frontal_pole_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_frontalPoleLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "68",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#268F45"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_frontalPoleLayer1",
    name="frontal pole, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_frontal_pole_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_frontalPoleLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "667",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#268F45"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_frontalPoleLayer2-3",
    name="frontal pole, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_frontal_pole_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_frontalPoleLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "526157192",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#268F45"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_frontalPoleLayer5",
    name="frontal pole, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_frontal_pole_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_frontalPoleLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "526157196",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#268F45"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_frontalPoleLayer6a",
    name="frontal pole, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_frontal_pole_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_frontalPoleLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "526322264",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#268F45"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_frontalPoleLayer6b",
    name="frontal pole, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_fundus_of_striatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fundusOfStriatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "998",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fundusOfStriatum",
    name="fundus of striatum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_geniculate_group_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_geniculateGroupDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1008",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_geniculateGroupDorsalThalamus",
    name="geniculate group, dorsal thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_geniculate_group_ventral_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_geniculateGroupVentralThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1014",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_geniculateGroupVentralThalamus",
    name="geniculate group, ventral thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_genu_of_corpus_callosum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_genuOfCorpusCallosum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1108",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_genuOfCorpusCallosum",
    name="genu of corpus callosum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_genu_of_the_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_genuOfTheFacialNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1116",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_genuOfTheFacialNerve",
    name="genu of the facial nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_gigantocellular_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gigantocellularReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1048",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_gigantocellularReticularNucleus",
    name="gigantocellular reticular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_globus_pallidus_external_segment = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_globusPallidusExternalSegment",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1022",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8599CC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_globusPallidusExternalSegment",
    name="globus pallidus, external segment",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_globus_pallidus_internal_segment = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_globusPallidusInternalSegment",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1031",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8599CC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_globusPallidusInternalSegment",
    name="globus pallidus, internal segment",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_glossopharyngeal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_glossopharyngealNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "808",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_glossopharyngealNerve",
    name="glossopharyngeal nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_gracile_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gracileFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "388",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_gracileFascicle",
    name="gracile fascicle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_gracile_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gracileNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1039",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_gracileNucleus",
    name="gracile nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_granular_lamina_of_the_cochlear_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_granularLaminaOfTheCochlearNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "112",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_granularLaminaOfTheCochlearNuclei",
    name="granular lamina of the cochlear nuclei",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_grooves = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_grooves",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1024",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_grooves",
    name="grooves",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_grooves_of_the_cerebellar_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_groovesOfTheCerebellarCortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1040",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_groovesOfTheCerebellarCortex",
    name="grooves of the cerebellar cortex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_grooves_of_the_cerebral_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_groovesOfTheCerebralCortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1032",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_groovesOfTheCerebralCortex",
    name="grooves of the cerebral cortex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_gustatory_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gustatoryAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1057",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_gustatoryAreas",
    name="gustatory areas",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_gustatory_areas_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gustatoryAreasLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "36",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_gustatoryAreasLayer1",
    name="gustatory areas, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_gustatory_areas_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gustatoryAreasLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "180",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_gustatoryAreasLayer2-3",
    name="gustatory areas, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_gustatory_areas_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gustatoryAreasLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "148",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_gustatoryAreasLayer4",
    name="gustatory areas, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_gustatory_areas_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gustatoryAreasLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "187",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_gustatoryAreasLayer5",
    name="gustatory areas, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_gustatory_areas_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gustatoryAreasLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "638",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_gustatoryAreasLayer6a",
    name="gustatory areas, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_gustatory_areas_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gustatoryAreasLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "662",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_gustatoryAreasLayer6b",
    name="gustatory areas, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_habenular_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_habenularCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "611",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_habenularCommissure",
    name="habenular commissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hemispheric_regions = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hemisphericRegions",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1073",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hemisphericRegions",
    name="hemispheric regions",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hindbrain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hindbrain",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1065",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF9B88"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hindbrain",
    name="hindbrain",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hippocampal_commissures = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hippocampalCommissures",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "618",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hippocampalCommissures",
    name="hippocampal commissures",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hippocampal_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hippocampalFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1063",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hippocampalFissure",
    name="hippocampal fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hippocampal_formation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hippocampalFormation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1089",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hippocampalFormation",
    name="hippocampal formation",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hippocampal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hippocampalRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1080",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hippocampalRegion",
    name="hippocampal region",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hippocampoamygdalar_transition_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hippocampoamygdalarTransitionArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "589508447",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#33B932"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hippocampoamygdalarTransitionArea",
    name="hippocampo-amygdalar transition area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hypoglossal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hypoglossalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "813",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hypoglossalNerve",
    name="hypoglossal nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hypoglossal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hypoglossalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "773",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hypoglossalNucleus",
    name="hypoglossal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hypothalamic_lateral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hypothalamicLateralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "290",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hypothalamicLateralZone",
    name="hypothalamic lateral zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hypothalamic_medial_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hypothalamicMedialZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "467",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hypothalamicMedialZone",
    name="hypothalamic medial zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hypothalamohypophysial_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hypothalamohypophysialTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "627",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hypothalamohypophysialTract",
    name="hypothalamohypophysial tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hypothalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hypothalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1097",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#E64438"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hypothalamus",
    name="hypothalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hypothalamus_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hypothalamusRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "824",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hypothalamusRelated",
    name="hypothalamus related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_induseum_griseum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_induseumGriseum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "19",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_induseumGriseum",
    name="induseum griseum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_inferior_cerebellar_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_inferiorCerebellarPeduncle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1123",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_inferiorCerebellarPeduncle",
    name="inferior cerebellar peduncle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_inferiorColliculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "4",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_inferiorColliculus",
    name="inferior colliculus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_inferior_colliculus_central_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_inferiorColliculusCentralNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "811",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_inferiorColliculusCentralNucleus",
    name="inferior colliculus, central nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_inferior_colliculus_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_inferiorColliculusCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "633",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_inferiorColliculusCommissure",
    name="inferior colliculus commissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_inferior_colliculus_dorsal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_inferiorColliculusDorsalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "820",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_inferiorColliculusDorsalNucleus",
    name="inferior colliculus, dorsal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_inferior_colliculus_external_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_inferiorColliculusExternalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "828",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_inferiorColliculusExternalNucleus",
    name="inferior colliculus, external nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_inferior_olivary_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_inferiorOlivaryComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "83",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_inferiorOlivaryComplex",
    name="inferior olivary complex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_inferior_salivatory_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_inferiorSalivatoryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "106",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_inferiorSalivatoryNucleus",
    name="inferior salivatory nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_infracerebellar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_infracerebellarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "372",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_infracerebellarNucleus",
    name="infracerebellar nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_infralimbic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_infralimbicArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "44",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_infralimbicArea",
    name="infralimbic area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_infralimbic_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_infralimbicAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "707",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_infralimbicAreaLayer1",
    name="infralimbic area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_infralimbic_area_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_infralimbicAreaLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "747",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_infralimbicAreaLayer2",
    name="infralimbic area, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_infralimbic_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_infralimbicAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "556",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_infralimbicAreaLayer2-3",
    name="infralimbic area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_infralimbic_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_infralimbicAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "827",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_infralimbicAreaLayer5",
    name="infralimbic area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_infralimbic_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_infralimbicAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1054",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_infralimbicAreaLayer6a",
    name="infralimbic area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_infralimbic_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_infralimbicAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1081",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_infralimbicAreaLayer6b",
    name="infralimbic area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interanterodorsal_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interanterodorsalNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1113",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interanterodorsalNucleusOfTheThalamus",
    name="interanterodorsal nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interanteromedial_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interanteromedialNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1120",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interanteromedialNucleusOfTheThalamus",
    name="interanteromedial nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interbrain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interbrain",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1129",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7080"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interbrain",
    name="interbrain",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_intercalated_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intercalatedAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1105",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_intercalatedAmygdalarNucleus",
    name="intercalated amygdalar nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_intercollicular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intercollicularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "549009207",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_intercollicularNucleus",
    name="intercollicular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_intercrural_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intercruralFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "34",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_intercruralFissure",
    name="intercrural fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interfascicular_nucleus_raphe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interfascicularNucleusRaphe",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interfascicularNucleusRaphe",
    name="interfascicular nucleus raphe",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_intergeniculate_leaflet_of_the_lateral_geniculate_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intergeniculateLeafletOfTheLateralGeniculateComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "27",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_intergeniculateLeafletOfTheLateralGeniculateComplex",
    name="intergeniculate leaflet of the lateral geniculate complex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_intermediate_acoustic_stria = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intermediateAcousticStria",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "641",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_intermediateAcousticStria",
    name="intermediate acoustic stria",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_intermediate_geniculate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intermediateGeniculateNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "563807439",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_intermediateGeniculateNucleus",
    name="intermediate geniculate nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_intermediate_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intermediateNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1131",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_intermediateNerve",
    name="intermediate nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_intermediate_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intermediateReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "136",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_intermediateReticularNucleus",
    name="intermediate reticular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_intermediodorsal_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intermediodorsalNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "59",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_intermediodorsalNucleusOfTheThalamus",
    name="intermediodorsal nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_internal_arcuate_fibers = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_internalArcuateFibers",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "396",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_internalArcuateFibers",
    name="internal arcuate fibers",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_internal_capsule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_internalCapsule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "6",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_internalCapsule",
    name="internal capsule",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_internal_medullary_lamina_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_internalMedullaryLaminaOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "14",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_internalMedullaryLaminaOfTheThalamus",
    name="internal medullary lamina of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interpeduncular_fossa = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularFossa",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "624",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interpeduncularFossa",
    name="interpeduncular fossa",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interpeduncular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "100",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interpeduncularNucleus",
    name="interpeduncular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interpeduncular_nucleus_apical = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularNucleusApical",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "607344842",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interpeduncularNucleusApical",
    name="interpeduncular nucleus, apical",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interpeduncular_nucleus_caudal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularNucleusCaudal",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "607344838",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interpeduncularNucleusCaudal",
    name="interpeduncular nucleus, caudal",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interpeduncular_nucleus_dorsolateral = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularNucleusDorsolateral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "607344858",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interpeduncularNucleusDorsolateral",
    name="interpeduncular nucleus, dorsolateral",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interpeduncular_nucleus_dorsomedial = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularNucleusDorsomedial",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "607344854",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interpeduncularNucleusDorsomedial",
    name="interpeduncular nucleus, dorsomedial",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interpeduncular_nucleus_intermediate = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularNucleusIntermediate",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "607344850",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interpeduncularNucleusIntermediate",
    name="interpeduncular nucleus, intermediate",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interpeduncular_nucleus_lateral = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularNucleusLateral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "607344846",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interpeduncularNucleusLateral",
    name="interpeduncular nucleus, lateral",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interpeduncular_nucleus_rostral = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularNucleusRostral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "607344834",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interpeduncularNucleusRostral",
    name="interpeduncular nucleus, rostral",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interpeduncular_nucleus_rostrolateral = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularNucleusRostrolateral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "607344862",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interpeduncularNucleusRostrolateral",
    name="interpeduncular nucleus, rostrolateral",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interposed_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interposedNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "91",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFDBC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interposedNucleus",
    name="interposed nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interstitial_nucleus_of_cajal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interstitialNucleusOfCajal",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "67",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interstitialNucleusOfCajal",
    name="interstitial nucleus of Cajal",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interstitial_nucleus_of_the_vestibular_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interstitialNucleusOfTheVestibularNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "76",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interstitialNucleusOfTheVestibularNerve",
    name="interstitial nucleus of the vestibular nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_intertrigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intertrigeminalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "549009227",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_intertrigeminalNucleus",
    name="intertrigeminal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interventricular_foramen = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interventricularForamen",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "124",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interventricularForamen",
    name="interventricular foramen",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_intralaminar_nuclei_of_the_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intralaminarNucleiOfTheDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "51",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_intralaminarNucleiOfTheDorsalThalamus",
    name="intralaminar nuclei of the dorsal thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_intraparafloccular_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intraparafloccularFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "49",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_intraparafloccularFissure",
    name="intraparafloccular fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_islands_of_calleja = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_islandsOfCalleja",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "481",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_islandsOfCalleja",
    name="islands of Calleja",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_isocortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_isocortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "315",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#70FF71"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_isocortex",
    name="isocortex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_juxtarestiform_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_juxtarestiformBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "650",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_juxtarestiformBody",
    name="juxtarestiform body",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_koelliker_fuse_subnucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_koellikerFuseSubnucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "123",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_koellikerFuseSubnucleus",
    name="Koelliker-Fuse subnucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "131",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90EB8D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralAmygdalarNucleus",
    name="lateral amygdalar nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_dorsal_nucleus_of_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralDorsalNucleusOfThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "155",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralDorsalNucleusOfThalamus",
    name="lateral dorsal nucleus of thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_forebrain_bundle_system = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralForebrainBundleSystem",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "983",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralForebrainBundleSystem",
    name="lateral forebrain bundle system",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_group_of_the_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralGroupOfTheDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "138",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralGroupOfTheDorsalThalamus",
    name="lateral group of the dorsal thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_habenula = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralHabenula",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "186",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralHabenula",
    name="lateral habenula",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_hypothalamic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralHypothalamicArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "194",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralHypothalamicArea",
    name="lateral hypothalamic area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_lemniscus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralLemniscus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "658",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralLemniscus",
    name="lateral lemniscus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_mammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralMammillaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "210",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralMammillaryNucleus",
    name="lateral mammillary nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_olfactory_tract_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralOlfactoryTractBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "665",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralOlfactoryTractBody",
    name="lateral olfactory tract, body",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_olfactory_tract_general = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralOlfactoryTractGeneral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "21",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralOlfactoryTractGeneral",
    name="lateral olfactory tract, general",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_posterior_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralPosteriorNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "218",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralPosteriorNucleusOfTheThalamus",
    name="lateral posterior nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_preoptic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralPreopticArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "226",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralPreopticArea",
    name="lateral preoptic area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_recess = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralRecess",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "153",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralRecess",
    name="lateral recess",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "235",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralReticularNucleus",
    name="lateral reticular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_reticular_nucleus_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralReticularNucleusMagnocellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "955",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralReticularNucleusMagnocellularPart",
    name="lateral reticular nucleus, magnocellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_reticular_nucleus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralReticularNucleusParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "963",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralReticularNucleusParvicellularPart",
    name="lateral reticular nucleus, parvicellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_septal_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralSeptalComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "275",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralSeptalComplex",
    name="lateral septal complex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_septal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralSeptalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "242",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralSeptalNucleus",
    name="lateral septal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_septal_nucleus_caudal_caudodorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralSeptalNucleusCaudalCaudodorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "250",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralSeptalNucleusCaudalCaudodorsalPart",
    name="lateral septal nucleus, caudal (caudodorsal) part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_septal_nucleus_rostral_rostroventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralSeptalNucleusRostralRostroventralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "258",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralSeptalNucleusRostralRostroventralPart",
    name="lateral septal nucleus, rostral (rostroventral) part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_septal_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralSeptalNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "266",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralSeptalNucleusVentralPart",
    name="lateral septal nucleus, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_spinothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralSpinothalamicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "29",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralSpinothalamicTract",
    name="lateral spinothalamic tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_strip_of_striatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralStripOfStriatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "549009199",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralStripOfStriatum",
    name="lateral strip of striatum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralTegmentalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "283",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralTegmentalNucleus",
    name="lateral tegmental nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_terminal_nucleus_of_the_accessory_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralTerminalNucleusOfTheAccessoryOpticTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "66",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralTerminalNucleusOfTheAccessoryOpticTract",
    name="lateral terminal nucleus of the accessory optic tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralVentricle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "81",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralVentricle",
    name="lateral ventricle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_vestibular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralVestibularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "209",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralVestibularNucleus",
    name="lateral vestibular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "409",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralVisualArea",
    name="lateral visual area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "421",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralVisualAreaLayer1",
    name="lateral visual area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "973",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralVisualAreaLayer2-3",
    name="lateral visual area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "573",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralVisualAreaLayer4",
    name="lateral visual area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_visual_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralVisualAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "613",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralVisualAreaLayer5",
    name="lateral visual area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "74",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralVisualAreaLayer6a",
    name="lateral visual area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "121",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralVisualAreaLayer6b",
    name="lateral visual area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterodorsal_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterodorsalTegmentalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "162",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterodorsalTegmentalNucleus",
    name="laterodorsal tegmental nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterointermediate_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterointermediateArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782574",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterointermediateArea",
    name="laterointermediate area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterointermediate_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterointermediateAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782578",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterointermediateAreaLayer1",
    name="laterointermediate area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterointermediate_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterointermediateAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782582",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterointermediateAreaLayer2-3",
    name="laterointermediate area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterointermediate_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterointermediateAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782586",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterointermediateAreaLayer4",
    name="laterointermediate area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterointermediate_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterointermediateAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782590",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterointermediateAreaLayer5",
    name="laterointermediate area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterointermediate_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterointermediateAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782594",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterointermediateAreaLayer6a",
    name="laterointermediate area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterointermediate_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterointermediateAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782598",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterointermediateAreaLayer6b",
    name="laterointermediate area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterolateral_anterior_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterolateralAnteriorVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149230",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterolateralAnteriorVisualArea",
    name="laterolateral anterior visual area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterolateral_anterior_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterolateralAnteriorVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149234",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterolateralAnteriorVisualAreaLayer1",
    name="laterolateral anterior visual area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterolateral_anterior_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterolateralAnteriorVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149238",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterolateralAnteriorVisualAreaLayer2-3",
    name="laterolateral anterior visual area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterolateral_anterior_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterolateralAnteriorVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149242",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterolateralAnteriorVisualAreaLayer4",
    name="laterolateral anterior visual area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterolateral_anterior_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterolateralAnteriorVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149250",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterolateralAnteriorVisualAreaLayer6a",
    name="laterolateral anterior visual area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterolateral_anterior_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterolateralAnteriorVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149254",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterolateralAnteriorVisualAreaLayer6b",
    name="laterolateral anterior visual area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterolateral_anterior_visual_arealayer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterolateralAnteriorVisualArealayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149246",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterolateralAnteriorVisualArealayer5",
    name="laterolateral anterior visual area,layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_layer6b_isocortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_layer6bIsocortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "16",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8ADA87"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_layer6bIsocortex",
    name="layer 6b, isocortex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_linear_nucleus_of_the_medulla = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_linearNucleusOfTheMedulla",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "203",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_linearNucleusOfTheMedulla",
    name="linear nucleus of the medulla",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lingula_i = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lingulaI",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "912",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lingulaI",
    name="lingula (I)",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lingula_i_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lingulaIGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10705",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lingulaIGranularLayer",
    name="lingula (I), granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lingula_i_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lingulaIMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10707",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lingulaIMolecularLayer",
    name="lingula (I), molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lingula_i_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lingulaIPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10706",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lingulaIPurkinjeLayer",
    name="lingula (I), Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_ii = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleII",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "976",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleII",
    name="lobule II",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_ii_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIIGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10708",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleIIGranularLayer",
    name="lobule II, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_ii_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIIMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10710",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleIIMolecularLayer",
    name="lobule II, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_ii_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIIPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10709",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleIIPurkinjeLayer",
    name="lobule II, Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_iii = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIII",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "984",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleIII",
    name="lobule III",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_iii_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIIIGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10711",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleIIIGranularLayer",
    name="lobule III, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_iii_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIIIMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10713",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleIIIMolecularLayer",
    name="lobule III, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_iii_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIIIPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10712",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleIIIPurkinjeLayer",
    name="lobule III, Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_iv = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIV",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "992",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleIV",
    name="lobule IV",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_iv_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIVGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10714",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleIVGranularLayer",
    name="lobule IV, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_iv_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIVMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10716",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleIVMolecularLayer",
    name="lobule IV, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_iv_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIVPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10715",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleIVPurkinjeLayer",
    name="lobule IV, Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_v = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleV",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1001",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleV",
    name="lobule V",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_v_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleVGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10717",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleVGranularLayer",
    name="lobule V, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_v_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleVMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10719",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleVMolecularLayer",
    name="lobule V, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_v_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleVPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10718",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleVPurkinjeLayer",
    name="lobule V, Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobules_iv_v = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobulesIV-V",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1091",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobulesIV-V",
    name="lobules IV-V",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobules_iv_v_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobulesIV-VGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10720",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobulesIV-VGranularLayer",
    name="lobules IV-V, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobules_iv_v_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobulesIV-VMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10722",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobulesIV-VMolecularLayer",
    name="lobules IV-V, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobules_iv_v_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobulesIV-VPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10721",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobulesIV-VPurkinjeLayer",
    name="lobules IV-V, Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_locus_ceruleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_locusCeruleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "147",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_locusCeruleus",
    name="locus ceruleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_longitudinal_association_bundle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_longitudinalAssociationBundle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "37",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_longitudinalAssociationBundle",
    name="longitudinal association bundle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_magnocellular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_magnocellularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "298",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A2B1D8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_magnocellularNucleus",
    name="magnocellular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_magnocellular_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_magnocellularReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "307",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_magnocellularReticularNucleus",
    name="magnocellular reticular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_main_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mainOlfactoryBulb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "507",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9AD2BD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mainOlfactoryBulb",
    name="main olfactory bulb",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_main_olfactory_bulb_glomerular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mainOlfactoryBulbGlomerularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "212",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#82C7AE"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mainOlfactoryBulbGlomerularLayer",
    name="main olfactory bulb, glomerular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_main_olfactory_bulb_granule_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mainOlfactoryBulbGranuleLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "220",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#82C7AE"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mainOlfactoryBulbGranuleLayer",
    name="main olfactory bulb, granule layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_main_olfactory_bulb_inner_plexiform_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mainOlfactoryBulbInnerPlexiformLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "228",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9AD2BD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mainOlfactoryBulbInnerPlexiformLayer",
    name="main olfactory bulb, inner plexiform layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_main_olfactory_bulb_mitral_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mainOlfactoryBulbMitralLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "236",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#82C7AE"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mainOlfactoryBulbMitralLayer",
    name="main olfactory bulb, mitral layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_main_olfactory_bulb_outer_plexiform_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mainOlfactoryBulbOuterPlexiformLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "244",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9AD2BD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mainOlfactoryBulbOuterPlexiformLayer",
    name="main olfactory bulb, outer plexiform layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_major_island_of_calleja = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_majorIslandOfCalleja",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "489",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_majorIslandOfCalleja",
    name="major island of Calleja",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mammillary_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mammillaryBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "331",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mammillaryBody",
    name="mammillary body",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mammillary_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mammillaryPeduncle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "673",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mammillaryPeduncle",
    name="mammillary peduncle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mammillary_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mammillaryRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "46",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mammillaryRelated",
    name="mammillary related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mammillotegmental_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mammillotegmentalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "681",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mammillotegmentalTract",
    name="mammillotegmental tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mammillothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mammillothalamicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "690",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mammillothalamicTract",
    name="mammillothalamic tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_accesory_oculomotor_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialAccesoryOculomotorNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "549009211",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialAccesoryOculomotorNucleus",
    name="medial accessory oculomotor nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "403",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialAmygdalarNucleus",
    name="medial amygdalar nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_amygdalar_nucleus_anterodorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialAmygdalarNucleusAnterodorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "411",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialAmygdalarNucleusAnterodorsalPart",
    name="medial amygdalar nucleus, anterodorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_amygdalar_nucleus_anteroventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialAmygdalarNucleusAnteroventralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "418",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialAmygdalarNucleusAnteroventralPart",
    name="medial amygdalar nucleus, anteroventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_amygdalar_nucleus_posterodorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialAmygdalarNucleusPosterodorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "426",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialAmygdalarNucleusPosterodorsalPart",
    name="medial amygdalar nucleus, posterodorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_amygdalar_nucleus_posterodorsal_part_sublayer_a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialAmygdalarNucleusPosterodorsalPartSublayerA",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "472",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialAmygdalarNucleusPosterodorsalPartSublayerA",
    name="medial amygdalar nucleus, posterodorsal part, sublayer a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_amygdalar_nucleus_posterodorsal_part_sublayer_b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialAmygdalarNucleusPosterodorsalPartSublayerB",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialAmygdalarNucleusPosterodorsalPartSublayerB",
    name="medial amygdalar nucleus, posterodorsal part, sublayer b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_amygdalar_nucleus_posterodorsal_part_sublayer_c = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialAmygdalarNucleusPosterodorsalPartSublayerC",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "487",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialAmygdalarNucleusPosterodorsalPartSublayerC",
    name="medial amygdalar nucleus, posterodorsal part, sublayer c",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_amygdalar_nucleus_posteroventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialAmygdalarNucleusPosteroventralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "435",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialAmygdalarNucleusPosteroventralPart",
    name="medial amygdalar nucleus, posteroventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_corticohypothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialCorticohypothalamicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "428",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialCorticohypothalamicTract",
    name="medial corticohypothalamic tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_forebrain_bundle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialForebrainBundle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "54",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialForebrainBundle",
    name="medial forebrain bundle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_forebrain_bundle_system = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialForebrainBundleSystem",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "991",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialForebrainBundleSystem",
    name="medial forebrain bundle system",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_geniculate_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialGeniculateComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "475",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialGeniculateComplex",
    name="medial geniculate complex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_geniculate_complex_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialGeniculateComplexDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1072",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialGeniculateComplexDorsalPart",
    name="medial geniculate complex, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_geniculate_complex_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialGeniculateComplexMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1088",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialGeniculateComplexMedialPart",
    name="medial geniculate complex, medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_geniculate_complex_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialGeniculateComplexVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1079",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialGeniculateComplexVentralPart",
    name="medial geniculate complex, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_group_of_the_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialGroupOfTheDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "444",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialGroupOfTheDorsalThalamus",
    name="medial group of the dorsal thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_habenula = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialHabenula",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "483",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialHabenula",
    name="medial habenula",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_lemniscus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialLemniscus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "697",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialLemniscus",
    name="medial lemniscus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_longitudinal_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialLongitudinalFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "62",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialLongitudinalFascicle",
    name="medial longitudinal fascicle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_mammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialMammillaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "491",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialMammillaryNucleus",
    name="medial mammillary nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_mammillary_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialMammillaryNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "606826659",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialMammillaryNucleusDorsalPart",
    name="medial mammillary nucleus, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_mammillary_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialMammillaryNucleusLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "606826647",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialMammillaryNucleusLateralPart",
    name="medial mammillary nucleus, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_mammillary_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialMammillaryNucleusMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "606826651",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialMammillaryNucleusMedialPart",
    name="medial mammillary nucleus, medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_mammillary_nucleus_median_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialMammillaryNucleusMedianPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "732",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialMammillaryNucleusMedianPart",
    name="medial mammillary nucleus, median part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_mammillary_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialMammillaryNucleusPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "606826655",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialMammillaryNucleusPosteriorPart",
    name="medial mammillary nucleus, posterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_preoptic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialPreopticArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "523",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialPreopticArea",
    name="medial preoptic area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "515",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialPreopticNucleus",
    name="medial preoptic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_preoptic_nucleus_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialPreopticNucleusCentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "740",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialPreopticNucleusCentralPart",
    name="medial preoptic nucleus, central part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_preoptic_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialPreopticNucleusLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "748",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialPreopticNucleusLateralPart",
    name="medial preoptic nucleus, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_preoptic_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialPreopticNucleusMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "756",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialPreopticNucleusMedialPart",
    name="medial preoptic nucleus, medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_pretectal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialPretectalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "531",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialPretectalArea",
    name="medial pretectal area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_septal_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialSeptalComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "904",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#96A7D3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialSeptalComplex",
    name="medial septal complex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_septal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialSeptalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "564",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#96A7D3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialSeptalNucleus",
    name="medial septal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_terminal_nucleus_of_the_accessory_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialTerminalNucleusOfTheAccessoryOpticTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "58",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialTerminalNucleusOfTheAccessoryOpticTract",
    name="medial terminal nucleus of the accessory optic tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_vestibular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialVestibularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "202",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialVestibularNucleus",
    name="medial vestibular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149314",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialVisualArea",
    name="medial visual area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149318",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialVisualAreaLayer1",
    name="medial visual area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149322",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialVisualAreaLayer2-3",
    name="medial visual area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149326",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialVisualAreaLayer4",
    name="medial visual area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149334",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialVisualAreaLayer6a",
    name="medial visual area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149338",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialVisualAreaLayer6b",
    name="medial visual area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_visual_arealayer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialVisualArealayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149330",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialVisualArealayer5",
    name="medial visual area,layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_median_eminence = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medianEminence",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10671",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medianEminence",
    name="median eminence",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_median_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medianPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "452",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medianPreopticNucleus",
    name="median preoptic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediodorsal_nucleus_of_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediodorsalNucleusOfThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "362",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediodorsalNucleusOfThalamus",
    name="mediodorsal nucleus of thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediodorsal_nucleus_of_the_thalamus_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediodorsalNucleusOfTheThalamusCentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "617",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediodorsalNucleusOfTheThalamusCentralPart",
    name="mediodorsal nucleus of the thalamus, central part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediodorsal_nucleus_of_the_thalamus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediodorsalNucleusOfTheThalamusLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "626",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediodorsalNucleusOfTheThalamusLateralPart",
    name="mediodorsal nucleus of the thalamus, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediodorsal_nucleus_of_the_thalamus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediodorsalNucleusOfTheThalamusMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "636",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediodorsalNucleusOfTheThalamusMedialPart",
    name="mediodorsal nucleus of the thalamus, medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_anterior_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialAnteriorVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149258",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialAnteriorVisualArea",
    name="mediomedial anterior visual area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_anterior_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialAnteriorVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149262",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialAnteriorVisualAreaLayer1",
    name="mediomedial anterior visual area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_anterior_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialAnteriorVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149266",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialAnteriorVisualAreaLayer2-3",
    name="mediomedial anterior visual area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_anterior_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialAnteriorVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149270",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialAnteriorVisualAreaLayer4",
    name="mediomedial anterior visual area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_anterior_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialAnteriorVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149278",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialAnteriorVisualAreaLayer6a",
    name="mediomedial anterior visual area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_anterior_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialAnteriorVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149282",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialAnteriorVisualAreaLayer6b",
    name="mediomedial anterior visual area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_anterior_visual_arealayer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialAnteriorVisualArealayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149274",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialAnteriorVisualArealayer5",
    name="mediomedial anterior visual area,layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_posterior_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialPosteriorVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149286",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialPosteriorVisualArea",
    name="mediomedial posterior visual area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_posterior_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialPosteriorVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149290",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialPosteriorVisualAreaLayer1",
    name="mediomedial posterior visual area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_posterior_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialPosteriorVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149294",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialPosteriorVisualAreaLayer2-3",
    name="mediomedial posterior visual area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_posterior_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialPosteriorVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149298",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialPosteriorVisualAreaLayer4",
    name="mediomedial posterior visual area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_posterior_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialPosteriorVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149306",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialPosteriorVisualAreaLayer6a",
    name="mediomedial posterior visual area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_posterior_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialPosteriorVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149310",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialPosteriorVisualAreaLayer6b",
    name="mediomedial posterior visual area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_posterior_visual_arealayer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialPosteriorVisualArealayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149302",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialPosteriorVisualArealayer5",
    name="mediomedial posterior visual area,layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medulla = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medulla",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "354",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF9BCD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medulla",
    name="medulla",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medulla_behavioral_state_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medullaBehavioralStateRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "379",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC6E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medullaBehavioralStateRelated",
    name="medulla, behavioral state related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medulla_motor_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medullaMotorRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "370",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medullaMotorRelated",
    name="medulla, motor related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medulla_sensory_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medullaSensoryRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "386",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medullaSensoryRelated",
    name="medulla, sensory related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medullary_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medullaryReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "395",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medullaryReticularNucleus",
    name="medullary reticular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medullary_reticular_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medullaryReticularNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1098",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medullaryReticularNucleusDorsalPart",
    name="medullary reticular nucleus, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medullary_reticular_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medullaryReticularNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1107",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medullaryReticularNucleusVentralPart",
    name="medullary reticular nucleus, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midbrain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrain",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "313",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF64FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midbrain",
    name="midbrain",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midbrain_behavioral_state_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainBehavioralStateRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "348",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midbrainBehavioralStateRelated",
    name="midbrain, behavioral state related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midbrain_motor_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainMotorRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "323",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midbrainMotorRelated",
    name="midbrain, motor related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midbrain_raphe_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainRapheNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "165",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midbrainRapheNuclei",
    name="midbrain raphe nuclei",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midbrain_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "70",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midbrainRelated",
    name="midbrain related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midbrain_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "128",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midbrainReticularNucleus",
    name="midbrain reticular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midbrain_reticular_nucleus_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainReticularNucleusMagnocellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "539",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midbrainReticularNucleusMagnocellularPart",
    name="midbrain reticular nucleus, magnocellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midbrain_reticular_nucleus_magnocellular_part_general = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainReticularNucleusMagnocellularPartGeneral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "548",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midbrainReticularNucleusMagnocellularPartGeneral",
    name="midbrain reticular nucleus, magnocellular part, general",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midbrain_reticular_nucleus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainReticularNucleusParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "555",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midbrainReticularNucleusParvicellularPart",
    name="midbrain reticular nucleus, parvicellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midbrain_reticular_nucleus_retrorubral_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainReticularNucleusRetrorubralArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "246",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midbrainReticularNucleusRetrorubralArea",
    name="midbrain reticular nucleus, retrorubral area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midbrain_sensory_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainSensoryRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "339",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midbrainSensoryRelated",
    name="midbrain, sensory related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midbrain_tract_of_the_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainTractOfTheTrigeminalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "705",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midbrainTractOfTheTrigeminalNerve",
    name="midbrain tract of the trigeminal nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midbrain_trigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainTrigeminalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "460",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midbrainTrigeminalNucleus",
    name="midbrain trigeminal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_middle_cerebellar_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_middleCerebellarPeduncle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "78",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_middleCerebellarPeduncle",
    name="middle cerebellar peduncle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_middle_thalamic_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_middleThalamicCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "86",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_middleThalamicCommissure",
    name="middle thalamic commissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midline_group_of_the_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midlineGroupOfTheDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "571",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midlineGroupOfTheDorsalThalamus",
    name="midline group of the dorsal thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_motor_nucleus_of_trigeminal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_motorNucleusOfTrigeminal",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "621",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_motorNucleusOfTrigeminal",
    name="motor nucleus of trigeminal",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_motor_root_of_the_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_motorRootOfTheTrigeminalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "93",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_motorRootOfTheTrigeminalNerve",
    name="motor root of the trigeminal nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nigrostriatal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nigrostriatalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "102",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nigrostriatalTract",
    name="nigrostriatal tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nigrothalamic_fibers = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nigrothalamicFibers",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "109",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nigrothalamicFibers",
    name="nigrothalamic fibers",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nodular_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nodularFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "18",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nodularFissure",
    name="nodular fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nodulus_x = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nodulusX",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "968",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nodulusX",
    name="nodulus (X)",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nodulus_x_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nodulusXGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10735",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nodulusXGranularLayer",
    name="nodulus (X), granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nodulus_x_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nodulusXMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10737",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nodulusXMolecularLayer",
    name="nodulus (X), molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nodulus_x_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nodulusXPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10736",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nodulusXPurkinjeLayer",
    name="nodulus (X), Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_accumbens = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusAccumbens",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "56",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusAccumbens",
    name="nucleus accumbens",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_ambiguus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusAmbiguus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "135",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusAmbiguus",
    name="nucleus ambiguus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_ambiguus_dorsal_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusAmbiguusDorsalDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "939",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusAmbiguusDorsalDivision",
    name="nucleus ambiguus, dorsal division",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_ambiguus_ventral_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusAmbiguusVentralDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "143",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusAmbiguusVentralDivision",
    name="nucleus ambiguus, ventral division",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_circularis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusCircularis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "432",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusCircularis",
    name="nucleus circularis",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_incertus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusIncertus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "604",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusIncertus",
    name="nucleus incertus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_intercalatus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusIntercalatus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "161",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusIntercalatus",
    name="nucleus intercalatus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_darkschewitsch = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfDarkschewitsch",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "587",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfDarkschewitsch",
    name="nucleus of Darkschewitsch",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_reuniens = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfReuniens",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "181",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfReuniens",
    name="nucleus of reuniens",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_roller = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfRoller",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "177",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfRoller",
    name="nucleus of Roller",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_brachium_of_the_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheBrachiumOfTheInferiorColliculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "580",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheBrachiumOfTheInferiorColliculus",
    name="nucleus of the brachium of the inferior colliculus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_lateral_lemniscus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheLateralLemniscus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "612",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheLateralLemniscus",
    name="nucleus of the lateral lemniscus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_lateral_lemniscus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheLateralLemniscusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "82",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheLateralLemniscusDorsalPart",
    name="nucleus of the lateral lemniscus, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_lateral_lemniscus_horizontal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheLateralLemniscusHorizontalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "90",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheLateralLemniscusHorizontalPart",
    name="nucleus of the lateral lemniscus, horizontal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_lateral_lemniscus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheLateralLemniscusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "99",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheLateralLemniscusVentralPart",
    name="nucleus of the lateral lemniscus, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_lateral_olfactory_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheLateralOlfactoryTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "619",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#95E4C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheLateralOlfactoryTract",
    name="nucleus of the lateral olfactory tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_lateral_olfactory_tract_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheLateralOlfactoryTractLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1139",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#95E4C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheLateralOlfactoryTractLayer3",
    name="nucleus of the lateral olfactory tract, layer 3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_lateral_olfactory_tract_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheLateralOlfactoryTractLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "392",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#95E4C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheLateralOlfactoryTractLayers13",
    name="nucleus of the lateral olfactory tract, layers 1-3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_lateral_olfactory_tract_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheLateralOlfactoryTractMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "260",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#95E4C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheLateralOlfactoryTractMolecularLayer",
    name="nucleus of the lateral olfactory tract, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_lateral_olfactory_tract_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheLateralOlfactoryTractPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "268",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#95E4C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheLateralOlfactoryTractPyramidalLayer",
    name="nucleus of the lateral olfactory tract, pyramidal layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheOpticTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "628",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheOpticTract",
    name="nucleus of the optic tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_posterior_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfThePosteriorCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "634",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfThePosteriorCommissure",
    name="nucleus of the posterior commissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_solitary_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheSolitaryTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "651",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheSolitaryTract",
    name="nucleus of the solitary tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_solitary_tract_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheSolitaryTractCentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "659",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheSolitaryTractCentralPart",
    name="nucleus of the solitary tract, central part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_solitary_tract_commissural_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheSolitaryTractCommissuralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "666",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheSolitaryTractCommissuralPart",
    name="nucleus of the solitary tract, commissural part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_solitary_tract_gelatinous_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheSolitaryTractGelatinousPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "674",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheSolitaryTractGelatinousPart",
    name="nucleus of the solitary tract, gelatinous part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_solitary_tract_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheSolitaryTractLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "682",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheSolitaryTractLateralPart",
    name="nucleus of the solitary tract, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_solitary_tract_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheSolitaryTractMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "691",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheSolitaryTractMedialPart",
    name="nucleus of the solitary tract, medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_trapezoid_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheTrapezoidBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "642",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheTrapezoidBody",
    name="nucleus of the trapezoid body",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_prepositus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusPrepositus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "169",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusPrepositus",
    name="nucleus prepositus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_raphe_magnus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusRapheMagnus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "206",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC6E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusRapheMagnus",
    name="nucleus raphe magnus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_raphe_obscurus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusRapheObscurus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "222",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC6E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusRapheObscurus",
    name="nucleus raphe obscurus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_raphe_pallidus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusRaphePallidus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "230",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC6E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusRaphePallidus",
    name="nucleus raphe pallidus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_raphe_pontis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusRaphePontis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "238",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusRaphePontis",
    name="nucleus raphe pontis",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_sagulum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusSagulum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "271",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusSagulum",
    name="nucleus sagulum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_x = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusX",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "765",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusX",
    name="nucleus x",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_y = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusY",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "781",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusY",
    name="nucleus y",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_z = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusZ",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "789",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusZ",
    name="nucleus z",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_oculomotor_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_oculomotorNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "832",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_oculomotorNerve",
    name="oculomotor nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_oculomotor_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_oculomotorNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "35",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_oculomotorNucleus",
    name="oculomotor nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_olfactory_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olfactoryAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "698",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9AD2BD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_olfactoryAreas",
    name="olfactory areas",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_olfactory_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olfactoryNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "840",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_olfactoryNerve",
    name="olfactory nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_olfactory_nerve_layer_of_main_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olfactoryNerveLayerOfMainOlfactoryBulb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1016",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_olfactoryNerveLayerOfMainOlfactoryBulb",
    name="olfactory nerve layer of main olfactory bulb",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_olfactory_tubercle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olfactoryTubercle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "754",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_olfactoryTubercle",
    name="olfactory tubercle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_olfactory_tubercle_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olfactoryTubercleLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "144",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_olfactoryTubercleLayers13",
    name="olfactory tubercle, layers 1-3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_olfactory_tubercle_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olfactoryTubercleMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "458",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_olfactoryTubercleMolecularLayer",
    name="olfactory tubercle, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_olfactory_tubercle_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olfactoryTuberclePolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "473",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_olfactoryTuberclePolymorphLayer",
    name="olfactory tubercle, polymorph layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_olfactory_tubercle_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olfactoryTuberclePyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "465",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_olfactoryTuberclePyramidalLayer",
    name="olfactory tubercle, pyramidal layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_olivary_pretectal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olivaryPretectalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "706",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_olivaryPretectalNucleus",
    name="olivary pretectal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_olivocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olivocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "404",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_olivocerebellarTract",
    name="olivocerebellar tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_optic_chiasm = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_opticChiasm",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "117",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_opticChiasm",
    name="optic chiasm",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_optic_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_opticNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "848",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_opticNerve",
    name="optic nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_optic_radiation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_opticRadiation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682520",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_opticRadiation",
    name="optic radiation",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_opticTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "125",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_opticTract",
    name="optic tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "714",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalArea",
    name="orbital area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "723",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaLateralPart",
    name="orbital area, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_lateral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLateralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "448",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaLateralPartLayer1",
    name="orbital area, lateral part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_lateral_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLateralPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "412",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaLateralPartLayer2-3",
    name="orbital area, lateral part, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_lateral_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLateralPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "630",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaLateralPartLayer5",
    name="orbital area, lateral part, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_lateral_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLateralPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "440",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaLateralPartLayer6a",
    name="orbital area, lateral part, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_lateral_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLateralPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "488",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaLateralPartLayer6b",
    name="orbital area, lateral part, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "264",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaLayer1",
    name="orbital area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "492",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaLayer2-3",
    name="orbital area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "352",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaLayer5",
    name="orbital area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "476",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaLayer6a",
    name="orbital area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "516",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaLayer6b",
    name="orbital area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "731",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaMedialPart",
    name="orbital area, medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_medial_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaMedialPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaMedialPartLayer1",
    name="orbital area, medial part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_medial_part_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaMedialPartLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "524",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaMedialPartLayer2",
    name="orbital area, medial part, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_medial_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaMedialPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "582",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaMedialPartLayer2-3",
    name="orbital area, medial part, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_medial_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaMedialPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "620",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaMedialPartLayer5",
    name="orbital area, medial part, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_medial_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaMedialPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "910",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaMedialPartLayer6a",
    name="orbital area, medial part, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_medial_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaMedialPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "527696977",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaMedialPartLayer6b",
    name="orbital area, medial part, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "738",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaVentralPart",
    name="orbital area, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_ventrolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaVentrolateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "746",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaVentrolateralPart",
    name="orbital area, ventrolateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_ventrolateral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaVentrolateralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "969",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaVentrolateralPartLayer1",
    name="orbital area, ventrolateral part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_ventrolateral_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaVentrolateralPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "288",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaVentrolateralPartLayer2-3",
    name="orbital area, ventrolateral part, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_ventrolateral_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaVentrolateralPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1125",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaVentrolateralPartLayer5",
    name="orbital area, ventrolateral part, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_ventrolateral_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaVentrolateralPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "608",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaVentrolateralPartLayer6a",
    name="orbital area, ventrolateral part, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_ventrolateral_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaVentrolateralPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "680",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaVentrolateralPartLayer6b",
    name="orbital area, ventrolateral part, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pallidotegmental_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pallidotegmentalFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "134",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pallidotegmentalFascicle",
    name="pallidotegmental fascicle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pallidothalamic_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pallidothalamicPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "142",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pallidothalamicPathway",
    name="pallidothalamic pathway",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pallidum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pallidum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "803",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8599CC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pallidum",
    name="pallidum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pallidum_caudal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pallidumCaudalRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "809",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pallidumCaudalRegion",
    name="pallidum, caudal region",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pallidum_dorsal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pallidumDorsalRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "818",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8599CC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pallidumDorsalRegion",
    name="pallidum, dorsal region",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pallidum_medial_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pallidumMedialRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "826",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#96A7D3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pallidumMedialRegion",
    name="pallidum, medial region",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pallidum_ventral_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pallidumVentralRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "835",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A2B1D8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pallidumVentralRegion",
    name="pallidum, ventral region",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parabigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabigeminalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "874",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parabigeminalNucleus",
    name="parabigeminal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parabrachial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "867",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parabrachialNucleus",
    name="parabrachial nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parabrachial_nucleus_lateral_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusLateralDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "881",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parabrachialNucleusLateralDivision",
    name="parabrachial nucleus, lateral division",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parabrachial_nucleus_lateral_division_central_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusLateralDivisionCentralLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "860",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parabrachialNucleusLateralDivisionCentralLateralPart",
    name="parabrachial nucleus, lateral division, central lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parabrachial_nucleus_lateral_division_dorsal_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusLateralDivisionDorsalLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "868",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parabrachialNucleusLateralDivisionDorsalLateralPart",
    name="parabrachial nucleus, lateral division, dorsal lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parabrachial_nucleus_lateral_division_external_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusLateralDivisionExternalLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "875",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parabrachialNucleusLateralDivisionExternalLateralPart",
    name="parabrachial nucleus, lateral division, external lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parabrachial_nucleus_lateral_division_superior_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusLateralDivisionSuperiorLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "883",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parabrachialNucleusLateralDivisionSuperiorLateralPart",
    name="parabrachial nucleus, lateral division, superior lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parabrachial_nucleus_lateral_division_ventral_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusLateralDivisionVentralLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "891",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parabrachialNucleusLateralDivisionVentralLateralPart",
    name="parabrachial nucleus, lateral division, ventral lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parabrachial_nucleus_medial_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusMedialDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "890",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parabrachialNucleusMedialDivision",
    name="parabrachial nucleus, medial division",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parabrachial_nucleus_medial_division_external_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusMedialDivisionExternalMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "899",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parabrachialNucleusMedialDivisionExternalMedialPart",
    name="parabrachial nucleus, medial division, external medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parabrachial_nucleus_medial_division_medial_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusMedialDivisionMedialMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "915",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parabrachialNucleusMedialDivisionMedialMedialPart",
    name="parabrachial nucleus, medial division, medial medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parabrachial_nucleus_medial_division_ventral_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusMedialDivisionVentralMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "923",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parabrachialNucleusMedialDivisionVentralMedialPart",
    name="parabrachial nucleus, medial division, ventral medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paracentral_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paracentralNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "907",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paracentralNucleus",
    name="paracentral nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parafascicular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parafascicularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "930",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parafascicularNucleus",
    name="parafascicular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parafloccular_sulcus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parafloccularSulcus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "65",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parafloccularSulcus",
    name="parafloccular sulcus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraflocculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraflocculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1041",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraflocculus",
    name="paraflocculus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraflocculus_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraflocculusGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10687",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraflocculusGranularLayer",
    name="paraflocculus, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraflocculus_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraflocculusMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10689",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraflocculusMolecularLayer",
    name="paraflocculus, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraflocculus_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraflocculusPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10688",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraflocculusPurkinjeLayer",
    name="paraflocculus, Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paragigantocellular_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paragigantocellularReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "938",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paragigantocellularReticularNucleus",
    name="paragigantocellular reticular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paragigantocellular_reticular_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paragigantocellularReticularNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "970",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paragigantocellularReticularNucleusDorsalPart",
    name="paragigantocellular reticular nucleus, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paragigantocellular_reticular_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paragigantocellularReticularNucleusLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "978",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paragigantocellularReticularNucleusLateralPart",
    name="paragigantocellular reticular nucleus, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paramedian_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paramedianLobule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1025",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paramedianLobule",
    name="paramedian lobule",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paramedian_lobule_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paramedianLobuleGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10681",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paramedianLobuleGranularLayer",
    name="paramedian lobule, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paramedian_lobule_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paramedianLobuleMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10683",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paramedianLobuleMolecularLayer",
    name="paramedian lobule, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paramedian_lobule_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paramedianLobulePurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10682",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paramedianLobulePurkinjeLayer",
    name="paramedian lobule, Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paramedian_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paramedianReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "995",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paramedianReticularNucleus",
    name="paramedian reticular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paramedian_sulcus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paramedianSulcus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "57",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paramedianSulcus",
    name="paramedian sulcus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paranigral_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paranigralNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "607344830",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paranigralNucleus",
    name="paranigral nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parapyramidal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parapyramidalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1069",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parapyramidalNucleus",
    name="parapyramidal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parapyramidal_nucleus_deep_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parapyramidalNucleusDeepPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "185",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parapyramidalNucleusDeepPart",
    name="parapyramidal nucleus, deep part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parapyramidal_nucleus_superficial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parapyramidalNucleusSuperficialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "193",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parapyramidalNucleusSuperficialPart",
    name="parapyramidal nucleus, superficial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parasolitary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parasolitaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "859",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parasolitaryNucleus",
    name="parasolitary nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parastrial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parastrialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1109",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parastrialNucleus",
    name="parastrial nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parasubiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parasubiculum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "843",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#72D569"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parasubiculum",
    name="parasubiculum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parasubiculum_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parasubiculumLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10693",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#72D569"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parasubiculumLayer1",
    name="parasubiculum, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parasubiculum_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parasubiculumLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10694",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#72D569"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parasubiculumLayer2",
    name="parasubiculum, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parasubiculum_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parasubiculumLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10695",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#72D569"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parasubiculumLayer3",
    name="parasubiculum, layer 3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parasubthalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parasubthalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "364",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parasubthalamicNucleus",
    name="parasubthalamic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parataenial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parataenialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "15",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parataenialNucleus",
    name="parataenial nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paratrigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paratrigeminalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "589508451",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paratrigeminalNucleus",
    name="paratrigeminal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paratrochlear_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paratrochlearNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "606826663",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paratrochlearNucleus",
    name="paratrochlear nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "38",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleus",
    name="paraventricular hypothalamic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_descending_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusDescendingDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "63",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusDescendingDivision",
    name="paraventricular hypothalamic nucleus, descending division",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_descending_division_dorsal_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusDescendingDivisionDorsalParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "439",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusDescendingDivisionDorsalParvicellularPart",
    name="paraventricular hypothalamic nucleus, descending division, dorsal parvicellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_descending_division_forniceal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusDescendingDivisionFornicealPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "447",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusDescendingDivisionFornicealPart",
    name="paraventricular hypothalamic nucleus, descending division, forniceal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_descending_division_lateral_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusDescendingDivisionLateralParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "455",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusDescendingDivisionLateralParvicellularPart",
    name="paraventricular hypothalamic nucleus, descending division, lateral parvicellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_descending_division_medial_parvicellular_part_ventral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusDescendingDivisionMedialParvicellularPartVentralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "464",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusDescendingDivisionMedialParvicellularPartVentralZone",
    name="paraventricular hypothalamic nucleus, descending division, medial parvicellular part, ventral zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_magnocellular_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "71",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivision",
    name="paraventricular hypothalamic nucleus, magnocellular division",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_magnocellular_division_anterior_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivisionAnteriorMagnocellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "47",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivisionAnteriorMagnocellularPart",
    name="paraventricular hypothalamic nucleus, magnocellular division, anterior magnocellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_magnocellular_division_medial_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivisionMedialMagnocellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "79",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivisionMedialMagnocellularPart",
    name="paraventricular hypothalamic nucleus, magnocellular division, medial magnocellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_magnocellular_division_posterior_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "103",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPart",
    name="paraventricular hypothalamic nucleus, magnocellular division, posterior magnocellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_magnocellular_division_posterior_magnocellular_part_lateral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPartLateralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "652",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPartLateralZone",
    name="paraventricular hypothalamic nucleus, magnocellular division, posterior magnocellular part, lateral zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_magnocellular_division_posterior_magnocellular_part_medial_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPartMedialZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "660",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPartMedialZone",
    name="paraventricular hypothalamic nucleus, magnocellular division, posterior magnocellular part, medial zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_parvicellular_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusParvicellularDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "94",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusParvicellularDivision",
    name="paraventricular hypothalamic nucleus, parvicellular division",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_parvicellular_division_anterior_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusParvicellularDivisionAnteriorParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "55",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusParvicellularDivisionAnteriorParvicellularPart",
    name="paraventricular hypothalamic nucleus, parvicellular division, anterior parvicellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_parvicellular_division_medial_parvicellular_part_dorsal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusParvicellularDivisionMedialParvicellularPartDorsalZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "87",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusParvicellularDivisionMedialParvicellularPartDorsalZone",
    name="paraventricular hypothalamic nucleus, parvicellular division, medial parvicellular part, dorsal zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_parvicellular_division_periventricular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusParvicellularDivisionPeriventricularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "110",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusParvicellularDivisionPeriventricularPart",
    name="paraventricular hypothalamic nucleus, parvicellular division, periventricular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "149",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularNucleusOfTheThalamus",
    name="paraventricular nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parvicellular_motor5_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parvicellularMotor5Nucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "549009223",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parvicellularMotor5Nucleus",
    name="parvicellular motor 5 nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parvicellular_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parvicellularReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "852",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parvicellularReticularNucleus",
    name="parvicellular reticular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pedunculopontine_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pedunculopontineNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1052",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pedunculopontineNucleus",
    name="pedunculopontine nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_perforant_path = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perforantPath",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "713",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_perforantPath",
    name="perforant path",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_periaqueductal_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_periaqueductalGray",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "795",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_periaqueductalGray",
    name="periaqueductal gray",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_perifornical_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perifornicalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "576073704",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_perifornicalNucleus",
    name="perifornical nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_perihypoglossal_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perihypoglossalNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "154",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_perihypoglossalNuclei",
    name="perihypoglossal nuclei",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_peripeduncular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_peripeduncularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1044",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_peripeduncularNucleus",
    name="peripeduncular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_perireunensis_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perireunensisNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1077",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_perireunensisNucleus",
    name="perireunensis nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_perirhinal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perirhinalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "922",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0E9684"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_perirhinalArea",
    name="perirhinal area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_perirhinal_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perirhinalAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "540",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0E9684"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_perirhinalAreaLayer1",
    name="perirhinal area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_perirhinal_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perirhinalAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "888",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0E9684"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_perirhinalAreaLayer2-3",
    name="perirhinal area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_perirhinal_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perirhinalAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "692",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0E9684"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_perirhinalAreaLayer5",
    name="perirhinal area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_perirhinal_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perirhinalAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "335",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0E9684"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_perirhinalAreaLayer6a",
    name="perirhinal area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_perirhinal_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perirhinalAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "368",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0E9684"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_perirhinalAreaLayer6b",
    name="perirhinal area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_peritrigeminal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_peritrigeminalZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "549009215",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_peritrigeminalZone",
    name="peritrigeminal zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_periventricular_bundle_of_the_hypothalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_periventricularBundleOfTheHypothalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "150",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_periventricularBundleOfTheHypothalamus",
    name="periventricular bundle of the hypothalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_periventricular_bundle_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_periventricularBundleOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "722",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_periventricularBundleOfTheThalamus",
    name="periventricular bundle of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_periventricular_hypothalamic_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_periventricularHypothalamicNucleusAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "30",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_periventricularHypothalamicNucleusAnteriorPart",
    name="periventricular hypothalamic nucleus, anterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_periventricular_hypothalamic_nucleus_intermediate_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_periventricularHypothalamicNucleusIntermediatePart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "118",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_periventricularHypothalamicNucleusIntermediatePart",
    name="periventricular hypothalamic nucleus, intermediate part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_periventricular_hypothalamic_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_periventricularHypothalamicNucleusPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "126",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_periventricularHypothalamicNucleusPosteriorPart",
    name="periventricular hypothalamic nucleus, posterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_periventricular_hypothalamic_nucleus_preoptic_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_periventricularHypothalamicNucleusPreopticPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "133",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_periventricularHypothalamicNucleusPreopticPart",
    name="periventricular hypothalamic nucleus, preoptic part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_periventricular_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_periventricularRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "141",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_periventricularRegion",
    name="periventricular region",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_periventricular_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_periventricularZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "157",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_periventricularZone",
    name="periventricular zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pineal_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pinealBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "953",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pinealBody",
    name="pineal body",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pineal_stalk = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pinealStalk",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "730",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pinealStalk",
    name="pineal stalk",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_piriform_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "961",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#6ACBBA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_piriformArea",
    name="piriform area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_piriform_area_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformAreaLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "152",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#6ACBBA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_piriformAreaLayers13",
    name="piriform area, layers 1-3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_piriform_area_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformAreaMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "276",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#6ACBBA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_piriformAreaMolecularLayer",
    name="piriform area, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_piriform_area_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformAreaPolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "291",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#6ACBBA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_piriformAreaPolymorphLayer",
    name="piriform area, polymorph layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_piriform_area_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformAreaPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "284",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#6ACBBA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_piriformAreaPyramidalLayer",
    name="piriform area, pyramidal layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_piriformamygdalar_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformamygdalarArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "788",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59DAAB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_piriformamygdalarArea",
    name="piriform-amygdalar area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_piriformamygdalar_area_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformamygdalarAreaLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "400",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59DAAB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_piriformamygdalarAreaLayers13",
    name="piriform-amygdalar area, layers 1-3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_piriformamygdalar_area_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformamygdalarAreaMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "408",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59DAAB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_piriformamygdalarAreaMolecularLayer",
    name="piriform-amygdalar area, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_piriformamygdalar_area_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformamygdalarAreaPolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "424",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59DAAB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_piriformamygdalarAreaPolymorphLayer",
    name="piriform-amygdalar area, polymorph layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_piriformamygdalar_area_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformamygdalarAreaPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "416",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59DAAB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_piriformamygdalarAreaPyramidalLayer",
    name="piriform-amygdalar area, pyramidal layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pons = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pons",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "771",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF9B88"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pons",
    name="pons",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pons_behavioral_state_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ponsBehavioralStateRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1117",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ponsBehavioralStateRelated",
    name="pons, behavioral state related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pons_motor_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ponsMotorRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "987",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ponsMotorRelated",
    name="pons, motor related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pons_sensory_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ponsSensoryRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1132",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ponsSensoryRelated",
    name="pons, sensory related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pontine_central_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pontineCentralGray",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "898",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pontineCentralGray",
    name="pontine central gray",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pontine_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pontineGray",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "931",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pontineGray",
    name="pontine gray",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pontine_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pontineReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "146",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pontineReticularNucleus",
    name="pontine reticular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pontine_reticular_nucleus_caudal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pontineReticularNucleusCaudalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1093",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pontineReticularNucleusCaudalPart",
    name="pontine reticular nucleus, caudal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pontine_reticular_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pontineReticularNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "552",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pontineReticularNucleusVentralPart",
    name="pontine reticular nucleus, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postcommissural_fornix = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postcommissuralFornix",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "737",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postcommissuralFornix",
    name="postcommissural fornix",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "780",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#97EC93"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorAmygdalarNucleus",
    name="posterior amygdalar nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_auditory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorAuditoryArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1027",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorAuditoryArea",
    name="posterior auditory area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_auditory_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorAuditoryAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "696",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorAuditoryAreaLayer1",
    name="posterior auditory area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_auditory_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorAuditoryAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "643",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorAuditoryAreaLayer2-3",
    name="posterior auditory area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_auditory_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorAuditoryAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "759",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorAuditoryAreaLayer4",
    name="posterior auditory area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_auditory_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorAuditoryAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "791",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorAuditoryAreaLayer5",
    name="posterior auditory area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_auditory_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorAuditoryAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "249",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorAuditoryAreaLayer6a",
    name="posterior auditory area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_auditory_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorAuditoryAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "456",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorAuditoryAreaLayer6b",
    name="posterior auditory area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "158",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorCommissure",
    name="posterior commissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_complex_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorComplexOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1020",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorComplexOfTheThalamus",
    name="posterior complex of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorHypothalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "946",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorHypothalamicNucleus",
    name="posterior hypothalamic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_intralaminar_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorIntralaminarThalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "560581563",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorIntralaminarThalamicNucleus",
    name="posterior intralaminar thalamic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_limiting_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorLimitingNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1029",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorLimitingNucleusOfTheThalamus",
    name="posterior limiting nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_parietal_association_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorParietalAssociationAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "22",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorParietalAssociationAreas",
    name="posterior parietal association areas",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_parietal_association_areas_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "532",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer1",
    name="posterior parietal association areas, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_parietal_association_areas_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "241",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer2-3",
    name="posterior parietal association areas, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_parietal_association_areas_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "635",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer4",
    name="posterior parietal association areas, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_parietal_association_areas_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "683",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer5",
    name="posterior parietal association areas, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_parietal_association_areas_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "308",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer6a",
    name="posterior parietal association areas, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_parietal_association_areas_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "340",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer6b",
    name="posterior parietal association areas, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_pretectal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorPretectalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1061",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorPretectalNucleus",
    name="posterior pretectal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_superior_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorSuperiorFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1112",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorSuperiorFissure",
    name="posterior superior fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_triangular_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorTriangularThalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "563807435",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorTriangularThalamicNucleus",
    name="posterior triangular thalamic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterodorsal_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterodorsalPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "914",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posterodorsalPreopticNucleus",
    name="posterodorsal preoptic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterodorsal_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterodorsalTegmentalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "599626927",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posterodorsalTegmentalNucleus",
    name="posterodorsal tegmental nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterolateral_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterolateralFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "11",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posterolateralFissure",
    name="posterolateral fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterolateral_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterolateralVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "425",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posterolateralVisualArea",
    name="posterolateral visual area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterolateral_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterolateralVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "750",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posterolateralVisualAreaLayer1",
    name="posterolateral visual area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterolateral_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterolateralVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "269",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posterolateralVisualAreaLayer2-3",
    name="posterolateral visual area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterolateral_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterolateralVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "869",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posterolateralVisualAreaLayer4",
    name="posterolateral visual area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterolateral_visual_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterolateralVisualAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "902",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posterolateralVisualAreaLayer5",
    name="posterolateral visual area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterolateral_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterolateralVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "377",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posterolateralVisualAreaLayer6a",
    name="posterolateral visual area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterolateral_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterolateralVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "393",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posterolateralVisualAreaLayer6b",
    name="posterolateral visual area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posteromedial_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteromedialVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "533",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteromedialVisualArea",
    name="posteromedial visual area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posteromedial_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteromedialVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "805",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteromedialVisualAreaLayer1",
    name="posteromedial visual area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posteromedial_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteromedialVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "41",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteromedialVisualAreaLayer2-3",
    name="posteromedial visual area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posteromedial_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteromedialVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "501",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteromedialVisualAreaLayer4",
    name="posteromedial visual area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posteromedial_visual_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteromedialVisualAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "565",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteromedialVisualAreaLayer5",
    name="posteromedial visual area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posteromedial_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteromedialVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "257",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteromedialVisualAreaLayer6a",
    name="posteromedial visual area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posteromedial_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteromedialVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "469",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteromedialVisualAreaLayer6b",
    name="posteromedial visual area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postpiriform_transition_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postpiriformTransitionArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "566",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A8ECD3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postpiriformTransitionArea",
    name="postpiriform transition area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postpiriform_transition_area_layers1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postpiriformTransitionAreaLayers1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1140",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A8ECD3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postpiriformTransitionAreaLayers1",
    name="postpiriform transition area, layers 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postpiriform_transition_area_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postpiriformTransitionAreaLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "517",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A8ECD3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postpiriformTransitionAreaLayers13",
    name="postpiriform transition area, layers 1-3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postpiriform_transition_area_layers2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postpiriformTransitionAreaLayers2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1141",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A8ECD3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postpiriformTransitionAreaLayers2",
    name="postpiriform transition area, layers 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postpiriform_transition_area_layers3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postpiriformTransitionAreaLayers3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1142",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A8ECD3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postpiriformTransitionAreaLayers3",
    name="postpiriform transition area, layers 3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postrhinal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postrhinalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782628",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postrhinalArea",
    name="postrhinal area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postrhinal_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postrhinalAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782632",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postrhinalAreaLayer1",
    name="postrhinal area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postrhinal_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postrhinalAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782636",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postrhinalAreaLayer2-3",
    name="postrhinal area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postrhinal_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postrhinalAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782640",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postrhinalAreaLayer4",
    name="postrhinal area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postrhinal_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postrhinalAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782644",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postrhinalAreaLayer5",
    name="postrhinal area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postrhinal_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postrhinalAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782648",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postrhinalAreaLayer6a",
    name="postrhinal area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postrhinal_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postrhinalAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782652",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postrhinalAreaLayer6b",
    name="postrhinal area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postsubiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postsubiculum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1037",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#48C83C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postsubiculum",
    name="postsubiculum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postsubiculum_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postsubiculumLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10696",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#48C83C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postsubiculumLayer1",
    name="postsubiculum, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postsubiculum_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postsubiculumLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10697",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#48C83C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postsubiculumLayer2",
    name="postsubiculum, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postsubiculum_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postsubiculumLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10698",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#48C83C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postsubiculumLayer3",
    name="postsubiculum, layer 3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_precentral_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_precentralFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1087",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_precentralFissure",
    name="precentral fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_precommissural_fornix_diagonal_band = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_precommissuralFornixDiagonalBand",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "420",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_precommissuralFornixDiagonalBand",
    name="precommissural fornix diagonal band",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_precommissural_fornix_general = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_precommissuralFornixGeneral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "745",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_precommissuralFornixGeneral",
    name="precommissural fornix, general",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_precommissural_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_precommissuralNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "50",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_precommissuralNucleus",
    name="precommissural nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_preculminate_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_preculminateFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1095",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_preculminateFissure",
    name="preculminate fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prelimbic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prelimbicArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "972",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prelimbicArea",
    name="prelimbic area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prelimbic_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prelimbicAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "171",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prelimbicAreaLayer1",
    name="prelimbic area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prelimbic_area_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prelimbicAreaLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "195",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prelimbicAreaLayer2",
    name="prelimbic area, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prelimbic_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prelimbicAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "304",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prelimbicAreaLayer2-3",
    name="prelimbic area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prelimbic_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prelimbicAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "363",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prelimbicAreaLayer5",
    name="prelimbic area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prelimbic_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prelimbicAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "84",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prelimbicAreaLayer6a",
    name="prelimbic area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prelimbic_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prelimbicAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "132",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prelimbicAreaLayer6b",
    name="prelimbic area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_premammillary_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_premammillaryCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "166",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_premammillaryCommissure",
    name="premammillary commissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_preoptic_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_preopticCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "174",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_preopticCommissure",
    name="preoptic commissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_preparasubthalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_preparasubthalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "356",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_preparasubthalamicNucleus",
    name="preparasubthalamic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prepyramidal_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prepyramidalFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1119",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prepyramidalFissure",
    name="prepyramidal fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_presubiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_presubiculum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1084",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B947"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_presubiculum",
    name="presubiculum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_presubiculum_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_presubiculumLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10699",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B947"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_presubiculumLayer1",
    name="presubiculum, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_presubiculum_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_presubiculumLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10700",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B947"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_presubiculumLayer2",
    name="presubiculum, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_presubiculum_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_presubiculumLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10701",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B947"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_presubiculumLayer3",
    name="presubiculum, layer 3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pretectal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pretectalRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1100",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pretectalRegion",
    name="pretectal region",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_auditory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryAuditoryArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1002",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryAuditoryArea",
    name="primary auditory area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_auditory_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryAuditoryAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "735",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryAuditoryAreaLayer1",
    name="primary auditory area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_auditory_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryAuditoryAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "251",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryAuditoryAreaLayer2-3",
    name="primary auditory area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_auditory_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryAuditoryAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "816",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryAuditoryAreaLayer4",
    name="primary auditory area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_auditory_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryAuditoryAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "847",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryAuditoryAreaLayer5",
    name="primary auditory area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_auditory_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryAuditoryAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "954",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryAuditoryAreaLayer6a",
    name="primary auditory area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_auditory_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryAuditoryAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1005",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryAuditoryAreaLayer6b",
    name="primary auditory area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1103",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryFissure",
    name="primary fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_motor_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryMotorArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "985",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryMotorArea",
    name="primary motor area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_motor_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryMotorAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "320",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryMotorAreaLayer1",
    name="primary motor area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_motor_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryMotorAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "943",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryMotorAreaLayer2-3",
    name="primary motor area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_motor_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryMotorAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "648",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryMotorAreaLayer5",
    name="primary motor area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_motor_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryMotorAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "844",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryMotorAreaLayer6a",
    name="primary motor area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_motor_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryMotorAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "882",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryMotorAreaLayer6b",
    name="primary motor area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "322",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryArea",
    name="primary somatosensory area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_barrel_field = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelField",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "329",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelField",
    name="primary somatosensory area, barrel field",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_barrel_field_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "981",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer1",
    name="primary somatosensory area, barrel field, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_barrel_field_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "201",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer2-3",
    name="primary somatosensory area, barrel field, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_barrel_field_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1047",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer4",
    name="primary somatosensory area, barrel field, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_barrel_field_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1070",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer5",
    name="primary somatosensory area, barrel field, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_barrel_field_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1038",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer6a",
    name="primary somatosensory area, barrel field, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_barrel_field_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1062",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer6b",
    name="primary somatosensory area, barrel field, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "793",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaLayer1",
    name="primary somatosensory area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "346",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaLayer2-3",
    name="primary somatosensory area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "865",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaLayer4",
    name="primary somatosensory area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "921",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaLayer5",
    name="primary somatosensory area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "686",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaLayer6a",
    name="primary somatosensory area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "719",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaLayer6b",
    name="primary somatosensory area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_lower_limb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "337",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimb",
    name="primary somatosensory area, lower limb",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_lower_limb_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1030",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer1",
    name="primary somatosensory area, lower limb, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_lower_limb_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "113",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer2-3",
    name="primary somatosensory area, lower limb, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_lower_limb_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1094",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer4",
    name="primary somatosensory area, lower limb, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_lower_limb_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1128",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer5",
    name="primary somatosensory area, lower limb, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_lower_limb_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "478",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer6a",
    name="primary somatosensory area, lower limb, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_lower_limb_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "510",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer6b",
    name="primary somatosensory area, lower limb, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_mouth = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaMouth",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "345",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaMouth",
    name="primary somatosensory area, mouth",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_mouth_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "878",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer1",
    name="primary somatosensory area, mouth, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_mouth_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "657",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer2-3",
    name="primary somatosensory area, mouth, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_mouth_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "950",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer4",
    name="primary somatosensory area, mouth, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_mouth_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "974",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer5",
    name="primary somatosensory area, mouth, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_mouth_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1102",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer6a",
    name="primary somatosensory area, mouth, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_mouth_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "2",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer6b",
    name="primary somatosensory area, mouth, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_nose = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaNose",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "353",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaNose",
    name="primary somatosensory area, nose",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_nose_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "558",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer1",
    name="primary somatosensory area, nose, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_nose_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "838",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer2-3",
    name="primary somatosensory area, nose, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_nose_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "654",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer4",
    name="primary somatosensory area, nose, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_nose_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "702",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer5",
    name="primary somatosensory area, nose, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_nose_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "889",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer6a",
    name="primary somatosensory area, nose, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_nose_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "929",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer6b",
    name="primary somatosensory area, nose, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_trunk = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaTrunk",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "361",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaTrunk",
    name="primary somatosensory area, trunk",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_trunk_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1006",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer1",
    name="primary somatosensory area, trunk, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_trunk_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "670",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer2-3",
    name="primary somatosensory area, trunk, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_trunk_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1086",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer4",
    name="primary somatosensory area, trunk, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_trunk_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1111",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer5",
    name="primary somatosensory area, trunk, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_trunk_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "9",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer6a",
    name="primary somatosensory area, trunk, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_trunk_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "461",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer6b",
    name="primary somatosensory area, trunk, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_unassigned = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUnassigned",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305689",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUnassigned",
    name="primary somatosensory area, unassigned",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_unassigned_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305693",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer1",
    name="primary somatosensory area, unassigned, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_unassigned_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305697",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer2-3",
    name="primary somatosensory area, unassigned, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_unassigned_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305701",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer4",
    name="primary somatosensory area, unassigned, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_unassigned_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305705",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer5",
    name="primary somatosensory area, unassigned, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_unassigned_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305709",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer6a",
    name="primary somatosensory area, unassigned, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_unassigned_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305713",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer6b",
    name="primary somatosensory area, unassigned, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_upper_limb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "369",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimb",
    name="primary somatosensory area, upper limb",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_upper_limb_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "450",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer1",
    name="primary somatosensory area, upper limb, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_upper_limb_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "854",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer2-3",
    name="primary somatosensory area, upper limb, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_upper_limb_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "577",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer4",
    name="primary somatosensory area, upper limb, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_upper_limb_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "625",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer5",
    name="primary somatosensory area, upper limb, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_upper_limb_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "945",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer6a",
    name="primary somatosensory area, upper limb, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_upper_limb_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1026",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer6b",
    name="primary somatosensory area, upper limb, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "385",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryVisualArea",
    name="primary visual area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "593",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryVisualAreaLayer1",
    name="primary visual area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "821",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryVisualAreaLayer2-3",
    name="primary visual area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "721",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryVisualAreaLayer4",
    name="primary visual area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_visual_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryVisualAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "778",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryVisualAreaLayer5",
    name="primary visual area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "33",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryVisualAreaLayer6a",
    name="primary visual area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "305",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryVisualAreaLayer6b",
    name="primary visual area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_principal_mammillary_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_principalMammillaryTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "753",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_principalMammillaryTract",
    name="principal mammillary tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_principal_sensory_nucleus_of_the_trigeminal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_principalSensoryNucleusOfTheTrigeminal",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "7",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_principalSensoryNucleusOfTheTrigeminal",
    name="principal sensory nucleus of the trigeminal",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_propriohypothalamic_pathways = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_propriohypothalamicPathways",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_propriohypothalamicPathways",
    name="propriohypothalamic pathways",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_propriohypothalamic_pathways_dorsal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_propriohypothalamicPathwaysDorsal",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "762",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_propriohypothalamicPathwaysDorsal",
    name="propriohypothalamic pathways, dorsal",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_propriohypothalamic_pathways_lateral = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_propriohypothalamicPathwaysLateral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "770",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_propriohypothalamicPathwaysLateral",
    name="propriohypothalamic pathways, lateral",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_propriohypothalamic_pathways_medial = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_propriohypothalamicPathwaysMedial",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "779",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_propriohypothalamicPathwaysMedial",
    name="propriohypothalamic pathways, medial",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_propriohypothalamic_pathways_ventral = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_propriohypothalamicPathwaysVentral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "787",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_propriohypothalamicPathwaysVentral",
    name="propriohypothalamic pathways, ventral",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prosubiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prosubiculum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682470",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prosubiculum",
    name="prosubiculum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prosubiculum_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prosubiculumDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682475",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prosubiculumDorsalPart",
    name="prosubiculum, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prosubiculum_dorsal_part_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prosubiculumDorsalPartMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682479",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prosubiculumDorsalPartMolecularLayer",
    name="prosubiculum, dorsal part, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prosubiculum_dorsal_part_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prosubiculumDorsalPartPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682483",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#56B84B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prosubiculumDorsalPartPyramidalLayer",
    name="prosubiculum, dorsal part, pyramidal layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prosubiculum_dorsal_part_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prosubiculumDorsalPartStratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682487",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prosubiculumDorsalPartStratumRadiatum",
    name="prosubiculum, dorsal part, stratum radiatum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prosubiculum_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prosubiculumVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682492",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prosubiculumVentralPart",
    name="prosubiculum, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prosubiculum_ventral_part_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prosubiculumVentralPartMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682496",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prosubiculumVentralPartMolecularLayer",
    name="prosubiculum, ventral part, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prosubiculum_ventral_part_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prosubiculumVentralPartPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682500",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#56B84B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prosubiculumVentralPartPyramidalLayer",
    name="prosubiculum, ventral part, pyramidal layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prosubiculum_ventral_part_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prosubiculumVentralPartStratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682504",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prosubiculumVentralPartStratumRadiatum",
    name="prosubiculum, ventral part, stratum radiatum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pyramid = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pyramid",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "190",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pyramid",
    name="pyramid",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pyramidal_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pyramidalDecussation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "198",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pyramidalDecussation",
    name="pyramidal decussation",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pyramus_viii = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pyramusVIII",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "951",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pyramusVIII",
    name="pyramus (VIII)",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pyramus_viii_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pyramusVIIIGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10729",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pyramusVIIIGranularLayer",
    name="pyramus (VIII), granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pyramus_viii_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pyramusVIIIMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10731",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pyramusVIIIMolecularLayer",
    name="pyramus (VIII), molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pyramus_viii_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pyramusVIIIPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10730",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pyramusVIIIPurkinjeLayer",
    name="pyramus (VIII), Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_red_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_redNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "214",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_redNucleus",
    name="red nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_reticular_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_reticularNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "262",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_reticularNucleusOfTheThalamus",
    name="reticular nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_reticulocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_reticulocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "410",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_reticulocerebellarTract",
    name="reticulocerebellar tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retina = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retina",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "304325711",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7F2E7E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retina",
    name="retina",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retriculospinal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retriculospinalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "855",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retriculospinalTract",
    name="retriculospinal tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retriculospinal_tract_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retriculospinalTractLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "205",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retriculospinalTractLateralPart",
    name="retriculospinal tract, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retriculospinal_tract_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retriculospinalTractMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "213",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retriculospinalTractMedialPart",
    name="retriculospinal tract, medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrochiasmatic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrochiasmaticArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "173",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrochiasmaticArea",
    name="retrochiasmatic area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retroethmoid_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retroethmoidNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "560581555",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retroethmoidNucleus",
    name="retroethmoid nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrohippocampal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrohippocampalRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "822",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrohippocampalRegion",
    name="retrohippocampal region",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retroparafascicular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retroparafascicularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "549009203",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retroparafascicularNucleus",
    name="retroparafascicular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "254",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialArea",
    name="retrosplenial area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "879",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaDorsalPart",
    name="retrosplenial area, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_dorsal_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "442",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer1",
    name="retrosplenial area, dorsal part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_dorsal_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "434",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer2-3",
    name="retrosplenial area, dorsal part, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_dorsal_part_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "545",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer4",
    name="retrosplenial area, dorsal part, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_dorsal_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "610",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer5",
    name="retrosplenial area, dorsal part, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_dorsal_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "274",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer6a",
    name="retrosplenial area, dorsal part, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_dorsal_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "330",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer6b",
    name="retrosplenial area, dorsal part, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_lateral_agranular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "894",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPart",
    name="retrosplenial area, lateral agranular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_lateral_agranular_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "671",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPartLayer1",
    name="retrosplenial area, lateral agranular part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_lateral_agranular_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "965",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPartLayer2-3",
    name="retrosplenial area, lateral agranular part, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_lateral_agranular_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "774",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPartLayer5",
    name="retrosplenial area, lateral agranular part, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_lateral_agranular_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "906",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPartLayer6a",
    name="retrosplenial area, lateral agranular part, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_lateral_agranular_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "279",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPartLayer6b",
    name="retrosplenial area, lateral agranular part, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "886",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaVentralPart",
    name="retrosplenial area, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_ventral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "542",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer1",
    name="retrosplenial area, ventral part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_ventral_part_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "606",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer2",
    name="retrosplenial area, ventral part, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_ventral_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "430",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer2-3",
    name="retrosplenial area, ventral part, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_ventral_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "687",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer5",
    name="retrosplenial area, ventral part, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_ventral_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "590",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer6a",
    name="retrosplenial area, ventral part, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_ventral_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "622",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer6b",
    name="retrosplenial area, ventral part, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rhinal_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rhinalFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1071",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rhinalFissure",
    name="rhinal fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rhinal_incisure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rhinalIncisure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1078",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rhinalIncisure",
    name="rhinal incisure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rhinocele = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rhinocele",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "89",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rhinocele",
    name="rhinocele",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rhomboid_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rhomboidNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "189",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rhomboidNucleus",
    name="rhomboid nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_root = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_root",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "997",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFFFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_root",
    name="root",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostral_linear_nucleus_raphe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostralLinearNucleusRaphe",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "197",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostralLinearNucleusRaphe",
    name="rostral linear nucleus raphe",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782604",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralAreaLayer1",
    name="rostrolateral area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782608",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralAreaLayer2-3",
    name="rostrolateral area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782612",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralAreaLayer4",
    name="rostrolateral area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782616",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralAreaLayer5",
    name="rostrolateral area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782620",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralAreaLayer6a",
    name="rostrolateral area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782624",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralAreaLayer6b",
    name="rostrolateral area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_lateral_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralLateralVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149202",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralLateralVisualArea",
    name="rostrolateral lateral visual area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_lateral_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralLateralVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149206",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralLateralVisualAreaLayer1",
    name="rostrolateral lateral visual area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_lateral_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralLateralVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149210",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralLateralVisualAreaLayer2-3",
    name="rostrolateral lateral visual area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_lateral_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralLateralVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149214",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralLateralVisualAreaLayer4",
    name="rostrolateral lateral visual area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_lateral_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralLateralVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149222",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralLateralVisualAreaLayer6a",
    name="rostrolateral lateral visual area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_lateral_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralLateralVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149226",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralLateralVisualAreaLayer6b",
    name="rostrolateral lateral visual area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_lateral_visual_arealayer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralLateralVisualArealayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149218",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralLateralVisualArealayer5",
    name="rostrolateral lateral visual area,layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "417",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralVisualArea",
    name="rostrolateral visual area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rubroreticular_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rubroreticularTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "221",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rubroreticularTract",
    name="rubroreticular tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rubrospinal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rubrospinalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "863",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rubrospinalTract",
    name="rubrospinal tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_secondary_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_secondaryFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "3",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_secondaryFissure",
    name="secondary fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_secondary_motor_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_secondaryMotorArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "993",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_secondaryMotorArea",
    name="secondary motor area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_secondary_motor_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_secondaryMotorAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "656",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_secondaryMotorAreaLayer1",
    name="secondary motor area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_secondary_motor_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_secondaryMotorAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "962",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_secondaryMotorAreaLayer2-3",
    name="secondary motor area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_secondary_motor_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_secondaryMotorAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "767",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_secondaryMotorAreaLayer5",
    name="secondary motor area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_secondary_motor_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_secondaryMotorAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1021",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_secondaryMotorAreaLayer6a",
    name="secondary motor area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_secondary_motor_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_secondaryMotorAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1085",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_secondaryMotorAreaLayer6b",
    name="secondary motor area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_sensory_root_of_the_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_sensoryRootOfTheTrigeminalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "229",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_sensoryRootOfTheTrigeminalNerve",
    name="sensory root of the trigeminal nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_septofimbrial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_septofimbrialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "310",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_septofimbrialNucleus",
    name="septofimbrial nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_septohippocampal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_septohippocampalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "333",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_septohippocampalNucleus",
    name="septohippocampal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_simple_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_simpleFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "25",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_simpleFissure",
    name="simple fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_simple_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_simpleLobule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1007",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_simpleLobule",
    name="simple lobule",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_simple_lobule_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_simpleLobuleGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10672",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_simpleLobuleGranularLayer",
    name="simple lobule, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_simple_lobule_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_simpleLobuleMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10674",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_simpleLobuleMolecularLayer",
    name="simple lobule, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_simple_lobule_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_simpleLobulePurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10673",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_simpleLobulePurkinjeLayer",
    name="simple lobule, Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_solitary_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_solitaryTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "237",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_solitaryTract",
    name="solitary tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_somatomotor_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatomotorAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "500",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_somatomotorAreas",
    name="somatomotor areas",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_somatomotor_areas_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatomotorAreasLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "107",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_somatomotorAreasLayer1",
    name="somatomotor areas, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_somatomotor_areas_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatomotorAreasLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "219",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_somatomotorAreasLayer2-3",
    name="somatomotor areas, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_somatomotor_areas_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatomotorAreasLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "299",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_somatomotorAreasLayer5",
    name="somatomotor areas, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_somatomotor_areas_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatomotorAreasLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "644",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_somatomotorAreasLayer6a",
    name="somatomotor areas, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_somatomotor_areas_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatomotorAreasLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "947",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_somatomotorAreasLayer6b",
    name="somatomotor areas, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_somatosensory_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatosensoryAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "453",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_somatosensoryAreas",
    name="somatosensory areas",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_somatosensory_areas_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatosensoryAreasLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12993",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_somatosensoryAreasLayer1",
    name="somatosensory areas, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_somatosensory_areas_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatosensoryAreasLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12994",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_somatosensoryAreasLayer2-3",
    name="somatosensory areas, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_somatosensory_areas_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatosensoryAreasLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12995",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_somatosensoryAreasLayer4",
    name="somatosensory areas, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_somatosensory_areas_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatosensoryAreasLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12996",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_somatosensoryAreasLayer5",
    name="somatosensory areas, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_somatosensory_areas_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatosensoryAreasLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12997",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_somatosensoryAreasLayer6a",
    name="somatosensory areas, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_somatosensory_areas_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatosensoryAreasLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12998",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_somatosensoryAreasLayer6b",
    name="somatosensory areas, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinal_nucleus_of_the_trigeminal_caudal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalCaudalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "429",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalCaudalPart",
    name="spinal nucleus of the trigeminal, caudal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinal_nucleus_of_the_trigeminal_interpolar_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalInterpolarPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "437",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalInterpolarPart",
    name="spinal nucleus of the trigeminal, interpolar part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinal_nucleus_of_the_trigeminal_oral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "445",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPart",
    name="spinal nucleus of the trigeminal, oral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinal_nucleus_of_the_trigeminal_oral_part_caudal_dorsomedial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPartCaudalDorsomedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "77",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPartCaudalDorsomedialPart",
    name="spinal nucleus of the trigeminal, oral part, caudal dorsomedial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinal_nucleus_of_the_trigeminal_oral_part_middle_dorsomedial_part_dorsal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialPartDorsalZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "53",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialPartDorsalZone",
    name="spinal nucleus of the trigeminal, oral part, middle dorsomedial part, dorsal zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinal_nucleus_of_the_trigeminal_oral_part_middle_dorsomedial_part_ventral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialPartVentralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "61",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialPartVentralZone",
    name="spinal nucleus of the trigeminal, oral part, middle dorsomedial part, ventral zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinal_nucleus_of_the_trigeminal_oral_part_rostral_dorsomedial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPartRostralDorsomedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "45",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPartRostralDorsomedialPart",
    name="spinal nucleus of the trigeminal, oral part, rostral dorsomedial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinal_nucleus_of_the_trigeminal_oral_part_ventrolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPartVentrolateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "69",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPartVentrolateralPart",
    name="spinal nucleus of the trigeminal, oral part, ventrolateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinal_tract_of_the_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalTractOfTheTrigeminalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "794",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinalTractOfTheTrigeminalNerve",
    name="spinal tract of the trigeminal nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinal_vestibular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalVestibularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "225",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinalVestibularNucleus",
    name="spinal vestibular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "85",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinocerebellarTract",
    name="spinocerebellar tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinocervical_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinocervicalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "245",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinocervicalTract",
    name="spinocervical tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinohypothalamic_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinohypothalamicPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "253",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinohypothalamicPathway",
    name="spinohypothalamic pathway",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinoolivary_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinoolivaryPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "261",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinoolivaryPathway",
    name="spino-olivary pathway",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinoreticular_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinoreticularPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "270",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinoreticularPathway",
    name="spinoreticular pathway",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinotectal_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinotectalPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "277",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinotectalPathway",
    name="spinotectal pathway",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinotelenchephalic_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinotelenchephalicPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "285",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinotelenchephalicPathway",
    name="spinotelenchephalic pathway",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinothalamicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "871",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinothalamicTract",
    name="spinothalamic tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinovestibular_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinovestibularPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "293",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinovestibularPathway",
    name="spinovestibular pathway",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_stria_medullaris = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_striaMedullaris",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "802",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_striaMedullaris",
    name="stria medullaris",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_striaTerminalis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "301",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_striaTerminalis",
    name="stria terminalis",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_striatonigral_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_striatonigralPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "309",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_striatonigralPathway",
    name="striatonigral pathway",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_striatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_striatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "477",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#98D6F9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_striatum",
    name="striatum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_striatum_dorsal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_striatumDorsalRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "485",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#98D6F9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_striatumDorsalRegion",
    name="striatum dorsal region",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_striatum_ventral_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_striatumVentralRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "493",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_striatumVentralRegion",
    name="striatum ventral region",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_striatumlike_amygdalar_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_striatumlikeAmygdalarNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "278",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_striatumlikeAmygdalarNuclei",
    name="striatum-like amygdalar nuclei",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subceruleus_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subceruleusNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "350",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subceruleusNucleus",
    name="subceruleus nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subcommissural_organ = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subcommissuralOrgan",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "599626923",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subcommissuralOrgan",
    name="subcommissural organ",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subependymal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subependymalZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "98",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subependymalZone",
    name="subependymal zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subfornical_organ = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subfornicalOrgan",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "338",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subfornicalOrgan",
    name="subfornical organ",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subgeniculate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subgeniculateNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "321",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subgeniculateNucleus",
    name="subgeniculate nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subiculum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "502",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subiculum",
    name="subiculum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subiculum_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subiculumDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "509",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subiculumDorsalPart",
    name="subiculum, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subiculum_dorsal_part_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subiculumDorsalPartMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "829",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subiculumDorsalPartMolecularLayer",
    name="subiculum, dorsal part, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subiculum_dorsal_part_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subiculumDorsalPartPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "845",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4BB547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subiculumDorsalPartPyramidalLayer",
    name="subiculum, dorsal part, pyramidal layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subiculum_dorsal_part_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subiculumDorsalPartStratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "837",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subiculumDorsalPartStratumRadiatum",
    name="subiculum, dorsal part, stratum radiatum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subiculum_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subiculumVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "518",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subiculumVentralPart",
    name="subiculum, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subiculum_ventral_part_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subiculumVentralPartMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "853",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subiculumVentralPartMolecularLayer",
    name="subiculum, ventral part, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subiculum_ventral_part_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subiculumVentralPartPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "870",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4BB547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subiculumVentralPartPyramidalLayer",
    name="subiculum, ventral part, pyramidal layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subiculum_ventral_part_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subiculumVentralPartStratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "861",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subiculumVentralPartStratumRadiatum",
    name="subiculum, ventral part, stratum radiatum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_sublaterodorsal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_sublaterodorsalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "358",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_sublaterodorsalNucleus",
    name="sublaterodorsal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_submedial_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_submedialNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "366",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_submedialNucleusOfTheThalamus",
    name="submedial nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subparafascicular_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subparafascicularArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "609",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subparafascicularArea",
    name="subparafascicular area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subparafascicular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subparafascicularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "406",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subparafascicularNucleus",
    name="subparafascicular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subparafascicular_nucleus_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subparafascicularNucleusMagnocellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "414",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subparafascicularNucleusMagnocellularPart",
    name="subparafascicular nucleus, magnocellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subparafascicular_nucleus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subparafascicularNucleusParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "422",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subparafascicularNucleusParvicellularPart",
    name="subparafascicular nucleus, parvicellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subparaventricular_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subparaventricularZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "347",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subparaventricularZone",
    name="subparaventricular zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_substantia_innominata = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_substantiaInnominata",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "342",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A2B1D8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_substantiaInnominata",
    name="substantia innominata",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_substantia_nigra_compact_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_substantiaNigraCompactPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "374",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_substantiaNigraCompactPart",
    name="substantia nigra, compact part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_substantia_nigra_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_substantiaNigraLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "615",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_substantiaNigraLateralPart",
    name="substantia nigra, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_substantia_nigra_reticular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_substantiaNigraReticularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "381",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_substantiaNigraReticularPart",
    name="substantia nigra, reticular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subthalamic_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subthalamicFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "317",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subthalamicFascicle",
    name="subthalamic fascicle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subthalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subthalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "470",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subthalamicNucleus",
    name="subthalamic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_central_nucleus_raphe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorCentralNucleusRaphe",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "679",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorCentralNucleusRaphe",
    name="superior central nucleus raphe",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_central_nucleus_raphe_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorCentralNucleusRapheLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "137",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorCentralNucleusRapheLateralPart",
    name="superior central nucleus raphe, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_central_nucleus_raphe_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorCentralNucleusRapheMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "130",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorCentralNucleusRapheMedialPart",
    name="superior central nucleus raphe, medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_cerebelar_peduncles = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorCerebelarPeduncles",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "326",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorCerebelarPeduncles",
    name="superior cerebelar peduncles",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_cerebellar_peduncle_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorCerebellarPeduncleDecussation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "812",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorCerebellarPeduncleDecussation",
    name="superior cerebellar peduncle decussation",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_colliculus_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "336",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorColliculusCommissure",
    name="superior colliculus commissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_colliculus_motor_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusMotorRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "294",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorColliculusMotorRelated",
    name="superior colliculus, motor related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_colliculus_motor_related_deep_gray_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusMotorRelatedDeepGrayLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "26",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorColliculusMotorRelatedDeepGrayLayer",
    name="superior colliculus, motor related, deep gray layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_colliculus_motor_related_deep_white_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusMotorRelatedDeepWhiteLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "42",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorColliculusMotorRelatedDeepWhiteLayer",
    name="superior colliculus, motor related, deep white layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_colliculus_motor_related_intermediate_gray_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusMotorRelatedIntermediateGrayLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorColliculusMotorRelatedIntermediateGrayLayer",
    name="superior colliculus, motor related, intermediate gray layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_colliculus_motor_related_intermediate_gray_layer_sublayer_a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerA",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "494",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerA",
    name="superior colliculus, motor related, intermediate gray layer, sublayer a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_colliculus_motor_related_intermediate_gray_layer_sublayer_b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerB",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "503",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerB",
    name="superior colliculus, motor related, intermediate gray layer, sublayer b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_colliculus_motor_related_intermediate_gray_layer_sublayer_c = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerC",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "511",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerC",
    name="superior colliculus, motor related, intermediate gray layer, sublayer c",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_colliculus_motor_related_intermediate_white_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusMotorRelatedIntermediateWhiteLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "17",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorColliculusMotorRelatedIntermediateWhiteLayer",
    name="superior colliculus, motor related, intermediate white layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_colliculus_optic_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusOpticLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "851",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorColliculusOpticLayer",
    name="superior colliculus, optic layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_colliculus_sensory_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusSensoryRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "302",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorColliculusSensoryRelated",
    name="superior colliculus, sensory related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_colliculus_superficial_gray_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusSuperficialGrayLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "842",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorColliculusSuperficialGrayLayer",
    name="superior colliculus, superficial gray layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_colliculus_zonal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusZonalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "834",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorColliculusZonalLayer",
    name="superior colliculus, zonal layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_olivary_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorOlivaryComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "398",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorOlivaryComplex",
    name="superior olivary complex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_olivary_complex_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorOlivaryComplexLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "114",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorOlivaryComplexLateralPart",
    name="superior olivary complex, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_olivary_complex_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorOlivaryComplexMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "105",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorOlivaryComplexMedialPart",
    name="superior olivary complex, medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_olivary_complex_periolivary_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorOlivaryComplexPeriolivaryRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "122",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorOlivaryComplexPeriolivaryRegion",
    name="superior olivary complex, periolivary region",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_salivatory_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorSalivatoryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "462",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorSalivatoryNucleus",
    name="superior salivatory nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_vestibular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorVestibularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "217",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorVestibularNucleus",
    name="superior vestibular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supplemental_somatosensory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supplementalSomatosensoryArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "378",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supplementalSomatosensoryArea",
    name="supplemental somatosensory area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supplemental_somatosensory_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "873",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer1",
    name="supplemental somatosensory area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supplemental_somatosensory_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "806",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer2-3",
    name="supplemental somatosensory area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supplemental_somatosensory_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1035",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer4",
    name="supplemental somatosensory area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supplemental_somatosensory_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1090",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer5",
    name="supplemental somatosensory area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supplemental_somatosensory_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "862",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer6a",
    name="supplemental somatosensory area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supplemental_somatosensory_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "893",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer6b",
    name="supplemental somatosensory area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supracallosal_cerebral_white_matter = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supracallosalCerebralWhiteMatter",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682512",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supracallosalCerebralWhiteMatter",
    name="supra-callosal cerebral white matter",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_suprachiasmatic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_suprachiasmaticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "286",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_suprachiasmaticNucleus",
    name="suprachiasmatic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_suprachiasmatic_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_suprachiasmaticPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1124",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_suprachiasmaticPreopticNucleus",
    name="suprachiasmatic preoptic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_suprageniculate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_suprageniculateNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "325",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_suprageniculateNucleus",
    name="suprageniculate nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supragenual_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supragenualNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "318",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supragenualNucleus",
    name="supragenual nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supramammillary_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supramammillaryDecussation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "341",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supramammillaryDecussation",
    name="supramammillary decussation",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supramammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supramammillaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "525",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supramammillaryNucleus",
    name="supramammillary nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supramammillary_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supramammillaryNucleusLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1110",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supramammillaryNucleusLateralPart",
    name="supramammillary nucleus, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supramammillary_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supramammillaryNucleusMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1118",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supramammillaryNucleusMedialPart",
    name="supramammillary nucleus, medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supraoculomotor_periaqueductal_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supraoculomotorPeriaqueductalGray",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "614454277",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supraoculomotorPeriaqueductalGray",
    name="supraoculomotor periaqueductal gray",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supraoptic_commissures = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supraopticCommissures",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "349",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supraopticCommissures",
    name="supraoptic commissures",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supraoptic_commissures_anterior = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supraopticCommissuresAnterior",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "817",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supraopticCommissuresAnterior",
    name="supraoptic commissures, anterior",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supraoptic_commissures_dorsal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supraopticCommissuresDorsal",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "825",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supraopticCommissuresDorsal",
    name="supraoptic commissures, dorsal",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supraoptic_commissures_ventral = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supraopticCommissuresVentral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "833",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supraopticCommissuresVentral",
    name="supraoptic commissures, ventral",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supraoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supraopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "390",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supraopticNucleus",
    name="supraoptic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supratrigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supratrigeminalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "534",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supratrigeminalNucleus",
    name="supratrigeminal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_taenia_tecta = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTecta",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "589",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_taeniaTecta",
    name="taenia tecta",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_taenia_tecta_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "597",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_taeniaTectaDorsalPart",
    name="taenia tecta, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_taenia_tecta_dorsal_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaDorsalPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1034",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_taeniaTectaDorsalPartLayer1",
    name="taenia tecta, dorsal part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_taenia_tecta_dorsal_part_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaDorsalPartLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1042",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_taeniaTectaDorsalPartLayer2",
    name="taenia tecta, dorsal part, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_taenia_tecta_dorsal_part_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaDorsalPartLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1050",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_taeniaTectaDorsalPartLayer3",
    name="taenia tecta, dorsal part, layer 3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_taenia_tecta_dorsal_part_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaDorsalPartLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1059",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_taeniaTectaDorsalPartLayer4",
    name="taenia tecta, dorsal part, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_taenia_tecta_dorsal_part_layers14 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaDorsalPartLayers14",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "297",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_taeniaTectaDorsalPartLayers14",
    name="taenia tecta, dorsal part, layers 1-4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_taenia_tecta_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "605",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_taeniaTectaVentralPart",
    name="taenia tecta, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_taenia_tecta_ventral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaVentralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1067",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_taeniaTectaVentralPartLayer1",
    name="taenia tecta, ventral part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_taenia_tecta_ventral_part_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaVentralPartLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1075",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_taeniaTectaVentralPartLayer2",
    name="taenia tecta, ventral part, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_taenia_tecta_ventral_part_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaVentralPartLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1082",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_taeniaTectaVentralPartLayer3",
    name="taenia tecta, ventral part, layer 3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_taenia_tecta_ventral_part_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaVentralPartLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "306",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_taeniaTectaVentralPartLayers13",
    name="taenia tecta, ventral part, layers 1-3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_tectospinal_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_tectospinalPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "877",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_tectospinalPathway",
    name="tectospinal pathway",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_tectothalamic_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_tectothalamicPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "357",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_tectothalamicPathway",
    name="tectothalamic pathway",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_tegmental_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_tegmentalReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "574",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_tegmentalReticularNucleus",
    name="tegmental reticular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_temporal_association_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_temporalAssociationAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "541",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_temporalAssociationAreas",
    name="temporal association areas",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_temporal_association_areas_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_temporalAssociationAreasLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "97",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_temporalAssociationAreasLayer1",
    name="temporal association areas, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_temporal_association_areas_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_temporalAssociationAreasLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1127",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_temporalAssociationAreasLayer2-3",
    name="temporal association areas, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_temporal_association_areas_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_temporalAssociationAreasLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "234",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_temporalAssociationAreasLayer4",
    name="temporal association areas, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_temporal_association_areas_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_temporalAssociationAreasLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "289",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_temporalAssociationAreasLayer5",
    name="temporal association areas, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_temporal_association_areas_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_temporalAssociationAreasLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "729",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_temporalAssociationAreasLayer6a",
    name="temporal association areas, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_temporal_association_areas_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_temporalAssociationAreasLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "786",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_temporalAssociationAreasLayer6b",
    name="temporal association areas, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_terminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_terminalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "885",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_terminalNerve",
    name="terminal nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_thalamic_peduncles = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_thalamicPeduncles",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "365",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_thalamicPeduncles",
    name="thalamic peduncles",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_thalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "549",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7080"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_thalamus",
    name="thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_thalamus_polymodal_association_cortex_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_thalamusPolymodalAssociationCortexRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "856",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_thalamusPolymodalAssociationCortexRelated",
    name="thalamus, polymodal association cortex related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_thalamus_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_thalamusRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "896",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_thalamusRelated",
    name="thalamus related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_thalamus_sensorymotor_cortex_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_thalamusSensorymotorCortexRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "864",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_thalamusSensorymotorCortexRelated",
    name="thalamus, sensory-motor cortex related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_third_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_thirdVentricle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "129",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_thirdVentricle",
    name="third ventricle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_trapezoid_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_trapezoidBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "841",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_trapezoidBody",
    name="trapezoid body",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_triangular_nucleus_of_septum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_triangularNucleusOfSeptum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "581",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#96A7D3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_triangularNucleusOfSeptum",
    name="triangular nucleus of septum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_trigeminalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "901",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_trigeminalNerve",
    name="trigeminal nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_trigeminocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_trigeminocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "373",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_trigeminocerebellarTract",
    name="trigeminocerebellar tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_trochlear_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_trochlearNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "911",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_trochlearNerve",
    name="trochlear nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_trochlear_nerve_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_trochlearNerveDecussation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "384",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_trochlearNerveDecussation",
    name="trochlear nerve decussation",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_trochlear_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_trochlearNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "115",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_trochlearNucleus",
    name="trochlear nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_tuberal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_tuberalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "614",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_tuberalNucleus",
    name="tuberal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_tuberomammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_tuberomammillaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "557",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_tuberomammillaryNucleus",
    name="tuberomammillary nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_tuberomammillary_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_tuberomammillaryNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1126",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_tuberomammillaryNucleusDorsalPart",
    name="tuberomammillary nucleus, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_tuberomammillary_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_tuberomammillaryNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_tuberomammillaryNucleusVentralPart",
    name="tuberomammillary nucleus, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_uncinate_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_uncinateFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "850",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_uncinateFascicle",
    name="uncinate fascicle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_uvula_ix = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_uvulaIX",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "957",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_uvulaIX",
    name="uvula (IX)",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_uvula_ix_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_uvulaIXGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10732",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_uvulaIXGranularLayer",
    name="uvula (IX), granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_uvula_ix_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_uvulaIXMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10734",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_uvulaIXMolecularLayer",
    name="uvula (IX), molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_uvula_ix_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_uvulaIXPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10733",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_uvulaIXPurkinjeLayer",
    name="uvula (IX), Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_vagus_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_vagusNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "917",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_vagusNerve",
    name="vagus nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_vascular_organ_of_the_lamina_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_vascularOrganOfTheLaminaTerminalis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "763",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_vascularOrganOfTheLaminaTerminalis",
    name="vascular organ of the lamina terminalis",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_anteriorlateral_complex_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralAnteriorlateralComplexOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "629",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralAnteriorlateralComplexOfTheThalamus",
    name="ventral anterior-lateral complex of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_auditory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralAuditoryArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1018",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralAuditoryArea",
    name="ventral auditory area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_auditory_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralAuditoryAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "959",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralAuditoryAreaLayer1",
    name="ventral auditory area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_auditory_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralAuditoryAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "755",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralAuditoryAreaLayer2-3",
    name="ventral auditory area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_auditory_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralAuditoryAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "990",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralAuditoryAreaLayer4",
    name="ventral auditory area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_auditory_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralAuditoryAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1023",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralAuditoryAreaLayer5",
    name="ventral auditory area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_auditory_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralAuditoryAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "520",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralAuditoryAreaLayer6a",
    name="ventral auditory area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_auditory_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralAuditoryAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "598",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralAuditoryAreaLayer6b",
    name="ventral auditory area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_cochlear_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralCochlearNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "101",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralCochlearNucleus",
    name="ventral cochlear nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_commissure_of_the_spinal_cord = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralCommissureOfTheSpinalCord",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "858",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralCommissureOfTheSpinalCord",
    name="ventral commissure of the spinal cord",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_group_of_the_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralGroupOfTheDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "637",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralGroupOfTheDorsalThalamus",
    name="ventral group of the dorsal thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_hippocampal_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralHippocampalCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "449",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralHippocampalCommissure",
    name="ventral hippocampal commissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_medial_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralMedialNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "685",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralMedialNucleusOfTheThalamus",
    name="ventral medial nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_part_of_the_lateral_geniculate_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralPartOfTheLateralGeniculateComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "178",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralPartOfTheLateralGeniculateComplex",
    name="ventral part of the lateral geniculate complex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_part_of_the_lateral_geniculate_complex_lateral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralPartOfTheLateralGeniculateComplexLateralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "300",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralPartOfTheLateralGeniculateComplexLateralZone",
    name="ventral part of the lateral geniculate complex, lateral zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_part_of_the_lateral_geniculate_complex_medial_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralPartOfTheLateralGeniculateComplexMedialZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "316",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralPartOfTheLateralGeniculateComplexMedialZone",
    name="ventral part of the lateral geniculate complex, medial zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_posterior_complex_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralPosteriorComplexOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "709",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralPosteriorComplexOfTheThalamus",
    name="ventral posterior complex of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_posterolateral_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralPosterolateralNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "718",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralPosterolateralNucleusOfTheThalamus",
    name="ventral posterolateral nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_posterolateral_nucleus_of_the_thalamus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralPosterolateralNucleusOfTheThalamusParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "725",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralPosterolateralNucleusOfTheThalamusParvicellularPart",
    name="ventral posterolateral nucleus of the thalamus, parvicellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_posteromedial_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralPosteromedialNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "733",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralPosteromedialNucleusOfTheThalamus",
    name="ventral posteromedial nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_posteromedial_nucleus_of_the_thalamus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralPosteromedialNucleusOfTheThalamusParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "741",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralPosteromedialNucleusOfTheThalamusParvicellularPart",
    name="ventral posteromedial nucleus of the thalamus, parvicellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_premammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralPremammillaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1004",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralPremammillaryNucleus",
    name="ventral premammillary nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_roots = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralRoots",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "925",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralRoots",
    name="ventral roots",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_spinocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralSpinocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "866",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralSpinocerebellarTract",
    name="ventral spinocerebellar tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_spinothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralSpinothalamicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "389",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralSpinothalamicTract",
    name="ventral spinothalamic tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_tegmental_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralTegmentalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "749",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralTegmentalArea",
    name="ventral tegmental area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_tegmental_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralTegmentalDecussation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "397",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralTegmentalDecussation",
    name="ventral tegmental decussation",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralTegmentalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "757",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralTegmentalNucleus",
    name="ventral tegmental nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventricular_systems = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventricularSystems",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "73",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventricularSystems",
    name="ventricular systems",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventrolateral_hypothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventrolateralHypothalamicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "405",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventrolateralHypothalamicTract",
    name="ventrolateral hypothalamic tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventrolateral_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventrolateralPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "689",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventrolateralPreopticNucleus",
    name="ventrolateral preoptic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventromedial_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventromedialHypothalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "693",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventromedialHypothalamicNucleus",
    name="ventromedial hypothalamic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventromedial_hypothalamic_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventromedialHypothalamicNucleusAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "761",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventromedialHypothalamicNucleusAnteriorPart",
    name="ventromedial hypothalamic nucleus, anterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventromedial_hypothalamic_nucleus_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventromedialHypothalamicNucleusCentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "769",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventromedialHypothalamicNucleusCentralPart",
    name="ventromedial hypothalamic nucleus, central part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventromedial_hypothalamic_nucleus_dorsomedial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventromedialHypothalamicNucleusDorsomedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "777",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventromedialHypothalamicNucleusDorsomedialPart",
    name="ventromedial hypothalamic nucleus, dorsomedial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventromedial_hypothalamic_nucleus_ventrolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventromedialHypothalamicNucleusVentrolateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "785",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventromedialHypothalamicNucleusVentrolateralPart",
    name="ventromedial hypothalamic nucleus, ventrolateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventromedial_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventromedialPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "576073699",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventromedialPreopticNucleus",
    name="ventromedial preoptic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_vermal_regions = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_vermalRegions",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "645",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_vermalRegions",
    name="vermal regions",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_vestibular_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_vestibularNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "413",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_vestibularNerve",
    name="vestibular nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_vestibular_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_vestibularNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "701",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_vestibularNuclei",
    name="vestibular nuclei",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_vestibulocerebellar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_vestibulocerebellarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "589508455",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFDBC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_vestibulocerebellarNucleus",
    name="vestibulocerebellar nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_vestibulocochlear_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_vestibulocochlearNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "933",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_vestibulocochlearNerve",
    name="vestibulocochlear nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_vestibulospinal_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_vestibulospinalPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "941",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_vestibulospinalPathway",
    name="vestibulospinal pathway",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visceral_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visceralArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "677",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visceralArea",
    name="visceral area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visceral_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visceralAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "897",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visceralAreaLayer1",
    name="visceral area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visceral_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visceralAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1106",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visceralAreaLayer2-3",
    name="visceral area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visceral_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visceralAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1010",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visceralAreaLayer4",
    name="visceral area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visceral_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visceralAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1058",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visceralAreaLayer5",
    name="visceral area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visceral_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visceralAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "857",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visceralAreaLayer6a",
    name="visceral area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visceral_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visceralAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "849",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visceralAreaLayer6b",
    name="visceral area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visual_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visualAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "669",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visualAreas",
    name="visual areas",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visual_areas_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visualAreasLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "801",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visualAreasLayer1",
    name="visual areas, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visual_areas_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visualAreasLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "561",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visualAreasLayer2-3",
    name="visual areas, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visual_areas_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visualAreasLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "913",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visualAreasLayer4",
    name="visual areas, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visual_areas_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visualAreasLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "937",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visualAreasLayer5",
    name="visual areas, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visual_areas_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visualAreasLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "457",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visualAreasLayer6a",
    name="visual areas, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visual_areas_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visualAreasLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "497",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visualAreasLayer6b",
    name="visual areas, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_vomeronasal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_vomeronasalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "949",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_vomeronasalNerve",
    name="vomeronasal nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_xiphoid_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_xiphoidThalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "560581559",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_xiphoidThalamicNucleus",
    name="xiphoid thalamic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_zona_incerta = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_zonaIncerta",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "797",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_zonaIncerta",
    name="zona incerta",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.ba_human_1909_ba1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA1",
    abbreviation="BA1",
    alternate_names=["Brodmann's area 1", "human Brodmann area 1", "human Brodmann's area 1", "humanBA1"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA1",
    name="Brodmann area 1",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006099"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba10 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA10",
    abbreviation="BA10",
    alternate_names=["Brodmann's area 10", "human Brodmann area 10", "human Brodmann's area 10", "humanBA10"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA10",
    name="Brodmann area 10",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013541"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba11 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA11",
    abbreviation="BA11",
    alternate_names=["Brodmann's area 11", "human Brodmann area 11", "human Brodmann's area 11", "humanBA11"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA11",
    name="Brodmann area 11",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013528"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba12 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA12",
    abbreviation="BA12",
    alternate_names=["Brodmann's area 12", "human Brodmann area 12", "human Brodmann's area 12", "humanBA12"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA12",
    name="Brodmann area 12",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013543"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA13",
    abbreviation="BA13",
    alternate_names=["Brodmann's area 13", "human Brodmann area 13", "human Brodmann's area 13", "humanBA13"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA13",
    name="Brodmann area 13",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013544"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba14 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA14",
    abbreviation="BA14",
    alternate_names=["Brodmann's area 14", "human Brodmann area 14", "human Brodmann's area 14", "humanBA14"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA14",
    name="Brodmann area 14",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013545"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba15 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA15",
    abbreviation="BA15",
    alternate_names=["Brodmann's area 15", "human Brodmann area 15", "human Brodmann's area 15", "humanBA15"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA15",
    name="Brodmann area 15",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013546"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba16 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA16",
    abbreviation="BA16",
    alternate_names=["Brodmann's area 16", "human Brodmann area 16", "human Brodmann's area 16", "humanBA16"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA16",
    name="Brodmann area 16",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013547"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba17 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA17",
    abbreviation="BA17",
    alternate_names=["Brodmann's area 17", "human Brodmann area 17", "human Brodmann's area 17", "humanBA17"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA17",
    name="Brodmann area 17",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0002436"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba18 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA18",
    abbreviation="BA18",
    alternate_names=["Brodmann's area 18", "human Brodmann area 18", "human Brodmann's area 18", "humanBA18"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA18",
    name="Brodmann area 18",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006473"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba19 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA19",
    abbreviation="BA19",
    alternate_names=["Brodmann's area 19", "human Brodmann area 19", "human Brodmann's area 19", "humanBA19"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA19",
    name="Brodmann area 19",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013550"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA2",
    abbreviation="BA2",
    alternate_names=["Brodmann's area 2", "human Brodmann area 2", "human Brodmann's area 2", "humanBA2"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA2",
    name="Brodmann area 2",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013533"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba20 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA20",
    abbreviation="BA20",
    alternate_names=["Brodmann's area 20", "human Brodmann area 20", "human Brodmann's area 20", "humanBA20"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA20",
    name="Brodmann area 20",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013551"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba21 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA21",
    abbreviation="BA21",
    alternate_names=["Brodmann's area 21", "human Brodmann area 21", "human Brodmann's area 21", "humanBA21"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA21",
    name="Brodmann area 21",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013552"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba22 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA22",
    abbreviation="BA22",
    alternate_names=["Brodmann's area 22", "human Brodmann area 22", "human Brodmann's area 22", "humanBA22"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA22",
    name="Brodmann area 22",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013553"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba23 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA23",
    abbreviation="BA23",
    alternate_names=["Brodmann's area 23", "human Brodmann area 23", "human Brodmann's area 23", "humanBA23"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA23",
    name="Brodmann area 23",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013554"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba24 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA24",
    abbreviation="BA24",
    alternate_names=["Brodmann's area 24", "human Brodmann area 24", "human Brodmann's area 24", "humanBA24"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA24",
    name="Brodmann area 24",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006101"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba25 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA25",
    abbreviation="BA25",
    alternate_names=["Brodmann's area 25", "human Brodmann area 25", "human Brodmann's area 25", "humanBA25"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA25",
    name="Brodmann area 25",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013556"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba26 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA26",
    abbreviation="BA26",
    alternate_names=["Brodmann's area 26", "human Brodmann area 26", "human Brodmann's area 26", "humanBA26"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA26",
    name="Brodmann area 26",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0004718"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba27 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA27",
    abbreviation="BA27",
    alternate_names=["Brodmann's area 27", "human Brodmann area 27", "human Brodmann's area 27", "humanBA27"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA27",
    name="Brodmann area 27",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013558"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba28 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA28",
    abbreviation="BA28",
    alternate_names=["Brodmann's area 28", "human Brodmann area 28", "human Brodmann's area 28", "humanBA28"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA28",
    name="Brodmann area 28",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013559"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba29 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA29",
    abbreviation="BA29",
    alternate_names=["Brodmann's area 29", "human Brodmann area 29", "human Brodmann's area 29", "humanBA29"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA29",
    name="Brodmann area 29",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0004717"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA3",
    abbreviation="BA3",
    alternate_names=["Brodmann's area 3", "human Brodmann area 3", "human Brodmann's area 3", "humanBA3"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA3",
    name="Brodmann area 3",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006100"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba30 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA30",
    abbreviation="BA30",
    alternate_names=["Brodmann's area 30", "human Brodmann area 30", "human Brodmann's area 30", "humanBA30"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA30",
    name="Brodmann area 30",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006474"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba31 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA31",
    abbreviation="BA31",
    alternate_names=["Brodmann's area 31", "human Brodmann area 31", "human Brodmann's area 31", "humanBA31"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA31",
    name="Brodmann area 31",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006475"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba32 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA32",
    abbreviation="BA32",
    alternate_names=["Brodmann's area 32", "human Brodmann area 32", "human Brodmann's area 32", "humanBA32"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA32",
    name="Brodmann area 32",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013560"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba33 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA33",
    abbreviation="BA33",
    alternate_names=["Brodmann's area 33", "human Brodmann area 33", "human Brodmann's area 33", "humanBA33"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA33",
    name="Brodmann area 33",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006476"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba34 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA34",
    abbreviation="BA34",
    alternate_names=["Brodmann's area 34", "human Brodmann area 34", "human Brodmann's area 34", "humanBA34"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA34",
    name="Brodmann area 34",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006477"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba35 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA35",
    abbreviation="BA35",
    alternate_names=["Brodmann's area 35", "human Brodmann area 35", "human Brodmann's area 35", "humanBA35"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA35",
    name="Brodmann area 35",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006102"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba36 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA36",
    abbreviation="BA36",
    alternate_names=["Brodmann's area 36", "human Brodmann area 36", "human Brodmann's area 36", "humanBA36"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA36",
    name="Brodmann area 36",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006104"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba37 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA37",
    abbreviation="BA37",
    alternate_names=["Brodmann's area 37", "human Brodmann area 37", "human Brodmann's area 37", "humanBA37"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA37",
    name="Brodmann area 37",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006478"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba38 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA38",
    abbreviation="BA38",
    alternate_names=["Brodmann's area 38", "human Brodmann area 38", "human Brodmann's area 38", "humanBA38"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA38",
    name="Brodmann area 38",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006479"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba39 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA39",
    abbreviation="BA39",
    alternate_names=["Brodmann's area 39", "human Brodmann area 39", "human Brodmann's area 39", "humanBA39"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA39",
    name="Brodmann area 39",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006480"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA4",
    abbreviation="BA4",
    alternate_names=["Brodmann's area 4", "human Brodmann area 4", "human Brodmann's area 4", "humanBA4"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA4",
    name="Brodmann area 4",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013535"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba40 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA40",
    abbreviation="BA40",
    alternate_names=["Brodmann's area 40", "human Brodmann area 40", "human Brodmann's area 40", "humanBA40"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA40",
    name="Brodmann area 40",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013573"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba41 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA41",
    abbreviation="BA41",
    alternate_names=["Brodmann's area 41", "human Brodmann area 41", "human Brodmann's area 41", "humanBA41"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA41",
    name="Brodmann area 41",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006095"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba42 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA42",
    abbreviation="BA42",
    alternate_names=["Brodmann's area 42", "human Brodmann area 42", "human Brodmann's area 42", "humanBA42"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA42",
    name="Brodmann area 42",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006096"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba43 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA43",
    abbreviation="BA43",
    alternate_names=["Brodmann's area 43", "human Brodmann area 43", "human Brodmann's area 43", "humanBA43"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA43",
    name="Brodmann area 43",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013561"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba44 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA44",
    abbreviation="BA44",
    alternate_names=["Brodmann's area 44", "human Brodmann area 44", "human Brodmann's area 44", "humanBA44"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA44",
    name="Brodmann area 44",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006481"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba45 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA45",
    abbreviation="BA45",
    alternate_names=["Brodmann's area 45", "human Brodmann area 45", "human Brodmann's area 45", "humanBA45"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA45",
    name="Brodmann area 45",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006482"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba46 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA46",
    abbreviation="BA46",
    alternate_names=["Brodmann's area 46", "human Brodmann area 46", "human Brodmann's area 46", "humanBA46"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA46",
    name="Brodmann area 46",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006483"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba47 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA47",
    abbreviation="BA47",
    alternate_names=["Brodmann's area 47", "human Brodmann area 47", "human Brodmann's area 47", "humanBA47"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA47",
    name="Brodmann area 47",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006484"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba48 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA48",
    abbreviation="BA48",
    alternate_names=["Brodmann's area 48", "human Brodmann area 48", "human Brodmann's area 48", "humanBA48"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA48",
    name="Brodmann area 48",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006485"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA5",
    abbreviation="BA5",
    alternate_names=["Brodmann's area 5", "human Brodmann area 5", "human Brodmann's area 5", "humanBA5"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA5",
    name="Brodmann area 5",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006471"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba52 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA52",
    abbreviation="BA52",
    alternate_names=["Brodmann's area 52", "human Brodmann area 52", "human Brodmann's area 52", "humanBA52"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA52",
    name="Brodmann area 52",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006486"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba6 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA6",
    abbreviation="BA6",
    alternate_names=["Brodmann's area 6", "human Brodmann area 6", "human Brodmann's area 6", "humanBA6"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA6",
    name="Brodmann area 6",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006472"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba7 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA7",
    abbreviation="BA7",
    alternate_names=["Brodmann's area 7", "human Brodmann area 7", "human Brodmann's area 7", "humanBA7"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA7",
    name="Brodmann area 7",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013538"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba8 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA8",
    abbreviation="BA8",
    alternate_names=["Brodmann's area 8", "human Brodmann area 8", "human Brodmann's area 8", "humanBA8"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA8",
    name="Brodmann area 8",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013539"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba8a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA8a",
    abbreviation="BA8a",
    alternate_names=["Brodmann's area 8a", "human Brodmann area 8a", "human Brodmann's area 8a", "humanBA8a"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA8a",
    name="Brodmann area 8a",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013562"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba9 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA9",
    abbreviation="BA9",
    alternate_names=["Brodmann's area 9", "human Brodmann area 9", "human Brodmann's area 9", "humanBA9"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA9",
    name="Brodmann area 9",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013540"),
    version_identifier="1909",
)
ParcellationEntityVersion.dwma_2018_anterior_segement_of_arcuate_fasciculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_anteriorSegementOfArcuateFasciculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/left-hemisphere/Probability_Maps/Arcuate_Anterior_Left.nii.gz"
            },
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/right-hemisphere/Probability_Maps/Arcuate_Anterior_Right.nii.gz"
            },
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_arcuateFasciculus"}],
    lookup_label="DWMA_2018_anteriorSegementOfArcuateFasciculus",
    name="anterior segment of arcuate fasciculus",
    version_identifier="2018",
)
ParcellationEntityVersion.dwma_2018_corticospinal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_corticospinalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/left-hemisphere/Probability_Maps/CorticoSpinalTract_Left.nii.gz"
            },
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/right-hemisphere/Probability_Maps/CorticoSpinalTract_Right.nii.gz"
            },
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_deepWhiteMatter"}],
    lookup_label="DWMA_2018_corticospinalTract",
    name="corticospinal tract",
    version_identifier="2018",
)
ParcellationEntityVersion.dwma_2018_direct_segement_of_arcuate_fasciculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_directSegementOfArcuateFasciculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/left-hemisphere/Probability_Maps/Arcuate_Left.nii.gz"
            },
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/right-hemisphere/Probability_Maps/Arcuate_Right.nii.gz"
            },
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_arcuateFasciculus"}],
    lookup_label="DWMA_2018_directSegementOfArcuateFasciculus",
    name="direct segment of arcuate fasciculus",
    version_identifier="2018",
)
ParcellationEntityVersion.dwma_2018_fornix = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_fornix",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/left-hemisphere/Probability_Maps/Fornix_Left.nii.gz"
            },
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/right-hemisphere/Probability_Maps/Fornix_Right.nii.gz"
            },
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_deepWhiteMatter"}],
    lookup_label="DWMA_2018_fornix",
    name="fornix",
    version_identifier="2018",
)
ParcellationEntityVersion.dwma_2018_inferior_fronto_occipital_fasciculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_inferiorFronto-occipitalFasciculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/left-hemisphere/Probability_Maps/InferiorFrontoOccipital_Left.nii.gz"
            },
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/right-hemisphere/Probability_Maps/InferiorFrontoOccipital_Right.nii.gz"
            },
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_deepWhiteMatter"}],
    lookup_label="DWMA_2018_inferiorFronto-occipitalFasciculus",
    name="inferior fronto-occipital fasciculus",
    version_identifier="2018",
)
ParcellationEntityVersion.dwma_2018_inferior_longitudinal_fasciculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_inferiorLongitudinalFasciculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/left-hemisphere/Probability_Maps/InferiorLongitudinal_Left.nii.gz"
            },
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/right-hemisphere/Probability_Maps/InferiorLongitudinal_Right.nii.gz"
            },
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_deepWhiteMatter"}],
    lookup_label="DWMA_2018_inferiorLongitudinalFasciculus",
    name="inferior longitudinal fasciculus",
    version_identifier="2018",
)
ParcellationEntityVersion.dwma_2018_long_cingulate_fibres = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_longCingulateFibres",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/left-hemisphere/Probability_Maps/Cingulum_Long_Left.nii.gz"
            },
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/right-hemisphere/Probability_Maps/Cingulum_Long_Right.nii.gz"
            },
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_cingulum"}],
    lookup_label="DWMA_2018_longCingulateFibres",
    name="long cingulate fibres",
    version_identifier="2018",
)
ParcellationEntityVersion.dwma_2018_posterior_segement_of_arcuate_fasciculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_posteriorSegementOfArcuateFasciculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/left-hemisphere/Probability_Maps/Arcuate_Posterior_Left.nii.gz"
            },
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/right-hemisphere/Probability_Maps/Arcuate_Posterior_Right.nii.gz"
            },
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_arcuateFasciculus"}],
    lookup_label="DWMA_2018_posteriorSegementOfArcuateFasciculus",
    name="posterior segment of arcuate fasciculus",
    version_identifier="2018",
)
ParcellationEntityVersion.dwma_2018_short_cingulate_fibres = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_shortCingulateFibres",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/left-hemisphere/Probability_Maps/Cingulum_Short_Left.nii.gz"
            },
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/right-hemisphere/Probability_Maps/Cingulum_Short_Right.nii.gz"
            },
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_cingulum"}],
    lookup_label="DWMA_2018_shortCingulateFibres",
    name="short cingulate fibres",
    version_identifier="2018",
)
ParcellationEntityVersion.dwma_2018_temporal_cingulate_fibres = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_temporalCingulateFibres",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/left-hemisphere/Probability_Maps/Cingulum_Temporal_Left.nii.gz"
            },
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/right-hemisphere/Probability_Maps/Cingulum_Temporal_Right.nii.gz"
            },
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_cingulum"}],
    lookup_label="DWMA_2018_temporalCingulateFibres",
    name="temporal cingulate fibres",
    version_identifier="2018",
)
ParcellationEntityVersion.dwma_2018_uncinate_fasciculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_uncinateFasciculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/left-hemisphere/Probability_Maps/Uncinate_Left.nii.gz"
            },
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/right-hemisphere/Probability_Maps/Uncinate_Right.nii.gz"
            },
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_deepWhiteMatter"}],
    lookup_label="DWMA_2018_uncinateFasciculus",
    name="uncinate fasciculus",
    version_identifier="2018",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_1_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-1_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-1_PM-v8.2",
    name="Area 1 (PostCG)",
    version_identifier="v1.13-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_25_pm_v16_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-25_PM-v16.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-25_PM-v16.0",
    name="Area 25 (sACC)",
    version_identifier="v1.13-Colin27, PM-v16.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-2_PM-v3.2",
    name="Area 2 (PostCS)",
    version_identifier="v1.13-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_33_pm_v16_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-33_PM-v16.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-33_PM-v16.0",
    name="Area 33 (ACC)",
    version_identifier="v1.13-Colin27, PM-v16.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_3a_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-3a_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-3a_PM-v8.2",
    name="Area 3a (PostCG)",
    version_identifier="v1.13-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_3b_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-3b_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-3b_PM-v8.2",
    name="Area 3b (PostCG)",
    version_identifier="v1.13-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_44_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-44_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-44_PM-v7.2",
    name="Area 44 (IFG)",
    version_identifier="v1.13-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_45_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-45_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-45_PM-v7.2",
    name="Area 45 (IFG)",
    version_identifier="v1.13-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_4a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-4a_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-4a_PM-v9.2",
    name="Area 4a (PreCG)",
    version_identifier="v1.13-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_4p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-4p_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-4p_PM-v9.2",
    name="Area 4p (PreCG)",
    version_identifier="v1.13-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_5_ci_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-5Ci_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-5Ci_PM-v8.2",
    name="Area 5Ci (SPL)",
    version_identifier="v1.13-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_5_l_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-5L_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-5L_PM-v8.2",
    name="Area 5L (SPL)",
    version_identifier="v1.13-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_5_m_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-5M_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-5M_PM-v8.2",
    name="Area 5M (SPL)",
    version_identifier="v1.13-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_7_a_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-7A_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-7A_PM-v8.2",
    name="Area 7A (SPL)",
    version_identifier="v1.13-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_7_m_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-7M_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-7M_PM-v8.2",
    name="Area 7M (SPL)",
    version_identifier="v1.13-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_7_p_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-7P_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-7P_PM-v8.2",
    name="Area 7P (SPL)",
    version_identifier="v1.13-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_7_pc_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-7PC_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-7PC_PM-v8.2",
    name="Area 7PC (SPL)",
    version_identifier="v1.13-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area__fo1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Fo1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v1.13-Colin27_Area-Fo1_PM-v3.2",
    name="Area Fo1 (OFC)",
    version_identifier="v1.13-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area__fo2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Fo2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v1.13-Colin27_Area-Fo2_PM-v3.2",
    name="Area Fo2 (OFC)",
    version_identifier="v1.13-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area__fo3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Fo3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v1.13-Colin27_Area-Fo3_PM-v3.2",
    name="Area Fo3 (OFC)",
    version_identifier="v1.13-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area__fp1_pm_v2_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Fp1_PM-v2.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v1.13-Colin27_Area-Fp1_PM-v2.2",
    name="Area Fp1 (FPole)",
    version_identifier="v1.13-Colin27, PM-v2.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area__fp2_pm_v2_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Fp2_PM-v2.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v1.13-Colin27_Area-Fp2_PM-v2.2",
    name="Area Fp2 (FPole)",
    version_identifier="v1.13-Colin27, PM-v2.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area__id1_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Id1_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.13-Colin27_Area-Id1_PM-v11.0",
    name="Area Id1 (Insula)",
    version_identifier="v1.13-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area__ig1_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Ig1_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v1.13-Colin27_Area-Ig1_PM-v11.0",
    name="Area Ig1 (Insula)",
    version_identifier="v1.13-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area__ig2_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Ig2_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v1.13-Colin27_Area-Ig2_PM-v11.0",
    name="Area Ig2 (Insula)",
    version_identifier="v1.13-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_fg1_pm_v1_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-FG1_PM-v1.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-FG1_PM-v1.2",
    name="Area FG1 (FusG)",
    version_identifier="v1.13-Colin27, PM-v1.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_fg2_pm_v1_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-FG2_PM-v1.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-FG2_PM-v1.2",
    name="Area FG2 (FusG)",
    version_identifier="v1.13-Colin27, PM-v1.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_fg3_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-FG3_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-FG3_PM-v6.0",
    name="Area FG3 (FusG)",
    version_identifier="v1.13-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_fg4_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-FG4_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-FG4_PM-v6.0",
    name="Area FG4 (FusG)",
    version_identifier="v1.13-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_h_ip1_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hIP1_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.13-Colin27_Area-hIP1_PM-v6.0",
    name="Area hIP1 (IPS)",
    version_identifier="v1.13-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_h_ip2_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hIP2_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.13-Colin27_Area-hIP2_PM-v6.0",
    name="Area hIP2 (IPS)",
    version_identifier="v1.13-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_h_ip3_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hIP3_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.13-Colin27_Area-hIP3_PM-v8.2",
    name="Area hIP3 (IPS)",
    version_identifier="v1.13-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_h_oc1_pm_v2_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc1_PM-v2.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v1.13-Colin27_Area-hOc1_PM-v2.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v1.13-Colin27, PM-v2.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_h_oc2_pm_v2_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc2_PM-v2.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v1.13-Colin27_Area-hOc2_PM-v2.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v1.13-Colin27, PM-v2.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_h_oc3d_pm_v2_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc3d_PM-v2.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v1.13-Colin27_Area-hOc3d_PM-v2.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v1.13-Colin27, PM-v2.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_h_oc3v_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc3v_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v1.13-Colin27_Area-hOc3v_PM-v3.2",
    name="Area hOc3v (LingG)",
    version_identifier="v1.13-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_h_oc4d_pm_v2_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc4d_PM-v2.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v1.13-Colin27_Area-hOc4d_PM-v2.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v1.13-Colin27, PM-v2.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_h_oc4la_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc4la_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v1.13-Colin27_Area-hOc4la_PM-v3.2",
    name="Area hOc4la (LOC)",
    version_identifier="v1.13-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_h_oc4lp_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc4lp_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v1.13-Colin27_Area-hOc4lp_PM-v3.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v1.13-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_h_oc4v_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc4v_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v1.13-Colin27_Area-hOc4v_PM-v3.2",
    name="Area hOc4v (LingG)",
    version_identifier="v1.13-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_h_oc5_pm_v2_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc5_PM-v2.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v1.13-Colin27_Area-hOc5_PM-v2.2",
    name="Area hOc5 (LOC)",
    version_identifier="v1.13-Colin27, PM-v2.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_op1_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-OP1_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v1.13-Colin27_Area-OP1_PM-v9.2",
    name="Area OP1 (POperc)",
    version_identifier="v1.13-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_op2_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-OP2_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v1.13-Colin27_Area-OP2_PM-v9.2",
    name="Area OP2 (POperc)",
    version_identifier="v1.13-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_op3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-OP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v1.13-Colin27_Area-OP3_PM-v9.2",
    name="Area OP3 (POperc)",
    version_identifier="v1.13-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_op4_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-OP4_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v1.13-Colin27_Area-OP4_PM-v9.2",
    name="Area OP4 (POperc)",
    version_identifier="v1.13-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_p_fcm_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PFcm_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-PFcm_PM-v9.2",
    name="Area PFcm (IPL)",
    version_identifier="v1.13-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_p_fm_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PFm_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-PFm_PM-v9.2",
    name="Area PFm (IPL)",
    version_identifier="v1.13-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_p_fop_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PFop_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-PFop_PM-v9.2",
    name="Area PFop (IPL)",
    version_identifier="v1.13-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_p_ft_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PFt_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-PFt_PM-v9.2",
    name="Area PFt (IPL)",
    version_identifier="v1.13-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_p_ga_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PGa_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-PGa_PM-v9.2",
    name="Area PGa (IPL)",
    version_identifier="v1.13-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_p_gp_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PGp_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-PGp_PM-v9.2",
    name="Area PGp (IPL)",
    version_identifier="v1.13-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_pf_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PF_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-PF_PM-v9.2",
    name="Area PF (IPL)",
    version_identifier="v1.13-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_s24_pm_v16_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-s24_PM-v16.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-s24_PM-v16.0",
    name="Area s24 (sACC)",
    version_identifier="v1.13-Colin27, PM-v16.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_s32_pm_v16_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-s32_PM-v16.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-s32_PM-v16.0",
    name="Area s32 (sACC)",
    version_identifier="v1.13-Colin27, PM-v16.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_te_1_0_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-TE-1.0_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-TE-1.0_PM-v5.0",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v1.13-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_te_1_1_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-TE-1.1_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-TE-1.1_PM-v5.0",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v1.13-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_te_1_2_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-TE-1.2_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-TE-1.2_PM-v5.0",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v1.13-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_te_3_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-TE-3_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-TE-3_PM-v5.0",
    name="Area TE 3 (STG)",
    version_identifier="v1.13-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__ch_123_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Ch-123_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v1.13-Colin27_Ch-123_PM-v4.0",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v1.13-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__ch_4_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Ch-4_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v1.13-Colin27_Ch-4_PM-v4.0",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v1.13-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__dorsal__dentate__nucleus_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Dorsal-Dentate-Nucleus_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v1.13-Colin27_Dorsal-Dentate-Nucleus_PM-v6.0",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v1.13-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__entorhinal__cortex_pm_v11b_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Entorhinal-Cortex_PM-v11b.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.13-Colin27_Entorhinal-Cortex_PM-v11b.0",
    name="Entorhinal Cortex",
    version_identifier="v1.13-Colin27, PM-v11b.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__fastigial__nucleus_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Fastigial-Nucleus_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v1.13-Colin27_Fastigial-Nucleus_PM-v6.0",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v1.13-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__interposed__nucleus_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Interposed-Nucleus_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v1.13-Colin27_Interposed-Nucleus_PM-v6.0",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v1.13-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__subiculum_pm_v11b_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Subiculum_PM-v11b.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.13-Colin27_Subiculum_PM-v11b.0",
    name="Subiculum (Hippocampus)",
    version_identifier="v1.13-Colin27, PM-v11b.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__ventral__dentate__nucleus_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Ventral-Dentate-Nucleus_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v1.13-Colin27_Ventral-Dentate-Nucleus_PM-v6.0",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v1.13-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v1_13__colin27_ca1_pm_v11b_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_CA1_PM-v11b.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.13-Colin27_CA1_PM-v11b.0",
    name="CA1 (Hippocampus)",
    version_identifier="v1.13-Colin27, PM-v11b.0",
)
ParcellationEntityVersion.jba_v1_13__colin27_ca2_pm_v11b_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_CA2_PM-v11b.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.13-Colin27_CA2_PM-v11b.0",
    name="CA2 (Hippocampus)",
    version_identifier="v1.13-Colin27, PM-v11b.0",
)
ParcellationEntityVersion.jba_v1_13__colin27_ca3_pm_v11b_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_CA3_PM-v11b.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.13-Colin27_CA3_PM-v11b.0",
    name="CA3 (Hippocampus)",
    version_identifier="v1.13-Colin27, PM-v11b.0",
)
ParcellationEntityVersion.jba_v1_13__colin27_cm_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_CM_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v1.13-Colin27_CM_PM-v6.1",
    name="CM (Amygdala)",
    version_identifier="v1.13-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_13__colin27_dg_pm_v11b_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_DG_PM-v11b.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.13-Colin27_DG_PM-v11b.0",
    name="DG (Hippocampus)",
    version_identifier="v1.13-Colin27, PM-v11b.0",
)
ParcellationEntityVersion.jba_v1_13__colin27_hata_pm_v11b_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_HATA_PM-v11b.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.13-Colin27_HATA_PM-v11b.0",
    name="HATA (Hippocampus)",
    version_identifier="v1.13-Colin27, PM-v11b.0",
)
ParcellationEntityVersion.jba_v1_13__colin27_if_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_IF_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v1.13-Colin27_IF_PM-v6.1",
    name="IF (Amygdala)",
    version_identifier="v1.13-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_13__colin27_lb_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_LB_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v1.13-Colin27_LB_PM-v6.1",
    name="LB (Amygdala)",
    version_identifier="v1.13-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_13__colin27_mf_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_MF_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v1.13-Colin27_MF_PM-v6.1",
    name="MF (Amygdala)",
    version_identifier="v1.13-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_13__colin27_sf_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_SF_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v1.13-Colin27_SF_PM-v6.1",
    name="SF (Amygdala)",
    version_identifier="v1.13-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_13__colin27_vtm_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_VTM_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v1.13-Colin27_VTM_PM-v6.1",
    name="VTM (Amygdala)",
    version_identifier="v1.13-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_1_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-1_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-1_PM-v8.4",
    name="Area 1 (PostCG)",
    version_identifier="v1.18-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_25_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-25_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-25_PM-v16.1",
    name="Area 25 (sACC)",
    version_identifier="v1.18-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_2_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-2_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-2_PM-v3.4",
    name="Area 2 (PostCS)",
    version_identifier="v1.18-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_33_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-33_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-33_PM-v16.1",
    name="Area 33 (ACC)",
    version_identifier="v1.18-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_3a_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-3a_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-3a_PM-v8.4",
    name="Area 3a (PostCG)",
    version_identifier="v1.18-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_3b_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-3b_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-3b_PM-v8.4",
    name="Area 3b (PostCG)",
    version_identifier="v1.18-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_44_pm_v7_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-44_PM-v7.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-44_PM-v7.4",
    name="Area 44 (IFG)",
    version_identifier="v1.18-Colin27, PM-v7.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_45_pm_v7_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-45_PM-v7.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-45_PM-v7.4",
    name="Area 45 (IFG)",
    version_identifier="v1.18-Colin27, PM-v7.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_4a_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-4a_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-4a_PM-v9.4",
    name="Area 4a (PreCG)",
    version_identifier="v1.18-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_4p_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-4p_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-4p_PM-v9.4",
    name="Area 4p (PreCG)",
    version_identifier="v1.18-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_5_ci_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-5Ci_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-5Ci_PM-v8.4",
    name="Area 5Ci (SPL)",
    version_identifier="v1.18-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_5_l_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-5L_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-5L_PM-v8.4",
    name="Area 5L (SPL)",
    version_identifier="v1.18-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_5_m_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-5M_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-5M_PM-v8.4",
    name="Area 5M (SPL)",
    version_identifier="v1.18-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_6d1_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-6d1_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-6d1_PM-v4.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v1.18-Colin27, PM-v4.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_6d2_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-6d2_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-6d2_PM-v4.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v1.18-Colin27, PM-v4.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_6d3_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-6d3_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v1.18-Colin27_Area-6d3_PM-v4.1",
    name="Area 6d3 (SFS)",
    version_identifier="v1.18-Colin27, PM-v4.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_6ma_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-6ma_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v1.18-Colin27_Area-6ma_PM-v9.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v1.18-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_6mp_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-6mp_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-6mp_PM-v9.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v1.18-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_7_a_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-7A_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-7A_PM-v8.4",
    name="Area 7A (SPL)",
    version_identifier="v1.18-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_7_m_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-7M_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-7M_PM-v8.4",
    name="Area 7M (SPL)",
    version_identifier="v1.18-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_7_p_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-7P_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-7P_PM-v8.4",
    name="Area 7P (SPL)",
    version_identifier="v1.18-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_7_pc_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-7PC_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-7PC_PM-v8.4",
    name="Area 7PC (SPL)",
    version_identifier="v1.18-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__fo1_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo1_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-Fo1_PM-v3.4",
    name="Area Fo1 (OFC)",
    version_identifier="v1.18-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__fo2_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo2_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-Fo2_PM-v3.4",
    name="Area Fo2 (OFC)",
    version_identifier="v1.18-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__fo3_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo3_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-Fo3_PM-v3.4",
    name="Area Fo3 (OFC)",
    version_identifier="v1.18-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__fo4_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo4_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-Fo4_PM-v2.1",
    name="Area Fo4 (OFC)",
    version_identifier="v1.18-Colin27, PM-v2.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__fo5_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo5_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-Fo5_PM-v2.1",
    name="Area Fo5 (OFC)",
    version_identifier="v1.18-Colin27, PM-v2.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__fo6_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo6_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-Fo6_PM-v2.1",
    name="Area Fo6 (OFC)",
    version_identifier="v1.18-Colin27, PM-v2.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__fo7_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo7_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-Fo7_PM-v2.1",
    name="Area Fo7 (OFC)",
    version_identifier="v1.18-Colin27, PM-v2.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__fp1_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fp1_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v1.18-Colin27_Area-Fp1_PM-v2.4",
    name="Area Fp1 (FPole)",
    version_identifier="v1.18-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__fp2_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fp2_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v1.18-Colin27_Area-Fp2_PM-v2.4",
    name="Area Fp2 (FPole)",
    version_identifier="v1.18-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__ia_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Ia_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v1.18-Colin27_Area-Ia_PM-v3.1",
    name="Area Ia (Insula)",
    version_identifier="v1.18-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__id1_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id1_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-Colin27_Area-Id1_PM-v13.1",
    name="Area Id1 (Insula)",
    version_identifier="v1.18-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__id2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-Colin27_Area-Id2_PM-v7.1",
    name="Area Id2 (Insula)",
    version_identifier="v1.18-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__id3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-Colin27_Area-Id3_PM-v7.1",
    name="Area Id3 (Insula)",
    version_identifier="v1.18-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__id4_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id4_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-Colin27_Area-Id4_PM-v3.1",
    name="Area Id4 (Insula)",
    version_identifier="v1.18-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__id5_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id5_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-Colin27_Area-Id5_PM-v3.1",
    name="Area Id5 (Insula)",
    version_identifier="v1.18-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__id6_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id6_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-Colin27_Area-Id6_PM-v3.1",
    name="Area Id6 (Insula)",
    version_identifier="v1.18-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__id7_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id7_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-Colin27_Area-Id7_PM-v6.1",
    name="Area Id7 (Insula)",
    version_identifier="v1.18-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__ig1_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Ig1_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v1.18-Colin27_Area-Ig1_PM-v13.1",
    name="Area Ig1 (Insula)",
    version_identifier="v1.18-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__ig2_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Ig2_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v1.18-Colin27_Area-Ig2_PM-v13.1",
    name="Area Ig2 (Insula)",
    version_identifier="v1.18-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__ig3_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Ig3_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v1.18-Colin27_Area-Ig3_PM-v3.1",
    name="Area Ig3 (Insula)",
    version_identifier="v1.18-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_fg1_pm_v1_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-FG1_PM-v1.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-FG1_PM-v1.4",
    name="Area FG1 (FusG)",
    version_identifier="v1.18-Colin27, PM-v1.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_fg2_pm_v1_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-FG2_PM-v1.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-FG2_PM-v1.4",
    name="Area FG2 (FusG)",
    version_identifier="v1.18-Colin27, PM-v1.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_fg3_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-FG3_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-FG3_PM-v6.1",
    name="Area FG3 (FusG)",
    version_identifier="v1.18-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_fg4_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-FG4_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-FG4_PM-v6.1",
    name="Area FG4 (FusG)",
    version_identifier="v1.18-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_ip1_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP1_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-Colin27_Area-hIP1_PM-v6.1",
    name="Area hIP1 (IPS)",
    version_identifier="v1.18-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_ip2_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP2_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-Colin27_Area-hIP2_PM-v6.1",
    name="Area hIP2 (IPS)",
    version_identifier="v1.18-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_ip3_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP3_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-Colin27_Area-hIP3_PM-v8.4",
    name="Area hIP3 (IPS)",
    version_identifier="v1.18-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_ip4_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP4_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-Colin27_Area-hIP4_PM-v7.1",
    name="Area hIP4 (IPS)",
    version_identifier="v1.18-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_ip5_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP5_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-Colin27_Area-hIP5_PM-v7.1",
    name="Area hIP5 (IPS)",
    version_identifier="v1.18-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_ip6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-Colin27_Area-hIP6_PM-v7.1",
    name="Area hIP6 (IPS)",
    version_identifier="v1.18-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_ip7_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP7_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-Colin27_Area-hIP7_PM-v7.1",
    name="Area hIP7 (IPS)",
    version_identifier="v1.18-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_ip8_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP8_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-Colin27_Area-hIP8_PM-v7.1",
    name="Area hIP8 (IPS)",
    version_identifier="v1.18-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_oc1_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc1_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-hOc1_PM-v2.4",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v1.18-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_oc2_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc2_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-hOc2_PM-v2.4",
    name="Area hOc2 (V2, 18)",
    version_identifier="v1.18-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_oc3d_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc3d_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-hOc3d_PM-v2.4",
    name="Area hOc3d (Cuneus)",
    version_identifier="v1.18-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_oc3v_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc3v_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-hOc3v_PM-v3.4",
    name="Area hOc3v (LingG)",
    version_identifier="v1.18-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_oc4d_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc4d_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-hOc4d_PM-v2.4",
    name="Area hOc4d (Cuneus)",
    version_identifier="v1.18-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_oc4la_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc4la_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-hOc4la_PM-v3.4",
    name="Area hOc4la (LOC)",
    version_identifier="v1.18-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_oc4lp_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc4lp_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-hOc4lp_PM-v3.4",
    name="Area hOc4lp (LOC)",
    version_identifier="v1.18-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_oc4v_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc4v_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-hOc4v_PM-v3.4",
    name="Area hOc4v (LingG)",
    version_identifier="v1.18-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_oc5_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc5_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-hOc5_PM-v2.4",
    name="Area hOc5 (LOC)",
    version_identifier="v1.18-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_oc6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-hOc6_PM-v7.1",
    name="Area hOc6 (POS)",
    version_identifier="v1.18-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_po1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hPO1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v1.18-Colin27_Area-hPO1_PM-v7.1",
    name="Area hPO1 (POS)",
    version_identifier="v1.18-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_op1_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-OP1_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v1.18-Colin27_Area-OP1_PM-v9.4",
    name="Area OP1 (POperc)",
    version_identifier="v1.18-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_op2_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-OP2_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v1.18-Colin27_Area-OP2_PM-v9.4",
    name="Area OP2 (POperc)",
    version_identifier="v1.18-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_op3_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-OP3_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v1.18-Colin27_Area-OP3_PM-v9.4",
    name="Area OP3 (POperc)",
    version_identifier="v1.18-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_op4_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-OP4_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v1.18-Colin27_Area-OP4_PM-v9.4",
    name="Area OP4 (POperc)",
    version_identifier="v1.18-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_op8_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-OP8_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v1.18-Colin27_Area-OP8_PM-v5.1",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v1.18-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_op9_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-OP9_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v1.18-Colin27_Area-OP9_PM-v5.1",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v1.18-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_p24ab_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-p24ab_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-p24ab_PM-v16.1",
    name="Area p24ab (pACC)",
    version_identifier="v1.18-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_p24c_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-p24c_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-p24c_PM-v16.1",
    name="Area p24c (pACC)",
    version_identifier="v1.18-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_p32_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-p32_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-p32_PM-v16.1",
    name="Area p32 (pACC)",
    version_identifier="v1.18-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_p_fcm_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PFcm_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-PFcm_PM-v9.4",
    name="Area PFcm (IPL)",
    version_identifier="v1.18-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_p_fm_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PFm_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-PFm_PM-v9.4",
    name="Area PFm (IPL)",
    version_identifier="v1.18-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_p_fop_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PFop_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-PFop_PM-v9.4",
    name="Area PFop (IPL)",
    version_identifier="v1.18-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_p_ft_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PFt_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-PFt_PM-v9.4",
    name="Area PFt (IPL)",
    version_identifier="v1.18-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_p_ga_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PGa_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-PGa_PM-v9.4",
    name="Area PGa (IPL)",
    version_identifier="v1.18-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_p_gp_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PGp_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-PGp_PM-v9.4",
    name="Area PGp (IPL)",
    version_identifier="v1.18-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_pf_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PF_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-PF_PM-v9.4",
    name="Area PF (IPL)",
    version_identifier="v1.18-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_s24_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-s24_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-s24_PM-v16.1",
    name="Area s24 (sACC)",
    version_identifier="v1.18-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_s32_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-s32_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-s32_PM-v16.1",
    name="Area s32 (sACC)",
    version_identifier="v1.18-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_sts1_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-STS1_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v1.18-Colin27_Area-STS1_PM-v3.1",
    name="Area STS1 (STS)",
    version_identifier="v1.18-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_sts2_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-STS2_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v1.18-Colin27_Area-STS2_PM-v3.1",
    name="Area STS2 (STS)",
    version_identifier="v1.18-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_te_1_0_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-TE-1.0_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-TE-1.0_PM-v5.1",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v1.18-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_te_1_1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-TE-1.1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-TE-1.1_PM-v5.1",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v1.18-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_te_1_2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-TE-1.2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-TE-1.2_PM-v5.1",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v1.18-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_te_3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-TE-3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-TE-3_PM-v5.1",
    name="Area TE 3 (STG)",
    version_identifier="v1.18-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__ch_123_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Ch-123_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v1.18-Colin27_Ch-123_PM-v4.2",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v1.18-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v1_18__colin27__ch_4_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Ch-4_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v1.18-Colin27_Ch-4_PM-v4.2",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v1.18-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v1_18__colin27__dorsal__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Dorsal-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v1.18-Colin27_Dorsal-Dentate-Nucleus_PM-v6.2",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v1.18-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v1_18__colin27__entorhinal__cortex_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Entorhinal-Cortex_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.18-Colin27_Entorhinal-Cortex_PM-v11.1",
    name="Entorhinal Cortex",
    version_identifier="v1.18-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__fastigial__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Fastigial-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v1.18-Colin27_Fastigial-Nucleus_PM-v6.2",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v1.18-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v1_18__colin27__interposed__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Interposed-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v1.18-Colin27_Interposed-Nucleus_PM-v6.2",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v1.18-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v1_18__colin27__subiculum_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Subiculum_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.18-Colin27_Subiculum_PM-v11.1",
    name="Subiculum (Hippocampus)",
    version_identifier="v1.18-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__ventral__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Ventral-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v1.18-Colin27_Ventral-Dentate-Nucleus_PM-v6.2",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v1.18-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v1_18__colin27_ca_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_CA_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.18-Colin27_CA_PM-v11.1",
    name="CA (Hippocampus)",
    version_identifier="v1.18-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v1_18__colin27_cm_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_CM_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v1.18-Colin27_CM_PM-v6.4",
    name="CM (Amygdala)",
    version_identifier="v1.18-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v1_18__colin27_dg_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_DG_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.18-Colin27_DG_PM-v11.1",
    name="DG (Hippocampus)",
    version_identifier="v1.18-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v1_18__colin27_hata_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_HATA_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.18-Colin27_HATA_PM-v11.1",
    name="HATA (Hippocampus)",
    version_identifier="v1.18-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v1_18__colin27_if_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_IF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v1.18-Colin27_IF_PM-v6.4",
    name="IF (Amygdala)",
    version_identifier="v1.18-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v1_18__colin27_lb_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_LB_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v1.18-Colin27_LB_PM-v6.4",
    name="LB (Amygdala)",
    version_identifier="v1.18-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v1_18__colin27_mf_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_MF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v1.18-Colin27_MF_PM-v6.4",
    name="MF (Amygdala)",
    version_identifier="v1.18-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v1_18__colin27_sf_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_SF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v1.18-Colin27_SF_PM-v6.4",
    name="SF (Amygdala)",
    version_identifier="v1.18-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v1_18__colin27_vtm_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_VTM_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v1.18-Colin27_VTM_PM-v6.4",
    name="VTM (Amygdala)",
    version_identifier="v1.18-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_1_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-1_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-1_PM-v8.4",
    name="Area 1 (PostCG)",
    version_identifier="v1.18-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_25_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-25_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-25_PM-v16.1",
    name="Area 25 (sACC)",
    version_identifier="v1.18-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_2_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-2_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-2_PM-v3.4",
    name="Area 2 (PostCS)",
    version_identifier="v1.18-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_33_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-33_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-33_PM-v16.1",
    name="Area 33 (ACC)",
    version_identifier="v1.18-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_3a_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-3a_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-3a_PM-v8.4",
    name="Area 3a (PostCG)",
    version_identifier="v1.18-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_3b_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-3b_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-3b_PM-v8.4",
    name="Area 3b (PostCG)",
    version_identifier="v1.18-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_44_pm_v7_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-44_PM-v7.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-44_PM-v7.4",
    name="Area 44 (IFG)",
    version_identifier="v1.18-MNI152, PM-v7.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_45_pm_v7_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-45_PM-v7.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-45_PM-v7.4",
    name="Area 45 (IFG)",
    version_identifier="v1.18-MNI152, PM-v7.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_4a_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-4a_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-4a_PM-v9.4",
    name="Area 4a (PreCG)",
    version_identifier="v1.18-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_4p_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-4p_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-4p_PM-v9.4",
    name="Area 4p (PreCG)",
    version_identifier="v1.18-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_5_ci_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-5Ci_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-5Ci_PM-v8.4",
    name="Area 5Ci (SPL)",
    version_identifier="v1.18-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_5_l_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-5L_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-5L_PM-v8.4",
    name="Area 5L (SPL)",
    version_identifier="v1.18-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_5_m_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-5M_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-5M_PM-v8.4",
    name="Area 5M (SPL)",
    version_identifier="v1.18-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_6d1_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-6d1_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-6d1_PM-v4.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v1.18-MNI152, PM-v4.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_6d2_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-6d2_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-6d2_PM-v4.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v1.18-MNI152, PM-v4.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_6d3_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-6d3_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v1.18-MNI152_Area-6d3_PM-v4.1",
    name="Area 6d3 (SFS)",
    version_identifier="v1.18-MNI152, PM-v4.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_6ma_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-6ma_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v1.18-MNI152_Area-6ma_PM-v9.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v1.18-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_6mp_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-6mp_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-6mp_PM-v9.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v1.18-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_7_a_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-7A_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-7A_PM-v8.4",
    name="Area 7A (SPL)",
    version_identifier="v1.18-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_7_m_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-7M_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-7M_PM-v8.4",
    name="Area 7M (SPL)",
    version_identifier="v1.18-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_7_p_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-7P_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-7P_PM-v8.4",
    name="Area 7P (SPL)",
    version_identifier="v1.18-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_7_pc_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-7PC_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-7PC_PM-v8.4",
    name="Area 7PC (SPL)",
    version_identifier="v1.18-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__fo1_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo1_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-Fo1_PM-v3.4",
    name="Area Fo1 (OFC)",
    version_identifier="v1.18-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__fo2_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo2_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-Fo2_PM-v3.4",
    name="Area Fo2 (OFC)",
    version_identifier="v1.18-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__fo3_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo3_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-Fo3_PM-v3.4",
    name="Area Fo3 (OFC)",
    version_identifier="v1.18-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__fo4_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo4_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-Fo4_PM-v2.1",
    name="Area Fo4 (OFC)",
    version_identifier="v1.18-MNI152, PM-v2.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__fo5_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo5_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-Fo5_PM-v2.1",
    name="Area Fo5 (OFC)",
    version_identifier="v1.18-MNI152, PM-v2.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__fo6_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo6_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-Fo6_PM-v2.1",
    name="Area Fo6 (OFC)",
    version_identifier="v1.18-MNI152, PM-v2.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__fo7_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo7_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-Fo7_PM-v2.1",
    name="Area Fo7 (OFC)",
    version_identifier="v1.18-MNI152, PM-v2.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__fp1_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fp1_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v1.18-MNI152_Area-Fp1_PM-v2.4",
    name="Area Fp1 (FPole)",
    version_identifier="v1.18-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__fp2_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fp2_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v1.18-MNI152_Area-Fp2_PM-v2.4",
    name="Area Fp2 (FPole)",
    version_identifier="v1.18-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__ia_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Ia_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v1.18-MNI152_Area-Ia_PM-v3.1",
    name="Area Ia (Insula)",
    version_identifier="v1.18-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__id1_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id1_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-MNI152_Area-Id1_PM-v13.1",
    name="Area Id1 (Insula)",
    version_identifier="v1.18-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__id2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-MNI152_Area-Id2_PM-v7.1",
    name="Area Id2 (Insula)",
    version_identifier="v1.18-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__id3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-MNI152_Area-Id3_PM-v7.1",
    name="Area Id3 (Insula)",
    version_identifier="v1.18-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__id4_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id4_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-MNI152_Area-Id4_PM-v3.1",
    name="Area Id4 (Insula)",
    version_identifier="v1.18-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__id5_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id5_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-MNI152_Area-Id5_PM-v3.1",
    name="Area Id5 (Insula)",
    version_identifier="v1.18-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__id6_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id6_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-MNI152_Area-Id6_PM-v3.1",
    name="Area Id6 (Insula)",
    version_identifier="v1.18-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__id7_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id7_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-MNI152_Area-Id7_PM-v6.1",
    name="Area Id7 (Insula)",
    version_identifier="v1.18-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__ig1_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Ig1_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v1.18-MNI152_Area-Ig1_PM-v13.1",
    name="Area Ig1 (Insula)",
    version_identifier="v1.18-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__ig2_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Ig2_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v1.18-MNI152_Area-Ig2_PM-v13.1",
    name="Area Ig2 (Insula)",
    version_identifier="v1.18-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__ig3_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Ig3_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v1.18-MNI152_Area-Ig3_PM-v3.1",
    name="Area Ig3 (Insula)",
    version_identifier="v1.18-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_fg1_pm_v1_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-FG1_PM-v1.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-FG1_PM-v1.4",
    name="Area FG1 (FusG)",
    version_identifier="v1.18-MNI152, PM-v1.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_fg2_pm_v1_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-FG2_PM-v1.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-FG2_PM-v1.4",
    name="Area FG2 (FusG)",
    version_identifier="v1.18-MNI152, PM-v1.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_fg3_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-FG3_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-FG3_PM-v6.1",
    name="Area FG3 (FusG)",
    version_identifier="v1.18-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_fg4_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-FG4_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-FG4_PM-v6.1",
    name="Area FG4 (FusG)",
    version_identifier="v1.18-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_ip1_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP1_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-MNI152_Area-hIP1_PM-v6.1",
    name="Area hIP1 (IPS)",
    version_identifier="v1.18-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_ip2_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP2_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-MNI152_Area-hIP2_PM-v6.1",
    name="Area hIP2 (IPS)",
    version_identifier="v1.18-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_ip3_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP3_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-MNI152_Area-hIP3_PM-v8.4",
    name="Area hIP3 (IPS)",
    version_identifier="v1.18-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_ip4_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP4_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-MNI152_Area-hIP4_PM-v7.1",
    name="Area hIP4 (IPS)",
    version_identifier="v1.18-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_ip5_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP5_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-MNI152_Area-hIP5_PM-v7.1",
    name="Area hIP5 (IPS)",
    version_identifier="v1.18-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_ip6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-MNI152_Area-hIP6_PM-v7.1",
    name="Area hIP6 (IPS)",
    version_identifier="v1.18-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_ip7_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP7_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-MNI152_Area-hIP7_PM-v7.1",
    name="Area hIP7 (IPS)",
    version_identifier="v1.18-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_ip8_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP8_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-MNI152_Area-hIP8_PM-v7.1",
    name="Area hIP8 (IPS)",
    version_identifier="v1.18-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_oc1_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc1_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-hOc1_PM-v2.4",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v1.18-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_oc2_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc2_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-hOc2_PM-v2.4",
    name="Area hOc2 (V2, 18)",
    version_identifier="v1.18-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_oc3d_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc3d_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-hOc3d_PM-v2.4",
    name="Area hOc3d (Cuneus)",
    version_identifier="v1.18-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_oc3v_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc3v_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-hOc3v_PM-v3.4",
    name="Area hOc3v (LingG)",
    version_identifier="v1.18-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_oc4d_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc4d_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-hOc4d_PM-v2.4",
    name="Area hOc4d (Cuneus)",
    version_identifier="v1.18-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_oc4la_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc4la_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-hOc4la_PM-v3.4",
    name="Area hOc4la (LOC)",
    version_identifier="v1.18-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_oc4lp_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc4lp_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-hOc4lp_PM-v3.4",
    name="Area hOc4lp (LOC)",
    version_identifier="v1.18-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_oc4v_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc4v_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-hOc4v_PM-v3.4",
    name="Area hOc4v (LingG)",
    version_identifier="v1.18-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_oc5_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc5_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-hOc5_PM-v2.4",
    name="Area hOc5 (LOC)",
    version_identifier="v1.18-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_oc6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-hOc6_PM-v7.1",
    name="Area hOc6 (POS)",
    version_identifier="v1.18-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_po1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hPO1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v1.18-MNI152_Area-hPO1_PM-v7.1",
    name="Area hPO1 (POS)",
    version_identifier="v1.18-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_op1_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-OP1_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v1.18-MNI152_Area-OP1_PM-v9.4",
    name="Area OP1 (POperc)",
    version_identifier="v1.18-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_op2_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-OP2_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v1.18-MNI152_Area-OP2_PM-v9.4",
    name="Area OP2 (POperc)",
    version_identifier="v1.18-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_op3_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-OP3_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v1.18-MNI152_Area-OP3_PM-v9.4",
    name="Area OP3 (POperc)",
    version_identifier="v1.18-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_op4_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-OP4_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v1.18-MNI152_Area-OP4_PM-v9.4",
    name="Area OP4 (POperc)",
    version_identifier="v1.18-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_op8_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-OP8_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v1.18-MNI152_Area-OP8_PM-v5.1",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v1.18-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_op9_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-OP9_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v1.18-MNI152_Area-OP9_PM-v5.1",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v1.18-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_p24ab_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-p24ab_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-p24ab_PM-v16.1",
    name="Area p24ab (pACC)",
    version_identifier="v1.18-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_p24c_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-p24c_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-p24c_PM-v16.1",
    name="Area p24c (pACC)",
    version_identifier="v1.18-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_p32_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-p32_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-p32_PM-v16.1",
    name="Area p32 (pACC)",
    version_identifier="v1.18-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_p_fcm_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PFcm_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-PFcm_PM-v9.4",
    name="Area PFcm (IPL)",
    version_identifier="v1.18-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_p_fm_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PFm_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-PFm_PM-v9.4",
    name="Area PFm (IPL)",
    version_identifier="v1.18-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_p_fop_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PFop_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-PFop_PM-v9.4",
    name="Area PFop (IPL)",
    version_identifier="v1.18-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_p_ft_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PFt_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-PFt_PM-v9.4",
    name="Area PFt (IPL)",
    version_identifier="v1.18-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_p_ga_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PGa_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-PGa_PM-v9.4",
    name="Area PGa (IPL)",
    version_identifier="v1.18-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_p_gp_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PGp_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-PGp_PM-v9.4",
    name="Area PGp (IPL)",
    version_identifier="v1.18-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_pf_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PF_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-PF_PM-v9.4",
    name="Area PF (IPL)",
    version_identifier="v1.18-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_s24_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-s24_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-s24_PM-v16.1",
    name="Area s24 (sACC)",
    version_identifier="v1.18-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_s32_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-s32_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-s32_PM-v16.1",
    name="Area s32 (sACC)",
    version_identifier="v1.18-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_sts1_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-STS1_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v1.18-MNI152_Area-STS1_PM-v3.1",
    name="Area STS1 (STS)",
    version_identifier="v1.18-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_sts2_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-STS2_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v1.18-MNI152_Area-STS2_PM-v3.1",
    name="Area STS2 (STS)",
    version_identifier="v1.18-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_te_1_0_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-TE-1.0_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-TE-1.0_PM-v5.1",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v1.18-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_te_1_1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-TE-1.1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-TE-1.1_PM-v5.1",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v1.18-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_te_1_2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-TE-1.2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-TE-1.2_PM-v5.1",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v1.18-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_te_3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-TE-3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-TE-3_PM-v5.1",
    name="Area TE 3 (STG)",
    version_identifier="v1.18-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__ch_123_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Ch-123_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v1.18-MNI152_Ch-123_PM-v4.2",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v1.18-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v1_18_mni152__ch_4_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Ch-4_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v1.18-MNI152_Ch-4_PM-v4.2",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v1.18-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v1_18_mni152__dorsal__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v1.18-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v1.18-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v1_18_mni152__entorhinal__cortex_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Entorhinal-Cortex_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.18-MNI152_Entorhinal-Cortex_PM-v11.1",
    name="Entorhinal Cortex",
    version_identifier="v1.18-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__fastigial__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Fastigial-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v1.18-MNI152_Fastigial-Nucleus_PM-v6.2",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v1.18-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v1_18_mni152__interposed__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Interposed-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v1.18-MNI152_Interposed-Nucleus_PM-v6.2",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v1.18-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v1_18_mni152__subiculum_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Subiculum_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.18-MNI152_Subiculum_PM-v11.1",
    name="Subiculum (Hippocampus)",
    version_identifier="v1.18-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__ventral__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Ventral-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v1.18-MNI152_Ventral-Dentate-Nucleus_PM-v6.2",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v1.18-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v1_18_mni152_ca_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_CA_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.18-MNI152_CA_PM-v11.1",
    name="CA (Hippocampus)",
    version_identifier="v1.18-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v1_18_mni152_cm_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_CM_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v1.18-MNI152_CM_PM-v6.4",
    name="CM (Amygdala)",
    version_identifier="v1.18-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v1_18_mni152_dg_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_DG_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.18-MNI152_DG_PM-v11.1",
    name="DG (Hippocampus)",
    version_identifier="v1.18-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v1_18_mni152_hata_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_HATA_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.18-MNI152_HATA_PM-v11.1",
    name="HATA (Hippocampus)",
    version_identifier="v1.18-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v1_18_mni152_if_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_IF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v1.18-MNI152_IF_PM-v6.4",
    name="IF (Amygdala)",
    version_identifier="v1.18-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v1_18_mni152_lb_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_LB_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v1.18-MNI152_LB_PM-v6.4",
    name="LB (Amygdala)",
    version_identifier="v1.18-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v1_18_mni152_mf_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_MF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v1.18-MNI152_MF_PM-v6.4",
    name="MF (Amygdala)",
    version_identifier="v1.18-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v1_18_mni152_sf_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_SF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v1.18-MNI152_SF_PM-v6.4",
    name="SF (Amygdala)",
    version_identifier="v1.18-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v1_18_mni152_vtm_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_VTM_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v1.18-MNI152_VTM_PM-v6.4",
    name="VTM (Amygdala)",
    version_identifier="v1.18-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_1_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-1_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-1_PM-v8.4",
    name="Area 1 (PostCG)",
    version_identifier="v2.2-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_25_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-25_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-25_PM-v16.1",
    name="Area 25 (sACC)",
    version_identifier="v2.2-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_2_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-2_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-2_PM-v3.4",
    name="Area 2 (PostCS)",
    version_identifier="v2.2-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_33_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-33_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-33_PM-v16.1",
    name="Area 33 (ACC)",
    version_identifier="v2.2-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_3a_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-3a_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-3a_PM-v8.4",
    name="Area 3a (PostCG)",
    version_identifier="v2.2-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_3b_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-3b_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-3b_PM-v8.4",
    name="Area 3b (PostCG)",
    version_identifier="v2.2-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_44_pm_v7_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-44_PM-v7.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-44_PM-v7.4",
    name="Area 44 (IFG)",
    version_identifier="v2.2-Colin27, PM-v7.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_45_pm_v7_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-45_PM-v7.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-45_PM-v7.4",
    name="Area 45 (IFG)",
    version_identifier="v2.2-Colin27, PM-v7.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_4a_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-4a_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-4a_PM-v9.4",
    name="Area 4a (PreCG)",
    version_identifier="v2.2-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_4p_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-4p_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-4p_PM-v9.4",
    name="Area 4p (PreCG)",
    version_identifier="v2.2-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_5_ci_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-5Ci_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.2-Colin27_Area-5Ci_PM-v8.4",
    name="Area 5Ci (SPL)",
    version_identifier="v2.2-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_5_l_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-5L_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.2-Colin27_Area-5L_PM-v8.4",
    name="Area 5L (SPL)",
    version_identifier="v2.2-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_5_m_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-5M_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.2-Colin27_Area-5M_PM-v8.4",
    name="Area 5M (SPL)",
    version_identifier="v2.2-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_6d1_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-6d1_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-6d1_PM-v4.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v2.2-Colin27, PM-v4.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_6d2_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-6d2_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-6d2_PM-v4.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v2.2-Colin27, PM-v4.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_6d3_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-6d3_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v2.2-Colin27_Area-6d3_PM-v4.1",
    name="Area 6d3 (SFS)",
    version_identifier="v2.2-Colin27, PM-v4.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_6ma_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-6ma_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v2.2-Colin27_Area-6ma_PM-v9.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v2.2-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_6mp_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-6mp_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-6mp_PM-v9.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v2.2-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_7_a_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-7A_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.2-Colin27_Area-7A_PM-v8.4",
    name="Area 7A (SPL)",
    version_identifier="v2.2-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_7_p_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-7P_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.2-Colin27_Area-7P_PM-v8.4",
    name="Area 7P (SPL)",
    version_identifier="v2.2-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_7_pc_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-7PC_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.2-Colin27_Area-7PC_PM-v8.4",
    name="Area 7PC (SPL)",
    version_identifier="v2.2-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__fo1_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo1_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-Fo1_PM-v3.4",
    name="Area Fo1 (OFC)",
    version_identifier="v2.2-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__fo2_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo2_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-Fo2_PM-v3.4",
    name="Area Fo2 (OFC)",
    version_identifier="v2.2-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__fo3_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo3_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-Fo3_PM-v3.4",
    name="Area Fo3 (OFC)",
    version_identifier="v2.2-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__fo4_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo4_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-Fo4_PM-v2.1",
    name="Area Fo4 (OFC)",
    version_identifier="v2.2-Colin27, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__fo5_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo5_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-Fo5_PM-v2.1",
    name="Area Fo5 (OFC)",
    version_identifier="v2.2-Colin27, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__fo6_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo6_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-Fo6_PM-v2.1",
    name="Area Fo6 (OFC)",
    version_identifier="v2.2-Colin27, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__fo7_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo7_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-Fo7_PM-v2.1",
    name="Area Fo7 (OFC)",
    version_identifier="v2.2-Colin27, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__fp1_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fp1_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.2-Colin27_Area-Fp1_PM-v2.4",
    name="Area Fp1 (FPole)",
    version_identifier="v2.2-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__fp2_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fp2_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.2-Colin27_Area-Fp2_PM-v2.4",
    name="Area Fp2 (FPole)",
    version_identifier="v2.2-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__ia_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Ia_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.2-Colin27_Area-Ia_PM-v3.1",
    name="Area Ia (Insula)",
    version_identifier="v2.2-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__id1_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id1_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-Colin27_Area-Id1_PM-v13.1",
    name="Area Id1 (Insula)",
    version_identifier="v2.2-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__id2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-Colin27_Area-Id2_PM-v7.1",
    name="Area Id2 (Insula)",
    version_identifier="v2.2-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__id3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-Colin27_Area-Id3_PM-v7.1",
    name="Area Id3 (Insula)",
    version_identifier="v2.2-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__id4_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id4_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-Colin27_Area-Id4_PM-v3.1",
    name="Area Id4 (Insula)",
    version_identifier="v2.2-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__id5_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id5_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-Colin27_Area-Id5_PM-v3.1",
    name="Area Id5 (Insula)",
    version_identifier="v2.2-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__id6_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id6_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-Colin27_Area-Id6_PM-v3.1",
    name="Area Id6 (Insula)",
    version_identifier="v2.2-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__id7_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id7_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-Colin27_Area-Id7_PM-v6.1",
    name="Area Id7 (Insula)",
    version_identifier="v2.2-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__ig1_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Ig1_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.2-Colin27_Area-Ig1_PM-v13.1",
    name="Area Ig1 (Insula)",
    version_identifier="v2.2-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__ig2_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Ig2_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.2-Colin27_Area-Ig2_PM-v13.1",
    name="Area Ig2 (Insula)",
    version_identifier="v2.2-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__ig3_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Ig3_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.2-Colin27_Area-Ig3_PM-v3.1",
    name="Area Ig3 (Insula)",
    version_identifier="v2.2-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__te_i_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TeI_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.2-Colin27_Area-TeI_PM-v5.1",
    name="Area TeI (STG)",
    version_identifier="v2.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_a29_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-a29_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.2-Colin27_Area-a29_PM-v11.0",
    name="Area a29 (retrosplenial)",
    version_identifier="v2.2-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_a30_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-a30_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.2-Colin27_Area-a30_PM-v11.0",
    name="Area a30 (retrosplenial)",
    version_identifier="v2.2-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_fg1_pm_v1_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-FG1_PM-v1.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-FG1_PM-v1.4",
    name="Area FG1 (FusG)",
    version_identifier="v2.2-Colin27, PM-v1.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_fg2_pm_v1_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-FG2_PM-v1.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-FG2_PM-v1.4",
    name="Area FG2 (FusG)",
    version_identifier="v2.2-Colin27, PM-v1.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_fg3_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-FG3_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-FG3_PM-v6.1",
    name="Area FG3 (FusG)",
    version_identifier="v2.2-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_fg4_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-FG4_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-FG4_PM-v6.1",
    name="Area FG4 (FusG)",
    version_identifier="v2.2-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_ip1_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP1_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-Colin27_Area-hIP1_PM-v6.1",
    name="Area hIP1 (IPS)",
    version_identifier="v2.2-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_ip2_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP2_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-Colin27_Area-hIP2_PM-v6.1",
    name="Area hIP2 (IPS)",
    version_identifier="v2.2-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_ip3_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP3_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-Colin27_Area-hIP3_PM-v8.4",
    name="Area hIP3 (IPS)",
    version_identifier="v2.2-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_ip4_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP4_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-Colin27_Area-hIP4_PM-v7.1",
    name="Area hIP4 (IPS)",
    version_identifier="v2.2-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_ip5_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP5_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-Colin27_Area-hIP5_PM-v7.1",
    name="Area hIP5 (IPS)",
    version_identifier="v2.2-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_ip6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-Colin27_Area-hIP6_PM-v7.1",
    name="Area hIP6 (IPS)",
    version_identifier="v2.2-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_ip7_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP7_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-Colin27_Area-hIP7_PM-v7.1",
    name="Area hIP7 (IPS)",
    version_identifier="v2.2-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_ip8_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP8_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-Colin27_Area-hIP8_PM-v7.1",
    name="Area hIP8 (IPS)",
    version_identifier="v2.2-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_oc1_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc1_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-hOc1_PM-v2.4",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v2.2-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_oc2_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc2_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-hOc2_PM-v2.4",
    name="Area hOc2 (V2, 18)",
    version_identifier="v2.2-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_oc3d_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc3d_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-hOc3d_PM-v2.4",
    name="Area hOc3d (Cuneus)",
    version_identifier="v2.2-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_oc3v_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc3v_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-hOc3v_PM-v3.4",
    name="Area hOc3v (LingG)",
    version_identifier="v2.2-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_oc4d_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc4d_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-hOc4d_PM-v2.4",
    name="Area hOc4d (Cuneus)",
    version_identifier="v2.2-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_oc4la_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc4la_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-hOc4la_PM-v3.4",
    name="Area hOc4la (LOC)",
    version_identifier="v2.2-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_oc4lp_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc4lp_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-hOc4lp_PM-v3.4",
    name="Area hOc4lp (LOC)",
    version_identifier="v2.2-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_oc4v_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc4v_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-hOc4v_PM-v3.4",
    name="Area hOc4v (LingG)",
    version_identifier="v2.2-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_oc5_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc5_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-hOc5_PM-v2.4",
    name="Area hOc5 (LOC)",
    version_identifier="v2.2-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_oc6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-hOc6_PM-v7.1",
    name="Area hOc6 (POS)",
    version_identifier="v2.2-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_po1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hPO1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v2.2-Colin27_Area-hPO1_PM-v7.1",
    name="Area hPO1 (POS)",
    version_identifier="v2.2-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_i29_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-i29_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.2-Colin27_Area-i29_PM-v11.0",
    name="Area i29 (retrosplenial)",
    version_identifier="v2.2-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_i30_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-i30_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.2-Colin27_Area-i30_PM-v11.0",
    name="Area i30 (retrosplenial)",
    version_identifier="v2.2-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_op1_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP1_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.2-Colin27_Area-OP1_PM-v11.0",
    name="Area OP1 (POperc)",
    version_identifier="v2.2-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_op2_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP2_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.2-Colin27_Area-OP2_PM-v11.0",
    name="Area OP2 (POperc)",
    version_identifier="v2.2-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_op3_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP3_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.2-Colin27_Area-OP3_PM-v11.0",
    name="Area OP3 (POperc)",
    version_identifier="v2.2-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_op4_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP4_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.2-Colin27_Area-OP4_PM-v11.0",
    name="Area OP4 (POperc)",
    version_identifier="v2.2-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_op5_pm_v2_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP5_PM-v2.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.2-Colin27_Area-OP5_PM-v2.0",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v2.2-Colin27, PM-v2.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_op6_pm_v2_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP6_PM-v2.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.2-Colin27_Area-OP6_PM-v2.0",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v2.2-Colin27, PM-v2.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_op7_pm_v2_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP7_PM-v2.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.2-Colin27_Area-OP7_PM-v2.0",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v2.2-Colin27, PM-v2.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_op8_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP8_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.2-Colin27_Area-OP8_PM-v5.1",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v2.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_op9_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP9_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.2-Colin27_Area-OP9_PM-v5.1",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v2.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_p24ab_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-p24ab_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-p24ab_PM-v16.1",
    name="Area p24ab (pACC)",
    version_identifier="v2.2-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_p24c_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-p24c_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-p24c_PM-v16.1",
    name="Area p24c (pACC)",
    version_identifier="v2.2-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_p29_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-p29_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.2-Colin27_Area-p29_PM-v11.0",
    name="Area p29 (retrosplenial)",
    version_identifier="v2.2-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_p30_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-p30_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.2-Colin27_Area-p30_PM-v11.0",
    name="Area p30 (retrosplenial)",
    version_identifier="v2.2-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_p32_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-p32_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-p32_PM-v16.1",
    name="Area p32 (pACC)",
    version_identifier="v2.2-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_p_fcm_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PFcm_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-Colin27_Area-PFcm_PM-v9.4",
    name="Area PFcm (IPL)",
    version_identifier="v2.2-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_p_fm_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PFm_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-Colin27_Area-PFm_PM-v9.4",
    name="Area PFm (IPL)",
    version_identifier="v2.2-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_p_fop_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PFop_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-Colin27_Area-PFop_PM-v9.4",
    name="Area PFop (IPL)",
    version_identifier="v2.2-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_p_ft_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PFt_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-Colin27_Area-PFt_PM-v9.4",
    name="Area PFt (IPL)",
    version_identifier="v2.2-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_p_ga_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PGa_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-Colin27_Area-PGa_PM-v9.4",
    name="Area PGa (IPL)",
    version_identifier="v2.2-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_p_gp_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PGp_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-Colin27_Area-PGp_PM-v9.4",
    name="Area PGp (IPL)",
    version_identifier="v2.2-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_pf_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PF_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-Colin27_Area-PF_PM-v9.4",
    name="Area PF (IPL)",
    version_identifier="v2.2-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_s24_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-s24_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-s24_PM-v16.1",
    name="Area s24 (sACC)",
    version_identifier="v2.2-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_s32_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-s32_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-s32_PM-v16.1",
    name="Area s32 (sACC)",
    version_identifier="v2.2-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_sts1_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-STS1_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.2-Colin27_Area-STS1_PM-v3.1",
    name="Area STS1 (STS)",
    version_identifier="v2.2-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_sts2_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-STS2_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.2-Colin27_Area-STS2_PM-v3.1",
    name="Area STS2 (STS)",
    version_identifier="v2.2-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_te_1_0_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TE-1.0_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-TE-1.0_PM-v5.1",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v2.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_te_1_1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TE-1.1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-TE-1.1_PM-v5.1",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v2.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_te_1_2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TE-1.2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-TE-1.2_PM-v5.1",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v2.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_te_2_1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TE-2.1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-TE-2.1_PM-v5.1",
    name="Area TE 2.1 (STG)",
    version_identifier="v2.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_te_2_2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TE-2.2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-TE-2.2_PM-v5.1",
    name="Area TE 2.2 (STG)",
    version_identifier="v2.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_te_3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TE-3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-TE-3_PM-v5.1",
    name="Area TE 3 (STG)",
    version_identifier="v2.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_ti_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TI_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.2-Colin27_Area-TI_PM-v5.1",
    name="Area TI (STG)",
    version_identifier="v2.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__ch_123_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Ch-123_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v2.2-Colin27_Ch-123_PM-v4.2",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v2.2-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_2__colin27__ch_4_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Ch-4_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v2.2-Colin27_Ch-4_PM-v4.2",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v2.2-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_2__colin27__dorsal__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Dorsal-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.2-Colin27_Dorsal-Dentate-Nucleus_PM-v6.2",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v2.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_2__colin27__entorhinal__cortex_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Entorhinal-Cortex_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-Colin27_Entorhinal-Cortex_PM-v11.1",
    name="Entorhinal Cortex",
    version_identifier="v2.2-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__fastigial__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Fastigial-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.2-Colin27_Fastigial-Nucleus_PM-v6.2",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v2.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_2__colin27__frontal_i_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Frontal-I_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.2-Colin27_Frontal-I_PM-v9.0",
    name="Frontal-I (GapMap)",
    version_identifier="v2.2-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__frontal_ii_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Frontal-II_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.2-Colin27_Frontal-II_PM-v9.0",
    name="Frontal-II (GapMap)",
    version_identifier="v2.2-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__frontal_to__occipital_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Frontal-to-Occipital_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.2-Colin27_Frontal-to-Occipital_PM-v9.0",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v2.2-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__frontal_to__temporal_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Frontal-to-Temporal_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.2-Colin27_Frontal-to-Temporal_PM-v9.0",
    name="Frontal-to-Temporal (GapMap)",
    version_identifier="v2.2-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__interposed__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Interposed-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.2-Colin27_Interposed-Nucleus_PM-v6.2",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v2.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_2__colin27__subiculum_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Subiculum_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-Colin27_Subiculum_PM-v11.1",
    name="Subiculum (Hippocampus)",
    version_identifier="v2.2-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__temporal_to__parietal_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Temporal-to-Parietal_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.2-Colin27_Temporal-to-Parietal_PM-v9.0",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v2.2-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__ventral__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Ventral-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.2-Colin27_Ventral-Dentate-Nucleus_PM-v6.2",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v2.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_2__colin27_ca1_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_CA1_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-Colin27_CA1_PM-v11.1",
    name="CA1 (Hippocampus)",
    version_identifier="v2.2-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2__colin27_ca2_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_CA2_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-Colin27_CA2_PM-v11.1",
    name="CA2 (Hippocampus)",
    version_identifier="v2.2-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2__colin27_ca3_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_CA3_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-Colin27_CA3_PM-v11.1",
    name="CA3 (Hippocampus)",
    version_identifier="v2.2-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2__colin27_cm_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_CM_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.2-Colin27_CM_PM-v6.4",
    name="CM (Amygdala)",
    version_identifier="v2.2-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_2__colin27_dg_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_DG_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-Colin27_DG_PM-v11.1",
    name="DG (Hippocampus)",
    version_identifier="v2.2-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2__colin27_hata_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_HATA_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-Colin27_HATA_PM-v11.1",
    name="HATA (Hippocampus)",
    version_identifier="v2.2-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2__colin27_if_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_IF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.2-Colin27_IF_PM-v6.4",
    name="IF (Amygdala)",
    version_identifier="v2.2-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_2__colin27_lb_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_LB_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.2-Colin27_LB_PM-v6.4",
    name="LB (Amygdala)",
    version_identifier="v2.2-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_2__colin27_mf_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_MF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.2-Colin27_MF_PM-v6.4",
    name="MF (Amygdala)",
    version_identifier="v2.2-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_2__colin27_sf_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_SF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.2-Colin27_SF_PM-v6.4",
    name="SF (Amygdala)",
    version_identifier="v2.2-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_2__colin27_vtm_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_VTM_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.2-Colin27_VTM_PM-v6.4",
    name="VTM (Amygdala)",
    version_identifier="v2.2-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_1_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-1_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-1_PM-v8.4",
    name="Area 1 (PostCG)",
    version_identifier="v2.2-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_25_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-25_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-25_PM-v16.1",
    name="Area 25 (sACC)",
    version_identifier="v2.2-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_2_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-2_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-2_PM-v3.4",
    name="Area 2 (PostCS)",
    version_identifier="v2.2-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_33_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-33_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-33_PM-v16.1",
    name="Area 33 (ACC)",
    version_identifier="v2.2-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_3a_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-3a_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-3a_PM-v8.4",
    name="Area 3a (PostCG)",
    version_identifier="v2.2-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_3b_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-3b_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-3b_PM-v8.4",
    name="Area 3b (PostCG)",
    version_identifier="v2.2-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_44_pm_v7_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-44_PM-v7.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-44_PM-v7.4",
    name="Area 44 (IFG)",
    version_identifier="v2.2-MNI152, PM-v7.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_45_pm_v7_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-45_PM-v7.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-45_PM-v7.4",
    name="Area 45 (IFG)",
    version_identifier="v2.2-MNI152, PM-v7.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_4a_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-4a_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-4a_PM-v9.4",
    name="Area 4a (PreCG)",
    version_identifier="v2.2-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_4p_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-4p_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-4p_PM-v9.4",
    name="Area 4p (PreCG)",
    version_identifier="v2.2-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_5_ci_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-5Ci_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.2-MNI152_Area-5Ci_PM-v8.4",
    name="Area 5Ci (SPL)",
    version_identifier="v2.2-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_5_l_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-5L_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.2-MNI152_Area-5L_PM-v8.4",
    name="Area 5L (SPL)",
    version_identifier="v2.2-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_5_m_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-5M_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.2-MNI152_Area-5M_PM-v8.4",
    name="Area 5M (SPL)",
    version_identifier="v2.2-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_6d1_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-6d1_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-6d1_PM-v4.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v2.2-MNI152, PM-v4.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_6d2_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-6d2_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-6d2_PM-v4.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v2.2-MNI152, PM-v4.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_6d3_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-6d3_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v2.2-MNI152_Area-6d3_PM-v4.1",
    name="Area 6d3 (SFS)",
    version_identifier="v2.2-MNI152, PM-v4.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_6ma_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-6ma_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v2.2-MNI152_Area-6ma_PM-v9.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v2.2-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_6mp_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-6mp_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-6mp_PM-v9.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v2.2-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_7_a_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-7A_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.2-MNI152_Area-7A_PM-v8.4",
    name="Area 7A (SPL)",
    version_identifier="v2.2-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_7_p_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-7P_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.2-MNI152_Area-7P_PM-v8.4",
    name="Area 7P (SPL)",
    version_identifier="v2.2-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_7_pc_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-7PC_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.2-MNI152_Area-7PC_PM-v8.4",
    name="Area 7PC (SPL)",
    version_identifier="v2.2-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__fo1_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo1_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-Fo1_PM-v3.4",
    name="Area Fo1 (OFC)",
    version_identifier="v2.2-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__fo2_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo2_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-Fo2_PM-v3.4",
    name="Area Fo2 (OFC)",
    version_identifier="v2.2-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__fo3_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo3_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-Fo3_PM-v3.4",
    name="Area Fo3 (OFC)",
    version_identifier="v2.2-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__fo4_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo4_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-Fo4_PM-v2.1",
    name="Area Fo4 (OFC)",
    version_identifier="v2.2-MNI152, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__fo5_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo5_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-Fo5_PM-v2.1",
    name="Area Fo5 (OFC)",
    version_identifier="v2.2-MNI152, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__fo6_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo6_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-Fo6_PM-v2.1",
    name="Area Fo6 (OFC)",
    version_identifier="v2.2-MNI152, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__fo7_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo7_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-Fo7_PM-v2.1",
    name="Area Fo7 (OFC)",
    version_identifier="v2.2-MNI152, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__fp1_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fp1_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.2-MNI152_Area-Fp1_PM-v2.4",
    name="Area Fp1 (FPole)",
    version_identifier="v2.2-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__fp2_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fp2_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.2-MNI152_Area-Fp2_PM-v2.4",
    name="Area Fp2 (FPole)",
    version_identifier="v2.2-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__ia_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Ia_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.2-MNI152_Area-Ia_PM-v3.1",
    name="Area Ia (Insula)",
    version_identifier="v2.2-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__id1_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id1_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-MNI152_Area-Id1_PM-v13.1",
    name="Area Id1 (Insula)",
    version_identifier="v2.2-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__id2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-MNI152_Area-Id2_PM-v7.1",
    name="Area Id2 (Insula)",
    version_identifier="v2.2-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__id3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-MNI152_Area-Id3_PM-v7.1",
    name="Area Id3 (Insula)",
    version_identifier="v2.2-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__id4_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id4_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-MNI152_Area-Id4_PM-v3.1",
    name="Area Id4 (Insula)",
    version_identifier="v2.2-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__id5_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id5_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-MNI152_Area-Id5_PM-v3.1",
    name="Area Id5 (Insula)",
    version_identifier="v2.2-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__id6_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id6_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-MNI152_Area-Id6_PM-v3.1",
    name="Area Id6 (Insula)",
    version_identifier="v2.2-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__id7_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id7_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-MNI152_Area-Id7_PM-v6.1",
    name="Area Id7 (Insula)",
    version_identifier="v2.2-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__ig1_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Ig1_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.2-MNI152_Area-Ig1_PM-v13.1",
    name="Area Ig1 (Insula)",
    version_identifier="v2.2-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__ig2_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Ig2_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.2-MNI152_Area-Ig2_PM-v13.1",
    name="Area Ig2 (Insula)",
    version_identifier="v2.2-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__ig3_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Ig3_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.2-MNI152_Area-Ig3_PM-v3.1",
    name="Area Ig3 (Insula)",
    version_identifier="v2.2-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__te_i_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TeI_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.2-MNI152_Area-TeI_PM-v5.1",
    name="Area TeI (STG)",
    version_identifier="v2.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_a29_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-a29_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.2-MNI152_Area-a29_PM-v11.0",
    name="Area a29 (retrosplenial)",
    version_identifier="v2.2-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_a30_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-a30_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.2-MNI152_Area-a30_PM-v11.0",
    name="Area a30 (retrosplenial)",
    version_identifier="v2.2-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_fg1_pm_v1_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-FG1_PM-v1.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-FG1_PM-v1.4",
    name="Area FG1 (FusG)",
    version_identifier="v2.2-MNI152, PM-v1.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_fg2_pm_v1_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-FG2_PM-v1.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-FG2_PM-v1.4",
    name="Area FG2 (FusG)",
    version_identifier="v2.2-MNI152, PM-v1.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_fg3_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-FG3_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-FG3_PM-v6.1",
    name="Area FG3 (FusG)",
    version_identifier="v2.2-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_fg4_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-FG4_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-FG4_PM-v6.1",
    name="Area FG4 (FusG)",
    version_identifier="v2.2-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_ip1_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP1_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-MNI152_Area-hIP1_PM-v6.1",
    name="Area hIP1 (IPS)",
    version_identifier="v2.2-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_ip2_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP2_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-MNI152_Area-hIP2_PM-v6.1",
    name="Area hIP2 (IPS)",
    version_identifier="v2.2-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_ip3_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP3_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-MNI152_Area-hIP3_PM-v8.4",
    name="Area hIP3 (IPS)",
    version_identifier="v2.2-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_ip4_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP4_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-MNI152_Area-hIP4_PM-v7.1",
    name="Area hIP4 (IPS)",
    version_identifier="v2.2-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_ip5_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP5_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-MNI152_Area-hIP5_PM-v7.1",
    name="Area hIP5 (IPS)",
    version_identifier="v2.2-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_ip6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-MNI152_Area-hIP6_PM-v7.1",
    name="Area hIP6 (IPS)",
    version_identifier="v2.2-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_ip7_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP7_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-MNI152_Area-hIP7_PM-v7.1",
    name="Area hIP7 (IPS)",
    version_identifier="v2.2-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_ip8_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP8_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-MNI152_Area-hIP8_PM-v7.1",
    name="Area hIP8 (IPS)",
    version_identifier="v2.2-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_oc1_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc1_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-hOc1_PM-v2.4",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v2.2-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_oc2_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc2_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-hOc2_PM-v2.4",
    name="Area hOc2 (V2, 18)",
    version_identifier="v2.2-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_oc3d_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc3d_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-hOc3d_PM-v2.4",
    name="Area hOc3d (Cuneus)",
    version_identifier="v2.2-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_oc3v_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc3v_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-hOc3v_PM-v3.4",
    name="Area hOc3v (LingG)",
    version_identifier="v2.2-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_oc4d_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc4d_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-hOc4d_PM-v2.4",
    name="Area hOc4d (Cuneus)",
    version_identifier="v2.2-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_oc4la_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc4la_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-hOc4la_PM-v3.4",
    name="Area hOc4la (LOC)",
    version_identifier="v2.2-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_oc4lp_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc4lp_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-hOc4lp_PM-v3.4",
    name="Area hOc4lp (LOC)",
    version_identifier="v2.2-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_oc4v_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc4v_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-hOc4v_PM-v3.4",
    name="Area hOc4v (LingG)",
    version_identifier="v2.2-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_oc5_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc5_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-hOc5_PM-v2.4",
    name="Area hOc5 (LOC)",
    version_identifier="v2.2-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_oc6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-hOc6_PM-v7.1",
    name="Area hOc6 (POS)",
    version_identifier="v2.2-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_po1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hPO1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v2.2-MNI152_Area-hPO1_PM-v7.1",
    name="Area hPO1 (POS)",
    version_identifier="v2.2-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_i29_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-i29_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.2-MNI152_Area-i29_PM-v11.0",
    name="Area i29 (retrosplenial)",
    version_identifier="v2.2-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_i30_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-i30_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.2-MNI152_Area-i30_PM-v11.0",
    name="Area i30 (retrosplenial)",
    version_identifier="v2.2-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_op1_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP1_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.2-MNI152_Area-OP1_PM-v11.0",
    name="Area OP1 (POperc)",
    version_identifier="v2.2-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_op2_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP2_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.2-MNI152_Area-OP2_PM-v11.0",
    name="Area OP2 (POperc)",
    version_identifier="v2.2-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_op3_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP3_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.2-MNI152_Area-OP3_PM-v11.0",
    name="Area OP3 (POperc)",
    version_identifier="v2.2-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_op4_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP4_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.2-MNI152_Area-OP4_PM-v11.0",
    name="Area OP4 (POperc)",
    version_identifier="v2.2-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_op5_pm_v2_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP5_PM-v2.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.2-MNI152_Area-OP5_PM-v2.0",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v2.2-MNI152, PM-v2.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_op6_pm_v2_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP6_PM-v2.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.2-MNI152_Area-OP6_PM-v2.0",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v2.2-MNI152, PM-v2.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_op7_pm_v2_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP7_PM-v2.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.2-MNI152_Area-OP7_PM-v2.0",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v2.2-MNI152, PM-v2.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_op8_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP8_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.2-MNI152_Area-OP8_PM-v5.1",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v2.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_op9_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP9_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.2-MNI152_Area-OP9_PM-v5.1",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v2.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_p24ab_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-p24ab_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-p24ab_PM-v16.1",
    name="Area p24ab (pACC)",
    version_identifier="v2.2-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_p24c_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-p24c_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-p24c_PM-v16.1",
    name="Area p24c (pACC)",
    version_identifier="v2.2-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_p29_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-p29_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.2-MNI152_Area-p29_PM-v11.0",
    name="Area p29 (retrosplenial)",
    version_identifier="v2.2-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_p30_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-p30_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.2-MNI152_Area-p30_PM-v11.0",
    name="Area p30 (retrosplenial)",
    version_identifier="v2.2-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_p32_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-p32_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-p32_PM-v16.1",
    name="Area p32 (pACC)",
    version_identifier="v2.2-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_p_fcm_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PFcm_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-MNI152_Area-PFcm_PM-v9.4",
    name="Area PFcm (IPL)",
    version_identifier="v2.2-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_p_fm_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PFm_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-MNI152_Area-PFm_PM-v9.4",
    name="Area PFm (IPL)",
    version_identifier="v2.2-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_p_fop_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PFop_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-MNI152_Area-PFop_PM-v9.4",
    name="Area PFop (IPL)",
    version_identifier="v2.2-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_p_ft_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PFt_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-MNI152_Area-PFt_PM-v9.4",
    name="Area PFt (IPL)",
    version_identifier="v2.2-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_p_ga_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PGa_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-MNI152_Area-PGa_PM-v9.4",
    name="Area PGa (IPL)",
    version_identifier="v2.2-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_p_gp_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PGp_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-MNI152_Area-PGp_PM-v9.4",
    name="Area PGp (IPL)",
    version_identifier="v2.2-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_pf_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PF_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-MNI152_Area-PF_PM-v9.4",
    name="Area PF (IPL)",
    version_identifier="v2.2-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_s24_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-s24_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-s24_PM-v16.1",
    name="Area s24 (sACC)",
    version_identifier="v2.2-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_s32_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-s32_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-s32_PM-v16.1",
    name="Area s32 (sACC)",
    version_identifier="v2.2-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_sts1_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-STS1_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.2-MNI152_Area-STS1_PM-v3.1",
    name="Area STS1 (STS)",
    version_identifier="v2.2-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_sts2_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-STS2_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.2-MNI152_Area-STS2_PM-v3.1",
    name="Area STS2 (STS)",
    version_identifier="v2.2-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_te_1_0_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TE-1.0_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-TE-1.0_PM-v5.1",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v2.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_te_1_1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TE-1.1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-TE-1.1_PM-v5.1",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v2.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_te_1_2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TE-1.2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-TE-1.2_PM-v5.1",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v2.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_te_2_1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TE-2.1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-TE-2.1_PM-v5.1",
    name="Area TE 2.1 (STG)",
    version_identifier="v2.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_te_2_2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TE-2.2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-TE-2.2_PM-v5.1",
    name="Area TE 2.2 (STG)",
    version_identifier="v2.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_te_3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TE-3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-TE-3_PM-v5.1",
    name="Area TE 3 (STG)",
    version_identifier="v2.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_ti_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TI_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.2-MNI152_Area-TI_PM-v5.1",
    name="Area TI (STG)",
    version_identifier="v2.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__ch_123_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Ch-123_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v2.2-MNI152_Ch-123_PM-v4.2",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v2.2-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_2_mni152__ch_4_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Ch-4_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v2.2-MNI152_Ch-4_PM-v4.2",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v2.2-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_2_mni152__dorsal__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.2-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v2.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_2_mni152__entorhinal__cortex_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Entorhinal-Cortex_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-MNI152_Entorhinal-Cortex_PM-v11.1",
    name="Entorhinal Cortex",
    version_identifier="v2.2-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__fastigial__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Fastigial-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.2-MNI152_Fastigial-Nucleus_PM-v6.2",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v2.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_2_mni152__frontal_i_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Frontal-I_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.2-MNI152_Frontal-I_PM-v9.0",
    name="Frontal-I (GapMap)",
    version_identifier="v2.2-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__frontal_ii_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Frontal-II_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.2-MNI152_Frontal-II_PM-v9.0",
    name="Frontal-II (GapMap)",
    version_identifier="v2.2-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__frontal_to__occipital_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Frontal-to-Occipital_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.2-MNI152_Frontal-to-Occipital_PM-v9.0",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v2.2-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__frontal_to__temporal_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Frontal-to-Temporal_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.2-MNI152_Frontal-to-Temporal_PM-v9.0",
    name="Frontal-to-Temporal (GapMap)",
    version_identifier="v2.2-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__interposed__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Interposed-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.2-MNI152_Interposed-Nucleus_PM-v6.2",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v2.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_2_mni152__subiculum_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Subiculum_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-MNI152_Subiculum_PM-v11.1",
    name="Subiculum (Hippocampus)",
    version_identifier="v2.2-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__temporal_to__parietal_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Temporal-to-Parietal_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.2-MNI152_Temporal-to-Parietal_PM-v9.0",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v2.2-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__ventral__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Ventral-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.2-MNI152_Ventral-Dentate-Nucleus_PM-v6.2",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v2.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_2_mni152_ca1_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_CA1_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-MNI152_CA1_PM-v11.1",
    name="CA1 (Hippocampus)",
    version_identifier="v2.2-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2_mni152_ca2_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_CA2_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-MNI152_CA2_PM-v11.1",
    name="CA2 (Hippocampus)",
    version_identifier="v2.2-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2_mni152_ca3_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_CA3_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-MNI152_CA3_PM-v11.1",
    name="CA3 (Hippocampus)",
    version_identifier="v2.2-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2_mni152_cm_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_CM_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.2-MNI152_CM_PM-v6.4",
    name="CM (Amygdala)",
    version_identifier="v2.2-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_2_mni152_dg_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_DG_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-MNI152_DG_PM-v11.1",
    name="DG (Hippocampus)",
    version_identifier="v2.2-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2_mni152_hata_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_HATA_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-MNI152_HATA_PM-v11.1",
    name="HATA (Hippocampus)",
    version_identifier="v2.2-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2_mni152_if_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_IF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.2-MNI152_IF_PM-v6.4",
    name="IF (Amygdala)",
    version_identifier="v2.2-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_2_mni152_lb_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_LB_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.2-MNI152_LB_PM-v6.4",
    name="LB (Amygdala)",
    version_identifier="v2.2-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_2_mni152_mf_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_MF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.2-MNI152_MF_PM-v6.4",
    name="MF (Amygdala)",
    version_identifier="v2.2-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_2_mni152_sf_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_SF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.2-MNI152_SF_PM-v6.4",
    name="SF (Amygdala)",
    version_identifier="v2.2-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_2_mni152_vtm_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_VTM_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.2-MNI152_VTM_PM-v6.4",
    name="VTM (Amygdala)",
    version_identifier="v2.2-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_1_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-1_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-1_PM-v8.4",
    name="Area 1 (PostCG)",
    version_identifier="v2.4-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_25_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-25_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-25_PM-v16.1",
    name="Area 25 (sACC)",
    version_identifier="v2.4-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_2_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-2_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-2_PM-v3.4",
    name="Area 2 (PostCS)",
    version_identifier="v2.4-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_33_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-33_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-33_PM-v16.1",
    name="Area 33 (ACC)",
    version_identifier="v2.4-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_3a_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-3a_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-3a_PM-v8.4",
    name="Area 3a (PostCG)",
    version_identifier="v2.4-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_3b_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-3b_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-3b_PM-v8.4",
    name="Area 3b (PostCG)",
    version_identifier="v2.4-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_44_pm_v7_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-44_PM-v7.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-44_PM-v7.4",
    name="Area 44 (IFG)",
    version_identifier="v2.4-Colin27, PM-v7.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_45_pm_v7_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-45_PM-v7.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-45_PM-v7.4",
    name="Area 45 (IFG)",
    version_identifier="v2.4-Colin27, PM-v7.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_4a_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-4a_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-4a_PM-v9.4",
    name="Area 4a (PreCG)",
    version_identifier="v2.4-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_4p_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-4p_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-4p_PM-v9.4",
    name="Area 4p (PreCG)",
    version_identifier="v2.4-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_5_ci_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-5Ci_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.4-Colin27_Area-5Ci_PM-v8.4",
    name="Area 5Ci (SPL)",
    version_identifier="v2.4-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_5_l_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-5L_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.4-Colin27_Area-5L_PM-v8.4",
    name="Area 5L (SPL)",
    version_identifier="v2.4-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_5_m_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-5M_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.4-Colin27_Area-5M_PM-v8.4",
    name="Area 5M (SPL)",
    version_identifier="v2.4-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_6d1_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-6d1_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-6d1_PM-v4.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v2.4-Colin27, PM-v4.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_6d2_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-6d2_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-6d2_PM-v4.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v2.4-Colin27, PM-v4.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_6d3_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-6d3_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v2.4-Colin27_Area-6d3_PM-v4.1",
    name="Area 6d3 (SFS)",
    version_identifier="v2.4-Colin27, PM-v4.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_6ma_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-6ma_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v2.4-Colin27_Area-6ma_PM-v9.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v2.4-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_6mp_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-6mp_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-6mp_PM-v9.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v2.4-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_7_a_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-7A_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.4-Colin27_Area-7A_PM-v8.4",
    name="Area 7A (SPL)",
    version_identifier="v2.4-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_7_p_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-7P_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.4-Colin27_Area-7P_PM-v8.4",
    name="Area 7P (SPL)",
    version_identifier="v2.4-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_7_pc_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-7PC_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.4-Colin27_Area-7PC_PM-v8.4",
    name="Area 7PC (SPL)",
    version_identifier="v2.4-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__fo1_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo1_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-Fo1_PM-v3.4",
    name="Area Fo1 (OFC)",
    version_identifier="v2.4-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__fo2_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo2_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-Fo2_PM-v3.4",
    name="Area Fo2 (OFC)",
    version_identifier="v2.4-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__fo3_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo3_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-Fo3_PM-v3.4",
    name="Area Fo3 (OFC)",
    version_identifier="v2.4-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__fo4_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo4_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-Fo4_PM-v2.1",
    name="Area Fo4 (OFC)",
    version_identifier="v2.4-Colin27, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__fo5_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo5_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-Fo5_PM-v2.1",
    name="Area Fo5 (OFC)",
    version_identifier="v2.4-Colin27, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__fo6_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo6_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-Fo6_PM-v2.1",
    name="Area Fo6 (OFC)",
    version_identifier="v2.4-Colin27, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__fo7_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo7_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-Fo7_PM-v2.1",
    name="Area Fo7 (OFC)",
    version_identifier="v2.4-Colin27, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__fp1_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fp1_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.4-Colin27_Area-Fp1_PM-v2.4",
    name="Area Fp1 (FPole)",
    version_identifier="v2.4-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__fp2_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fp2_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.4-Colin27_Area-Fp2_PM-v2.4",
    name="Area Fp2 (FPole)",
    version_identifier="v2.4-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__ia_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Ia_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.4-Colin27_Area-Ia_PM-v3.1",
    name="Area Ia (Insula)",
    version_identifier="v2.4-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__id1_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id1_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-Colin27_Area-Id1_PM-v13.1",
    name="Area Id1 (Insula)",
    version_identifier="v2.4-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__id2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-Colin27_Area-Id2_PM-v7.1",
    name="Area Id2 (Insula)",
    version_identifier="v2.4-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__id3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-Colin27_Area-Id3_PM-v7.1",
    name="Area Id3 (Insula)",
    version_identifier="v2.4-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__id4_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id4_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-Colin27_Area-Id4_PM-v3.1",
    name="Area Id4 (Insula)",
    version_identifier="v2.4-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__id5_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id5_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-Colin27_Area-Id5_PM-v3.1",
    name="Area Id5 (Insula)",
    version_identifier="v2.4-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__id6_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id6_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-Colin27_Area-Id6_PM-v3.1",
    name="Area Id6 (Insula)",
    version_identifier="v2.4-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__id7_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id7_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-Colin27_Area-Id7_PM-v6.1",
    name="Area Id7 (Insula)",
    version_identifier="v2.4-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__ig1_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Ig1_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.4-Colin27_Area-Ig1_PM-v13.1",
    name="Area Ig1 (Insula)",
    version_identifier="v2.4-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__ig2_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Ig2_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.4-Colin27_Area-Ig2_PM-v13.1",
    name="Area Ig2 (Insula)",
    version_identifier="v2.4-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__ig3_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Ig3_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.4-Colin27_Area-Ig3_PM-v3.1",
    name="Area Ig3 (Insula)",
    version_identifier="v2.4-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__te_i_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TeI_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.4-Colin27_Area-TeI_PM-v5.1",
    name="Area TeI (STG)",
    version_identifier="v2.4-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_a29_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-a29_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.4-Colin27_Area-a29_PM-v11.0",
    name="Area a29 (retrosplenial)",
    version_identifier="v2.4-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_a30_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-a30_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.4-Colin27_Area-a30_PM-v11.0",
    name="Area a30 (retrosplenial)",
    version_identifier="v2.4-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_fg1_pm_v1_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-FG1_PM-v1.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-FG1_PM-v1.4",
    name="Area FG1 (FusG)",
    version_identifier="v2.4-Colin27, PM-v1.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_fg2_pm_v1_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-FG2_PM-v1.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-FG2_PM-v1.4",
    name="Area FG2 (FusG)",
    version_identifier="v2.4-Colin27, PM-v1.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_fg3_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-FG3_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-FG3_PM-v6.1",
    name="Area FG3 (FusG)",
    version_identifier="v2.4-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_fg4_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-FG4_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-FG4_PM-v6.1",
    name="Area FG4 (FusG)",
    version_identifier="v2.4-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_ip1_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP1_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-Colin27_Area-hIP1_PM-v6.1",
    name="Area hIP1 (IPS)",
    version_identifier="v2.4-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_ip2_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP2_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-Colin27_Area-hIP2_PM-v6.1",
    name="Area hIP2 (IPS)",
    version_identifier="v2.4-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_ip3_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP3_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-Colin27_Area-hIP3_PM-v8.4",
    name="Area hIP3 (IPS)",
    version_identifier="v2.4-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_ip4_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP4_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-Colin27_Area-hIP4_PM-v7.1",
    name="Area hIP4 (IPS)",
    version_identifier="v2.4-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_ip5_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP5_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-Colin27_Area-hIP5_PM-v7.1",
    name="Area hIP5 (IPS)",
    version_identifier="v2.4-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_ip6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-Colin27_Area-hIP6_PM-v7.1",
    name="Area hIP6 (IPS)",
    version_identifier="v2.4-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_ip7_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP7_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-Colin27_Area-hIP7_PM-v7.1",
    name="Area hIP7 (IPS)",
    version_identifier="v2.4-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_ip8_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP8_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-Colin27_Area-hIP8_PM-v7.1",
    name="Area hIP8 (IPS)",
    version_identifier="v2.4-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_oc1_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc1_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-hOc1_PM-v2.4",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v2.4-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_oc2_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc2_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-hOc2_PM-v2.4",
    name="Area hOc2 (V2, 18)",
    version_identifier="v2.4-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_oc3d_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc3d_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-hOc3d_PM-v2.4",
    name="Area hOc3d (Cuneus)",
    version_identifier="v2.4-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_oc3v_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc3v_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-hOc3v_PM-v3.4",
    name="Area hOc3v (LingG)",
    version_identifier="v2.4-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_oc4d_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc4d_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-hOc4d_PM-v2.4",
    name="Area hOc4d (Cuneus)",
    version_identifier="v2.4-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_oc4la_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc4la_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-hOc4la_PM-v3.4",
    name="Area hOc4la (LOC)",
    version_identifier="v2.4-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_oc4lp_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc4lp_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-hOc4lp_PM-v3.4",
    name="Area hOc4lp (LOC)",
    version_identifier="v2.4-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_oc4v_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc4v_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-hOc4v_PM-v3.4",
    name="Area hOc4v (LingG)",
    version_identifier="v2.4-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_oc5_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc5_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-hOc5_PM-v2.4",
    name="Area hOc5 (LOC)",
    version_identifier="v2.4-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_oc6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-hOc6_PM-v7.1",
    name="Area hOc6 (POS)",
    version_identifier="v2.4-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_po1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hPO1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v2.4-Colin27_Area-hPO1_PM-v7.1",
    name="Area hPO1 (POS)",
    version_identifier="v2.4-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_i29_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-i29_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.4-Colin27_Area-i29_PM-v11.0",
    name="Area i29 (retrosplenial)",
    version_identifier="v2.4-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_i30_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-i30_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.4-Colin27_Area-i30_PM-v11.0",
    name="Area i30 (retrosplenial)",
    version_identifier="v2.4-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_op1_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP1_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.4-Colin27_Area-OP1_PM-v11.0",
    name="Area OP1 (POperc)",
    version_identifier="v2.4-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_op2_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP2_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.4-Colin27_Area-OP2_PM-v11.0",
    name="Area OP2 (POperc)",
    version_identifier="v2.4-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_op3_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP3_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.4-Colin27_Area-OP3_PM-v11.0",
    name="Area OP3 (POperc)",
    version_identifier="v2.4-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_op4_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP4_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.4-Colin27_Area-OP4_PM-v11.0",
    name="Area OP4 (POperc)",
    version_identifier="v2.4-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_op5_pm_v2_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP5_PM-v2.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.4-Colin27_Area-OP5_PM-v2.0",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v2.4-Colin27, PM-v2.0",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_op6_pm_v2_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP6_PM-v2.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.4-Colin27_Area-OP6_PM-v2.0",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v2.4-Colin27, PM-v2.0",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_op7_pm_v2_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP7_PM-v2.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.4-Colin27_Area-OP7_PM-v2.0",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v2.4-Colin27, PM-v2.0",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_op8_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP8_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.4-Colin27_Area-OP8_PM-v5.1",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v2.4-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_op9_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP9_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.4-Colin27_Area-OP9_PM-v5.1",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v2.4-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_p24ab_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-p24ab_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-p24ab_PM-v16.1",
    name="Area p24ab (pACC)",
    version_identifier="v2.4-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_p24c_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-p24c_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-p24c_PM-v16.1",
    name="Area p24c (pACC)",
    version_identifier="v2.4-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_p29_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-p29_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.4-Colin27_Area-p29_PM-v11.0",
    name="Area p29 (retrosplenial)",
    version_identifier="v2.4-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_p30_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-p30_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.4-Colin27_Area-p30_PM-v11.0",
    name="Area p30 (retrosplenial)",
    version_identifier="v2.4-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_p32_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-p32_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-p32_PM-v16.1",
    name="Area p32 (pACC)",
    version_identifier="v2.4-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_p_fcm_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PFcm_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-Colin27_Area-PFcm_PM-v9.4",
    name="Area PFcm (IPL)",
    version_identifier="v2.4-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_p_fm_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PFm_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-Colin27_Area-PFm_PM-v9.4",
    name="Area PFm (IPL)",
    version_identifier="v2.4-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_p_fop_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PFop_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-Colin27_Area-PFop_PM-v9.4",
    name="Area PFop (IPL)",
    version_identifier="v2.4-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_p_ft_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PFt_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-Colin27_Area-PFt_PM-v9.4",
    name="Area PFt (IPL)",
    version_identifier="v2.4-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_p_ga_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PGa_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-Colin27_Area-PGa_PM-v9.4",
    name="Area PGa (IPL)",
    version_identifier="v2.4-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_p_gp_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PGp_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-Colin27_Area-PGp_PM-v9.4",
    name="Area PGp (IPL)",
    version_identifier="v2.4-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_pf_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PF_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-Colin27_Area-PF_PM-v9.4",
    name="Area PF (IPL)",
    version_identifier="v2.4-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_s24_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-s24_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-s24_PM-v16.1",
    name="Area s24 (sACC)",
    version_identifier="v2.4-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_s32_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-s32_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-s32_PM-v16.1",
    name="Area s32 (sACC)",
    version_identifier="v2.4-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_sts1_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-STS1_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.4-Colin27_Area-STS1_PM-v3.1",
    name="Area STS1 (STS)",
    version_identifier="v2.4-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_sts2_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-STS2_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.4-Colin27_Area-STS2_PM-v3.1",
    name="Area STS2 (STS)",
    version_identifier="v2.4-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_te_1_0_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TE-1.0_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-TE-1.0_PM-v5.1",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v2.4-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_te_1_1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TE-1.1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-TE-1.1_PM-v5.1",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v2.4-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_te_1_2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TE-1.2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-TE-1.2_PM-v5.1",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v2.4-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_te_2_1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TE-2.1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-TE-2.1_PM-v5.1",
    name="Area TE 2.1 (STG)",
    version_identifier="v2.4-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_te_2_2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TE-2.2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-TE-2.2_PM-v5.1",
    name="Area TE 2.2 (STG)",
    version_identifier="v2.4-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_te_3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TE-3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-TE-3_PM-v5.1",
    name="Area TE 3 (STG)",
    version_identifier="v2.4-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_ti_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TI_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.4-Colin27_Area-TI_PM-v5.1",
    name="Area TI (STG)",
    version_identifier="v2.4-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__ch_123_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Ch-123_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v2.4-Colin27_Ch-123_PM-v4.2",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v2.4-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_4__colin27__ch_4_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Ch-4_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v2.4-Colin27_Ch-4_PM-v4.2",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v2.4-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_4__colin27__dorsal__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Dorsal-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.4-Colin27_Dorsal-Dentate-Nucleus_PM-v6.2",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v2.4-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_4__colin27__entorhinal__cortex_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Entorhinal-Cortex_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-Colin27_Entorhinal-Cortex_PM-v11.1",
    name="Entorhinal Cortex",
    version_identifier="v2.4-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__fastigial__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Fastigial-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.4-Colin27_Fastigial-Nucleus_PM-v6.2",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v2.4-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_4__colin27__frontal_i_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Frontal-I_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.4-Colin27_Frontal-I_PM-v9.2",
    name="Frontal-I (GapMap)",
    version_identifier="v2.4-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_4__colin27__frontal_ii_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Frontal-II_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.4-Colin27_Frontal-II_PM-v9.2",
    name="Frontal-II (GapMap)",
    version_identifier="v2.4-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_4__colin27__frontal_to__occipital_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Frontal-to-Occipital_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.4-Colin27_Frontal-to-Occipital_PM-v9.2",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v2.4-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_4__colin27__frontal_to__temporal_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Frontal-to-Temporal_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.4-Colin27_Frontal-to-Temporal_PM-v9.2",
    name="Frontal-to-Temporal (GapMap)",
    version_identifier="v2.4-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_4__colin27__interposed__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Interposed-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.4-Colin27_Interposed-Nucleus_PM-v6.2",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v2.4-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_4__colin27__subiculum_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Subiculum_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-Colin27_Subiculum_PM-v11.1",
    name="Subiculum (Hippocampus)",
    version_identifier="v2.4-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__temporal_to__parietal_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Temporal-to-Parietal_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.4-Colin27_Temporal-to-Parietal_PM-v9.2",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v2.4-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_4__colin27__ventral__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Ventral-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.4-Colin27_Ventral-Dentate-Nucleus_PM-v6.2",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v2.4-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_4__colin27_ca1_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_CA1_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-Colin27_CA1_PM-v11.1",
    name="CA1 (Hippocampus)",
    version_identifier="v2.4-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4__colin27_ca2_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_CA2_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-Colin27_CA2_PM-v11.1",
    name="CA2 (Hippocampus)",
    version_identifier="v2.4-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4__colin27_ca3_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_CA3_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-Colin27_CA3_PM-v11.1",
    name="CA3 (Hippocampus)",
    version_identifier="v2.4-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4__colin27_cm_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_CM_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.4-Colin27_CM_PM-v6.4",
    name="CM (Amygdala)",
    version_identifier="v2.4-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_4__colin27_dg_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_DG_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-Colin27_DG_PM-v11.1",
    name="DG (Hippocampus)",
    version_identifier="v2.4-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4__colin27_hata_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_HATA_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-Colin27_HATA_PM-v11.1",
    name="HATA (Hippocampus)",
    version_identifier="v2.4-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4__colin27_if_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_IF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.4-Colin27_IF_PM-v6.4",
    name="IF (Amygdala)",
    version_identifier="v2.4-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_4__colin27_lb_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_LB_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.4-Colin27_LB_PM-v6.4",
    name="LB (Amygdala)",
    version_identifier="v2.4-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_4__colin27_mf_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_MF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.4-Colin27_MF_PM-v6.4",
    name="MF (Amygdala)",
    version_identifier="v2.4-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_4__colin27_sf_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_SF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.4-Colin27_SF_PM-v6.4",
    name="SF (Amygdala)",
    version_identifier="v2.4-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_4__colin27_vtm_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_VTM_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.4-Colin27_VTM_PM-v6.4",
    name="VTM (Amygdala)",
    version_identifier="v2.4-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_1_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-1_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-1_PM-v8.4",
    name="Area 1 (PostCG)",
    version_identifier="v2.4-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_25_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-25_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-25_PM-v16.1",
    name="Area 25 (sACC)",
    version_identifier="v2.4-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_2_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-2_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-2_PM-v3.4",
    name="Area 2 (PostCS)",
    version_identifier="v2.4-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_33_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-33_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-33_PM-v16.1",
    name="Area 33 (ACC)",
    version_identifier="v2.4-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_3a_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-3a_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-3a_PM-v8.4",
    name="Area 3a (PostCG)",
    version_identifier="v2.4-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_3b_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-3b_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-3b_PM-v8.4",
    name="Area 3b (PostCG)",
    version_identifier="v2.4-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_44_pm_v7_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-44_PM-v7.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-44_PM-v7.4",
    name="Area 44 (IFG)",
    version_identifier="v2.4-MNI152, PM-v7.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_45_pm_v7_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-45_PM-v7.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-45_PM-v7.4",
    name="Area 45 (IFG)",
    version_identifier="v2.4-MNI152, PM-v7.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_4a_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-4a_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-4a_PM-v9.4",
    name="Area 4a (PreCG)",
    version_identifier="v2.4-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_4p_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-4p_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-4p_PM-v9.4",
    name="Area 4p (PreCG)",
    version_identifier="v2.4-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_5_ci_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-5Ci_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.4-MNI152_Area-5Ci_PM-v8.4",
    name="Area 5Ci (SPL)",
    version_identifier="v2.4-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_5_l_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-5L_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.4-MNI152_Area-5L_PM-v8.4",
    name="Area 5L (SPL)",
    version_identifier="v2.4-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_5_m_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-5M_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.4-MNI152_Area-5M_PM-v8.4",
    name="Area 5M (SPL)",
    version_identifier="v2.4-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_6d1_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-6d1_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-6d1_PM-v4.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v2.4-MNI152, PM-v4.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_6d2_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-6d2_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-6d2_PM-v4.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v2.4-MNI152, PM-v4.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_6d3_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-6d3_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v2.4-MNI152_Area-6d3_PM-v4.1",
    name="Area 6d3 (SFS)",
    version_identifier="v2.4-MNI152, PM-v4.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_6ma_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-6ma_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v2.4-MNI152_Area-6ma_PM-v9.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v2.4-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_6mp_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-6mp_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-6mp_PM-v9.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v2.4-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_7_a_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-7A_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.4-MNI152_Area-7A_PM-v8.4",
    name="Area 7A (SPL)",
    version_identifier="v2.4-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_7_p_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-7P_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.4-MNI152_Area-7P_PM-v8.4",
    name="Area 7P (SPL)",
    version_identifier="v2.4-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_7_pc_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-7PC_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.4-MNI152_Area-7PC_PM-v8.4",
    name="Area 7PC (SPL)",
    version_identifier="v2.4-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__fo1_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo1_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-Fo1_PM-v3.4",
    name="Area Fo1 (OFC)",
    version_identifier="v2.4-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__fo2_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo2_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-Fo2_PM-v3.4",
    name="Area Fo2 (OFC)",
    version_identifier="v2.4-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__fo3_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo3_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-Fo3_PM-v3.4",
    name="Area Fo3 (OFC)",
    version_identifier="v2.4-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__fo4_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo4_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-Fo4_PM-v2.1",
    name="Area Fo4 (OFC)",
    version_identifier="v2.4-MNI152, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__fo5_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo5_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-Fo5_PM-v2.1",
    name="Area Fo5 (OFC)",
    version_identifier="v2.4-MNI152, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__fo6_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo6_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-Fo6_PM-v2.1",
    name="Area Fo6 (OFC)",
    version_identifier="v2.4-MNI152, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__fo7_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo7_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-Fo7_PM-v2.1",
    name="Area Fo7 (OFC)",
    version_identifier="v2.4-MNI152, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__fp1_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fp1_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.4-MNI152_Area-Fp1_PM-v2.4",
    name="Area Fp1 (FPole)",
    version_identifier="v2.4-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__fp2_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fp2_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.4-MNI152_Area-Fp2_PM-v2.4",
    name="Area Fp2 (FPole)",
    version_identifier="v2.4-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__ia_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Ia_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.4-MNI152_Area-Ia_PM-v3.1",
    name="Area Ia (Insula)",
    version_identifier="v2.4-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__id1_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id1_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-MNI152_Area-Id1_PM-v13.1",
    name="Area Id1 (Insula)",
    version_identifier="v2.4-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__id2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-MNI152_Area-Id2_PM-v7.1",
    name="Area Id2 (Insula)",
    version_identifier="v2.4-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__id3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-MNI152_Area-Id3_PM-v7.1",
    name="Area Id3 (Insula)",
    version_identifier="v2.4-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__id4_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id4_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-MNI152_Area-Id4_PM-v3.1",
    name="Area Id4 (Insula)",
    version_identifier="v2.4-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__id5_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id5_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-MNI152_Area-Id5_PM-v3.1",
    name="Area Id5 (Insula)",
    version_identifier="v2.4-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__id6_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id6_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-MNI152_Area-Id6_PM-v3.1",
    name="Area Id6 (Insula)",
    version_identifier="v2.4-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__id7_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id7_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-MNI152_Area-Id7_PM-v6.1",
    name="Area Id7 (Insula)",
    version_identifier="v2.4-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__ig1_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Ig1_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.4-MNI152_Area-Ig1_PM-v13.1",
    name="Area Ig1 (Insula)",
    version_identifier="v2.4-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__ig2_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Ig2_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.4-MNI152_Area-Ig2_PM-v13.1",
    name="Area Ig2 (Insula)",
    version_identifier="v2.4-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__ig3_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Ig3_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.4-MNI152_Area-Ig3_PM-v3.1",
    name="Area Ig3 (Insula)",
    version_identifier="v2.4-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__te_i_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TeI_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.4-MNI152_Area-TeI_PM-v5.1",
    name="Area TeI (STG)",
    version_identifier="v2.4-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_a29_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-a29_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.4-MNI152_Area-a29_PM-v11.0",
    name="Area a29 (retrosplenial)",
    version_identifier="v2.4-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_a30_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-a30_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.4-MNI152_Area-a30_PM-v11.0",
    name="Area a30 (retrosplenial)",
    version_identifier="v2.4-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_fg1_pm_v1_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-FG1_PM-v1.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-FG1_PM-v1.4",
    name="Area FG1 (FusG)",
    version_identifier="v2.4-MNI152, PM-v1.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_fg2_pm_v1_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-FG2_PM-v1.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-FG2_PM-v1.4",
    name="Area FG2 (FusG)",
    version_identifier="v2.4-MNI152, PM-v1.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_fg3_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-FG3_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-FG3_PM-v6.1",
    name="Area FG3 (FusG)",
    version_identifier="v2.4-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_fg4_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-FG4_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-FG4_PM-v6.1",
    name="Area FG4 (FusG)",
    version_identifier="v2.4-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_ip1_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP1_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-MNI152_Area-hIP1_PM-v6.1",
    name="Area hIP1 (IPS)",
    version_identifier="v2.4-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_ip2_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP2_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-MNI152_Area-hIP2_PM-v6.1",
    name="Area hIP2 (IPS)",
    version_identifier="v2.4-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_ip3_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP3_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-MNI152_Area-hIP3_PM-v8.4",
    name="Area hIP3 (IPS)",
    version_identifier="v2.4-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_ip4_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP4_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-MNI152_Area-hIP4_PM-v7.1",
    name="Area hIP4 (IPS)",
    version_identifier="v2.4-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_ip5_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP5_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-MNI152_Area-hIP5_PM-v7.1",
    name="Area hIP5 (IPS)",
    version_identifier="v2.4-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_ip6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-MNI152_Area-hIP6_PM-v7.1",
    name="Area hIP6 (IPS)",
    version_identifier="v2.4-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_ip7_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP7_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-MNI152_Area-hIP7_PM-v7.1",
    name="Area hIP7 (IPS)",
    version_identifier="v2.4-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_ip8_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP8_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-MNI152_Area-hIP8_PM-v7.1",
    name="Area hIP8 (IPS)",
    version_identifier="v2.4-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_oc1_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc1_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-hOc1_PM-v2.4",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v2.4-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_oc2_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc2_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-hOc2_PM-v2.4",
    name="Area hOc2 (V2, 18)",
    version_identifier="v2.4-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_oc3d_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc3d_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-hOc3d_PM-v2.4",
    name="Area hOc3d (Cuneus)",
    version_identifier="v2.4-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_oc3v_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc3v_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-hOc3v_PM-v3.4",
    name="Area hOc3v (LingG)",
    version_identifier="v2.4-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_oc4d_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc4d_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-hOc4d_PM-v2.4",
    name="Area hOc4d (Cuneus)",
    version_identifier="v2.4-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_oc4la_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc4la_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-hOc4la_PM-v3.4",
    name="Area hOc4la (LOC)",
    version_identifier="v2.4-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_oc4lp_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc4lp_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-hOc4lp_PM-v3.4",
    name="Area hOc4lp (LOC)",
    version_identifier="v2.4-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_oc4v_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc4v_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-hOc4v_PM-v3.4",
    name="Area hOc4v (LingG)",
    version_identifier="v2.4-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_oc5_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc5_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-hOc5_PM-v2.4",
    name="Area hOc5 (LOC)",
    version_identifier="v2.4-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_oc6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-hOc6_PM-v7.1",
    name="Area hOc6 (POS)",
    version_identifier="v2.4-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_po1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hPO1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v2.4-MNI152_Area-hPO1_PM-v7.1",
    name="Area hPO1 (POS)",
    version_identifier="v2.4-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_i29_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-i29_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.4-MNI152_Area-i29_PM-v11.0",
    name="Area i29 (retrosplenial)",
    version_identifier="v2.4-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_i30_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-i30_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.4-MNI152_Area-i30_PM-v11.0",
    name="Area i30 (retrosplenial)",
    version_identifier="v2.4-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_op1_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP1_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.4-MNI152_Area-OP1_PM-v11.0",
    name="Area OP1 (POperc)",
    version_identifier="v2.4-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_op2_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP2_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.4-MNI152_Area-OP2_PM-v11.0",
    name="Area OP2 (POperc)",
    version_identifier="v2.4-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_op3_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP3_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.4-MNI152_Area-OP3_PM-v11.0",
    name="Area OP3 (POperc)",
    version_identifier="v2.4-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_op4_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP4_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.4-MNI152_Area-OP4_PM-v11.0",
    name="Area OP4 (POperc)",
    version_identifier="v2.4-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_op5_pm_v2_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP5_PM-v2.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.4-MNI152_Area-OP5_PM-v2.0",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v2.4-MNI152, PM-v2.0",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_op6_pm_v2_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP6_PM-v2.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.4-MNI152_Area-OP6_PM-v2.0",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v2.4-MNI152, PM-v2.0",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_op7_pm_v2_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP7_PM-v2.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.4-MNI152_Area-OP7_PM-v2.0",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v2.4-MNI152, PM-v2.0",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_op8_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP8_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.4-MNI152_Area-OP8_PM-v5.1",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v2.4-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_op9_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP9_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.4-MNI152_Area-OP9_PM-v5.1",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v2.4-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_p24ab_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-p24ab_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-p24ab_PM-v16.1",
    name="Area p24ab (pACC)",
    version_identifier="v2.4-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_p24c_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-p24c_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-p24c_PM-v16.1",
    name="Area p24c (pACC)",
    version_identifier="v2.4-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_p29_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-p29_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.4-MNI152_Area-p29_PM-v11.0",
    name="Area p29 (retrosplenial)",
    version_identifier="v2.4-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_p30_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-p30_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.4-MNI152_Area-p30_PM-v11.0",
    name="Area p30 (retrosplenial)",
    version_identifier="v2.4-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_p32_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-p32_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-p32_PM-v16.1",
    name="Area p32 (pACC)",
    version_identifier="v2.4-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_p_fcm_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PFcm_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-MNI152_Area-PFcm_PM-v9.4",
    name="Area PFcm (IPL)",
    version_identifier="v2.4-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_p_fm_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PFm_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-MNI152_Area-PFm_PM-v9.4",
    name="Area PFm (IPL)",
    version_identifier="v2.4-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_p_fop_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PFop_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-MNI152_Area-PFop_PM-v9.4",
    name="Area PFop (IPL)",
    version_identifier="v2.4-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_p_ft_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PFt_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-MNI152_Area-PFt_PM-v9.4",
    name="Area PFt (IPL)",
    version_identifier="v2.4-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_p_ga_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PGa_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-MNI152_Area-PGa_PM-v9.4",
    name="Area PGa (IPL)",
    version_identifier="v2.4-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_p_gp_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PGp_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-MNI152_Area-PGp_PM-v9.4",
    name="Area PGp (IPL)",
    version_identifier="v2.4-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_pf_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PF_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-MNI152_Area-PF_PM-v9.4",
    name="Area PF (IPL)",
    version_identifier="v2.4-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_s24_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-s24_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-s24_PM-v16.1",
    name="Area s24 (sACC)",
    version_identifier="v2.4-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_s32_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-s32_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-s32_PM-v16.1",
    name="Area s32 (sACC)",
    version_identifier="v2.4-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_sts1_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-STS1_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.4-MNI152_Area-STS1_PM-v3.1",
    name="Area STS1 (STS)",
    version_identifier="v2.4-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_sts2_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-STS2_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.4-MNI152_Area-STS2_PM-v3.1",
    name="Area STS2 (STS)",
    version_identifier="v2.4-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_te_1_0_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TE-1.0_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-TE-1.0_PM-v5.1",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v2.4-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_te_1_1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TE-1.1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-TE-1.1_PM-v5.1",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v2.4-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_te_1_2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TE-1.2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-TE-1.2_PM-v5.1",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v2.4-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_te_2_1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TE-2.1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-TE-2.1_PM-v5.1",
    name="Area TE 2.1 (STG)",
    version_identifier="v2.4-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_te_2_2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TE-2.2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-TE-2.2_PM-v5.1",
    name="Area TE 2.2 (STG)",
    version_identifier="v2.4-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_te_3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TE-3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-TE-3_PM-v5.1",
    name="Area TE 3 (STG)",
    version_identifier="v2.4-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_ti_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TI_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.4-MNI152_Area-TI_PM-v5.1",
    name="Area TI (STG)",
    version_identifier="v2.4-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__ch_123_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Ch-123_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v2.4-MNI152_Ch-123_PM-v4.2",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v2.4-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_4_mni152__ch_4_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Ch-4_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v2.4-MNI152_Ch-4_PM-v4.2",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v2.4-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_4_mni152__dorsal__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.4-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v2.4-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_4_mni152__entorhinal__cortex_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Entorhinal-Cortex_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-MNI152_Entorhinal-Cortex_PM-v11.1",
    name="Entorhinal Cortex",
    version_identifier="v2.4-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__fastigial__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Fastigial-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.4-MNI152_Fastigial-Nucleus_PM-v6.2",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v2.4-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_4_mni152__frontal_i_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Frontal-I_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.4-MNI152_Frontal-I_PM-v9.2",
    name="Frontal-I (GapMap)",
    version_identifier="v2.4-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_4_mni152__frontal_ii_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Frontal-II_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.4-MNI152_Frontal-II_PM-v9.2",
    name="Frontal-II (GapMap)",
    version_identifier="v2.4-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_4_mni152__frontal_to__occipital_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Frontal-to-Occipital_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.4-MNI152_Frontal-to-Occipital_PM-v9.2",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v2.4-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_4_mni152__frontal_to__temporal_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Frontal-to-Temporal_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.4-MNI152_Frontal-to-Temporal_PM-v9.2",
    name="Frontal-to-Temporal (GapMap)",
    version_identifier="v2.4-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_4_mni152__interposed__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Interposed-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.4-MNI152_Interposed-Nucleus_PM-v6.2",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v2.4-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_4_mni152__subiculum_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Subiculum_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-MNI152_Subiculum_PM-v11.1",
    name="Subiculum (Hippocampus)",
    version_identifier="v2.4-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__temporal_to__parietal_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Temporal-to-Parietal_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.4-MNI152_Temporal-to-Parietal_PM-v9.2",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v2.4-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_4_mni152__ventral__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Ventral-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.4-MNI152_Ventral-Dentate-Nucleus_PM-v6.2",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v2.4-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_4_mni152_ca1_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_CA1_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-MNI152_CA1_PM-v11.1",
    name="CA1 (Hippocampus)",
    version_identifier="v2.4-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4_mni152_ca2_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_CA2_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-MNI152_CA2_PM-v11.1",
    name="CA2 (Hippocampus)",
    version_identifier="v2.4-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4_mni152_ca3_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_CA3_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-MNI152_CA3_PM-v11.1",
    name="CA3 (Hippocampus)",
    version_identifier="v2.4-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4_mni152_cm_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_CM_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.4-MNI152_CM_PM-v6.4",
    name="CM (Amygdala)",
    version_identifier="v2.4-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_4_mni152_dg_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_DG_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-MNI152_DG_PM-v11.1",
    name="DG (Hippocampus)",
    version_identifier="v2.4-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4_mni152_hata_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_HATA_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-MNI152_HATA_PM-v11.1",
    name="HATA (Hippocampus)",
    version_identifier="v2.4-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4_mni152_if_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_IF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.4-MNI152_IF_PM-v6.4",
    name="IF (Amygdala)",
    version_identifier="v2.4-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_4_mni152_lb_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_LB_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.4-MNI152_LB_PM-v6.4",
    name="LB (Amygdala)",
    version_identifier="v2.4-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_4_mni152_mf_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_MF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.4-MNI152_MF_PM-v6.4",
    name="MF (Amygdala)",
    version_identifier="v2.4-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_4_mni152_sf_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_SF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.4-MNI152_SF_PM-v6.4",
    name="SF (Amygdala)",
    version_identifier="v2.4-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_4_mni152_vtm_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_VTM_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.4-MNI152_VTM_PM-v6.4",
    name="VTM (Amygdala)",
    version_identifier="v2.4-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_1_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-1_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-1_PM-v10.0",
    name="Area 1 (PostCG)",
    version_identifier="v2.5-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_25_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-25_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-25_PM-v18.0",
    name="Area 25 (sACC)",
    version_identifier="v2.5-Colin27, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_2_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-2_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-2_PM-v5.0",
    name="Area 2 (PostCS)",
    version_identifier="v2.5-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_33_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-33_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-33_PM-v18.0",
    name="Area 33 (ACC)",
    version_identifier="v2.5-Colin27, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_3a_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-3a_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-3a_PM-v10.0",
    name="Area 3a (PostCG)",
    version_identifier="v2.5-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_3b_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-3b_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-3b_PM-v10.0",
    name="Area 3b (PostCG)",
    version_identifier="v2.5-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_44_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-44_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-44_PM-v9.0",
    name="Area 44 (IFG)",
    version_identifier="v2.5-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_45_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-45_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-45_PM-v9.0",
    name="Area 45 (IFG)",
    version_identifier="v2.5-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_4a_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-4a_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-4a_PM-v11.0",
    name="Area 4a (PreCG)",
    version_identifier="v2.5-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_4p_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-4p_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-4p_PM-v11.0",
    name="Area 4p (PreCG)",
    version_identifier="v2.5-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_5_ci_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-5Ci_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-5Ci_PM-v9.0",
    name="Area 5Ci (SPL)",
    version_identifier="v2.5-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_5_l_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-5L_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-5L_PM-v9.0",
    name="Area 5L (SPL)",
    version_identifier="v2.5-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_5_m_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-5M_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-5M_PM-v9.0",
    name="Area 5M (SPL)",
    version_identifier="v2.5-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_6d1_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-6d1_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-6d1_PM-v5.0",
    name="Area 6d1 (PreCG)",
    version_identifier="v2.5-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_6d2_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-6d2_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-6d2_PM-v5.0",
    name="Area 6d2 (PreCG)",
    version_identifier="v2.5-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_6d3_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-6d3_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v2.5-Colin27_Area-6d3_PM-v5.0",
    name="Area 6d3 (SFS)",
    version_identifier="v2.5-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_6ma_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-6ma_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v2.5-Colin27_Area-6ma_PM-v10.0",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v2.5-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_6mp_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-6mp_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-6mp_PM-v10.0",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v2.5-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_7_a_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-7A_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-7A_PM-v9.0",
    name="Area 7A (SPL)",
    version_identifier="v2.5-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_7_m_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-7M_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-7M_PM-v9.0",
    name="Area 7M (SPL)",
    version_identifier="v2.5-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_7_p_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-7P_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-7P_PM-v9.0",
    name="Area 7P (SPL)",
    version_identifier="v2.5-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_7_pc_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-7PC_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-7PC_PM-v9.0",
    name="Area 7PC (SPL)",
    version_identifier="v2.5-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__fo1_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo1_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-Fo1_PM-v5.0",
    name="Area Fo1 (OFC)",
    version_identifier="v2.5-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__fo2_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo2_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-Fo2_PM-v5.0",
    name="Area Fo2 (OFC)",
    version_identifier="v2.5-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__fo3_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo3_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-Fo3_PM-v5.0",
    name="Area Fo3 (OFC)",
    version_identifier="v2.5-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__fo4_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo4_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-Fo4_PM-v3.0",
    name="Area Fo4 (OFC)",
    version_identifier="v2.5-Colin27, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__fo5_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo5_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-Fo5_PM-v3.0",
    name="Area Fo5 (OFC)",
    version_identifier="v2.5-Colin27, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__fo6_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo6_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-Fo6_PM-v3.0",
    name="Area Fo6 (OFC)",
    version_identifier="v2.5-Colin27, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__fo7_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo7_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-Fo7_PM-v3.0",
    name="Area Fo7 (OFC)",
    version_identifier="v2.5-Colin27, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__fp1_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fp1_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.5-Colin27_Area-Fp1_PM-v4.0",
    name="Area Fp1 (FPole)",
    version_identifier="v2.5-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__fp2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fp2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.5-Colin27_Area-Fp2_PM-v4.0",
    name="Area Fp2 (FPole)",
    version_identifier="v2.5-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__ia_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Ia_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.5-Colin27_Area-Ia_PM-v4.0",
    name="Area Ia (Insula)",
    version_identifier="v2.5-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__id1_pm_v14_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id1_PM-v14.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-Colin27_Area-Id1_PM-v14.0",
    name="Area Id1 (Insula)",
    version_identifier="v2.5-Colin27, PM-v14.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__id2_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id2_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-Colin27_Area-Id2_PM-v8.0",
    name="Area Id2 (Insula)",
    version_identifier="v2.5-Colin27, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__id3_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id3_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-Colin27_Area-Id3_PM-v8.0",
    name="Area Id3 (Insula)",
    version_identifier="v2.5-Colin27, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__id4_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id4_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-Colin27_Area-Id4_PM-v4.0",
    name="Area Id4 (Insula)",
    version_identifier="v2.5-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__id5_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id5_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-Colin27_Area-Id5_PM-v4.0",
    name="Area Id5 (Insula)",
    version_identifier="v2.5-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__id6_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id6_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-Colin27_Area-Id6_PM-v4.0",
    name="Area Id6 (Insula)",
    version_identifier="v2.5-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__id7_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id7_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-Colin27_Area-Id7_PM-v7.0",
    name="Area Id7 (Insula)",
    version_identifier="v2.5-Colin27, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__ig1_pm_v14_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Ig1_PM-v14.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.5-Colin27_Area-Ig1_PM-v14.0",
    name="Area Ig1 (Insula)",
    version_identifier="v2.5-Colin27, PM-v14.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__ig2_pm_v14_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Ig2_PM-v14.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.5-Colin27_Area-Ig2_PM-v14.0",
    name="Area Ig2 (Insula)",
    version_identifier="v2.5-Colin27, PM-v14.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__ig3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Ig3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.5-Colin27_Area-Ig3_PM-v4.0",
    name="Area Ig3 (Insula)",
    version_identifier="v2.5-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__te_i_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TeI_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.5-Colin27_Area-TeI_PM-v6.0",
    name="Area TeI (STG)",
    version_identifier="v2.5-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_fg1_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-FG1_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-FG1_PM-v3.0",
    name="Area FG1 (FusG)",
    version_identifier="v2.5-Colin27, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_fg2_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-FG2_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-FG2_PM-v3.0",
    name="Area FG2 (FusG)",
    version_identifier="v2.5-Colin27, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_fg3_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-FG3_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-FG3_PM-v7.0",
    name="Area FG3 (FusG)",
    version_identifier="v2.5-Colin27, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_fg4_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-FG4_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-FG4_PM-v7.0",
    name="Area FG4 (FusG)",
    version_identifier="v2.5-Colin27, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_ip1_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP1_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-Colin27_Area-hIP1_PM-v7.0",
    name="Area hIP1 (IPS)",
    version_identifier="v2.5-Colin27, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_ip2_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP2_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-Colin27_Area-hIP2_PM-v7.0",
    name="Area hIP2 (IPS)",
    version_identifier="v2.5-Colin27, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_ip3_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP3_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-Colin27_Area-hIP3_PM-v9.0",
    name="Area hIP3 (IPS)",
    version_identifier="v2.5-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_ip4_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP4_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-Colin27_Area-hIP4_PM-v7.1",
    name="Area hIP4 (IPS)",
    version_identifier="v2.5-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_ip5_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP5_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-Colin27_Area-hIP5_PM-v7.1",
    name="Area hIP5 (IPS)",
    version_identifier="v2.5-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_ip6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-Colin27_Area-hIP6_PM-v7.1",
    name="Area hIP6 (IPS)",
    version_identifier="v2.5-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_ip7_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP7_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-Colin27_Area-hIP7_PM-v7.1",
    name="Area hIP7 (IPS)",
    version_identifier="v2.5-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_ip8_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP8_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-Colin27_Area-hIP8_PM-v7.1",
    name="Area hIP8 (IPS)",
    version_identifier="v2.5-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_oc1_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc1_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-hOc1_PM-v4.0",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v2.5-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_oc2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-hOc2_PM-v4.0",
    name="Area hOc2 (V2, 18)",
    version_identifier="v2.5-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_oc3d_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc3d_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-hOc3d_PM-v4.0",
    name="Area hOc3d (Cuneus)",
    version_identifier="v2.5-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_oc3v_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc3v_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-hOc3v_PM-v5.0",
    name="Area hOc3v (LingG)",
    version_identifier="v2.5-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_oc4d_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc4d_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-hOc4d_PM-v4.0",
    name="Area hOc4d (Cuneus)",
    version_identifier="v2.5-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_oc4la_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc4la_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-hOc4la_PM-v5.0",
    name="Area hOc4la (LOC)",
    version_identifier="v2.5-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_oc4lp_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc4lp_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-hOc4lp_PM-v5.0",
    name="Area hOc4lp (LOC)",
    version_identifier="v2.5-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_oc4v_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc4v_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-hOc4v_PM-v5.0",
    name="Area hOc4v (LingG)",
    version_identifier="v2.5-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_oc5_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc5_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-hOc5_PM-v4.0",
    name="Area hOc5 (LOC)",
    version_identifier="v2.5-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_oc6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-hOc6_PM-v7.1",
    name="Area hOc6 (POS)",
    version_identifier="v2.5-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_po1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hPO1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v2.5-Colin27_Area-hPO1_PM-v7.1",
    name="Area hPO1 (POS)",
    version_identifier="v2.5-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_op1_pm_v12_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP1_PM-v12.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.5-Colin27_Area-OP1_PM-v12.0",
    name="Area OP1 (POperc)",
    version_identifier="v2.5-Colin27, PM-v12.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_op2_pm_v12_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP2_PM-v12.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.5-Colin27_Area-OP2_PM-v12.0",
    name="Area OP2 (POperc)",
    version_identifier="v2.5-Colin27, PM-v12.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_op3_pm_v12_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP3_PM-v12.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.5-Colin27_Area-OP3_PM-v12.0",
    name="Area OP3 (POperc)",
    version_identifier="v2.5-Colin27, PM-v12.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_op4_pm_v12_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP4_PM-v12.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.5-Colin27_Area-OP4_PM-v12.0",
    name="Area OP4 (POperc)",
    version_identifier="v2.5-Colin27, PM-v12.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_op5_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP5_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.5-Colin27_Area-OP5_PM-v3.0",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v2.5-Colin27, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_op6_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP6_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.5-Colin27_Area-OP6_PM-v3.0",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v2.5-Colin27, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_op7_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP7_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.5-Colin27_Area-OP7_PM-v3.0",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v2.5-Colin27, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_op8_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP8_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.5-Colin27_Area-OP8_PM-v6.0",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v2.5-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_op9_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP9_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.5-Colin27_Area-OP9_PM-v6.0",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v2.5-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_p24ab_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-p24ab_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-p24ab_PM-v18.0",
    name="Area p24ab (pACC)",
    version_identifier="v2.5-Colin27, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_p24c_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-p24c_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-p24c_PM-v18.0",
    name="Area p24c (pACC)",
    version_identifier="v2.5-Colin27, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_p32_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-p32_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-p32_PM-v18.0",
    name="Area p32 (pACC)",
    version_identifier="v2.5-Colin27, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_p_fcm_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PFcm_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-PFcm_PM-v11.0",
    name="Area PFcm (IPL)",
    version_identifier="v2.5-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_p_fm_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PFm_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-PFm_PM-v11.0",
    name="Area PFm (IPL)",
    version_identifier="v2.5-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_p_fop_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PFop_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-PFop_PM-v11.0",
    name="Area PFop (IPL)",
    version_identifier="v2.5-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_p_ft_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PFt_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-PFt_PM-v11.0",
    name="Area PFt (IPL)",
    version_identifier="v2.5-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_p_ga_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PGa_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-PGa_PM-v11.0",
    name="Area PGa (IPL)",
    version_identifier="v2.5-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_p_gp_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PGp_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-PGp_PM-v11.0",
    name="Area PGp (IPL)",
    version_identifier="v2.5-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_pf_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PF_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-PF_PM-v11.0",
    name="Area PF (IPL)",
    version_identifier="v2.5-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_s24_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-s24_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-s24_PM-v18.0",
    name="Area s24 (sACC)",
    version_identifier="v2.5-Colin27, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_s32_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-s32_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-s32_PM-v18.0",
    name="Area s32 (sACC)",
    version_identifier="v2.5-Colin27, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_sts1_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-STS1_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.5-Colin27_Area-STS1_PM-v5.0",
    name="Area STS1 (STS)",
    version_identifier="v2.5-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_sts2_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-STS2_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.5-Colin27_Area-STS2_PM-v5.0",
    name="Area STS2 (STS)",
    version_identifier="v2.5-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_te_1_0_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TE-1.0_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-TE-1.0_PM-v6.0",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v2.5-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_te_1_1_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TE-1.1_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-TE-1.1_PM-v6.0",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v2.5-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_te_1_2_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TE-1.2_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-TE-1.2_PM-v6.0",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v2.5-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_te_2_1_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TE-2.1_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-TE-2.1_PM-v6.0",
    name="Area TE 2.1 (STG)",
    version_identifier="v2.5-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_te_2_2_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TE-2.2_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-TE-2.2_PM-v6.0",
    name="Area TE 2.2 (STG)",
    version_identifier="v2.5-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_te_3_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TE-3_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-TE-3_PM-v6.0",
    name="Area TE 3 (STG)",
    version_identifier="v2.5-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_ti_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TI_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.5-Colin27_Area-TI_PM-v6.0",
    name="Area TI (STG)",
    version_identifier="v2.5-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__ch_123_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Ch-123_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v2.5-Colin27_Ch-123_PM-v4.2",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v2.5-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_5__colin27__ch_4_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Ch-4_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v2.5-Colin27_Ch-4_PM-v4.2",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v2.5-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_5__colin27__dorsal__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Dorsal-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.5-Colin27_Dorsal-Dentate-Nucleus_PM-v6.2",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v2.5-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_5__colin27__entorhinal__cortex_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Entorhinal-Cortex_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-Colin27_Entorhinal-Cortex_PM-v13.0",
    name="Entorhinal Cortex",
    version_identifier="v2.5-Colin27, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__fastigial__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Fastigial-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.5-Colin27_Fastigial-Nucleus_PM-v6.2",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v2.5-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_5__colin27__frontal_i_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Frontal-I_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.5-Colin27_Frontal-I_PM-v10.0",
    name="Frontal-I (GapMap)",
    version_identifier="v2.5-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__frontal_ii_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Frontal-II_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.5-Colin27_Frontal-II_PM-v10.0",
    name="Frontal-II (GapMap)",
    version_identifier="v2.5-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__frontal_to__occipital_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Frontal-to-Occipital_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.5-Colin27_Frontal-to-Occipital_PM-v10.0",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v2.5-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__frontal_to__temporal_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Frontal-to-Temporal_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.5-Colin27_Frontal-to-Temporal_PM-v10.0",
    name="Frontal-to-Temporal (GapMap)",
    version_identifier="v2.5-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__interposed__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Interposed-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.5-Colin27_Interposed-Nucleus_PM-v6.2",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v2.5-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_5__colin27__subiculum__pa_s_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Subiculum.PaS_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.5-Colin27_Subiculum.PaS_PM-v13.0",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v2.5-Colin27, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__subiculum__pre_s_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Subiculum.PreS_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.5-Colin27_Subiculum.PreS_PM-v13.0",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v2.5-Colin27, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__subiculum__pro_s_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Subiculum.ProS_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.5-Colin27_Subiculum.ProS_PM-v13.0",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v2.5-Colin27, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__subiculum__sub_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Subiculum.Sub_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.5-Colin27_Subiculum.Sub_PM-v13.0",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v2.5-Colin27, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__temporal_to__parietal_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Temporal-to-Parietal_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.5-Colin27_Temporal-to-Parietal_PM-v10.0",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v2.5-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__ventral__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Ventral-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.5-Colin27_Ventral-Dentate-Nucleus_PM-v6.2",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v2.5-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_5__colin27_ca1_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_CA1_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-Colin27_CA1_PM-v13.0",
    name="CA1 (Hippocampus)",
    version_identifier="v2.5-Colin27, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5__colin27_ca2_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_CA2_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-Colin27_CA2_PM-v13.0",
    name="CA2 (Hippocampus)",
    version_identifier="v2.5-Colin27, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5__colin27_ca3_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_CA3_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-Colin27_CA3_PM-v13.0",
    name="CA3 (Hippocampus)",
    version_identifier="v2.5-Colin27, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5__colin27_cm_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_CM_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.5-Colin27_CM_PM-v8.0",
    name="CM (Amygdala)",
    version_identifier="v2.5-Colin27, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_5__colin27_dg_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_DG_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-Colin27_DG_PM-v13.0",
    name="DG (Hippocampus)",
    version_identifier="v2.5-Colin27, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5__colin27_hata_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_HATA_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-Colin27_HATA_PM-v13.0",
    name="HATA (Hippocampus)",
    version_identifier="v2.5-Colin27, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5__colin27_hc__transsubiculum_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_HC-Transsubiculum_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-Colin27_HC-Transsubiculum_PM-v13.0",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v2.5-Colin27, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5__colin27_if_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_IF_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.5-Colin27_IF_PM-v8.1",
    name="IF (Amygdala)",
    version_identifier="v2.5-Colin27, PM-v8.1",
)
ParcellationEntityVersion.jba_v2_5__colin27_lb_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_LB_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.5-Colin27_LB_PM-v8.0",
    name="LB (Amygdala)",
    version_identifier="v2.5-Colin27, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_5__colin27_mf_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_MF_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.5-Colin27_MF_PM-v8.1",
    name="MF (Amygdala)",
    version_identifier="v2.5-Colin27, PM-v8.1",
)
ParcellationEntityVersion.jba_v2_5__colin27_sf_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_SF_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.5-Colin27_SF_PM-v8.0",
    name="SF (Amygdala)",
    version_identifier="v2.5-Colin27, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_5__colin27_vtm_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_VTM_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.5-Colin27_VTM_PM-v8.0",
    name="VTM (Amygdala)",
    version_identifier="v2.5-Colin27, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_1_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-1_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-1_PM-v10.0",
    name="Area 1 (PostCG)",
    version_identifier="v2.5-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_25_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-25_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-25_PM-v18.0",
    name="Area 25 (sACC)",
    version_identifier="v2.5-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_2_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-2_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-2_PM-v5.0",
    name="Area 2 (PostCS)",
    version_identifier="v2.5-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_33_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-33_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-33_PM-v18.0",
    name="Area 33 (ACC)",
    version_identifier="v2.5-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_3a_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-3a_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-3a_PM-v10.0",
    name="Area 3a (PostCG)",
    version_identifier="v2.5-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_3b_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-3b_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-3b_PM-v10.0",
    name="Area 3b (PostCG)",
    version_identifier="v2.5-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_44_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-44_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-44_PM-v9.0",
    name="Area 44 (IFG)",
    version_identifier="v2.5-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_45_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-45_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-45_PM-v9.0",
    name="Area 45 (IFG)",
    version_identifier="v2.5-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_4a_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-4a_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-4a_PM-v11.0",
    name="Area 4a (PreCG)",
    version_identifier="v2.5-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_4p_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-4p_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-4p_PM-v11.0",
    name="Area 4p (PreCG)",
    version_identifier="v2.5-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_5_ci_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-5Ci_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-5Ci_PM-v9.0",
    name="Area 5Ci (SPL)",
    version_identifier="v2.5-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_5_l_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-5L_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-5L_PM-v9.0",
    name="Area 5L (SPL)",
    version_identifier="v2.5-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_5_m_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-5M_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-5M_PM-v9.0",
    name="Area 5M (SPL)",
    version_identifier="v2.5-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_6d1_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-6d1_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-6d1_PM-v5.0",
    name="Area 6d1 (PreCG)",
    version_identifier="v2.5-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_6d2_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-6d2_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-6d2_PM-v5.0",
    name="Area 6d2 (PreCG)",
    version_identifier="v2.5-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_6d3_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-6d3_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v2.5-MNI152_Area-6d3_PM-v5.0",
    name="Area 6d3 (SFS)",
    version_identifier="v2.5-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_6ma_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-6ma_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v2.5-MNI152_Area-6ma_PM-v10.0",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v2.5-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_6mp_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-6mp_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-6mp_PM-v10.0",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v2.5-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_7_a_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-7A_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-7A_PM-v9.0",
    name="Area 7A (SPL)",
    version_identifier="v2.5-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_7_m_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-7M_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-7M_PM-v9.0",
    name="Area 7M (SPL)",
    version_identifier="v2.5-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_7_p_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-7P_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-7P_PM-v9.0",
    name="Area 7P (SPL)",
    version_identifier="v2.5-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_7_pc_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-7PC_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-7PC_PM-v9.0",
    name="Area 7PC (SPL)",
    version_identifier="v2.5-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__fo1_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo1_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-Fo1_PM-v5.0",
    name="Area Fo1 (OFC)",
    version_identifier="v2.5-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__fo2_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo2_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-Fo2_PM-v5.0",
    name="Area Fo2 (OFC)",
    version_identifier="v2.5-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__fo3_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo3_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-Fo3_PM-v5.0",
    name="Area Fo3 (OFC)",
    version_identifier="v2.5-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__fo4_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo4_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-Fo4_PM-v3.0",
    name="Area Fo4 (OFC)",
    version_identifier="v2.5-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__fo5_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo5_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-Fo5_PM-v3.0",
    name="Area Fo5 (OFC)",
    version_identifier="v2.5-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__fo6_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo6_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-Fo6_PM-v3.0",
    name="Area Fo6 (OFC)",
    version_identifier="v2.5-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__fo7_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo7_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-Fo7_PM-v3.0",
    name="Area Fo7 (OFC)",
    version_identifier="v2.5-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__fp1_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fp1_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.5-MNI152_Area-Fp1_PM-v4.0",
    name="Area Fp1 (FPole)",
    version_identifier="v2.5-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__fp2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fp2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.5-MNI152_Area-Fp2_PM-v4.0",
    name="Area Fp2 (FPole)",
    version_identifier="v2.5-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__ia_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Ia_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.5-MNI152_Area-Ia_PM-v4.0",
    name="Area Ia (Insula)",
    version_identifier="v2.5-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__id1_pm_v14_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id1_PM-v14.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-MNI152_Area-Id1_PM-v14.0",
    name="Area Id1 (Insula)",
    version_identifier="v2.5-MNI152, PM-v14.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__id2_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id2_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-MNI152_Area-Id2_PM-v8.0",
    name="Area Id2 (Insula)",
    version_identifier="v2.5-MNI152, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__id3_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id3_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-MNI152_Area-Id3_PM-v8.0",
    name="Area Id3 (Insula)",
    version_identifier="v2.5-MNI152, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__id4_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id4_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-MNI152_Area-Id4_PM-v4.0",
    name="Area Id4 (Insula)",
    version_identifier="v2.5-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__id5_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id5_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-MNI152_Area-Id5_PM-v4.0",
    name="Area Id5 (Insula)",
    version_identifier="v2.5-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__id6_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id6_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-MNI152_Area-Id6_PM-v4.0",
    name="Area Id6 (Insula)",
    version_identifier="v2.5-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__id7_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id7_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-MNI152_Area-Id7_PM-v7.0",
    name="Area Id7 (Insula)",
    version_identifier="v2.5-MNI152, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__ig1_pm_v14_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Ig1_PM-v14.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.5-MNI152_Area-Ig1_PM-v14.0",
    name="Area Ig1 (Insula)",
    version_identifier="v2.5-MNI152, PM-v14.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__ig2_pm_v14_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Ig2_PM-v14.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.5-MNI152_Area-Ig2_PM-v14.0",
    name="Area Ig2 (Insula)",
    version_identifier="v2.5-MNI152, PM-v14.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__ig3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Ig3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.5-MNI152_Area-Ig3_PM-v4.0",
    name="Area Ig3 (Insula)",
    version_identifier="v2.5-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__te_i_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TeI_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.5-MNI152_Area-TeI_PM-v6.0",
    name="Area TeI (STG)",
    version_identifier="v2.5-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_fg1_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-FG1_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-FG1_PM-v3.0",
    name="Area FG1 (FusG)",
    version_identifier="v2.5-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_fg2_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-FG2_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-FG2_PM-v3.0",
    name="Area FG2 (FusG)",
    version_identifier="v2.5-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_fg3_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-FG3_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-FG3_PM-v7.0",
    name="Area FG3 (FusG)",
    version_identifier="v2.5-MNI152, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_fg4_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-FG4_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-FG4_PM-v7.0",
    name="Area FG4 (FusG)",
    version_identifier="v2.5-MNI152, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_ip1_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP1_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-MNI152_Area-hIP1_PM-v7.0",
    name="Area hIP1 (IPS)",
    version_identifier="v2.5-MNI152, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_ip2_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP2_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-MNI152_Area-hIP2_PM-v7.0",
    name="Area hIP2 (IPS)",
    version_identifier="v2.5-MNI152, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_ip3_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP3_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-MNI152_Area-hIP3_PM-v9.0",
    name="Area hIP3 (IPS)",
    version_identifier="v2.5-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_ip4_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP4_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-MNI152_Area-hIP4_PM-v7.1",
    name="Area hIP4 (IPS)",
    version_identifier="v2.5-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_ip5_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP5_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-MNI152_Area-hIP5_PM-v7.1",
    name="Area hIP5 (IPS)",
    version_identifier="v2.5-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_ip6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-MNI152_Area-hIP6_PM-v7.1",
    name="Area hIP6 (IPS)",
    version_identifier="v2.5-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_ip7_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP7_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-MNI152_Area-hIP7_PM-v7.1",
    name="Area hIP7 (IPS)",
    version_identifier="v2.5-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_ip8_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP8_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-MNI152_Area-hIP8_PM-v7.1",
    name="Area hIP8 (IPS)",
    version_identifier="v2.5-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_oc1_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc1_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-hOc1_PM-v4.0",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v2.5-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_oc2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-hOc2_PM-v4.0",
    name="Area hOc2 (V2, 18)",
    version_identifier="v2.5-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_oc3d_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc3d_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-hOc3d_PM-v4.0",
    name="Area hOc3d (Cuneus)",
    version_identifier="v2.5-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_oc3v_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc3v_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-hOc3v_PM-v5.0",
    name="Area hOc3v (LingG)",
    version_identifier="v2.5-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_oc4d_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc4d_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-hOc4d_PM-v4.0",
    name="Area hOc4d (Cuneus)",
    version_identifier="v2.5-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_oc4la_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc4la_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-hOc4la_PM-v5.0",
    name="Area hOc4la (LOC)",
    version_identifier="v2.5-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_oc4lp_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc4lp_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-hOc4lp_PM-v5.0",
    name="Area hOc4lp (LOC)",
    version_identifier="v2.5-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_oc4v_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc4v_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-hOc4v_PM-v5.0",
    name="Area hOc4v (LingG)",
    version_identifier="v2.5-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_oc5_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc5_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-hOc5_PM-v4.0",
    name="Area hOc5 (LOC)",
    version_identifier="v2.5-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_oc6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-hOc6_PM-v7.1",
    name="Area hOc6 (POS)",
    version_identifier="v2.5-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_po1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hPO1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v2.5-MNI152_Area-hPO1_PM-v7.1",
    name="Area hPO1 (POS)",
    version_identifier="v2.5-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_op1_pm_v12_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP1_PM-v12.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.5-MNI152_Area-OP1_PM-v12.0",
    name="Area OP1 (POperc)",
    version_identifier="v2.5-MNI152, PM-v12.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_op2_pm_v12_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP2_PM-v12.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.5-MNI152_Area-OP2_PM-v12.0",
    name="Area OP2 (POperc)",
    version_identifier="v2.5-MNI152, PM-v12.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_op3_pm_v12_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP3_PM-v12.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.5-MNI152_Area-OP3_PM-v12.0",
    name="Area OP3 (POperc)",
    version_identifier="v2.5-MNI152, PM-v12.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_op4_pm_v12_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP4_PM-v12.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.5-MNI152_Area-OP4_PM-v12.0",
    name="Area OP4 (POperc)",
    version_identifier="v2.5-MNI152, PM-v12.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_op5_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP5_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.5-MNI152_Area-OP5_PM-v3.0",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v2.5-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_op6_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP6_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.5-MNI152_Area-OP6_PM-v3.0",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v2.5-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_op7_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP7_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.5-MNI152_Area-OP7_PM-v3.0",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v2.5-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_op8_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP8_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.5-MNI152_Area-OP8_PM-v6.0",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v2.5-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_op9_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP9_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.5-MNI152_Area-OP9_PM-v6.0",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v2.5-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_p24ab_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-p24ab_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-p24ab_PM-v18.0",
    name="Area p24ab (pACC)",
    version_identifier="v2.5-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_p24c_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-p24c_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-p24c_PM-v18.0",
    name="Area p24c (pACC)",
    version_identifier="v2.5-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_p32_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-p32_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-p32_PM-v18.0",
    name="Area p32 (pACC)",
    version_identifier="v2.5-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_p_fcm_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PFcm_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-PFcm_PM-v11.0",
    name="Area PFcm (IPL)",
    version_identifier="v2.5-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_p_fm_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PFm_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-PFm_PM-v11.0",
    name="Area PFm (IPL)",
    version_identifier="v2.5-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_p_fop_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PFop_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-PFop_PM-v11.0",
    name="Area PFop (IPL)",
    version_identifier="v2.5-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_p_ft_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PFt_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-PFt_PM-v11.0",
    name="Area PFt (IPL)",
    version_identifier="v2.5-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_p_ga_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PGa_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-PGa_PM-v11.0",
    name="Area PGa (IPL)",
    version_identifier="v2.5-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_p_gp_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PGp_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-PGp_PM-v11.0",
    name="Area PGp (IPL)",
    version_identifier="v2.5-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_pf_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PF_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-PF_PM-v11.0",
    name="Area PF (IPL)",
    version_identifier="v2.5-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_s24_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-s24_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-s24_PM-v18.0",
    name="Area s24 (sACC)",
    version_identifier="v2.5-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_s32_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-s32_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-s32_PM-v18.0",
    name="Area s32 (sACC)",
    version_identifier="v2.5-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_sts1_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-STS1_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.5-MNI152_Area-STS1_PM-v5.0",
    name="Area STS1 (STS)",
    version_identifier="v2.5-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_sts2_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-STS2_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.5-MNI152_Area-STS2_PM-v5.0",
    name="Area STS2 (STS)",
    version_identifier="v2.5-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_te_1_0_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TE-1.0_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-TE-1.0_PM-v6.0",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v2.5-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_te_1_1_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TE-1.1_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-TE-1.1_PM-v6.0",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v2.5-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_te_1_2_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TE-1.2_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-TE-1.2_PM-v6.0",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v2.5-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_te_2_1_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TE-2.1_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-TE-2.1_PM-v6.0",
    name="Area TE 2.1 (STG)",
    version_identifier="v2.5-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_te_2_2_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TE-2.2_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-TE-2.2_PM-v6.0",
    name="Area TE 2.2 (STG)",
    version_identifier="v2.5-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_te_3_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TE-3_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-TE-3_PM-v6.0",
    name="Area TE 3 (STG)",
    version_identifier="v2.5-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_ti_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TI_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.5-MNI152_Area-TI_PM-v6.0",
    name="Area TI (STG)",
    version_identifier="v2.5-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__ch_123_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Ch-123_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v2.5-MNI152_Ch-123_PM-v4.2",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v2.5-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_5_mni152__ch_4_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Ch-4_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v2.5-MNI152_Ch-4_PM-v4.2",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v2.5-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_5_mni152__dorsal__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.5-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v2.5-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_5_mni152__entorhinal__cortex_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Entorhinal-Cortex_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-MNI152_Entorhinal-Cortex_PM-v13.0",
    name="Entorhinal Cortex",
    version_identifier="v2.5-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__fastigial__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Fastigial-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.5-MNI152_Fastigial-Nucleus_PM-v6.2",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v2.5-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_5_mni152__frontal_i_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Frontal-I_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.5-MNI152_Frontal-I_PM-v10.0",
    name="Frontal-I (GapMap)",
    version_identifier="v2.5-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__frontal_ii_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Frontal-II_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.5-MNI152_Frontal-II_PM-v10.0",
    name="Frontal-II (GapMap)",
    version_identifier="v2.5-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__frontal_to__occipital_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Frontal-to-Occipital_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.5-MNI152_Frontal-to-Occipital_PM-v10.0",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v2.5-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__frontal_to__temporal_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Frontal-to-Temporal_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.5-MNI152_Frontal-to-Temporal_PM-v10.0",
    name="Frontal-to-Temporal (GapMap)",
    version_identifier="v2.5-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__interposed__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Interposed-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.5-MNI152_Interposed-Nucleus_PM-v6.2",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v2.5-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_5_mni152__subiculum__pa_s_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Subiculum.PaS_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.5-MNI152_Subiculum.PaS_PM-v13.0",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v2.5-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__subiculum__pre_s_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Subiculum.PreS_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.5-MNI152_Subiculum.PreS_PM-v13.0",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v2.5-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__subiculum__pro_s_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Subiculum.ProS_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.5-MNI152_Subiculum.ProS_PM-v13.0",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v2.5-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__subiculum__sub_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Subiculum.Sub_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.5-MNI152_Subiculum.Sub_PM-v13.0",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v2.5-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__temporal_to__parietal_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Temporal-to-Parietal_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.5-MNI152_Temporal-to-Parietal_PM-v10.0",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v2.5-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__ventral__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Ventral-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.5-MNI152_Ventral-Dentate-Nucleus_PM-v6.2",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v2.5-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_5_mni152_ca1_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_CA1_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-MNI152_CA1_PM-v13.0",
    name="CA1 (Hippocampus)",
    version_identifier="v2.5-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5_mni152_ca2_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_CA2_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-MNI152_CA2_PM-v13.0",
    name="CA2 (Hippocampus)",
    version_identifier="v2.5-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5_mni152_ca3_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_CA3_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-MNI152_CA3_PM-v13.0",
    name="CA3 (Hippocampus)",
    version_identifier="v2.5-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5_mni152_cm_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_CM_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.5-MNI152_CM_PM-v8.0",
    name="CM (Amygdala)",
    version_identifier="v2.5-MNI152, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_5_mni152_dg_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_DG_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-MNI152_DG_PM-v13.0",
    name="DG (Hippocampus)",
    version_identifier="v2.5-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5_mni152_hata_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_HATA_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-MNI152_HATA_PM-v13.0",
    name="HATA (Hippocampus)",
    version_identifier="v2.5-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5_mni152_hc__transsubiculum_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_HC-Transsubiculum_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-MNI152_HC-Transsubiculum_PM-v13.0",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v2.5-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5_mni152_if_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_IF_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.5-MNI152_IF_PM-v8.1",
    name="IF (Amygdala)",
    version_identifier="v2.5-MNI152, PM-v8.1",
)
ParcellationEntityVersion.jba_v2_5_mni152_lb_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_LB_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.5-MNI152_LB_PM-v8.0",
    name="LB (Amygdala)",
    version_identifier="v2.5-MNI152, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_5_mni152_mf_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_MF_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.5-MNI152_MF_PM-v8.1",
    name="MF (Amygdala)",
    version_identifier="v2.5-MNI152, PM-v8.1",
)
ParcellationEntityVersion.jba_v2_5_mni152_sf_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_SF_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.5-MNI152_SF_PM-v8.0",
    name="SF (Amygdala)",
    version_identifier="v2.5-MNI152, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_5_mni152_vtm_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_VTM_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.5-MNI152_VTM_PM-v8.0",
    name="VTM (Amygdala)",
    version_identifier="v2.5-MNI152, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_1_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-1_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-1_PM-v10.0",
    name="Area 1 (PostCG)",
    version_identifier="v2.6-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_25_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-25_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-25_PM-v18.0",
    name="Area 25 (sACC)",
    version_identifier="v2.6-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_2_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-2_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-2_PM-v5.0",
    name="Area 2 (PostCS)",
    version_identifier="v2.6-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_33_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-33_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-33_PM-v18.0",
    name="Area 33 (ACC)",
    version_identifier="v2.6-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_3a_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-3a_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-3a_PM-v10.0",
    name="Area 3a (PostCG)",
    version_identifier="v2.6-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_3b_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-3b_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-3b_PM-v10.0",
    name="Area 3b (PostCG)",
    version_identifier="v2.6-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_44_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-44_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-44_PM-v9.0",
    name="Area 44 (IFG)",
    version_identifier="v2.6-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_45_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-45_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-45_PM-v9.0",
    name="Area 45 (IFG)",
    version_identifier="v2.6-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_4a_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-4a_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-4a_PM-v11.0",
    name="Area 4a (PreCG)",
    version_identifier="v2.6-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_4p_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-4p_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-4p_PM-v11.0",
    name="Area 4p (PreCG)",
    version_identifier="v2.6-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_5_ci_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-5Ci_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-5Ci_PM-v9.0",
    name="Area 5Ci (SPL)",
    version_identifier="v2.6-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_5_l_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-5L_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-5L_PM-v9.0",
    name="Area 5L (SPL)",
    version_identifier="v2.6-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_5_m_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-5M_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-5M_PM-v9.0",
    name="Area 5M (SPL)",
    version_identifier="v2.6-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_6d1_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-6d1_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-6d1_PM-v5.0",
    name="Area 6d1 (PreCG)",
    version_identifier="v2.6-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_6d2_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-6d2_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-6d2_PM-v5.0",
    name="Area 6d2 (PreCG)",
    version_identifier="v2.6-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_6d3_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-6d3_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v2.6-MNI152_Area-6d3_PM-v5.0",
    name="Area 6d3 (SFS)",
    version_identifier="v2.6-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_6ma_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-6ma_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v2.6-MNI152_Area-6ma_PM-v10.0",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v2.6-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_6mp_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-6mp_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-6mp_PM-v10.0",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v2.6-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_7_a_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-7A_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-7A_PM-v9.0",
    name="Area 7A (SPL)",
    version_identifier="v2.6-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_7_m_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-7M_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-7M_PM-v9.0",
    name="Area 7M (SPL)",
    version_identifier="v2.6-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_7_p_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-7P_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-7P_PM-v9.0",
    name="Area 7P (SPL)",
    version_identifier="v2.6-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_7_pc_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-7PC_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-7PC_PM-v9.0",
    name="Area 7PC (SPL)",
    version_identifier="v2.6-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__fo1_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo1_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-Fo1_PM-v5.0",
    name="Area Fo1 (OFC)",
    version_identifier="v2.6-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__fo2_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo2_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-Fo2_PM-v5.0",
    name="Area Fo2 (OFC)",
    version_identifier="v2.6-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__fo3_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo3_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-Fo3_PM-v5.0",
    name="Area Fo3 (OFC)",
    version_identifier="v2.6-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__fo4_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo4_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-Fo4_PM-v3.0",
    name="Area Fo4 (OFC)",
    version_identifier="v2.6-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__fo5_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo5_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-Fo5_PM-v3.0",
    name="Area Fo5 (OFC)",
    version_identifier="v2.6-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__fo6_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo6_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-Fo6_PM-v3.0",
    name="Area Fo6 (OFC)",
    version_identifier="v2.6-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__fo7_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo7_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-Fo7_PM-v3.0",
    name="Area Fo7 (OFC)",
    version_identifier="v2.6-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__fp1_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fp1_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.6-MNI152_Area-Fp1_PM-v4.0",
    name="Area Fp1 (FPole)",
    version_identifier="v2.6-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__fp2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fp2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.6-MNI152_Area-Fp2_PM-v4.0",
    name="Area Fp2 (FPole)",
    version_identifier="v2.6-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__ia_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Ia_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.6-MNI152_Area-Ia_PM-v4.0",
    name="Area Ia (Insula)",
    version_identifier="v2.6-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__id1_pm_v14_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id1_PM-v14.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.6-MNI152_Area-Id1_PM-v14.0",
    name="Area Id1 (Insula)",
    version_identifier="v2.6-MNI152, PM-v14.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__id2_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id2_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.6-MNI152_Area-Id2_PM-v8.0",
    name="Area Id2 (Insula)",
    version_identifier="v2.6-MNI152, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__id3_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id3_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.6-MNI152_Area-Id3_PM-v8.0",
    name="Area Id3 (Insula)",
    version_identifier="v2.6-MNI152, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__id4_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id4_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.6-MNI152_Area-Id4_PM-v4.0",
    name="Area Id4 (Insula)",
    version_identifier="v2.6-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__id5_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id5_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.6-MNI152_Area-Id5_PM-v4.0",
    name="Area Id5 (Insula)",
    version_identifier="v2.6-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__id6_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id6_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.6-MNI152_Area-Id6_PM-v4.0",
    name="Area Id6 (Insula)",
    version_identifier="v2.6-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__id7_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id7_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.6-MNI152_Area-Id7_PM-v7.0",
    name="Area Id7 (Insula)",
    version_identifier="v2.6-MNI152, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__ig1_pm_v14_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Ig1_PM-v14.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.6-MNI152_Area-Ig1_PM-v14.0",
    name="Area Ig1 (Insula)",
    version_identifier="v2.6-MNI152, PM-v14.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__ig2_pm_v14_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Ig2_PM-v14.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.6-MNI152_Area-Ig2_PM-v14.0",
    name="Area Ig2 (Insula)",
    version_identifier="v2.6-MNI152, PM-v14.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__ig3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Ig3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.6-MNI152_Area-Ig3_PM-v4.0",
    name="Area Ig3 (Insula)",
    version_identifier="v2.6-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__te_i_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TeI_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.6-MNI152_Area-TeI_PM-v6.0",
    name="Area TeI (STG)",
    version_identifier="v2.6-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_fg1_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-FG1_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-FG1_PM-v3.0",
    name="Area FG1 (FusG)",
    version_identifier="v2.6-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_fg2_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-FG2_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-FG2_PM-v3.0",
    name="Area FG2 (FusG)",
    version_identifier="v2.6-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_fg3_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-FG3_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-FG3_PM-v7.0",
    name="Area FG3 (FusG)",
    version_identifier="v2.6-MNI152, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_fg4_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-FG4_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-FG4_PM-v7.0",
    name="Area FG4 (FusG)",
    version_identifier="v2.6-MNI152, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_ip1_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP1_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.6-MNI152_Area-hIP1_PM-v7.0",
    name="Area hIP1 (IPS)",
    version_identifier="v2.6-MNI152, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_ip2_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP2_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.6-MNI152_Area-hIP2_PM-v7.0",
    name="Area hIP2 (IPS)",
    version_identifier="v2.6-MNI152, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_ip3_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP3_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.6-MNI152_Area-hIP3_PM-v9.0",
    name="Area hIP3 (IPS)",
    version_identifier="v2.6-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_ip4_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP4_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.6-MNI152_Area-hIP4_PM-v7.1",
    name="Area hIP4 (IPS)",
    version_identifier="v2.6-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_ip5_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP5_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.6-MNI152_Area-hIP5_PM-v7.1",
    name="Area hIP5 (IPS)",
    version_identifier="v2.6-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_ip6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.6-MNI152_Area-hIP6_PM-v7.1",
    name="Area hIP6 (IPS)",
    version_identifier="v2.6-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_ip7_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP7_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.6-MNI152_Area-hIP7_PM-v7.1",
    name="Area hIP7 (IPS)",
    version_identifier="v2.6-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_ip8_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP8_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.6-MNI152_Area-hIP8_PM-v7.1",
    name="Area hIP8 (IPS)",
    version_identifier="v2.6-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_oc1_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc1_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-hOc1_PM-v4.0",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v2.6-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_oc2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-hOc2_PM-v4.0",
    name="Area hOc2 (V2, 18)",
    version_identifier="v2.6-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_oc3d_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc3d_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-hOc3d_PM-v4.0",
    name="Area hOc3d (Cuneus)",
    version_identifier="v2.6-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_oc3v_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc3v_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-hOc3v_PM-v5.0",
    name="Area hOc3v (LingG)",
    version_identifier="v2.6-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_oc4d_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc4d_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-hOc4d_PM-v4.0",
    name="Area hOc4d (Cuneus)",
    version_identifier="v2.6-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_oc4la_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc4la_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-hOc4la_PM-v5.0",
    name="Area hOc4la (LOC)",
    version_identifier="v2.6-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_oc4lp_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc4lp_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-hOc4lp_PM-v5.0",
    name="Area hOc4lp (LOC)",
    version_identifier="v2.6-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_oc4v_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc4v_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-hOc4v_PM-v5.0",
    name="Area hOc4v (LingG)",
    version_identifier="v2.6-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_oc5_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc5_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-hOc5_PM-v4.0",
    name="Area hOc5 (LOC)",
    version_identifier="v2.6-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_oc6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-hOc6_PM-v7.1",
    name="Area hOc6 (POS)",
    version_identifier="v2.6-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_po1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hPO1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v2.6-MNI152_Area-hPO1_PM-v7.1",
    name="Area hPO1 (POS)",
    version_identifier="v2.6-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_op1_pm_v12_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP1_PM-v12.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.6-MNI152_Area-OP1_PM-v12.0",
    name="Area OP1 (POperc)",
    version_identifier="v2.6-MNI152, PM-v12.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_op2_pm_v12_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP2_PM-v12.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.6-MNI152_Area-OP2_PM-v12.0",
    name="Area OP2 (POperc)",
    version_identifier="v2.6-MNI152, PM-v12.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_op3_pm_v12_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP3_PM-v12.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.6-MNI152_Area-OP3_PM-v12.0",
    name="Area OP3 (POperc)",
    version_identifier="v2.6-MNI152, PM-v12.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_op4_pm_v12_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP4_PM-v12.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.6-MNI152_Area-OP4_PM-v12.0",
    name="Area OP4 (POperc)",
    version_identifier="v2.6-MNI152, PM-v12.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_op5_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP5_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.6-MNI152_Area-OP5_PM-v3.0",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v2.6-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_op6_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP6_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.6-MNI152_Area-OP6_PM-v3.0",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v2.6-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_op7_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP7_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.6-MNI152_Area-OP7_PM-v3.0",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v2.6-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_op8_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP8_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.6-MNI152_Area-OP8_PM-v6.0",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v2.6-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_op9_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP9_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.6-MNI152_Area-OP9_PM-v6.0",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v2.6-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_p24ab_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-p24ab_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-p24ab_PM-v18.0",
    name="Area p24ab (pACC)",
    version_identifier="v2.6-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_p24c_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-p24c_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-p24c_PM-v18.0",
    name="Area p24c (pACC)",
    version_identifier="v2.6-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_p32_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-p32_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-p32_PM-v18.0",
    name="Area p32 (pACC)",
    version_identifier="v2.6-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_p_fcm_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PFcm_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-PFcm_PM-v11.0",
    name="Area PFcm (IPL)",
    version_identifier="v2.6-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_p_fm_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PFm_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-PFm_PM-v11.0",
    name="Area PFm (IPL)",
    version_identifier="v2.6-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_p_fop_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PFop_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-PFop_PM-v11.0",
    name="Area PFop (IPL)",
    version_identifier="v2.6-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_p_ft_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PFt_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-PFt_PM-v11.0",
    name="Area PFt (IPL)",
    version_identifier="v2.6-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_p_ga_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PGa_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-PGa_PM-v11.0",
    name="Area PGa (IPL)",
    version_identifier="v2.6-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_p_gp_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PGp_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-PGp_PM-v11.0",
    name="Area PGp (IPL)",
    version_identifier="v2.6-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_pf_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PF_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-PF_PM-v11.0",
    name="Area PF (IPL)",
    version_identifier="v2.6-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_s24_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-s24_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-s24_PM-v18.0",
    name="Area s24 (sACC)",
    version_identifier="v2.6-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_s32_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-s32_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-s32_PM-v18.0",
    name="Area s32 (sACC)",
    version_identifier="v2.6-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_sts1_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-STS1_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.6-MNI152_Area-STS1_PM-v5.0",
    name="Area STS1 (STS)",
    version_identifier="v2.6-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_sts2_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-STS2_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.6-MNI152_Area-STS2_PM-v5.0",
    name="Area STS2 (STS)",
    version_identifier="v2.6-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_te_1_0_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TE-1.0_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-TE-1.0_PM-v6.0",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v2.6-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_te_1_1_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TE-1.1_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-TE-1.1_PM-v6.0",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v2.6-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_te_1_2_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TE-1.2_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-TE-1.2_PM-v6.0",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v2.6-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_te_2_1_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TE-2.1_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-TE-2.1_PM-v6.0",
    name="Area TE 2.1 (STG)",
    version_identifier="v2.6-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_te_2_2_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TE-2.2_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-TE-2.2_PM-v6.0",
    name="Area TE 2.2 (STG)",
    version_identifier="v2.6-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_te_3_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TE-3_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-TE-3_PM-v6.0",
    name="Area TE 3 (STG)",
    version_identifier="v2.6-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_ti_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TI_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.6-MNI152_Area-TI_PM-v6.0",
    name="Area TI (STG)",
    version_identifier="v2.6-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__ch_123_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Ch-123_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v2.6-MNI152_Ch-123_PM-v4.2",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v2.6-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_6_mni152__ch_4_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Ch-4_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v2.6-MNI152_Ch-4_PM-v4.2",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v2.6-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_6_mni152__dorsal__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.6-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v2.6-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_6_mni152__entorhinal__cortex_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Entorhinal-Cortex_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.6-MNI152_Entorhinal-Cortex_PM-v13.0",
    name="Entorhinal Cortex",
    version_identifier="v2.6-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__fastigial__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Fastigial-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.6-MNI152_Fastigial-Nucleus_PM-v6.2",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v2.6-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_6_mni152__frontal_i_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Frontal-I_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.6-MNI152_Frontal-I_PM-v10.0",
    name="Frontal-I (GapMap)",
    version_identifier="v2.6-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__frontal_ii_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Frontal-II_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.6-MNI152_Frontal-II_PM-v10.0",
    name="Frontal-II (GapMap)",
    version_identifier="v2.6-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__frontal_to__occipital_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Frontal-to-Occipital_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.6-MNI152_Frontal-to-Occipital_PM-v10.0",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v2.6-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__frontal_to__temporal_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Frontal-to-Temporal_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.6-MNI152_Frontal-to-Temporal_PM-v10.0",
    name="Frontal-to-Temporal (GapMap)",
    version_identifier="v2.6-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__interposed__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Interposed-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.6-MNI152_Interposed-Nucleus_PM-v6.2",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v2.6-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_6_mni152__subiculum__pa_s_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Subiculum.PaS_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.6-MNI152_Subiculum.PaS_PM-v13.0",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v2.6-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__subiculum__pre_s_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Subiculum.PreS_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.6-MNI152_Subiculum.PreS_PM-v13.0",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v2.6-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__subiculum__pro_s_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Subiculum.ProS_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.6-MNI152_Subiculum.ProS_PM-v13.0",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v2.6-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__subiculum__sub_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Subiculum.Sub_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.6-MNI152_Subiculum.Sub_PM-v13.0",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v2.6-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__temporal_to__parietal_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Temporal-to-Parietal_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.6-MNI152_Temporal-to-Parietal_PM-v10.0",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v2.6-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__ventral__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Ventral-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.6-MNI152_Ventral-Dentate-Nucleus_PM-v6.2",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v2.6-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_6_mni152_ca1_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_CA1_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.6-MNI152_CA1_PM-v13.0",
    name="CA1 (Hippocampus)",
    version_identifier="v2.6-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_6_mni152_ca2_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_CA2_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.6-MNI152_CA2_PM-v13.0",
    name="CA2 (Hippocampus)",
    version_identifier="v2.6-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_6_mni152_ca3_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_CA3_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.6-MNI152_CA3_PM-v13.0",
    name="CA3 (Hippocampus)",
    version_identifier="v2.6-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_6_mni152_cm_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_CM_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.6-MNI152_CM_PM-v8.0",
    name="CM (Amygdala)",
    version_identifier="v2.6-MNI152, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_6_mni152_dg_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_DG_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.6-MNI152_DG_PM-v13.0",
    name="DG (Hippocampus)",
    version_identifier="v2.6-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_6_mni152_hata_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_HATA_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.6-MNI152_HATA_PM-v13.0",
    name="HATA (Hippocampus)",
    version_identifier="v2.6-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_6_mni152_hc__transsubiculum_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_HC-Transsubiculum_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.6-MNI152_HC-Transsubiculum_PM-v13.0",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v2.6-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_6_mni152_if_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_IF_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.6-MNI152_IF_PM-v8.1",
    name="IF (Amygdala)",
    version_identifier="v2.6-MNI152, PM-v8.1",
)
ParcellationEntityVersion.jba_v2_6_mni152_lb_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_LB_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.6-MNI152_LB_PM-v8.0",
    name="LB (Amygdala)",
    version_identifier="v2.6-MNI152, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_6_mni152_mf_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_MF_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.6-MNI152_MF_PM-v8.1",
    name="MF (Amygdala)",
    version_identifier="v2.6-MNI152, PM-v8.1",
)
ParcellationEntityVersion.jba_v2_6_mni152_sf_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_SF_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.6-MNI152_SF_PM-v8.0",
    name="SF (Amygdala)",
    version_identifier="v2.6-MNI152, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_6_mni152_vtm_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_VTM_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.6-MNI152_VTM_PM-v8.0",
    name="VTM (Amygdala)",
    version_identifier="v2.6-MNI152, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_6d1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-6d1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-6d1_int",
    name="Area 6d1 (PreCG)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_6d2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-6d2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-6d2_int",
    name="Area 6d2 (PreCG)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_6d3_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-6d3_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-6d3_int",
    name="Area 6d3 (SFS)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_6ma_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-6ma_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v2.9-BigBrain_Area-6ma_int",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_h_ip4_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hIP4_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-hIP4_int",
    name="Area hIP4 (IPS)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_h_ip5_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hIP5_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-hIP5_int",
    name="Area hIP5 (IPS)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_h_ip6_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hIP6_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-hIP6_int",
    name="Area hIP6 (IPS)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_h_ip7_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hIP7_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-hIP7_int",
    name="Area hIP7 (IPS)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_h_ip8_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hIP8_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-hIP8_int",
    name="Area hIP8 (IPS)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_h_oc1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hOc1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.9-BigBrain_Area-hOc1_deep",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_h_oc2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hOc2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.9-BigBrain_Area-hOc2_deep",
    name="Area hOc2 (V2, 18)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_h_oc3v_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hOc3v_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.9-BigBrain_Area-hOc3v_deep",
    name="Area hOc3v (LingG)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_h_oc5_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hOc5_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.9-BigBrain_Area-hOc5_deep",
    name="Area hOc5 (LOC)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_h_oc6_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hOc6_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.9-BigBrain_Area-hOc6_int",
    name="Area hOc6 (POS)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_h_po1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hPO1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-hPO1_int",
    name="Area hPO1 (POS)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_mfg1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-MFG1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-MFG1_deep",
    name="Area MFG1 (MFG)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_mfg2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-MFG2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-MFG2_deep",
    name="Area MFG2 (MFG)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_sfs1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-SFS1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-SFS1_deep",
    name="Area SFS1 (SFS)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_sfs2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-SFS2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-SFS2_deep",
    name="Area SFS2 (SFS)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_sts1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-STS1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-STS1_int",
    name="Area STS1 (STS)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_sts2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-STS2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-STS2_int",
    name="Area STS2 (STS)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_te_1_0_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-TE-1.0_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-TE-1.0_int",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_te_1_1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-TE-1.1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-TE-1.1_int",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_te_1_2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-TE-1.2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-TE-1.2_int",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_te_3_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-TE-3_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-TE-3_int",
    name="Area TE 3 (STG)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__entorhinal__cortex_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Entorhinal-Cortex_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-BigBrain_Entorhinal-Cortex_int",
    name="Entorhinal Cortex",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain_cgl_lam1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_CGL.lam1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v2.9-BigBrain_CGL.lam1_deep",
    name="CGL.lam1 (Metathalamus)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain_cgl_lam2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_CGL.lam2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v2.9-BigBrain_CGL.lam2_deep",
    name="CGL.lam2 (Metathalamus)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain_cgl_lam3_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_CGL.lam3_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v2.9-BigBrain_CGL.lam3_deep",
    name="CGL.lam3 (Metathalamus)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain_cgl_lam4_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_CGL.lam4_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v2.9-BigBrain_CGL.lam4_deep",
    name="CGL.lam4 (Metathalamus)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain_cgl_lam5_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_CGL.lam5_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v2.9-BigBrain_CGL.lam5_deep",
    name="CGL.lam5 (Metathalamus)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain_cgl_lam6_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_CGL.lam6_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v2.9-BigBrain_CGL.lam6_deep",
    name="CGL.lam6 (Metathalamus)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain_cgm_cg_md_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_CGM.CGMd_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v2.9-BigBrain_CGM.CGMd_deep",
    name="CGM.CGMd (Metathalamus)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain_cgm_cg_mm_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_CGM.CGMm_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v2.9-BigBrain_CGM.CGMm_deep",
    name="CGM.CGMm (Metathalamus)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain_cgm_cg_mv_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_CGM.CGMv_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v2.9-BigBrain_CGM.CGMv_deep",
    name="CGM.CGMv (Metathalamus)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v2.9-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v2.9-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v2.9-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v2.9-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v2.9-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v2.9-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v2.9-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v2.9-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v2.9-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v2.9-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v2.9-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v2.9-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v2.9-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v2.9-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v2.9-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v2.9-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v2.9-Colin27_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v2.9-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v2.9-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v2.9-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v2.9-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v2.9-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v2.9-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v2.9-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v2.9-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v2.9-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v2.9-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v2.9-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v2.9-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v2.9-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v2.9-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.9-Colin27_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v2.9-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.9-Colin27_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v2.9-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v2.9-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v2.9-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v2.9-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v2.9-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v2.9-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v2.9-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v2.9-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v2.9-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v2.9-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v2.9-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v2.9-Colin27, PM-v8.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v2.9-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v2.9-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v2.9-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v2.9-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v2.9-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v2.9-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v2.9-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v2.9-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v2.9-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v2.9-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v2.9-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v2.9-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v2.9-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v2.9-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v2.9-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v2.9-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v2.9-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v2.9-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v2.9-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v2.9-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v2.9-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v2.9-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v2.9-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v2.9-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v2.9-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v2.9-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v2.9-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v2.9-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v2.9-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v2.9-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.9-Colin27_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v2.9-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.9-Colin27_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v2.9-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.9-Colin27_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v2.9-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.9-Colin27_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v2.9-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-Colin27_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-Colin27_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-Colin27_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-Colin27_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v2.9-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-Colin27_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v2.9-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v2.9-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v2.9-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v2.9-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v2.9-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v2.9-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v2.9-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v2.9-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v2.9-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v2.9-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v2.9-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v2.9-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v2.9-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v2.9-Colin27, PM-v5.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v2.9-Colin27, PM-v5.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v2.9-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v2.9-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v2.9-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v2.9-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v2.9-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v2.9-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v2.9-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v2.9-Colin27_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v2.9-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__ch_123_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Ch-123_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v2.9-Colin27_Ch-123_PM-v4.3",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v2.9-Colin27, PM-v4.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__ch_4_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Ch-4_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v2.9-Colin27_Ch-4_PM-v4.3",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v2.9-Colin27, PM-v4.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__dorsal__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Dorsal-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.9-Colin27_Dorsal-Dentate-Nucleus_PM-v6.3",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v2.9-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-Colin27_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v2.9-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__fastigial__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Fastigial-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.9-Colin27_Fastigial-Nucleus_PM-v6.3",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v2.9-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__frontal_i_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Frontal-I_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.9-Colin27_Frontal-I_PM-v11.3",
    name="Frontal-I (GapMap)",
    version_identifier="v2.9-Colin27, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__frontal_ii_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Frontal-II_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.9-Colin27_Frontal-II_PM-v11.3",
    name="Frontal-II (GapMap)",
    version_identifier="v2.9-Colin27, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__frontal_to__occipital_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Frontal-to-Occipital_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.9-Colin27_Frontal-to-Occipital_PM-v11.3",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v2.9-Colin27, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__frontal_to__temporal_i_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Frontal-to-Temporal-I_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v2.9-Colin27_Frontal-to-Temporal-I_PM-v11.3",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v2.9-Colin27, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__frontal_to__temporal_ii_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Frontal-to-Temporal-II_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v2.9-Colin27_Frontal-to-Temporal-II_PM-v11.3",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v2.9-Colin27, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__interposed__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Interposed-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.9-Colin27_Interposed-Nucleus_PM-v6.3",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v2.9-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.9-Colin27_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v2.9-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.9-Colin27_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v2.9-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.9-Colin27_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v2.9-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.9-Colin27_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v2.9-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__temporal_to__parietal_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Temporal-to-Parietal_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.9-Colin27_Temporal-to-Parietal_PM-v11.3",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v2.9-Colin27, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__ventral__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Ventral-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.9-Colin27_Ventral-Dentate-Nucleus_PM-v6.3",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v2.9-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v2_9__colin27_bst_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_BST_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalForebrain"}],
    lookup_label="JBA_v2.9-Colin27_BST_PM-v6.1",
    name="BST (Bed Nucleus)",
    version_identifier="v2.9-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_9__colin27_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-Colin27_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v2.9-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9__colin27_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-Colin27_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v2.9-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9__colin27_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-Colin27_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v2.9-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9__colin27_cgl_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_CGL_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v2.9-Colin27_CGL_PM-v5.0",
    name="CGL (Metathalamus)",
    version_identifier="v2.9-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_9__colin27_cgm_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_CGM_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v2.9-Colin27_CGM_PM-v5.0",
    name="CGM (Metathalamus)",
    version_identifier="v2.9-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_9__colin27_cm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_CM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.9-Colin27_CM_PM-v8.2",
    name="CM (Amygdala)",
    version_identifier="v2.9-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v2_9__colin27_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-Colin27_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v2.9-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9__colin27_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-Colin27_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v2.9-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9__colin27_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-Colin27_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v2.9-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9__colin27_if_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_IF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.9-Colin27_IF_PM-v8.2",
    name="IF (Amygdala)",
    version_identifier="v2.9-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v2_9__colin27_lb_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_LB_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.9-Colin27_LB_PM-v8.2",
    name="LB (Amygdala)",
    version_identifier="v2.9-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v2_9__colin27_mf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_MF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.9-Colin27_MF_PM-v8.2",
    name="MF (Amygdala)",
    version_identifier="v2.9-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v2_9__colin27_sf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_SF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.9-Colin27_SF_PM-v8.2",
    name="SF (Amygdala)",
    version_identifier="v2.9-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v2_9__colin27_vtm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_VTM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.9-Colin27_VTM_PM-v8.2",
    name="VTM (Amygdala)",
    version_identifier="v2.9-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v2.9-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v2.9-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v2.9-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v2.9-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v2.9-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v2.9-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v2.9-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v2.9-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v2.9-fsaverage, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v2.9-fsaverage, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v2.9-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v2.9-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v2.9-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v2.9-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v2.9-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v2.9-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v2.9-fsaverage_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v2.9-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v2.9-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v2.9-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v2.9-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v2.9-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v2.9-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v2.9-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v2.9-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v2.9-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v2.9-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v2.9-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v2.9-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v2.9-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v2.9-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v2.9-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v2.9-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v8.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v2.9-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v2.9-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v2.9-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v2.9-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v2.9-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v2.9-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v2.9-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v2.9-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v2.9-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v2.9-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v2.9-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v2.9-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v2.9-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v2.9-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v2.9-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v2.9-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v2.9-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v2.9-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v2.9-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v2.9-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v2.9-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v2.9-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v2.9-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v2.9-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v2.9-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.9-fsaverage_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v2.9-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.9-fsaverage_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v2.9-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.9-fsaverage_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v2.9-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.9-fsaverage_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v2.9-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-fsaverage_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-fsaverage_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-fsaverage_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-fsaverage_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v2.9-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-fsaverage_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v2.9-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v2.9-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v2.9-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v2.9-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v2.9-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v2.9-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v2.9-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v2.9-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v2.9-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v2.9-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v2.9-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v2.9-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v2.9-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v2.9-fsaverage, PM-v5.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v2.9-fsaverage, PM-v5.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v2.9-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v2.9-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v2.9-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v2.9-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v2.9-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v2.9-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v2.9-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v2.9-fsaverage_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v2.9-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-fsaverage_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v2.9-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__frontal_i_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Frontal-I_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.9-fsaverage_Frontal-I_PM-v11.3",
    name="Frontal-I (GapMap)",
    version_identifier="v2.9-fsaverage, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__frontal_ii_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Frontal-II_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.9-fsaverage_Frontal-II_PM-v11.3",
    name="Frontal-II (GapMap)",
    version_identifier="v2.9-fsaverage, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__frontal_to__occipital_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Frontal-to-Occipital_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Frontal-to-Occipital_PM-v11.3",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v2.9-fsaverage, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__frontal_to__temporal_i_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Frontal-to-Temporal-I_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v2.9-fsaverage_Frontal-to-Temporal-I_PM-v11.3",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v2.9-fsaverage, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__frontal_to__temporal_ii_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Frontal-to-Temporal-II_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v2.9-fsaverage_Frontal-to-Temporal-II_PM-v11.3",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v2.9-fsaverage, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.9-fsaverage_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v2.9-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.9-fsaverage_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v2.9-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.9-fsaverage_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v2.9-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.9-fsaverage_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v2.9-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__temporal_to__parietal_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Temporal-to-Parietal_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Temporal-to-Parietal_PM-v11.3",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v2.9-fsaverage, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-fsaverage_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v2.9-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-fsaverage_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v2.9-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-fsaverage_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v2.9-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage_cgl_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_CGL_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v2.9-fsaverage_CGL_PM-v5.0",
    name="CGL (Metathalamus)",
    version_identifier="v2.9-fsaverage, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_9_fsaverage_cgm_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_CGM_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v2.9-fsaverage_CGM_PM-v5.0",
    name="CGM (Metathalamus)",
    version_identifier="v2.9-fsaverage, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_9_fsaverage_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-fsaverage_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v2.9-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-fsaverage_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v2.9-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-fsaverage_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v2.9-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v2.9-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v2.9-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v2.9-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v2.9-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v2.9-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v2.9-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v2.9-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v2.9-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v2.9-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v2.9-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v2.9-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v2.9-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v2.9-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v2.9-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v2.9-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v2.9-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v2.9-MNI152_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v2.9-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v2.9-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v2.9-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v2.9-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v2.9-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v2.9-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v2.9-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v2.9-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v2.9-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v2.9-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v2.9-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v2.9-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v2.9-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v2.9-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.9-MNI152_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v2.9-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.9-MNI152_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v2.9-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v2.9-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v2.9-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v2.9-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v2.9-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v2.9-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v2.9-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v2.9-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v2.9-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v2.9-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v2.9-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v2.9-MNI152, PM-v8.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v2.9-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v2.9-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v2.9-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v2.9-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v2.9-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v2.9-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v2.9-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v2.9-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v2.9-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v2.9-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v2.9-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v2.9-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v2.9-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v2.9-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v2.9-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v2.9-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v2.9-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v2.9-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v2.9-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v2.9-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v2.9-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v2.9-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v2.9-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v2.9-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v2.9-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v2.9-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v2.9-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v2.9-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v2.9-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v2.9-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.9-MNI152_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v2.9-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.9-MNI152_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v2.9-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.9-MNI152_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v2.9-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.9-MNI152_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v2.9-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-MNI152_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-MNI152_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-MNI152_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-MNI152_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v2.9-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-MNI152_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v2.9-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v2.9-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v2.9-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v2.9-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v2.9-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v2.9-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v2.9-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v2.9-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v2.9-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v2.9-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v2.9-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v2.9-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v2.9-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v2.9-MNI152, PM-v5.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v2.9-MNI152, PM-v5.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v2.9-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v2.9-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v2.9-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v2.9-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v2.9-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v2.9-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v2.9-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v2.9-MNI152_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v2.9-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__ch_123_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Ch-123_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v2.9-MNI152_Ch-123_PM-v4.3",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v2.9-MNI152, PM-v4.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__ch_4_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Ch-4_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v2.9-MNI152_Ch-4_PM-v4.3",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v2.9-MNI152, PM-v4.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__dorsal__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Dorsal-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.9-MNI152_Dorsal-Dentate-Nucleus_PM-v6.3",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v2.9-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-MNI152_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v2.9-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__fastigial__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Fastigial-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.9-MNI152_Fastigial-Nucleus_PM-v6.3",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v2.9-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__frontal_i_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Frontal-I_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.9-MNI152_Frontal-I_PM-v11.3",
    name="Frontal-I (GapMap)",
    version_identifier="v2.9-MNI152, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__frontal_ii_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Frontal-II_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.9-MNI152_Frontal-II_PM-v11.3",
    name="Frontal-II (GapMap)",
    version_identifier="v2.9-MNI152, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__frontal_to__occipital_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Frontal-to-Occipital_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.9-MNI152_Frontal-to-Occipital_PM-v11.3",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v2.9-MNI152, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__frontal_to__temporal_i_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Frontal-to-Temporal-I_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v2.9-MNI152_Frontal-to-Temporal-I_PM-v11.3",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v2.9-MNI152, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__frontal_to__temporal_ii_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Frontal-to-Temporal-II_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v2.9-MNI152_Frontal-to-Temporal-II_PM-v11.3",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v2.9-MNI152, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__interposed__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Interposed-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.9-MNI152_Interposed-Nucleus_PM-v6.3",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v2.9-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.9-MNI152_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v2.9-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.9-MNI152_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v2.9-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.9-MNI152_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v2.9-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.9-MNI152_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v2.9-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__temporal_to__parietal_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Temporal-to-Parietal_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.9-MNI152_Temporal-to-Parietal_PM-v11.3",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v2.9-MNI152, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__ventral__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Ventral-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.9-MNI152_Ventral-Dentate-Nucleus_PM-v6.3",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v2.9-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v2_9_mni152_bst_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_BST_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalForebrain"}],
    lookup_label="JBA_v2.9-MNI152_BST_PM-v6.1",
    name="BST (Bed Nucleus)",
    version_identifier="v2.9-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_9_mni152_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-MNI152_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v2.9-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_mni152_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-MNI152_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v2.9-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_mni152_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-MNI152_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v2.9-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_mni152_cgl_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_CGL_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v2.9-MNI152_CGL_PM-v5.0",
    name="CGL (Metathalamus)",
    version_identifier="v2.9-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_9_mni152_cgm_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_CGM_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v2.9-MNI152_CGM_PM-v5.0",
    name="CGM (Metathalamus)",
    version_identifier="v2.9-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_9_mni152_cm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_CM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.9-MNI152_CM_PM-v8.2",
    name="CM (Amygdala)",
    version_identifier="v2.9-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v2_9_mni152_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-MNI152_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v2.9-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_mni152_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-MNI152_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v2.9-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_mni152_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-MNI152_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v2.9-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_mni152_if_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_IF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.9-MNI152_IF_PM-v8.2",
    name="IF (Amygdala)",
    version_identifier="v2.9-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v2_9_mni152_lb_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_LB_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.9-MNI152_LB_PM-v8.2",
    name="LB (Amygdala)",
    version_identifier="v2.9-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v2_9_mni152_mf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_MF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.9-MNI152_MF_PM-v8.2",
    name="MF (Amygdala)",
    version_identifier="v2.9-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v2_9_mni152_sf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_SF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.9-MNI152_SF_PM-v8.2",
    name="SF (Amygdala)",
    version_identifier="v2.9-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v2_9_mni152_vtm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_VTM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.9-MNI152_VTM_PM-v8.2",
    name="VTM (Amygdala)",
    version_identifier="v2.9-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_6d1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-6d1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-6d1_int",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_6d2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-6d2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-6d2_int",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_6d3_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-6d3_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-6d3_int",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_6ma_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-6ma_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0.1-BigBrain_Area-6ma_int",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_h_ip4_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hIP4_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-hIP4_int",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_h_ip5_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hIP5_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-hIP5_int",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_h_ip6_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hIP6_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-hIP6_int",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_h_ip7_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hIP7_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-hIP7_int",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_h_ip8_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hIP8_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-hIP8_int",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_h_oc1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hOc1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-hOc1_deep",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_h_oc2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hOc2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-hOc2_deep",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_h_oc3v_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hOc3v_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-hOc3v_deep",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_h_oc5_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hOc5_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-hOc5_deep",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_h_oc6_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hOc6_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-hOc6_int",
    name="Area hOc6 (POS)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_h_po1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hPO1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-hPO1_int",
    name="Area hPO1 (POS)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_mfg1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-MFG1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-MFG1_deep",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_mfg2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-MFG2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-MFG2_deep",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_sfs1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-SFS1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-SFS1_deep",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_sfs2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-SFS2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-SFS2_deep",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_sts1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-STS1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-STS1_int",
    name="Area STS1 (STS)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_sts2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-STS2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-STS2_int",
    name="Area STS2 (STS)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_te_1_0_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-TE-1.0_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-TE-1.0_int",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_te_1_1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-TE-1.1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-TE-1.1_int",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_te_1_2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-TE-1.2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-TE-1.2_int",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_te_3_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-TE-3_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-TE-3_int",
    name="Area TE 3 (STG)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__entorhinal__cortex_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Entorhinal-Cortex_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-BigBrain_Entorhinal-Cortex_int",
    name="Entorhinal Cortex",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain_cgl_lam1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_CGL.lam1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.1-BigBrain_CGL.lam1_deep",
    name="CGL.lam1 (Metathalamus)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain_cgl_lam2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_CGL.lam2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.1-BigBrain_CGL.lam2_deep",
    name="CGL.lam2 (Metathalamus)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain_cgl_lam3_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_CGL.lam3_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.1-BigBrain_CGL.lam3_deep",
    name="CGL.lam3 (Metathalamus)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain_cgl_lam4_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_CGL.lam4_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.1-BigBrain_CGL.lam4_deep",
    name="CGL.lam4 (Metathalamus)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain_cgl_lam5_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_CGL.lam5_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.1-BigBrain_CGL.lam5_deep",
    name="CGL.lam5 (Metathalamus)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain_cgl_lam6_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_CGL.lam6_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.1-BigBrain_CGL.lam6_deep",
    name="CGL.lam6 (Metathalamus)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain_cgm_cg_md_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_CGM.CGMd_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v3.0.1-BigBrain_CGM.CGMd_deep",
    name="CGM.CGMd (Metathalamus)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain_cgm_cg_mm_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_CGM.CGMm_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v3.0.1-BigBrain_CGM.CGMm_deep",
    name="CGM.CGMm (Metathalamus)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain_cgm_cg_mv_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_CGM.CGMv_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v3.0.1-BigBrain_CGM.CGMv_deep",
    name="CGM.CGMv (Metathalamus)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__acb_l_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_AcbL_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.1-Colin27_AcbL_PM-v5.0",
    name="AcbL (Lateral Accumbens, Ventral Striatum)",
    version_identifier="v3.0.1-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__acb_m_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_AcbM_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.1-Colin27_AcbM_PM-v5.0",
    name="AcbM (Medial Accumbens, Ventral Striatum)",
    version_identifier="v3.0.1-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v3.0.1-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_25_25a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-25.25a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-25.25a_PM-v20.1",
    name="Area 25.25a (sACC",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_25_25p_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-25.25p_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-25.25p_PM-v20.1",
    name="Area 25.25p (sACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v3.0.1-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v3.0.1-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v3.0.1-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v3.0.1-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v3.0.1-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v3.0.1-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v3.0.1-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v3.0.1-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v3.0.1-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v3.0.1-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0.1-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0.1-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0.1-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0.1-Colin27_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0.1-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v3.0.1-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v3.0.1-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v3.0.1-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v3.0.1-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v3.0.1-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v3.0.1-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v3.0.1-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v3.0.1-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v3.0.1-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v3.0.1-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v3.0.1-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v3.0.1-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v3.0.1-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v3.0.1-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v3.0.1-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v8.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v3.0.1-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v3.0.1-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v3.0.1-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v3.0.1-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v3.0.1-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v3.0.1-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v3.0.1-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v3.0.1-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v3.0.1-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0.1-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0.1-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0.1-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0.1-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0.1-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0.1-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0.1-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v3.0.1-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0.1-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v3.0.1-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v3.0.1-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v3.0.1-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v3.0.1-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0.1-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v3.0.1-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v3.0.1-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_mfg1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-MFG1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-MFG1_PM-v9.0",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0.1-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_mfg2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-MFG2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-MFG2_PM-v9.0",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0.1-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v3.0.1-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v3.0.1-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v3.0.1-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v3.0.1-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v3.0.1-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v3.0.1-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p24ab_p24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-p24ab.p24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-p24ab.p24a_PM-v20.1",
    name="Area p24ab.p24a (pACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p24ab_p24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-p24ab.p24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-p24ab.p24b_PM-v20.1",
    name="Area p24ab.p24b (pACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p24c_pd24cd_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-p24c.pd24cd_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-p24c.pd24cd_PM-v20.1",
    name="Area p24c.pd24cd (pACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p24c_pd24cv_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-p24c.pd24cv_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-p24c.pd24cv_PM-v20.1",
    name="Area p24c.pd24cv (pACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p24c_pv24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-p24c.pv24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-p24c.pv24c_PM-v20.1",
    name="Area p24c.pv24c (pACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v3.0.1-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v3.0.1-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v3.0.1-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v3.0.1-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v3.0.1-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v3.0.1-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v3.0.1-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_s24_s24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-s24.s24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-s24.s24a_PM-v20.1",
    name="Area s24.s24a (sACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_s24_s24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-s24.s24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-s24.s24b_PM-v20.1",
    name="Area s24.s24b (sACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_sfs1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-SFS1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-SFS1_PM-v9.0",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0.1-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_sfs2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-SFS2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-SFS2_PM-v9.0",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0.1-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v3.0.1-Colin27, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v3.0.1-Colin27, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0.1-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0.1-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0.1-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v3.0.1-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v3.0.1-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v3.0.1-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v3.0.1-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v3.0.1-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__ch_123_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Ch-123_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v3.0.1-Colin27_Ch-123_PM-v4.3",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v3.0.1-Colin27, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__ch_4_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Ch-4_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v3.0.1-Colin27_Ch-4_PM-v4.3",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v3.0.1-Colin27, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__dorsal__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Dorsal-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0.1-Colin27_Dorsal-Dentate-Nucleus_PM-v6.3",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0.1-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-Colin27_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v3.0.1-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__fastigial__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Fastigial-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0.1-Colin27_Fastigial-Nucleus_PM-v6.3",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v3.0.1-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__frontal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Frontal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.1-Colin27_Frontal-I_PM-v11.4",
    name="Frontal-I (GapMap)",
    version_identifier="v3.0.1-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__frontal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Frontal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.1-Colin27_Frontal-II_PM-v11.4",
    name="Frontal-II (GapMap)",
    version_identifier="v3.0.1-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__frontal_to__occipital_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Frontal-to-Occipital_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Frontal-to-Occipital_PM-v11.4",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v3.0.1-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__frontal_to__temporal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Frontal-to-Temporal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.1-Colin27_Frontal-to-Temporal-I_PM-v11.4",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v3.0.1-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__frontal_to__temporal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Frontal-to-Temporal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.1-Colin27_Frontal-to-Temporal-II_PM-v11.4",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v3.0.1-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__fu_cd_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_FuCd_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.1-Colin27_FuCd_PM-v5.0",
    name="FuCd (Fundus of Caudate Nucleus, Ventral Striatum)",
    version_identifier="v3.0.1-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__fu_p_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_FuP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.1-Colin27_FuP_PM-v5.0",
    name="FuP (Fundus of Putamen, Ventral Striatum)",
    version_identifier="v3.0.1-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__interposed__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Interposed-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0.1-Colin27_Interposed-Nucleus_PM-v6.3",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v3.0.1-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.1-Colin27_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v3.0.1-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.1-Colin27_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v3.0.1-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.1-Colin27_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v3.0.1-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.1-Colin27_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v3.0.1-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__temporal_to__parietal_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Temporal-to-Parietal_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Temporal-to-Parietal_PM-v11.4",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v3.0.1-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__terminal_islands_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Terminal-islands_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Terminal-islands_PM-v4.0",
    name="Terminal islands (Basal Forebrain)",
    version_identifier="v3.0.1-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__tuberculum_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Tuberculum_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Tuberculum_PM-v4.0",
    name="Tuberculum (Basal Forebrain)",
    version_identifier="v3.0.1-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__ventral__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Ventral-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0.1-Colin27_Ventral-Dentate-Nucleus_PM-v6.3",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0.1-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_bst_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_BST_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalForebrain"}],
    lookup_label="JBA_v3.0.1-Colin27_BST_PM-v6.1",
    name="BST (Bed Nucleus)",
    version_identifier="v3.0.1-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-Colin27_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v3.0.1-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-Colin27_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v3.0.1-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-Colin27_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v3.0.1-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_cgl_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_CGL_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.1-Colin27_CGL_PM-v10.0",
    name="CGL (Metathalamus)",
    version_identifier="v3.0.1-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_cgm_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_CGM_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.1-Colin27_CGM_PM-v10.0",
    name="CGM (Metathalamus)",
    version_identifier="v3.0.1-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_cm__ce_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_CM.Ce_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.1-Colin27_CM.Ce_PM-v8.2",
    name="CM.Ce (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_cm__me_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_CM.Me_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.1-Colin27_CM.Me_PM-v8.2",
    name="CM.Me (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_cm_aaa_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_CM.AAA_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.1-Colin27_CM.AAA_PM-v8.2",
    name="CM.AAA (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_cm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_CM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.1-Colin27_CM_PM-v8.2",
    name="CM (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-Colin27_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v3.0.1-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-Colin27_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v3.0.1-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-Colin27_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v3.0.1-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_if_ice_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_IF.ice_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.1-Colin27_IF.ice_PM-v8.2",
    name="IF.ice (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_if_iol_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_IF.iol_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.1-Colin27_IF.iol_PM-v8.2",
    name="IF.iol (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_if_ld_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_IF.ld_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.1-Colin27_IF.ld_PM-v8.2",
    name="IF.ld (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_if_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_IF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.1-Colin27_IF_PM-v8.2",
    name="IF (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_lb__bl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_LB.Bl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.1-Colin27_LB.Bl_PM-v8.2",
    name="LB.Bl (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_lb__bm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_LB.Bm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.1-Colin27_LB.Bm_PM-v8.2",
    name="LB.Bm (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_lb__la_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_LB.La_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.1-Colin27_LB.La_PM-v8.2",
    name="LB.La (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_lb__pl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_LB.Pl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.1-Colin27_LB.Pl_PM-v8.2",
    name="LB.Pl (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_lb_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_LB_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.1-Colin27_LB_PM-v8.2",
    name="LB (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_mf_icm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_MF.icm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0.1-Colin27_MF.icm_PM-v8.2",
    name="MF.icm (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_mf_lm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_MF.lm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0.1-Colin27_MF.lm_PM-v8.2",
    name="MF.lm (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_mf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_MF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.1-Colin27_MF_PM-v8.2",
    name="MF (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_sf_a_hi_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_SF.AHi_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.1-Colin27_SF.AHi_PM-v8.2",
    name="SF.AHi (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_sf_a_pir_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_SF.APir_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.1-Colin27_SF.APir_PM-v8.2",
    name="SF.APir (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_sf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_SF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.1-Colin27_SF_PM-v8.2",
    name="SF (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_sf_v_co_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_SF.VCo_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.1-Colin27_SF.VCo_PM-v8.2",
    name="SF.VCo (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_stn_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_STN_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_subthalamus"}],
    lookup_label="JBA_v3.0.1-Colin27_STN_PM-v5.0",
    name="STN (Subthalamus)",
    version_identifier="v3.0.1-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_vp_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_VP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalGanglia"}],
    lookup_label="JBA_v3.0.1-Colin27_VP_PM-v5.0",
    name="VP (Ventral Pallidum)",
    version_identifier="v3.0.1-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_vtm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_VTM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.1-Colin27_VTM_PM-v8.2",
    name="VTM (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v3.0.1-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v3.0.1-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v3.0.1-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v3.0.1-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v3.0.1-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v3.0.1-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v3.0.1-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v3.0.1-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v3.0.1-fsaverage, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v3.0.1-fsaverage, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v3.0.1-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v3.0.1-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v3.0.1-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0.1-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0.1-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0.1-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0.1-fsaverage_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0.1-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v3.0.1-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v3.0.1-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v3.0.1-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v3.0.1-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v3.0.1-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v3.0.1-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v3.0.1-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v3.0.1-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v3.0.1-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v3.0.1-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v3.0.1-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v3.0.1-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v3.0.1-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v3.0.1-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v3.0.1-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v8.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v3.0.1-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v3.0.1-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v3.0.1-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v3.0.1-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v3.0.1-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v3.0.1-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v3.0.1-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v3.0.1-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v3.0.1-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0.1-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0.1-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0.1-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0.1-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0.1-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0.1-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0.1-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v3.0.1-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0.1-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v3.0.1-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v3.0.1-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v3.0.1-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v3.0.1-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0.1-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v3.0.1-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v3.0.1-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_mfg1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-MFG1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-MFG1_PM-v9.0",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0.1-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_mfg2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-MFG2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-MFG2_PM-v9.0",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0.1-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v3.0.1-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v3.0.1-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v3.0.1-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v3.0.1-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v3.0.1-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v3.0.1-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v3.0.1-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v3.0.1-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v3.0.1-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v3.0.1-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v3.0.1-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v3.0.1-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v3.0.1-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v3.0.1-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v3.0.1-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v3.0.1-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v3.0.1-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v3.0.1-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_sfs1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-SFS1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-SFS1_PM-v9.0",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0.1-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_sfs2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-SFS2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-SFS2_PM-v9.0",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0.1-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v3.0.1-fsaverage, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v3.0.1-fsaverage, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0.1-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0.1-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0.1-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v3.0.1-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v3.0.1-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v3.0.1-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v3.0.1-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v3.0.1-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-fsaverage_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v3.0.1-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__frontal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Frontal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.1-fsaverage_Frontal-I_PM-v11.4",
    name="Frontal-I (GapMap)",
    version_identifier="v3.0.1-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__frontal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Frontal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.1-fsaverage_Frontal-II_PM-v11.4",
    name="Frontal-II (GapMap)",
    version_identifier="v3.0.1-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__frontal_to__occipital_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Frontal-to-Occipital_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Frontal-to-Occipital_PM-v11.4",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v3.0.1-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__frontal_to__temporal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Frontal-to-Temporal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.1-fsaverage_Frontal-to-Temporal-I_PM-v11.4",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v3.0.1-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__frontal_to__temporal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Frontal-to-Temporal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.1-fsaverage_Frontal-to-Temporal-II_PM-v11.4",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v3.0.1-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.1-fsaverage_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v3.0.1-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.1-fsaverage_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v3.0.1-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.1-fsaverage_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v3.0.1-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.1-fsaverage_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v3.0.1-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__temporal_to__parietal_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Temporal-to-Parietal_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Temporal-to-Parietal_PM-v11.4",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v3.0.1-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__tuberculum_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Tuberculum_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Tuberculum_PM-v4.0",
    name="Tuberculum (Basal Forebrain)",
    version_identifier="v3.0.1-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-fsaverage_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v3.0.1-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-fsaverage_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v3.0.1-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-fsaverage_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v3.0.1-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage_cgl_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_CGL_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.1-fsaverage_CGL_PM-v10.0",
    name="CGL (Metathalamus)",
    version_identifier="v3.0.1-fsaverage, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage_cgm_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_CGM_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.1-fsaverage_CGM_PM-v10.0",
    name="CGM (Metathalamus)",
    version_identifier="v3.0.1-fsaverage, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-fsaverage_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v3.0.1-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-fsaverage_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v3.0.1-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-fsaverage_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v3.0.1-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__acb_l_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_AcbL_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.1-MNI152_AcbL_PM-v5.0",
    name="AcbL (Lateral Accumbens, Ventral Striatum)",
    version_identifier="v3.0.1-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__acb_m_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_AcbM_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.1-MNI152_AcbM_PM-v5.0",
    name="AcbM (Medial Accumbens, Ventral Striatum)",
    version_identifier="v3.0.1-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v3.0.1-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_25_25a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-25.25a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-25.25a_PM-v20.1",
    name="Area 25.25a (sACC",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_25_25p_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-25.25p_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-25.25p_PM-v20.1",
    name="Area 25.25p (sACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v3.0.1-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v3.0.1-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v3.0.1-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v3.0.1-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v3.0.1-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v3.0.1-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v3.0.1-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v3.0.1-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v3.0.1-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v3.0.1-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0.1-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0.1-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0.1-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0.1-MNI152_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0.1-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v3.0.1-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v3.0.1-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v3.0.1-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v3.0.1-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v3.0.1-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v3.0.1-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v3.0.1-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v3.0.1-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v3.0.1-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v3.0.1-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v3.0.1-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v3.0.1-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v3.0.1-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v3.0.1-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v3.0.1-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v8.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v3.0.1-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v3.0.1-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v3.0.1-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v3.0.1-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v3.0.1-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v3.0.1-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v3.0.1-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v3.0.1-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v3.0.1-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0.1-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0.1-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0.1-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0.1-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0.1-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0.1-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0.1-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v3.0.1-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0.1-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v3.0.1-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v3.0.1-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v3.0.1-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v3.0.1-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0.1-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v3.0.1-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v3.0.1-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_mfg1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-MFG1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-MFG1_PM-v9.0",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0.1-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_mfg2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-MFG2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-MFG2_PM-v9.0",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0.1-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v3.0.1-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v3.0.1-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v3.0.1-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v3.0.1-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v3.0.1-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v3.0.1-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p24ab_p24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-p24ab.p24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-p24ab.p24a_PM-v20.1",
    name="Area p24ab.p24a (pACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p24ab_p24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-p24ab.p24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-p24ab.p24b_PM-v20.1",
    name="Area p24ab.p24b (pACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p24c_pd24cd_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-p24c.pd24cd_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-p24c.pd24cd_PM-v20.1",
    name="Area p24c.pd24cd (pACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p24c_pd24cv_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-p24c.pd24cv_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-p24c.pd24cv_PM-v20.1",
    name="Area p24c.pd24cv (pACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p24c_pv24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-p24c.pv24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-p24c.pv24c_PM-v20.1",
    name="Area p24c.pv24c (pACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v3.0.1-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v3.0.1-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v3.0.1-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v3.0.1-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v3.0.1-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v3.0.1-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v3.0.1-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_s24_s24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-s24.s24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-s24.s24a_PM-v20.1",
    name="Area s24.s24a (sACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_s24_s24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-s24.s24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-s24.s24b_PM-v20.1",
    name="Area s24.s24b (sACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_sfs1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-SFS1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-SFS1_PM-v9.0",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0.1-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_sfs2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-SFS2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-SFS2_PM-v9.0",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0.1-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v3.0.1-MNI152, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v3.0.1-MNI152, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0.1-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0.1-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0.1-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v3.0.1-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v3.0.1-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v3.0.1-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v3.0.1-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v3.0.1-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__ch_123_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Ch-123_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v3.0.1-MNI152_Ch-123_PM-v4.3",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v3.0.1-MNI152, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__ch_4_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Ch-4_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v3.0.1-MNI152_Ch-4_PM-v4.3",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v3.0.1-MNI152, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__dorsal__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Dorsal-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0.1-MNI152_Dorsal-Dentate-Nucleus_PM-v6.3",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0.1-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-MNI152_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v3.0.1-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__fastigial__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Fastigial-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0.1-MNI152_Fastigial-Nucleus_PM-v6.3",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v3.0.1-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__frontal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Frontal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.1-MNI152_Frontal-I_PM-v11.4",
    name="Frontal-I (GapMap)",
    version_identifier="v3.0.1-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__frontal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Frontal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.1-MNI152_Frontal-II_PM-v11.4",
    name="Frontal-II (GapMap)",
    version_identifier="v3.0.1-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__frontal_to__occipital_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Frontal-to-Occipital_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Frontal-to-Occipital_PM-v11.4",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v3.0.1-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__frontal_to__temporal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Frontal-to-Temporal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.1-MNI152_Frontal-to-Temporal-I_PM-v11.4",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v3.0.1-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__frontal_to__temporal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Frontal-to-Temporal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.1-MNI152_Frontal-to-Temporal-II_PM-v11.4",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v3.0.1-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__fu_cd_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_FuCd_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.1-MNI152_FuCd_PM-v5.0",
    name="FuCd (Fundus of Caudate Nucleus, Ventral Striatum)",
    version_identifier="v3.0.1-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__fu_p_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_FuP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.1-MNI152_FuP_PM-v5.0",
    name="FuP (Fundus of Putamen, Ventral Striatum)",
    version_identifier="v3.0.1-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__interposed__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Interposed-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0.1-MNI152_Interposed-Nucleus_PM-v6.3",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v3.0.1-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.1-MNI152_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v3.0.1-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.1-MNI152_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v3.0.1-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.1-MNI152_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v3.0.1-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.1-MNI152_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v3.0.1-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__temporal_to__parietal_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Temporal-to-Parietal_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Temporal-to-Parietal_PM-v11.4",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v3.0.1-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__terminal_islands_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Terminal-islands_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Terminal-islands_PM-v4.0",
    name="Terminal islands (Basal Forebrain)",
    version_identifier="v3.0.1-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__tuberculum_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Tuberculum_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Tuberculum_PM-v4.0",
    name="Tuberculum (Basal Forebrain)",
    version_identifier="v3.0.1-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__ventral__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Ventral-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0.1-MNI152_Ventral-Dentate-Nucleus_PM-v6.3",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0.1-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_bst_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_BST_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalForebrain"}],
    lookup_label="JBA_v3.0.1-MNI152_BST_PM-v6.1",
    name="BST (Bed Nucleus)",
    version_identifier="v3.0.1-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-MNI152_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v3.0.1-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-MNI152_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v3.0.1-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-MNI152_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v3.0.1-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_cgl_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_CGL_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.1-MNI152_CGL_PM-v10.0",
    name="CGL (Metathalamus)",
    version_identifier="v3.0.1-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_cgm_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_CGM_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.1-MNI152_CGM_PM-v10.0",
    name="CGM (Metathalamus)",
    version_identifier="v3.0.1-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_cm__ce_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_CM.Ce_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.1-MNI152_CM.Ce_PM-v8.2",
    name="CM.Ce (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_cm__me_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_CM.Me_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.1-MNI152_CM.Me_PM-v8.2",
    name="CM.Me (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_cm_aaa_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_CM.AAA_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.1-MNI152_CM.AAA_PM-v8.2",
    name="CM.AAA (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_cm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_CM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.1-MNI152_CM_PM-v8.2",
    name="CM (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-MNI152_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v3.0.1-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-MNI152_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v3.0.1-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-MNI152_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v3.0.1-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_if_ice_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_IF.ice_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.1-MNI152_IF.ice_PM-v8.2",
    name="IF.ice (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_if_iol_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_IF.iol_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.1-MNI152_IF.iol_PM-v8.2",
    name="IF.iol (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_if_ld_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_IF.ld_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.1-MNI152_IF.ld_PM-v8.2",
    name="IF.ld (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_if_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_IF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.1-MNI152_IF_PM-v8.2",
    name="IF (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_lb__bl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_LB.Bl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.1-MNI152_LB.Bl_PM-v8.2",
    name="LB.Bl (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_lb__bm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_LB.Bm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.1-MNI152_LB.Bm_PM-v8.2",
    name="LB.Bm (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_lb__la_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_LB.La_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.1-MNI152_LB.La_PM-v8.2",
    name="LB.La (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_lb__pl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_LB.Pl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.1-MNI152_LB.Pl_PM-v8.2",
    name="LB.Pl (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_lb_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_LB_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.1-MNI152_LB_PM-v8.2",
    name="LB (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_mf_icm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_MF.icm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0.1-MNI152_MF.icm_PM-v8.2",
    name="MF.icm (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_mf_lm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_MF.lm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0.1-MNI152_MF.lm_PM-v8.2",
    name="MF.lm (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_mf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_MF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.1-MNI152_MF_PM-v8.2",
    name="MF (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_sf_a_hi_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_SF.AHi_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.1-MNI152_SF.AHi_PM-v8.2",
    name="SF.AHi (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_sf_a_pir_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_SF.APir_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.1-MNI152_SF.APir_PM-v8.2",
    name="SF.APir (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_sf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_SF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.1-MNI152_SF_PM-v8.2",
    name="SF (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_sf_v_co_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_SF.VCo_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.1-MNI152_SF.VCo_PM-v8.2",
    name="SF.VCo (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_stn_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_STN_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_subthalamus"}],
    lookup_label="JBA_v3.0.1-MNI152_STN_PM-v5.0",
    name="STN (Subthalamus)",
    version_identifier="v3.0.1-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_vp_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_VP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalGanglia"}],
    lookup_label="JBA_v3.0.1-MNI152_VP_PM-v5.0",
    name="VP (Ventral Pallidum)",
    version_identifier="v3.0.1-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_vtm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_VTM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.1-MNI152_VTM_PM-v8.2",
    name="VTM (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_6d1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-6d1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-6d1_int",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_6d2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-6d2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-6d2_int",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_6d3_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-6d3_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-6d3_int",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_6ma_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-6ma_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0.2-BigBrain_Area-6ma_int",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_h_ip4_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hIP4_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-hIP4_int",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_h_ip5_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hIP5_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-hIP5_int",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_h_ip6_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hIP6_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-hIP6_int",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_h_ip7_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hIP7_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-hIP7_int",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_h_ip8_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hIP8_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-hIP8_int",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_h_oc1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hOc1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-hOc1_deep",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_h_oc2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hOc2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-hOc2_deep",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_h_oc3v_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hOc3v_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-hOc3v_deep",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_h_oc5_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hOc5_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-hOc5_deep",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_h_oc6_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hOc6_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-hOc6_int",
    name="Area hOc6 (POS)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_h_po1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hPO1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-hPO1_int",
    name="Area hPO1 (POS)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_mfg1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-MFG1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-MFG1_deep",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_mfg2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-MFG2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-MFG2_deep",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_sfs1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-SFS1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-SFS1_deep",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_sfs2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-SFS2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-SFS2_deep",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_sts1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-STS1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-STS1_int",
    name="Area STS1 (STS)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_sts2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-STS2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-STS2_int",
    name="Area STS2 (STS)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_te_1_0_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-TE-1.0_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-TE-1.0_int",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_te_1_1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-TE-1.1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-TE-1.1_int",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_te_1_2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-TE-1.2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-TE-1.2_int",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_te_3_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-TE-3_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-TE-3_int",
    name="Area TE 3 (STG)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__entorhinal__cortex_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Entorhinal-Cortex_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-BigBrain_Entorhinal-Cortex_int",
    name="Entorhinal Cortex",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain_cgl_lam1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CGL.lam1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.2-BigBrain_CGL.lam1_deep",
    name="CGL.lam1 (Metathalamus)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain_cgl_lam2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CGL.lam2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.2-BigBrain_CGL.lam2_deep",
    name="CGL.lam2 (Metathalamus)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain_cgl_lam3_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CGL.lam3_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.2-BigBrain_CGL.lam3_deep",
    name="CGL.lam3 (Metathalamus)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain_cgl_lam4_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CGL.lam4_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.2-BigBrain_CGL.lam4_deep",
    name="CGL.lam4 (Metathalamus)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain_cgl_lam5_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CGL.lam5_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.2-BigBrain_CGL.lam5_deep",
    name="CGL.lam5 (Metathalamus)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain_cgl_lam6_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CGL.lam6_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.2-BigBrain_CGL.lam6_deep",
    name="CGL.lam6 (Metathalamus)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain_cgm_cg_md_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CGM.CGMd_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v3.0.2-BigBrain_CGM.CGMd_deep",
    name="CGM.CGMd (Metathalamus)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain_cgm_cg_mm_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CGM.CGMm_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v3.0.2-BigBrain_CGM.CGMm_deep",
    name="CGM.CGMm (Metathalamus)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain_cgm_cg_mv_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CGM.CGMv_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v3.0.2-BigBrain_CGM.CGMv_deep",
    name="CGM.CGMv (Metathalamus)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__acb_l_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_AcbL_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.2-Colin27_AcbL_PM-v5.0",
    name="AcbL (Lateral Accumbens, Ventral Striatum)",
    version_identifier="v3.0.2-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__acb_m_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_AcbM_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.2-Colin27_AcbM_PM-v5.0",
    name="AcbM (Medial Accumbens, Ventral Striatum)",
    version_identifier="v3.0.2-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v3.0.2-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_25_25a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-25.25a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-25.25a_PM-v20.1",
    name="Area 25.25a (sACC",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_25_25p_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-25.25p_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-25.25p_PM-v20.1",
    name="Area 25.25p (sACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v3.0.2-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v3.0.2-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v3.0.2-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v3.0.2-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v3.0.2-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v3.0.2-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v3.0.2-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v3.0.2-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v3.0.2-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v3.0.2-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0.2-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0.2-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0.2-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0.2-Colin27_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0.2-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v3.0.2-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v3.0.2-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v3.0.2-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v3.0.2-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v3.0.2-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v3.0.2-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v3.0.2-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v3.0.2-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v3.0.2-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v3.0.2-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v3.0.2-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v3.0.2-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v3.0.2-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v3.0.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v3.0.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v8.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v3.0.2-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v3.0.2-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v3.0.2-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v3.0.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v3.0.2-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v3.0.2-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v3.0.2-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v3.0.2-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v3.0.2-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0.2-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0.2-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0.2-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0.2-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0.2-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0.2-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0.2-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v3.0.2-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0.2-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v3.0.2-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v3.0.2-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v3.0.2-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v3.0.2-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0.2-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v3.0.2-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v3.0.2-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_mfg1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-MFG1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-MFG1_PM-v9.0",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0.2-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_mfg2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-MFG2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-MFG2_PM-v9.0",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0.2-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v3.0.2-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v3.0.2-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v3.0.2-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v3.0.2-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v3.0.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v3.0.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p24ab_p24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24ab.p24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-p24ab.p24a_PM-v20.1",
    name="Area p24ab.p24a (pACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p24ab_p24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24ab.p24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-p24ab.p24b_PM-v20.1",
    name="Area p24ab.p24b (pACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p24c_pd24cd_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24c.pd24cd_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-p24c.pd24cd_PM-v20.1",
    name="Area p24c.pd24cd (pACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p24c_pd24cv_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24c.pd24cv_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-p24c.pd24cv_PM-v20.1",
    name="Area p24c.pd24cv (pACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p24c_pv24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24c.pv24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-p24c.pv24c_PM-v20.1",
    name="Area p24c.pv24c (pACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v3.0.2-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v3.0.2-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v3.0.2-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v3.0.2-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v3.0.2-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v3.0.2-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v3.0.2-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_s24_s24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-s24.s24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-s24.s24a_PM-v20.1",
    name="Area s24.s24a (sACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_s24_s24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-s24.s24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-s24.s24b_PM-v20.1",
    name="Area s24.s24b (sACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_sfs1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-SFS1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-SFS1_PM-v9.0",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0.2-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_sfs2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-SFS2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-SFS2_PM-v9.0",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0.2-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v3.0.2-Colin27, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v3.0.2-Colin27, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v3.0.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v3.0.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v3.0.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v3.0.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v3.0.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__ch_123_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Ch-123_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v3.0.2-Colin27_Ch-123_PM-v4.3",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v3.0.2-Colin27, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__ch_4_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Ch-4_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v3.0.2-Colin27_Ch-4_PM-v4.3",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v3.0.2-Colin27, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__dorsal__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Dorsal-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0.2-Colin27_Dorsal-Dentate-Nucleus_PM-v6.3",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0.2-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-Colin27_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v3.0.2-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__fastigial__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Fastigial-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0.2-Colin27_Fastigial-Nucleus_PM-v6.3",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v3.0.2-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__frontal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Frontal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.2-Colin27_Frontal-I_PM-v11.4",
    name="Frontal-I (GapMap)",
    version_identifier="v3.0.2-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__frontal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Frontal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.2-Colin27_Frontal-II_PM-v11.4",
    name="Frontal-II (GapMap)",
    version_identifier="v3.0.2-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__frontal_to__occipital_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Frontal-to-Occipital_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Frontal-to-Occipital_PM-v11.4",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v3.0.2-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__frontal_to__temporal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Frontal-to-Temporal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.2-Colin27_Frontal-to-Temporal-I_PM-v11.4",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v3.0.2-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__frontal_to__temporal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Frontal-to-Temporal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.2-Colin27_Frontal-to-Temporal-II_PM-v11.4",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v3.0.2-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__fu_cd_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_FuCd_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.2-Colin27_FuCd_PM-v5.0",
    name="FuCd (Fundus of Caudate Nucleus, Ventral Striatum)",
    version_identifier="v3.0.2-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__fu_p_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_FuP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.2-Colin27_FuP_PM-v5.0",
    name="FuP (Fundus of Putamen, Ventral Striatum)",
    version_identifier="v3.0.2-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__interposed__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Interposed-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0.2-Colin27_Interposed-Nucleus_PM-v6.3",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v3.0.2-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.2-Colin27_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v3.0.2-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.2-Colin27_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v3.0.2-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.2-Colin27_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v3.0.2-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.2-Colin27_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v3.0.2-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__temporal_to__parietal_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Temporal-to-Parietal_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Temporal-to-Parietal_PM-v11.4",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v3.0.2-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__terminal_islands_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Terminal-islands_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Terminal-islands_PM-v4.0",
    name="Terminal islands (Basal Forebrain)",
    version_identifier="v3.0.2-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__tuberculum_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Tuberculum_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Tuberculum_PM-v4.0",
    name="Tuberculum (Basal Forebrain)",
    version_identifier="v3.0.2-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__ventral__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Ventral-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0.2-Colin27_Ventral-Dentate-Nucleus_PM-v6.3",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0.2-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_bst_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_BST_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalForebrain"}],
    lookup_label="JBA_v3.0.2-Colin27_BST_PM-v6.1",
    name="BST (Bed Nucleus)",
    version_identifier="v3.0.2-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-Colin27_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v3.0.2-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-Colin27_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v3.0.2-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-Colin27_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v3.0.2-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_cgl_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CGL_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.2-Colin27_CGL_PM-v10.0",
    name="CGL (Metathalamus)",
    version_identifier="v3.0.2-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_cgm_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CGM_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.2-Colin27_CGM_PM-v10.0",
    name="CGM (Metathalamus)",
    version_identifier="v3.0.2-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_cm__ce_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CM.Ce_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.2-Colin27_CM.Ce_PM-v8.2",
    name="CM.Ce (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_cm__me_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CM.Me_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.2-Colin27_CM.Me_PM-v8.2",
    name="CM.Me (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_cm_aaa_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CM.AAA_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.2-Colin27_CM.AAA_PM-v8.2",
    name="CM.AAA (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_cm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.2-Colin27_CM_PM-v8.2",
    name="CM (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-Colin27_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v3.0.2-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-Colin27_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v3.0.2-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-Colin27_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v3.0.2-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_if_ice_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_IF.ice_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.2-Colin27_IF.ice_PM-v8.2",
    name="IF.ice (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_if_iol_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_IF.iol_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.2-Colin27_IF.iol_PM-v8.2",
    name="IF.iol (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_if_ld_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_IF.ld_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.2-Colin27_IF.ld_PM-v8.2",
    name="IF.ld (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_if_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_IF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.2-Colin27_IF_PM-v8.2",
    name="IF (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_lb__bl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_LB.Bl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.2-Colin27_LB.Bl_PM-v8.2",
    name="LB.Bl (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_lb__bm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_LB.Bm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.2-Colin27_LB.Bm_PM-v8.2",
    name="LB.Bm (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_lb__la_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_LB.La_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.2-Colin27_LB.La_PM-v8.2",
    name="LB.La (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_lb__pl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_LB.Pl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.2-Colin27_LB.Pl_PM-v8.2",
    name="LB.Pl (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_lb_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_LB_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.2-Colin27_LB_PM-v8.2",
    name="LB (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_mf_icm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_MF.icm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0.2-Colin27_MF.icm_PM-v8.2",
    name="MF.icm (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_mf_lm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_MF.lm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0.2-Colin27_MF.lm_PM-v8.2",
    name="MF.lm (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_mf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_MF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.2-Colin27_MF_PM-v8.2",
    name="MF (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_sf_a_hi_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_SF.AHi_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.2-Colin27_SF.AHi_PM-v8.2",
    name="SF.AHi (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_sf_a_pir_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_SF.APir_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.2-Colin27_SF.APir_PM-v8.2",
    name="SF.APir (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_sf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_SF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.2-Colin27_SF_PM-v8.2",
    name="SF (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_sf_v_co_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_SF.VCo_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.2-Colin27_SF.VCo_PM-v8.2",
    name="SF.VCo (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_stn_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_STN_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_subthalamus"}],
    lookup_label="JBA_v3.0.2-Colin27_STN_PM-v5.0",
    name="STN (Subthalamus)",
    version_identifier="v3.0.2-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_vp_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_VP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalGanglia"}],
    lookup_label="JBA_v3.0.2-Colin27_VP_PM-v5.0",
    name="VP (Ventral Pallidum)",
    version_identifier="v3.0.2-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_vtm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_VTM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.2-Colin27_VTM_PM-v8.2",
    name="VTM (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v3.0.2-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v3.0.2-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v3.0.2-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v3.0.2-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v3.0.2-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v3.0.2-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v3.0.2-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v3.0.2-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v3.0.2-fsaverage, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v3.0.2-fsaverage, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v3.0.2-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v3.0.2-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v3.0.2-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0.2-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0.2-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0.2-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0.2-fsaverage_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0.2-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v3.0.2-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v3.0.2-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v3.0.2-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v3.0.2-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v3.0.2-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v3.0.2-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v3.0.2-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v3.0.2-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v3.0.2-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v3.0.2-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v3.0.2-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v3.0.2-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v3.0.2-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v3.0.2-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v3.0.2-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v8.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v3.0.2-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v3.0.2-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v3.0.2-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v3.0.2-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v3.0.2-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v3.0.2-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v3.0.2-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v3.0.2-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v3.0.2-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0.2-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0.2-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0.2-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0.2-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0.2-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0.2-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0.2-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v3.0.2-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0.2-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v3.0.2-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v3.0.2-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v3.0.2-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v3.0.2-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0.2-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v3.0.2-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v3.0.2-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_mfg1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-MFG1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-MFG1_PM-v9.0",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0.2-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_mfg2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-MFG2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-MFG2_PM-v9.0",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0.2-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v3.0.2-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v3.0.2-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v3.0.2-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v3.0.2-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v3.0.2-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v3.0.2-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v3.0.2-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v3.0.2-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v3.0.2-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v3.0.2-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v3.0.2-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v3.0.2-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v3.0.2-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v3.0.2-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v3.0.2-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v3.0.2-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v3.0.2-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v3.0.2-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_sfs1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-SFS1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-SFS1_PM-v9.0",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0.2-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_sfs2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-SFS2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-SFS2_PM-v9.0",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0.2-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v3.0.2-fsaverage, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v3.0.2-fsaverage, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0.2-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0.2-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0.2-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v3.0.2-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v3.0.2-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v3.0.2-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v3.0.2-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v3.0.2-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-fsaverage_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v3.0.2-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__frontal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Frontal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.2-fsaverage_Frontal-I_PM-v11.4",
    name="Frontal-I (GapMap)",
    version_identifier="v3.0.2-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__frontal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Frontal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.2-fsaverage_Frontal-II_PM-v11.4",
    name="Frontal-II (GapMap)",
    version_identifier="v3.0.2-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__frontal_to__occipital_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Frontal-to-Occipital_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Frontal-to-Occipital_PM-v11.4",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v3.0.2-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__frontal_to__temporal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Frontal-to-Temporal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.2-fsaverage_Frontal-to-Temporal-I_PM-v11.4",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v3.0.2-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__frontal_to__temporal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Frontal-to-Temporal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.2-fsaverage_Frontal-to-Temporal-II_PM-v11.4",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v3.0.2-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.2-fsaverage_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v3.0.2-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.2-fsaverage_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v3.0.2-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.2-fsaverage_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v3.0.2-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.2-fsaverage_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v3.0.2-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__temporal_to__parietal_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Temporal-to-Parietal_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Temporal-to-Parietal_PM-v11.4",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v3.0.2-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__tuberculum_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Tuberculum_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Tuberculum_PM-v4.0",
    name="Tuberculum (Basal Forebrain)",
    version_identifier="v3.0.2-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-fsaverage_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v3.0.2-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-fsaverage_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v3.0.2-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-fsaverage_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v3.0.2-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage_cgl_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_CGL_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.2-fsaverage_CGL_PM-v10.0",
    name="CGL (Metathalamus)",
    version_identifier="v3.0.2-fsaverage, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage_cgm_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_CGM_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.2-fsaverage_CGM_PM-v10.0",
    name="CGM (Metathalamus)",
    version_identifier="v3.0.2-fsaverage, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-fsaverage_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v3.0.2-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-fsaverage_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v3.0.2-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-fsaverage_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v3.0.2-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__acb_l_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_AcbL_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.2-MNI152_AcbL_PM-v5.0",
    name="AcbL (Lateral Accumbens, Ventral Striatum)",
    version_identifier="v3.0.2-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__acb_m_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_AcbM_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.2-MNI152_AcbM_PM-v5.0",
    name="AcbM (Medial Accumbens, Ventral Striatum)",
    version_identifier="v3.0.2-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v3.0.2-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_25_25a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-25.25a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-25.25a_PM-v20.1",
    name="Area 25.25a (sACC",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_25_25p_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-25.25p_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-25.25p_PM-v20.1",
    name="Area 25.25p (sACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v3.0.2-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v3.0.2-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v3.0.2-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v3.0.2-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v3.0.2-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v3.0.2-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v3.0.2-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v3.0.2-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v3.0.2-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v3.0.2-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0.2-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0.2-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0.2-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0.2-MNI152_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0.2-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v3.0.2-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v3.0.2-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v3.0.2-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v3.0.2-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v3.0.2-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v3.0.2-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v3.0.2-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v3.0.2-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v3.0.2-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v3.0.2-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v3.0.2-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v3.0.2-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v3.0.2-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v3.0.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v3.0.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v8.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v3.0.2-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v3.0.2-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v3.0.2-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v3.0.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v3.0.2-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v3.0.2-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v3.0.2-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v3.0.2-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v3.0.2-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0.2-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0.2-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0.2-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0.2-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0.2-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0.2-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0.2-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v3.0.2-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0.2-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v3.0.2-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v3.0.2-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v3.0.2-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v3.0.2-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0.2-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v3.0.2-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v3.0.2-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_mfg1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-MFG1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-MFG1_PM-v9.0",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0.2-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_mfg2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-MFG2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-MFG2_PM-v9.0",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0.2-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v3.0.2-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v3.0.2-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v3.0.2-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v3.0.2-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v3.0.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v3.0.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p24ab_p24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24ab.p24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-p24ab.p24a_PM-v20.1",
    name="Area p24ab.p24a (pACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p24ab_p24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24ab.p24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-p24ab.p24b_PM-v20.1",
    name="Area p24ab.p24b (pACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p24c_pd24cd_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24c.pd24cd_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-p24c.pd24cd_PM-v20.1",
    name="Area p24c.pd24cd (pACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p24c_pd24cv_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24c.pd24cv_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-p24c.pd24cv_PM-v20.1",
    name="Area p24c.pd24cv (pACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p24c_pv24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24c.pv24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-p24c.pv24c_PM-v20.1",
    name="Area p24c.pv24c (pACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v3.0.2-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v3.0.2-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v3.0.2-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v3.0.2-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v3.0.2-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v3.0.2-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v3.0.2-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_s24_s24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-s24.s24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-s24.s24a_PM-v20.1",
    name="Area s24.s24a (sACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_s24_s24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-s24.s24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-s24.s24b_PM-v20.1",
    name="Area s24.s24b (sACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_sfs1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-SFS1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-SFS1_PM-v9.0",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0.2-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_sfs2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-SFS2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-SFS2_PM-v9.0",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0.2-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v3.0.2-MNI152, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v3.0.2-MNI152, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v3.0.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v3.0.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v3.0.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v3.0.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v3.0.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__ch_123_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Ch-123_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v3.0.2-MNI152_Ch-123_PM-v4.3",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v3.0.2-MNI152, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__ch_4_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Ch-4_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v3.0.2-MNI152_Ch-4_PM-v4.3",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v3.0.2-MNI152, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__dorsal__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Dorsal-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0.2-MNI152_Dorsal-Dentate-Nucleus_PM-v6.3",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0.2-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-MNI152_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v3.0.2-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__fastigial__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Fastigial-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0.2-MNI152_Fastigial-Nucleus_PM-v6.3",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v3.0.2-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__frontal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Frontal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.2-MNI152_Frontal-I_PM-v11.4",
    name="Frontal-I (GapMap)",
    version_identifier="v3.0.2-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__frontal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Frontal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.2-MNI152_Frontal-II_PM-v11.4",
    name="Frontal-II (GapMap)",
    version_identifier="v3.0.2-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__frontal_to__occipital_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Frontal-to-Occipital_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Frontal-to-Occipital_PM-v11.4",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v3.0.2-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__frontal_to__temporal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Frontal-to-Temporal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.2-MNI152_Frontal-to-Temporal-I_PM-v11.4",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v3.0.2-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__frontal_to__temporal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Frontal-to-Temporal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.2-MNI152_Frontal-to-Temporal-II_PM-v11.4",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v3.0.2-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__fu_cd_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_FuCd_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.2-MNI152_FuCd_PM-v5.0",
    name="FuCd (Fundus of Caudate Nucleus, Ventral Striatum)",
    version_identifier="v3.0.2-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__fu_p_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_FuP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.2-MNI152_FuP_PM-v5.0",
    name="FuP (Fundus of Putamen, Ventral Striatum)",
    version_identifier="v3.0.2-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__interposed__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Interposed-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0.2-MNI152_Interposed-Nucleus_PM-v6.3",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v3.0.2-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.2-MNI152_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v3.0.2-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.2-MNI152_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v3.0.2-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.2-MNI152_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v3.0.2-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.2-MNI152_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v3.0.2-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__temporal_to__parietal_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Temporal-to-Parietal_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Temporal-to-Parietal_PM-v11.4",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v3.0.2-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__terminal_islands_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Terminal-islands_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Terminal-islands_PM-v4.0",
    name="Terminal islands (Basal Forebrain)",
    version_identifier="v3.0.2-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__tuberculum_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Tuberculum_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Tuberculum_PM-v4.0",
    name="Tuberculum (Basal Forebrain)",
    version_identifier="v3.0.2-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__ventral__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Ventral-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0.2-MNI152_Ventral-Dentate-Nucleus_PM-v6.3",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0.2-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_bst_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_BST_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalForebrain"}],
    lookup_label="JBA_v3.0.2-MNI152_BST_PM-v6.1",
    name="BST (Bed Nucleus)",
    version_identifier="v3.0.2-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-MNI152_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v3.0.2-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-MNI152_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v3.0.2-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-MNI152_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v3.0.2-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_cgl_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CGL_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.2-MNI152_CGL_PM-v10.0",
    name="CGL (Metathalamus)",
    version_identifier="v3.0.2-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_cgm_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CGM_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.2-MNI152_CGM_PM-v10.0",
    name="CGM (Metathalamus)",
    version_identifier="v3.0.2-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_cm__ce_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CM.Ce_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.2-MNI152_CM.Ce_PM-v8.2",
    name="CM.Ce (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_cm__me_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CM.Me_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.2-MNI152_CM.Me_PM-v8.2",
    name="CM.Me (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_cm_aaa_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CM.AAA_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.2-MNI152_CM.AAA_PM-v8.2",
    name="CM.AAA (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_cm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.2-MNI152_CM_PM-v8.2",
    name="CM (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-MNI152_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v3.0.2-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-MNI152_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v3.0.2-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-MNI152_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v3.0.2-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_if_ice_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_IF.ice_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.2-MNI152_IF.ice_PM-v8.2",
    name="IF.ice (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_if_iol_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_IF.iol_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.2-MNI152_IF.iol_PM-v8.2",
    name="IF.iol (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_if_ld_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_IF.ld_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.2-MNI152_IF.ld_PM-v8.2",
    name="IF.ld (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_if_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_IF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.2-MNI152_IF_PM-v8.2",
    name="IF (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_lb__bl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_LB.Bl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.2-MNI152_LB.Bl_PM-v8.2",
    name="LB.Bl (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_lb__bm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_LB.Bm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.2-MNI152_LB.Bm_PM-v8.2",
    name="LB.Bm (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_lb__la_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_LB.La_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.2-MNI152_LB.La_PM-v8.2",
    name="LB.La (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_lb__pl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_LB.Pl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.2-MNI152_LB.Pl_PM-v8.2",
    name="LB.Pl (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_lb_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_LB_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.2-MNI152_LB_PM-v8.2",
    name="LB (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_mf_icm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_MF.icm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0.2-MNI152_MF.icm_PM-v8.2",
    name="MF.icm (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_mf_lm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_MF.lm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0.2-MNI152_MF.lm_PM-v8.2",
    name="MF.lm (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_mf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_MF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.2-MNI152_MF_PM-v8.2",
    name="MF (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_sf_a_hi_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_SF.AHi_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.2-MNI152_SF.AHi_PM-v8.2",
    name="SF.AHi (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_sf_a_pir_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_SF.APir_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.2-MNI152_SF.APir_PM-v8.2",
    name="SF.APir (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_sf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_SF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.2-MNI152_SF_PM-v8.2",
    name="SF (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_sf_v_co_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_SF.VCo_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.2-MNI152_SF.VCo_PM-v8.2",
    name="SF.VCo (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_stn_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_STN_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_subthalamus"}],
    lookup_label="JBA_v3.0.2-MNI152_STN_PM-v5.0",
    name="STN (Subthalamus)",
    version_identifier="v3.0.2-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_vp_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_VP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalGanglia"}],
    lookup_label="JBA_v3.0.2-MNI152_VP_PM-v5.0",
    name="VP (Ventral Pallidum)",
    version_identifier="v3.0.2-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_vtm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_VTM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.2-MNI152_VTM_PM-v8.2",
    name="VTM (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_6d1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-6d1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-6d1_int",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_6d2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-6d2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-6d2_int",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_6d3_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-6d3_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-6d3_int",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_6ma_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-6ma_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0.3-BigBrain_Area-6ma_int",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_h_ip4_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hIP4_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-hIP4_int",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_h_ip5_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hIP5_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-hIP5_int",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_h_ip6_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hIP6_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-hIP6_int",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_h_ip7_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hIP7_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-hIP7_int",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_h_ip8_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hIP8_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-hIP8_int",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_h_oc1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hOc1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-hOc1_deep",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_h_oc2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hOc2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-hOc2_deep",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_h_oc3v_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hOc3v_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-hOc3v_deep",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_h_oc5_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hOc5_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-hOc5_deep",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_h_oc6_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hOc6_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-hOc6_int",
    name="Area hOc6 (POS)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_h_po1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hPO1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-hPO1_int",
    name="Area hPO1 (POS)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_mfg1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-MFG1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-MFG1_deep",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_mfg2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-MFG2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-MFG2_deep",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_sfs1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-SFS1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-SFS1_deep",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_sfs2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-SFS2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-SFS2_deep",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_sts1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-STS1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-STS1_int",
    name="Area STS1 (STS)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_sts2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-STS2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-STS2_int",
    name="Area STS2 (STS)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_te_1_0_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-TE-1.0_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-TE-1.0_int",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_te_1_1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-TE-1.1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-TE-1.1_int",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_te_1_2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-TE-1.2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-TE-1.2_int",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_te_3_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-TE-3_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-TE-3_int",
    name="Area TE 3 (STG)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__entorhinal__cortex_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Entorhinal-Cortex_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-BigBrain_Entorhinal-Cortex_int",
    name="Entorhinal Cortex",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain_cgl_lam1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_CGL.lam1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.3-BigBrain_CGL.lam1_deep",
    name="CGL.lam1 (Metathalamus)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain_cgl_lam2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_CGL.lam2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.3-BigBrain_CGL.lam2_deep",
    name="CGL.lam2 (Metathalamus)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain_cgl_lam3_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_CGL.lam3_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.3-BigBrain_CGL.lam3_deep",
    name="CGL.lam3 (Metathalamus)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain_cgl_lam4_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_CGL.lam4_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.3-BigBrain_CGL.lam4_deep",
    name="CGL.lam4 (Metathalamus)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain_cgl_lam5_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_CGL.lam5_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.3-BigBrain_CGL.lam5_deep",
    name="CGL.lam5 (Metathalamus)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain_cgl_lam6_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_CGL.lam6_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.3-BigBrain_CGL.lam6_deep",
    name="CGL.lam6 (Metathalamus)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain_cgm_cg_md_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_CGM.CGMd_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v3.0.3-BigBrain_CGM.CGMd_deep",
    name="CGM.CGMd (Metathalamus)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain_cgm_cg_mm_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_CGM.CGMm_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v3.0.3-BigBrain_CGM.CGMm_deep",
    name="CGM.CGMm (Metathalamus)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain_cgm_cg_mv_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_CGM.CGMv_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v3.0.3-BigBrain_CGM.CGMv_deep",
    name="CGM.CGMv (Metathalamus)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__acb_l_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_AcbL_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.3-Colin27_AcbL_PM-v5.0",
    name="AcbL (Lateral Accumbens, Ventral Striatum)",
    version_identifier="v3.0.3-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__acb_m_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_AcbM_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.3-Colin27_AcbM_PM-v5.0",
    name="AcbM (Medial Accumbens, Ventral Striatum)",
    version_identifier="v3.0.3-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v3.0.3-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_25_25a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-25.25a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-25.25a_PM-v20.1",
    name="Area 25.25a (sACC",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_25_25p_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-25.25p_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-25.25p_PM-v20.1",
    name="Area 25.25p (sACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v3.0.3-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v3.0.3-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v3.0.3-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v3.0.3-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v3.0.3-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v3.0.3-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v3.0.3-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v3.0.3-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v3.0.3-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v3.0.3-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0.3-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0.3-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0.3-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0.3-Colin27_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0.3-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v3.0.3-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v3.0.3-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v3.0.3-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v3.0.3-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v3.0.3-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v3.0.3-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v3.0.3-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v3.0.3-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v3.0.3-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v3.0.3-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v3.0.3-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v3.0.3-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v3.0.3-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v3.0.3-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v3.0.3-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v8.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v3.0.3-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v3.0.3-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v3.0.3-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v3.0.3-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v3.0.3-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v3.0.3-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v3.0.3-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v3.0.3-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v3.0.3-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0.3-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0.3-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0.3-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0.3-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0.3-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0.3-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0.3-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v3.0.3-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0.3-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v3.0.3-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v3.0.3-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v3.0.3-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v3.0.3-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0.3-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v3.0.3-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v3.0.3-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_mfg1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-MFG1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-MFG1_PM-v9.0",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0.3-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_mfg2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-MFG2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-MFG2_PM-v9.0",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0.3-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v3.0.3-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v3.0.3-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v3.0.3-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v3.0.3-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v3.0.3-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v3.0.3-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p24ab_p24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-p24ab.p24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-p24ab.p24a_PM-v20.1",
    name="Area p24ab.p24a (pACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p24ab_p24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-p24ab.p24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-p24ab.p24b_PM-v20.1",
    name="Area p24ab.p24b (pACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p24c_pd24cd_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-p24c.pd24cd_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-p24c.pd24cd_PM-v20.1",
    name="Area p24c.pd24cd (pACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p24c_pd24cv_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-p24c.pd24cv_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-p24c.pd24cv_PM-v20.1",
    name="Area p24c.pd24cv (pACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p24c_pv24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-p24c.pv24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-p24c.pv24c_PM-v20.1",
    name="Area p24c.pv24c (pACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v3.0.3-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v3.0.3-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v3.0.3-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v3.0.3-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v3.0.3-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v3.0.3-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v3.0.3-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_s24_s24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-s24.s24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-s24.s24a_PM-v20.1",
    name="Area s24.s24a (sACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_s24_s24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-s24.s24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-s24.s24b_PM-v20.1",
    name="Area s24.s24b (sACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_sfs1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-SFS1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-SFS1_PM-v9.0",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0.3-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_sfs2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-SFS2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-SFS2_PM-v9.0",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0.3-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v3.0.3-Colin27, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v3.0.3-Colin27, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0.3-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0.3-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0.3-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v3.0.3-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v3.0.3-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v3.0.3-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v3.0.3-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v3.0.3-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__ch_123_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Ch-123_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v3.0.3-Colin27_Ch-123_PM-v4.3",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v3.0.3-Colin27, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__ch_4_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Ch-4_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v3.0.3-Colin27_Ch-4_PM-v4.3",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v3.0.3-Colin27, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__dorsal__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Dorsal-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0.3-Colin27_Dorsal-Dentate-Nucleus_PM-v6.3",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0.3-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-Colin27_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v3.0.3-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__fastigial__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Fastigial-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0.3-Colin27_Fastigial-Nucleus_PM-v6.3",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v3.0.3-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__frontal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Frontal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.3-Colin27_Frontal-I_PM-v11.4",
    name="Frontal-I (GapMap)",
    version_identifier="v3.0.3-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__frontal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Frontal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.3-Colin27_Frontal-II_PM-v11.4",
    name="Frontal-II (GapMap)",
    version_identifier="v3.0.3-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__frontal_to__occipital_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Frontal-to-Occipital_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Frontal-to-Occipital_PM-v11.4",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v3.0.3-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__frontal_to__temporal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Frontal-to-Temporal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.3-Colin27_Frontal-to-Temporal-I_PM-v11.4",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v3.0.3-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__frontal_to__temporal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Frontal-to-Temporal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.3-Colin27_Frontal-to-Temporal-II_PM-v11.4",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v3.0.3-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__fu_cd_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_FuCd_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.3-Colin27_FuCd_PM-v5.0",
    name="FuCd (Fundus of Caudate Nucleus, Ventral Striatum)",
    version_identifier="v3.0.3-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__fu_p_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_FuP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.3-Colin27_FuP_PM-v5.0",
    name="FuP (Fundus of Putamen, Ventral Striatum)",
    version_identifier="v3.0.3-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__interposed__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Interposed-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0.3-Colin27_Interposed-Nucleus_PM-v6.3",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v3.0.3-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.3-Colin27_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v3.0.3-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.3-Colin27_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v3.0.3-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.3-Colin27_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v3.0.3-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.3-Colin27_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v3.0.3-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__temporal_to__parietal_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Temporal-to-Parietal_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Temporal-to-Parietal_PM-v11.4",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v3.0.3-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__terminal_islands_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Terminal-islands_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Terminal-islands_PM-v4.0",
    name="Terminal islands (Basal Forebrain)",
    version_identifier="v3.0.3-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__tuberculum_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Tuberculum_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Tuberculum_PM-v4.0",
    name="Tuberculum (Basal Forebrain)",
    version_identifier="v3.0.3-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__ventral__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Ventral-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0.3-Colin27_Ventral-Dentate-Nucleus_PM-v6.3",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0.3-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_bst_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_BST_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalForebrain"}],
    lookup_label="JBA_v3.0.3-Colin27_BST_PM-v6.1",
    name="BST (Bed Nucleus)",
    version_identifier="v3.0.3-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-Colin27_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v3.0.3-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-Colin27_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v3.0.3-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-Colin27_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v3.0.3-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_cgl_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_CGL_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.3-Colin27_CGL_PM-v10.0",
    name="CGL (Metathalamus)",
    version_identifier="v3.0.3-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_cgm_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_CGM_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.3-Colin27_CGM_PM-v10.0",
    name="CGM (Metathalamus)",
    version_identifier="v3.0.3-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_cm__ce_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_CM.Ce_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.3-Colin27_CM.Ce_PM-v8.2",
    name="CM.Ce (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_cm__me_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_CM.Me_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.3-Colin27_CM.Me_PM-v8.2",
    name="CM.Me (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_cm_aaa_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_CM.AAA_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.3-Colin27_CM.AAA_PM-v8.2",
    name="CM.AAA (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_cm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_CM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.3-Colin27_CM_PM-v8.2",
    name="CM (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-Colin27_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v3.0.3-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-Colin27_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v3.0.3-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-Colin27_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v3.0.3-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_if_ice_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_IF.ice_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.3-Colin27_IF.ice_PM-v8.2",
    name="IF.ice (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_if_iol_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_IF.iol_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.3-Colin27_IF.iol_PM-v8.2",
    name="IF.iol (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_if_ld_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_IF.ld_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.3-Colin27_IF.ld_PM-v8.2",
    name="IF.ld (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_if_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_IF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.3-Colin27_IF_PM-v8.2",
    name="IF (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_lb__bl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_LB.Bl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.3-Colin27_LB.Bl_PM-v8.2",
    name="LB.Bl (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_lb__bm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_LB.Bm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.3-Colin27_LB.Bm_PM-v8.2",
    name="LB.Bm (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_lb__la_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_LB.La_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.3-Colin27_LB.La_PM-v8.2",
    name="LB.La (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_lb__pl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_LB.Pl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.3-Colin27_LB.Pl_PM-v8.2",
    name="LB.Pl (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_lb_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_LB_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.3-Colin27_LB_PM-v8.2",
    name="LB (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_mf_icm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_MF.icm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0.3-Colin27_MF.icm_PM-v8.2",
    name="MF.icm (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_mf_lm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_MF.lm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0.3-Colin27_MF.lm_PM-v8.2",
    name="MF.lm (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_mf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_MF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.3-Colin27_MF_PM-v8.2",
    name="MF (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_sf_a_hi_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_SF.AHi_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.3-Colin27_SF.AHi_PM-v8.2",
    name="SF.AHi (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_sf_a_pir_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_SF.APir_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.3-Colin27_SF.APir_PM-v8.2",
    name="SF.APir (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_sf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_SF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.3-Colin27_SF_PM-v8.2",
    name="SF (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_sf_v_co_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_SF.VCo_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.3-Colin27_SF.VCo_PM-v8.2",
    name="SF.VCo (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_stn_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_STN_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_subthalamus"}],
    lookup_label="JBA_v3.0.3-Colin27_STN_PM-v5.0",
    name="STN (Subthalamus)",
    version_identifier="v3.0.3-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_vp_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_VP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalGanglia"}],
    lookup_label="JBA_v3.0.3-Colin27_VP_PM-v5.0",
    name="VP (Ventral Pallidum)",
    version_identifier="v3.0.3-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_vtm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_VTM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.3-Colin27_VTM_PM-v8.2",
    name="VTM (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v3.0.3-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v3.0.3-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v3.0.3-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v3.0.3-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v3.0.3-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v3.0.3-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v3.0.3-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v3.0.3-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v3.0.3-fsaverage, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v3.0.3-fsaverage, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v3.0.3-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v3.0.3-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v3.0.3-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0.3-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0.3-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0.3-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0.3-fsaverage_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0.3-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v3.0.3-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v3.0.3-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v3.0.3-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v3.0.3-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v3.0.3-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v3.0.3-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v3.0.3-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v3.0.3-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v3.0.3-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v3.0.3-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v3.0.3-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v3.0.3-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v3.0.3-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v3.0.3-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v3.0.3-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v8.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v3.0.3-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v3.0.3-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v3.0.3-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v3.0.3-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v3.0.3-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v3.0.3-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v3.0.3-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v3.0.3-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v3.0.3-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0.3-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0.3-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0.3-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0.3-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0.3-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0.3-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0.3-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v3.0.3-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0.3-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v3.0.3-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v3.0.3-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v3.0.3-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v3.0.3-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0.3-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v3.0.3-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v3.0.3-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_mfg1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-MFG1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-MFG1_PM-v9.0",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0.3-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_mfg2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-MFG2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-MFG2_PM-v9.0",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0.3-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v3.0.3-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v3.0.3-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v3.0.3-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v3.0.3-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v3.0.3-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v3.0.3-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v3.0.3-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v3.0.3-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v3.0.3-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v3.0.3-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v3.0.3-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v3.0.3-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v3.0.3-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v3.0.3-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v3.0.3-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v3.0.3-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v3.0.3-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v3.0.3-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_sfs1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-SFS1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-SFS1_PM-v9.0",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0.3-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_sfs2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-SFS2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-SFS2_PM-v9.0",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0.3-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v3.0.3-fsaverage, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v3.0.3-fsaverage, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0.3-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0.3-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0.3-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v3.0.3-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v3.0.3-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v3.0.3-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v3.0.3-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v3.0.3-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-fsaverage_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v3.0.3-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__frontal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Frontal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.3-fsaverage_Frontal-I_PM-v11.4",
    name="Frontal-I (GapMap)",
    version_identifier="v3.0.3-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__frontal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Frontal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.3-fsaverage_Frontal-II_PM-v11.4",
    name="Frontal-II (GapMap)",
    version_identifier="v3.0.3-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__frontal_to__occipital_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Frontal-to-Occipital_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Frontal-to-Occipital_PM-v11.4",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v3.0.3-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__frontal_to__temporal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Frontal-to-Temporal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.3-fsaverage_Frontal-to-Temporal-I_PM-v11.4",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v3.0.3-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__frontal_to__temporal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Frontal-to-Temporal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.3-fsaverage_Frontal-to-Temporal-II_PM-v11.4",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v3.0.3-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.3-fsaverage_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v3.0.3-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.3-fsaverage_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v3.0.3-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.3-fsaverage_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v3.0.3-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.3-fsaverage_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v3.0.3-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__temporal_to__parietal_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Temporal-to-Parietal_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Temporal-to-Parietal_PM-v11.4",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v3.0.3-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__tuberculum_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Tuberculum_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Tuberculum_PM-v4.0",
    name="Tuberculum (Basal Forebrain)",
    version_identifier="v3.0.3-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-fsaverage_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v3.0.3-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-fsaverage_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v3.0.3-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-fsaverage_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v3.0.3-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage_cgl_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_CGL_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.3-fsaverage_CGL_PM-v10.0",
    name="CGL (Metathalamus)",
    version_identifier="v3.0.3-fsaverage, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage_cgm_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_CGM_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.3-fsaverage_CGM_PM-v10.0",
    name="CGM (Metathalamus)",
    version_identifier="v3.0.3-fsaverage, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-fsaverage_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v3.0.3-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-fsaverage_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v3.0.3-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-fsaverage_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v3.0.3-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__acb_l_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_AcbL_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.3-MNI152_AcbL_PM-v5.0",
    name="AcbL (Lateral Accumbens, Ventral Striatum)",
    version_identifier="v3.0.3-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__acb_m_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_AcbM_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.3-MNI152_AcbM_PM-v5.0",
    name="AcbM (Medial Accumbens, Ventral Striatum)",
    version_identifier="v3.0.3-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v3.0.3-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_25_25a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-25.25a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-25.25a_PM-v20.1",
    name="Area 25.25a (sACC",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_25_25p_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-25.25p_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-25.25p_PM-v20.1",
    name="Area 25.25p (sACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v3.0.3-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v3.0.3-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v3.0.3-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v3.0.3-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v3.0.3-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v3.0.3-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v3.0.3-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v3.0.3-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v3.0.3-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v3.0.3-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0.3-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0.3-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0.3-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0.3-MNI152_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0.3-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v3.0.3-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v3.0.3-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v3.0.3-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v3.0.3-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v3.0.3-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v3.0.3-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v3.0.3-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v3.0.3-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v3.0.3-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v3.0.3-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v3.0.3-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v3.0.3-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v3.0.3-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v3.0.3-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v3.0.3-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v8.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v3.0.3-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v3.0.3-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v3.0.3-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v3.0.3-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v3.0.3-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v3.0.3-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v3.0.3-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v3.0.3-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v3.0.3-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0.3-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0.3-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0.3-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0.3-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0.3-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0.3-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0.3-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v3.0.3-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0.3-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v3.0.3-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v3.0.3-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v3.0.3-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v3.0.3-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0.3-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v3.0.3-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v3.0.3-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_mfg1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-MFG1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-MFG1_PM-v9.0",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0.3-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_mfg2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-MFG2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-MFG2_PM-v9.0",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0.3-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v3.0.3-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v3.0.3-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v3.0.3-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v3.0.3-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v3.0.3-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v3.0.3-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p24ab_p24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-p24ab.p24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-p24ab.p24a_PM-v20.1",
    name="Area p24ab.p24a (pACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p24ab_p24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-p24ab.p24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-p24ab.p24b_PM-v20.1",
    name="Area p24ab.p24b (pACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p24c_pd24cd_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-p24c.pd24cd_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-p24c.pd24cd_PM-v20.1",
    name="Area p24c.pd24cd (pACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p24c_pd24cv_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-p24c.pd24cv_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-p24c.pd24cv_PM-v20.1",
    name="Area p24c.pd24cv (pACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p24c_pv24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-p24c.pv24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-p24c.pv24c_PM-v20.1",
    name="Area p24c.pv24c (pACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v3.0.3-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v3.0.3-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v3.0.3-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v3.0.3-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v3.0.3-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v3.0.3-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v3.0.3-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_s24_s24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-s24.s24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-s24.s24a_PM-v20.1",
    name="Area s24.s24a (sACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_s24_s24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-s24.s24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-s24.s24b_PM-v20.1",
    name="Area s24.s24b (sACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_sfs1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-SFS1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-SFS1_PM-v9.0",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0.3-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_sfs2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-SFS2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-SFS2_PM-v9.0",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0.3-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v3.0.3-MNI152, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v3.0.3-MNI152, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0.3-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0.3-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0.3-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v3.0.3-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v3.0.3-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v3.0.3-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v3.0.3-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v3.0.3-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__ch_123_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Ch-123_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v3.0.3-MNI152_Ch-123_PM-v4.3",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v3.0.3-MNI152, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__ch_4_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Ch-4_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v3.0.3-MNI152_Ch-4_PM-v4.3",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v3.0.3-MNI152, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__dorsal__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Dorsal-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0.3-MNI152_Dorsal-Dentate-Nucleus_PM-v6.3",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0.3-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-MNI152_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v3.0.3-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__fastigial__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Fastigial-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0.3-MNI152_Fastigial-Nucleus_PM-v6.3",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v3.0.3-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__frontal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Frontal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.3-MNI152_Frontal-I_PM-v11.4",
    name="Frontal-I (GapMap)",
    version_identifier="v3.0.3-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__frontal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Frontal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.3-MNI152_Frontal-II_PM-v11.4",
    name="Frontal-II (GapMap)",
    version_identifier="v3.0.3-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__frontal_to__occipital_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Frontal-to-Occipital_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Frontal-to-Occipital_PM-v11.4",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v3.0.3-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__frontal_to__temporal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Frontal-to-Temporal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.3-MNI152_Frontal-to-Temporal-I_PM-v11.4",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v3.0.3-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__frontal_to__temporal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Frontal-to-Temporal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.3-MNI152_Frontal-to-Temporal-II_PM-v11.4",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v3.0.3-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__fu_cd_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_FuCd_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.3-MNI152_FuCd_PM-v5.0",
    name="FuCd (Fundus of Caudate Nucleus, Ventral Striatum)",
    version_identifier="v3.0.3-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__fu_p_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_FuP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.3-MNI152_FuP_PM-v5.0",
    name="FuP (Fundus of Putamen, Ventral Striatum)",
    version_identifier="v3.0.3-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__interposed__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Interposed-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0.3-MNI152_Interposed-Nucleus_PM-v6.3",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v3.0.3-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.3-MNI152_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v3.0.3-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.3-MNI152_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v3.0.3-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.3-MNI152_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v3.0.3-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.3-MNI152_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v3.0.3-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__temporal_to__parietal_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Temporal-to-Parietal_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Temporal-to-Parietal_PM-v11.4",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v3.0.3-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__terminal_islands_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Terminal-islands_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Terminal-islands_PM-v4.0",
    name="Terminal islands (Basal Forebrain)",
    version_identifier="v3.0.3-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__tuberculum_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Tuberculum_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Tuberculum_PM-v4.0",
    name="Tuberculum (Basal Forebrain)",
    version_identifier="v3.0.3-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__ventral__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Ventral-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0.3-MNI152_Ventral-Dentate-Nucleus_PM-v6.3",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0.3-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_bst_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_BST_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalForebrain"}],
    lookup_label="JBA_v3.0.3-MNI152_BST_PM-v6.1",
    name="BST (Bed Nucleus)",
    version_identifier="v3.0.3-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-MNI152_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v3.0.3-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-MNI152_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v3.0.3-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-MNI152_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v3.0.3-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_cgl_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_CGL_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.3-MNI152_CGL_PM-v10.0",
    name="CGL (Metathalamus)",
    version_identifier="v3.0.3-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_cgm_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_CGM_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.3-MNI152_CGM_PM-v10.0",
    name="CGM (Metathalamus)",
    version_identifier="v3.0.3-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_cm__ce_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_CM.Ce_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.3-MNI152_CM.Ce_PM-v8.2",
    name="CM.Ce (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_cm__me_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_CM.Me_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.3-MNI152_CM.Me_PM-v8.2",
    name="CM.Me (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_cm_aaa_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_CM.AAA_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.3-MNI152_CM.AAA_PM-v8.2",
    name="CM.AAA (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_cm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_CM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.3-MNI152_CM_PM-v8.2",
    name="CM (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-MNI152_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v3.0.3-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-MNI152_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v3.0.3-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-MNI152_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v3.0.3-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_if_ice_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_IF.ice_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.3-MNI152_IF.ice_PM-v8.2",
    name="IF.ice (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_if_iol_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_IF.iol_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.3-MNI152_IF.iol_PM-v8.2",
    name="IF.iol (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_if_ld_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_IF.ld_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.3-MNI152_IF.ld_PM-v8.2",
    name="IF.ld (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_if_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_IF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.3-MNI152_IF_PM-v8.2",
    name="IF (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_lb__bl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_LB.Bl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.3-MNI152_LB.Bl_PM-v8.2",
    name="LB.Bl (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_lb__bm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_LB.Bm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.3-MNI152_LB.Bm_PM-v8.2",
    name="LB.Bm (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_lb__la_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_LB.La_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.3-MNI152_LB.La_PM-v8.2",
    name="LB.La (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_lb__pl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_LB.Pl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.3-MNI152_LB.Pl_PM-v8.2",
    name="LB.Pl (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_lb_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_LB_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.3-MNI152_LB_PM-v8.2",
    name="LB (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_mf_icm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_MF.icm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0.3-MNI152_MF.icm_PM-v8.2",
    name="MF.icm (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_mf_lm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_MF.lm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0.3-MNI152_MF.lm_PM-v8.2",
    name="MF.lm (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_mf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_MF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.3-MNI152_MF_PM-v8.2",
    name="MF (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_sf_a_hi_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_SF.AHi_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.3-MNI152_SF.AHi_PM-v8.2",
    name="SF.AHi (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_sf_a_pir_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_SF.APir_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.3-MNI152_SF.APir_PM-v8.2",
    name="SF.APir (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_sf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_SF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.3-MNI152_SF_PM-v8.2",
    name="SF (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_sf_v_co_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_SF.VCo_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.3-MNI152_SF.VCo_PM-v8.2",
    name="SF.VCo (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_stn_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_STN_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_subthalamus"}],
    lookup_label="JBA_v3.0.3-MNI152_STN_PM-v5.0",
    name="STN (Subthalamus)",
    version_identifier="v3.0.3-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_vp_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_VP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalGanglia"}],
    lookup_label="JBA_v3.0.3-MNI152_VP_PM-v5.0",
    name="VP (Ventral Pallidum)",
    version_identifier="v3.0.3-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_vtm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_VTM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.3-MNI152_VTM_PM-v8.2",
    name="VTM (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_6d1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-6d1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-6d1_int",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_6d2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-6d2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-6d2_int",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_6d3_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-6d3_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-6d3_int",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_6ma_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-6ma_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0-BigBrain_Area-6ma_int",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_h_ip4_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hIP4_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-hIP4_int",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_h_ip5_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hIP5_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-hIP5_int",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_h_ip6_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hIP6_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-hIP6_int",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_h_ip7_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hIP7_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-hIP7_int",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_h_ip8_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hIP8_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-hIP8_int",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_h_oc1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hOc1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0-BigBrain_Area-hOc1_deep",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_h_oc2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hOc2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0-BigBrain_Area-hOc2_deep",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_h_oc3v_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hOc3v_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0-BigBrain_Area-hOc3v_deep",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_h_oc5_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hOc5_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0-BigBrain_Area-hOc5_deep",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_h_oc6_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hOc6_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0-BigBrain_Area-hOc6_int",
    name="Area hOc6 (POS)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_h_po1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hPO1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-hPO1_int",
    name="Area hPO1 (POS)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_mfg1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-MFG1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-MFG1_deep",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_mfg2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-MFG2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-MFG2_deep",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_sfs1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-SFS1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-SFS1_deep",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_sfs2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-SFS2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-SFS2_deep",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_sts1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-STS1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-STS1_int",
    name="Area STS1 (STS)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_sts2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-STS2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-STS2_int",
    name="Area STS2 (STS)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_te_1_0_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-TE-1.0_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-TE-1.0_int",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_te_1_1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-TE-1.1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-TE-1.1_int",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_te_1_2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-TE-1.2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-TE-1.2_int",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_te_3_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-TE-3_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-TE-3_int",
    name="Area TE 3 (STG)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__entorhinal__cortex_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Entorhinal-Cortex_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-BigBrain_Entorhinal-Cortex_int",
    name="Entorhinal Cortex",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain_cgl_lam1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_CGL.lam1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0-BigBrain_CGL.lam1_deep",
    name="CGL.lam1 (Metathalamus)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain_cgl_lam2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_CGL.lam2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0-BigBrain_CGL.lam2_deep",
    name="CGL.lam2 (Metathalamus)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain_cgl_lam3_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_CGL.lam3_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0-BigBrain_CGL.lam3_deep",
    name="CGL.lam3 (Metathalamus)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain_cgl_lam4_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_CGL.lam4_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0-BigBrain_CGL.lam4_deep",
    name="CGL.lam4 (Metathalamus)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain_cgl_lam5_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_CGL.lam5_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0-BigBrain_CGL.lam5_deep",
    name="CGL.lam5 (Metathalamus)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain_cgl_lam6_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_CGL.lam6_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0-BigBrain_CGL.lam6_deep",
    name="CGL.lam6 (Metathalamus)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain_cgm_cg_md_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_CGM.CGMd_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v3.0-BigBrain_CGM.CGMd_deep",
    name="CGM.CGMd (Metathalamus)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain_cgm_cg_mm_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_CGM.CGMm_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v3.0-BigBrain_CGM.CGMm_deep",
    name="CGM.CGMm (Metathalamus)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain_cgm_cg_mv_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_CGM.CGMv_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v3.0-BigBrain_CGM.CGMv_deep",
    name="CGM.CGMv (Metathalamus)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__colin27__acb_l_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_AcbL_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0-Colin27_AcbL_PM-v5.0",
    name="AcbL (Lateral Accumbens, Ventral Striatum)",
    version_identifier="v3.0-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__acb_m_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_AcbM_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0-Colin27_AcbM_PM-v5.0",
    name="AcbM (Medial Accumbens, Ventral Striatum)",
    version_identifier="v3.0-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v3.0-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_25_25a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-25.25a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0-Colin27_Area-25.25a_PM-v20.1",
    name="Area 25.25a (sACC",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_25_25p_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-25.25p_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0-Colin27_Area-25.25p_PM-v20.1",
    name="Area 25.25p (sACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v3.0-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v3.0-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v3.0-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v3.0-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v3.0-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v3.0-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v3.0-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v3.0-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v3.0-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v3.0-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0-Colin27_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v3.0-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v3.0-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v3.0-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v3.0-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v3.0-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v3.0-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v3.0-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v3.0-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v3.0-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v3.0-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v3.0-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v3.0-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v3.0-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0-Colin27_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v3.0-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0-Colin27_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v3.0-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v3.0-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v3.0-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v3.0-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v3.0-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v3.0-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v3.0-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v3.0-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v3.0-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v3.0-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v3.0-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v3.0-Colin27, PM-v8.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v3.0-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v3.0-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v3.0-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v3.0-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v3.0-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v3.0-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v3.0-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v3.0-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v3.0-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v3.0-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v3.0-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v3.0-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v3.0-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v3.0-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v3.0-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v3.0-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v3.0-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v3.0-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v3.0-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v3.0-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v3.0-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_mfg1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-MFG1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-MFG1_PM-v9.0",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_mfg2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-MFG2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-MFG2_PM-v9.0",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0-Colin27_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v3.0-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0-Colin27_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v3.0-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0-Colin27_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v3.0-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0-Colin27_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v3.0-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-Colin27_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-Colin27_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-Colin27_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-Colin27_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v3.0-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-Colin27_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v3.0-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p24ab_p24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-p24ab.p24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0-Colin27_Area-p24ab.p24a_PM-v20.1",
    name="Area p24ab.p24a (pACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p24ab_p24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-p24ab.p24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0-Colin27_Area-p24ab.p24b_PM-v20.1",
    name="Area p24ab.p24b (pACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p24c_pd24cd_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-p24c.pd24cd_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0-Colin27_Area-p24c.pd24cd_PM-v20.1",
    name="Area p24c.pd24cd (pACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p24c_pd24cv_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-p24c.pd24cv_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0-Colin27_Area-p24c.pd24cv_PM-v20.1",
    name="Area p24c.pd24cv (pACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p24c_pv24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-p24c.pv24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0-Colin27_Area-p24c.pv24c_PM-v20.1",
    name="Area p24c.pv24c (pACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v3.0-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v3.0-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v3.0-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v3.0-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v3.0-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v3.0-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v3.0-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_s24_s24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-s24.s24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0-Colin27_Area-s24.s24a_PM-v20.1",
    name="Area s24.s24a (sACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_s24_s24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-s24.s24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0-Colin27_Area-s24.s24b_PM-v20.1",
    name="Area s24.s24b (sACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_sfs1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-SFS1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-SFS1_PM-v9.0",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_sfs2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-SFS2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-SFS2_PM-v9.0",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v3.0-Colin27, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v3.0-Colin27, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v3.0-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v3.0-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v3.0-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v3.0-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v3.0-Colin27_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v3.0-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__ch_123_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Ch-123_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v3.0-Colin27_Ch-123_PM-v4.3",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v3.0-Colin27, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__ch_4_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Ch-4_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v3.0-Colin27_Ch-4_PM-v4.3",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v3.0-Colin27, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__dorsal__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Dorsal-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0-Colin27_Dorsal-Dentate-Nucleus_PM-v6.3",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-Colin27_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v3.0-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__fastigial__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Fastigial-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0-Colin27_Fastigial-Nucleus_PM-v6.3",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v3.0-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__frontal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Frontal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0-Colin27_Frontal-I_PM-v11.4",
    name="Frontal-I (GapMap)",
    version_identifier="v3.0-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0__colin27__frontal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Frontal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0-Colin27_Frontal-II_PM-v11.4",
    name="Frontal-II (GapMap)",
    version_identifier="v3.0-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0__colin27__frontal_to__occipital_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Frontal-to-Occipital_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0-Colin27_Frontal-to-Occipital_PM-v11.4",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v3.0-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0__colin27__frontal_to__temporal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Frontal-to-Temporal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0-Colin27_Frontal-to-Temporal-I_PM-v11.4",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v3.0-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0__colin27__frontal_to__temporal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Frontal-to-Temporal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0-Colin27_Frontal-to-Temporal-II_PM-v11.4",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v3.0-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0__colin27__fu_cd_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_FuCd_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0-Colin27_FuCd_PM-v5.0",
    name="FuCd (Fundus of Caudate Nucleus, Ventral Striatum)",
    version_identifier="v3.0-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__fu_p_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_FuP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0-Colin27_FuP_PM-v5.0",
    name="FuP (Fundus of Putamen, Ventral Striatum)",
    version_identifier="v3.0-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__interposed__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Interposed-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0-Colin27_Interposed-Nucleus_PM-v6.3",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v3.0-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0-Colin27_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v3.0-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0-Colin27_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v3.0-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0-Colin27_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v3.0-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0-Colin27_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v3.0-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__temporal_to__parietal_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Temporal-to-Parietal_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0-Colin27_Temporal-to-Parietal_PM-v11.4",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v3.0-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0__colin27__terminal_islands_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Terminal-islands_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0-Colin27_Terminal-islands_PM-v4.0",
    name="Terminal islands (Basal Forebrain)",
    version_identifier="v3.0-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__tuberculum_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Tuberculum_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0-Colin27_Tuberculum_PM-v4.0",
    name="Tuberculum (Basal Forebrain)",
    version_identifier="v3.0-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__ventral__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Ventral-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0-Colin27_Ventral-Dentate-Nucleus_PM-v6.3",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0__colin27_bst_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_BST_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalForebrain"}],
    lookup_label="JBA_v3.0-Colin27_BST_PM-v6.1",
    name="BST (Bed Nucleus)",
    version_identifier="v3.0-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v3_0__colin27_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-Colin27_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v3.0-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-Colin27_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v3.0-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-Colin27_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v3.0-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_cgl_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_CGL_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0-Colin27_CGL_PM-v10.0",
    name="CGL (Metathalamus)",
    version_identifier="v3.0-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0__colin27_cgm_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_CGM_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0-Colin27_CGM_PM-v10.0",
    name="CGM (Metathalamus)",
    version_identifier="v3.0-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0__colin27_cm__ce_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_CM.Ce_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0-Colin27_CM.Ce_PM-v8.2",
    name="CM.Ce (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_cm__me_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_CM.Me_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0-Colin27_CM.Me_PM-v8.2",
    name="CM.Me (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_cm_aaa_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_CM.AAA_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0-Colin27_CM.AAA_PM-v8.2",
    name="CM.AAA (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_cm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_CM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0-Colin27_CM_PM-v8.2",
    name="CM (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-Colin27_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v3.0-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-Colin27_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v3.0-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-Colin27_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v3.0-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_if_ice_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_IF.ice_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0-Colin27_IF.ice_PM-v8.2",
    name="IF.ice (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_if_iol_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_IF.iol_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0-Colin27_IF.iol_PM-v8.2",
    name="IF.iol (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_if_ld_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_IF.ld_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0-Colin27_IF.ld_PM-v8.2",
    name="IF.ld (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_if_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_IF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0-Colin27_IF_PM-v8.2",
    name="IF (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_lb__bl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_LB.Bl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0-Colin27_LB.Bl_PM-v8.2",
    name="LB.Bl (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_lb__bm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_LB.Bm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0-Colin27_LB.Bm_PM-v8.2",
    name="LB.Bm (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_lb__la_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_LB.La_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0-Colin27_LB.La_PM-v8.2",
    name="LB.La (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_lb__pl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_LB.Pl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0-Colin27_LB.Pl_PM-v8.2",
    name="LB.Pl (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_lb_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_LB_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0-Colin27_LB_PM-v8.2",
    name="LB (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_mf_icm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_MF.icm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0-Colin27_MF.icm_PM-v8.2",
    name="MF.icm (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_mf_lm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_MF.lm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0-Colin27_MF.lm_PM-v8.2",
    name="MF.lm (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_mf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_MF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0-Colin27_MF_PM-v8.2",
    name="MF (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_sf_a_hi_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_SF.AHi_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0-Colin27_SF.AHi_PM-v8.2",
    name="SF.AHi (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_sf_a_pir_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_SF.APir_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0-Colin27_SF.APir_PM-v8.2",
    name="SF.APir (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_sf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_SF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0-Colin27_SF_PM-v8.2",
    name="SF (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_sf_v_co_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_SF.VCo_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0-Colin27_SF.VCo_PM-v8.2",
    name="SF.VCo (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_stn_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_STN_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_subthalamus"}],
    lookup_label="JBA_v3.0-Colin27_STN_PM-v5.0",
    name="STN (Subthalamus)",
    version_identifier="v3.0-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0__colin27_vp_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_VP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalGanglia"}],
    lookup_label="JBA_v3.0-Colin27_VP_PM-v5.0",
    name="VP (Ventral Pallidum)",
    version_identifier="v3.0-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0__colin27_vtm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_VTM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0-Colin27_VTM_PM-v8.2",
    name="VTM (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v3.0-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v3.0-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v3.0-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v3.0-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v3.0-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v3.0-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v3.0-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v3.0-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v3.0-fsaverage, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v3.0-fsaverage, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v3.0-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v3.0-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v3.0-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0-fsaverage_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v3.0-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v3.0-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v3.0-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v3.0-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v3.0-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v3.0-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v3.0-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v3.0-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v3.0-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v3.0-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v3.0-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v3.0-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v3.0-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v3.0-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v3.0-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v8.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v3.0-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v3.0-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v3.0-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v3.0-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v3.0-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v3.0-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v3.0-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v3.0-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v3.0-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v3.0-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v3.0-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v3.0-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v3.0-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v3.0-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v3.0-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v3.0-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_mfg1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-MFG1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-MFG1_PM-v9.0",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_mfg2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-MFG2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-MFG2_PM-v9.0",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0-fsaverage_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v3.0-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0-fsaverage_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v3.0-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0-fsaverage_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v3.0-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0-fsaverage_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v3.0-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-fsaverage_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-fsaverage_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-fsaverage_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-fsaverage_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v3.0-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-fsaverage_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v3.0-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v3.0-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v3.0-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v3.0-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v3.0-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v3.0-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v3.0-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v3.0-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v3.0-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v3.0-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v3.0-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v3.0-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v3.0-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_sfs1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-SFS1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-SFS1_PM-v9.0",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_sfs2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-SFS2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-SFS2_PM-v9.0",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v3.0-fsaverage, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v3.0-fsaverage, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v3.0-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v3.0-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v3.0-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v3.0-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v3.0-fsaverage_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v3.0-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-fsaverage_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v3.0-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__frontal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Frontal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0-fsaverage_Frontal-I_PM-v11.4",
    name="Frontal-I (GapMap)",
    version_identifier="v3.0-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__frontal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Frontal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0-fsaverage_Frontal-II_PM-v11.4",
    name="Frontal-II (GapMap)",
    version_identifier="v3.0-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__frontal_to__occipital_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Frontal-to-Occipital_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Frontal-to-Occipital_PM-v11.4",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v3.0-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__frontal_to__temporal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Frontal-to-Temporal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0-fsaverage_Frontal-to-Temporal-I_PM-v11.4",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v3.0-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__frontal_to__temporal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Frontal-to-Temporal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0-fsaverage_Frontal-to-Temporal-II_PM-v11.4",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v3.0-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0-fsaverage_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v3.0-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0-fsaverage_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v3.0-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0-fsaverage_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v3.0-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0-fsaverage_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v3.0-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__temporal_to__parietal_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Temporal-to-Parietal_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Temporal-to-Parietal_PM-v11.4",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v3.0-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__tuberculum_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Tuberculum_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Tuberculum_PM-v4.0",
    name="Tuberculum (Basal Forebrain)",
    version_identifier="v3.0-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_fsaverage_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-fsaverage_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v3.0-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-fsaverage_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v3.0-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-fsaverage_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v3.0-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage_cgl_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_CGL_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0-fsaverage_CGL_PM-v10.0",
    name="CGL (Metathalamus)",
    version_identifier="v3.0-fsaverage, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_fsaverage_cgm_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_CGM_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0-fsaverage_CGM_PM-v10.0",
    name="CGM (Metathalamus)",
    version_identifier="v3.0-fsaverage, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_fsaverage_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-fsaverage_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v3.0-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-fsaverage_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v3.0-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-fsaverage_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v3.0-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__acb_l_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_AcbL_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0-MNI152_AcbL_PM-v5.0",
    name="AcbL (Lateral Accumbens, Ventral Striatum)",
    version_identifier="v3.0-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__acb_m_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_AcbM_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0-MNI152_AcbM_PM-v5.0",
    name="AcbM (Medial Accumbens, Ventral Striatum)",
    version_identifier="v3.0-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v3.0-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_25_25a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-25.25a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0-MNI152_Area-25.25a_PM-v20.1",
    name="Area 25.25a (sACC",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_25_25p_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-25.25p_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0-MNI152_Area-25.25p_PM-v20.1",
    name="Area 25.25p (sACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v3.0-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v3.0-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v3.0-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v3.0-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v3.0-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v3.0-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v3.0-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v3.0-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v3.0-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v3.0-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0-MNI152_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v3.0-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v3.0-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v3.0-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v3.0-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v3.0-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v3.0-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v3.0-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v3.0-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v3.0-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v3.0-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v3.0-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v3.0-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v3.0-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0-MNI152_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v3.0-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0-MNI152_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v3.0-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v3.0-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v3.0-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v3.0-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v3.0-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v3.0-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v3.0-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v3.0-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v3.0-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v3.0-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v3.0-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v3.0-MNI152, PM-v8.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v3.0-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v3.0-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v3.0-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v3.0-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v3.0-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v3.0-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v3.0-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v3.0-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v3.0-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v3.0-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v3.0-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v3.0-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v3.0-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v3.0-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v3.0-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v3.0-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v3.0-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v3.0-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v3.0-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v3.0-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v3.0-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_mfg1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-MFG1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-MFG1_PM-v9.0",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_mfg2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-MFG2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-MFG2_PM-v9.0",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0-MNI152_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v3.0-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0-MNI152_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v3.0-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0-MNI152_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v3.0-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0-MNI152_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v3.0-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-MNI152_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-MNI152_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-MNI152_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-MNI152_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v3.0-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-MNI152_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v3.0-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p24ab_p24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-p24ab.p24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0-MNI152_Area-p24ab.p24a_PM-v20.1",
    name="Area p24ab.p24a (pACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p24ab_p24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-p24ab.p24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0-MNI152_Area-p24ab.p24b_PM-v20.1",
    name="Area p24ab.p24b (pACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p24c_pd24cd_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-p24c.pd24cd_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0-MNI152_Area-p24c.pd24cd_PM-v20.1",
    name="Area p24c.pd24cd (pACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p24c_pd24cv_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-p24c.pd24cv_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0-MNI152_Area-p24c.pd24cv_PM-v20.1",
    name="Area p24c.pd24cv (pACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p24c_pv24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-p24c.pv24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0-MNI152_Area-p24c.pv24c_PM-v20.1",
    name="Area p24c.pv24c (pACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v3.0-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v3.0-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v3.0-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v3.0-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v3.0-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v3.0-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v3.0-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_s24_s24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-s24.s24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0-MNI152_Area-s24.s24a_PM-v20.1",
    name="Area s24.s24a (sACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_s24_s24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-s24.s24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0-MNI152_Area-s24.s24b_PM-v20.1",
    name="Area s24.s24b (sACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_sfs1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-SFS1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-SFS1_PM-v9.0",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_sfs2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-SFS2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-SFS2_PM-v9.0",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v3.0-MNI152, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v3.0-MNI152, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v3.0-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v3.0-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v3.0-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v3.0-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v3.0-MNI152_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v3.0-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__ch_123_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Ch-123_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v3.0-MNI152_Ch-123_PM-v4.3",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v3.0-MNI152, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__ch_4_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Ch-4_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v3.0-MNI152_Ch-4_PM-v4.3",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v3.0-MNI152, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__dorsal__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Dorsal-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0-MNI152_Dorsal-Dentate-Nucleus_PM-v6.3",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-MNI152_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v3.0-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__fastigial__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Fastigial-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0-MNI152_Fastigial-Nucleus_PM-v6.3",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v3.0-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__frontal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Frontal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0-MNI152_Frontal-I_PM-v11.4",
    name="Frontal-I (GapMap)",
    version_identifier="v3.0-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_mni152__frontal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Frontal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0-MNI152_Frontal-II_PM-v11.4",
    name="Frontal-II (GapMap)",
    version_identifier="v3.0-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_mni152__frontal_to__occipital_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Frontal-to-Occipital_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0-MNI152_Frontal-to-Occipital_PM-v11.4",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v3.0-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_mni152__frontal_to__temporal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Frontal-to-Temporal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0-MNI152_Frontal-to-Temporal-I_PM-v11.4",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v3.0-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_mni152__frontal_to__temporal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Frontal-to-Temporal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0-MNI152_Frontal-to-Temporal-II_PM-v11.4",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v3.0-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_mni152__fu_cd_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_FuCd_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0-MNI152_FuCd_PM-v5.0",
    name="FuCd (Fundus of Caudate Nucleus, Ventral Striatum)",
    version_identifier="v3.0-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__fu_p_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_FuP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0-MNI152_FuP_PM-v5.0",
    name="FuP (Fundus of Putamen, Ventral Striatum)",
    version_identifier="v3.0-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__interposed__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Interposed-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0-MNI152_Interposed-Nucleus_PM-v6.3",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v3.0-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0-MNI152_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v3.0-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0-MNI152_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v3.0-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0-MNI152_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v3.0-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0-MNI152_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v3.0-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__temporal_to__parietal_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Temporal-to-Parietal_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0-MNI152_Temporal-to-Parietal_PM-v11.4",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v3.0-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_mni152__terminal_islands_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Terminal-islands_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0-MNI152_Terminal-islands_PM-v4.0",
    name="Terminal islands (Basal Forebrain)",
    version_identifier="v3.0-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__tuberculum_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Tuberculum_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0-MNI152_Tuberculum_PM-v4.0",
    name="Tuberculum (Basal Forebrain)",
    version_identifier="v3.0-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__ventral__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Ventral-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0-MNI152_Ventral-Dentate-Nucleus_PM-v6.3",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_mni152_bst_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_BST_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalForebrain"}],
    lookup_label="JBA_v3.0-MNI152_BST_PM-v6.1",
    name="BST (Bed Nucleus)",
    version_identifier="v3.0-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v3_0_mni152_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-MNI152_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v3.0-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-MNI152_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v3.0-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-MNI152_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v3.0-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_cgl_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_CGL_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0-MNI152_CGL_PM-v10.0",
    name="CGL (Metathalamus)",
    version_identifier="v3.0-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_mni152_cgm_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_CGM_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0-MNI152_CGM_PM-v10.0",
    name="CGM (Metathalamus)",
    version_identifier="v3.0-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_mni152_cm__ce_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_CM.Ce_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0-MNI152_CM.Ce_PM-v8.2",
    name="CM.Ce (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_cm__me_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_CM.Me_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0-MNI152_CM.Me_PM-v8.2",
    name="CM.Me (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_cm_aaa_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_CM.AAA_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0-MNI152_CM.AAA_PM-v8.2",
    name="CM.AAA (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_cm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_CM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0-MNI152_CM_PM-v8.2",
    name="CM (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-MNI152_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v3.0-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-MNI152_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v3.0-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-MNI152_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v3.0-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_if_ice_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_IF.ice_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0-MNI152_IF.ice_PM-v8.2",
    name="IF.ice (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_if_iol_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_IF.iol_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0-MNI152_IF.iol_PM-v8.2",
    name="IF.iol (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_if_ld_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_IF.ld_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0-MNI152_IF.ld_PM-v8.2",
    name="IF.ld (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_if_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_IF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0-MNI152_IF_PM-v8.2",
    name="IF (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_lb__bl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_LB.Bl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0-MNI152_LB.Bl_PM-v8.2",
    name="LB.Bl (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_lb__bm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_LB.Bm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0-MNI152_LB.Bm_PM-v8.2",
    name="LB.Bm (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_lb__la_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_LB.La_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0-MNI152_LB.La_PM-v8.2",
    name="LB.La (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_lb__pl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_LB.Pl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0-MNI152_LB.Pl_PM-v8.2",
    name="LB.Pl (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_lb_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_LB_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0-MNI152_LB_PM-v8.2",
    name="LB (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_mf_icm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_MF.icm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0-MNI152_MF.icm_PM-v8.2",
    name="MF.icm (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_mf_lm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_MF.lm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0-MNI152_MF.lm_PM-v8.2",
    name="MF.lm (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_mf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_MF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0-MNI152_MF_PM-v8.2",
    name="MF (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_sf_a_hi_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_SF.AHi_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0-MNI152_SF.AHi_PM-v8.2",
    name="SF.AHi (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_sf_a_pir_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_SF.APir_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0-MNI152_SF.APir_PM-v8.2",
    name="SF.APir (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_sf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_SF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0-MNI152_SF_PM-v8.2",
    name="SF (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_sf_v_co_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_SF.VCo_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0-MNI152_SF.VCo_PM-v8.2",
    name="SF.VCo (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_stn_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_STN_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_subthalamus"}],
    lookup_label="JBA_v3.0-MNI152_STN_PM-v5.0",
    name="STN (Subthalamus)",
    version_identifier="v3.0-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_mni152_vp_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_VP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalGanglia"}],
    lookup_label="JBA_v3.0-MNI152_VP_PM-v5.0",
    name="VP (Ventral Pallidum)",
    version_identifier="v3.0-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_mni152_vtm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_VTM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0-MNI152_VTM_PM-v8.2",
    name="VTM (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
